/**
 * CloudHospital Admin Api
 * CloudHospital application with Swagger, Swashbuckle, and API versioning.
 *
 * The version of the OpenAPI document: 1
 * Contact: developer@icloudhospital.com
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
import { AxiosPromise, AxiosInstance, AxiosRequestConfig } from 'axios';
import { Configuration } from '../configuration';
import { RequestArgs, BaseAPI } from '../base';
import { ArticleContributorModel } from '../models';
import { ArticleContributorsModel } from '../models';
import { ArticleModel } from '../models';
import { ArticleSourcesModel } from '../models';
import { ArticleTagModel } from '../models';
import { ArticleTagsModel } from '../models';
import { ArticlesModel } from '../models';
import { ContributionType } from '../models';
import { CreateArticleCommand } from '../models';
import { CreateArticleContributorCommand } from '../models';
import { CreateArticleSourceCommand } from '../models';
import { CreateArticleTagCommand } from '../models';
import { CreateMediaCommand } from '../models';
import { MarketingType } from '../models';
import { MediaModel } from '../models';
import { MediaType } from '../models';
import { MediasModel } from '../models';
import { SourceModel } from '../models';
import { UpdateArticleCommand } from '../models';
import { UpdateArticleContributorCommand } from '../models';
import { UpdateArticleSourceCommand } from '../models';
import { UpdateMediaCommand } from '../models';
/**
 * ArticlesApi - axios parameter creator
 * @export
 */
export declare const ArticlesApiAxiosParamCreator: (configuration?: Configuration) => {
    /**
     *
     * @summary Delete ArticleContributor.
     * @param {string} articleId
     * @param {string} contributorId
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ArticlesArticleIdContributorsContributorIdDelete: (articleId: string, contributorId: string, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Get ArticleContributor.
     * @param {string} articleId
     * @param {string} contributorId
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ArticlesArticleIdContributorsContributorIdGet: (articleId: string, contributorId: string, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Update ArticleContributor.
     * @param {string} articleId
     * @param {string} contributorId
     * @param {UpdateArticleContributorCommand} [updateArticleContributorCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ArticlesArticleIdContributorsContributorIdPut: (articleId: string, contributorId: string, updateArticleContributorCommand?: UpdateArticleContributorCommand, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary GetAll ArticleContributors.
     * @param {string} articleId
     * @param {string} [articleName]
     * @param {string} [contributorId]
     * @param {string} [contributorName]
     * @param {string} [email]
     * @param {string} [website]
     * @param {ContributionType} [contributionType]
     * @param {string} [languageCode]
     * @param {boolean} [showHidden]
     * @param {number} [page]
     * @param {number} [limit]
     * @param {Date} [lastRetrieved]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ArticlesArticleIdContributorsGet: (articleId: string, articleName?: string, contributorId?: string, contributorName?: string, email?: string, website?: string, contributionType?: ContributionType, languageCode?: string, showHidden?: boolean, page?: number, limit?: number, lastRetrieved?: Date, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Create ArticleContributor.
     * @param {string} articleId
     * @param {CreateArticleContributorCommand} [createArticleContributorCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ArticlesArticleIdContributorsPost: (articleId: string, createArticleContributorCommand?: CreateArticleContributorCommand, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Delete Article.
     * @param {string} articleId
     * @param {string} [languageCode]
     * @param {boolean} [isPermanent]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ArticlesArticleIdDelete: (articleId: string, languageCode?: string, isPermanent?: boolean, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Get Article.
     * @param {string} articleId
     * @param {string} [languageCode]
     * @param {boolean} [returnDefaultValue]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ArticlesArticleIdGet: (articleId: string, languageCode?: string, returnDefaultValue?: boolean, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Get all ArticleMedias.
     * @param {string} articleId
     * @param {string} [id]
     * @param {MediaType} [mediaType]
     * @param {number} [page]
     * @param {number} [limit]
     * @param {Date} [lastRetrieved]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ArticlesArticleIdMediasGet: (articleId: string, id?: string, mediaType?: MediaType, page?: number, limit?: number, lastRetrieved?: Date, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Delete ArticleMedia
     * @param {string} articleId
     * @param {string} mediaId
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ArticlesArticleIdMediasMediaIdDelete: (articleId: string, mediaId: string, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Get ArticleMedia.
     * @param {string} articleId
     * @param {string} mediaId
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ArticlesArticleIdMediasMediaIdGet: (articleId: string, mediaId: string, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Update ArticleMedia.
     * @param {string} articleId
     * @param {string} mediaId
     * @param {UpdateMediaCommand} [updateMediaCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ArticlesArticleIdMediasMediaIdPut: (articleId: string, mediaId: string, updateMediaCommand?: UpdateMediaCommand, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Create ArticleMedia.
     * @param {string} articleId
     * @param {CreateMediaCommand} [createMediaCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ArticlesArticleIdMediasPost: (articleId: string, createMediaCommand?: CreateMediaCommand, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Update Article.
     * @param {string} articleId
     * @param {UpdateArticleCommand} [updateArticleCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ArticlesArticleIdPut: (articleId: string, updateArticleCommand?: UpdateArticleCommand, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Revalidate article
     * @param {string} articleId
     * @param {boolean} [includeCurrent]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ArticlesArticleIdRevalidatePost: (articleId: string, includeCurrent?: boolean, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Get all ArticleSource.
     * @param {string} articleId
     * @param {number} [page]
     * @param {number} [limit]
     * @param {Date} [lastRetrieved]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ArticlesArticleIdSourcesGet: (articleId: string, page?: number, limit?: number, lastRetrieved?: Date, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Create ArticleSource.
     * @param {string} articleId
     * @param {CreateArticleSourceCommand} [createArticleSourceCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ArticlesArticleIdSourcesPost: (articleId: string, createArticleSourceCommand?: CreateArticleSourceCommand, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Delete ArticleSource.
     * @param {string} articleId
     * @param {string} sourceId
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ArticlesArticleIdSourcesSourceIdDelete: (articleId: string, sourceId: string, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Get ArticleSource.
     * @param {string} articleId
     * @param {string} sourceId
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ArticlesArticleIdSourcesSourceIdGet: (articleId: string, sourceId: string, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Update ArticleSource.
     * @param {string} articleId
     * @param {string} sourceId
     * @param {UpdateArticleSourceCommand} [updateArticleSourceCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ArticlesArticleIdSourcesSourceIdPut: (articleId: string, sourceId: string, updateArticleSourceCommand?: UpdateArticleSourceCommand, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary GetAll ArticleTags.
     * @param {string} articleId
     * @param {string} [tagId]
     * @param {number} [page]
     * @param {number} [limit]
     * @param {Date} [lastRetrieved]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ArticlesArticleIdTagsGet: (articleId: string, tagId?: string, page?: number, limit?: number, lastRetrieved?: Date, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Create ArticleTag.
     * @param {string} articleId
     * @param {CreateArticleTagCommand} [createArticleTagCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ArticlesArticleIdTagsPost: (articleId: string, createArticleTagCommand?: CreateArticleTagCommand, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Delete ArticleTag.
     * @param {string} articleId
     * @param {string} tagId
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ArticlesArticleIdTagsTagIdDelete: (articleId: string, tagId: string, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Get ArticleTag.
     * @param {string} articleId
     * @param {string} tagId
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ArticlesArticleIdTagsTagIdGet: (articleId: string, tagId: string, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Get all Articles.
     * @param {string} [id]
     * @param {string} [name]
     * @param {string} [description]
     * @param {MarketingType} [marketingType]
     * @param {string} [userId]
     * @param {string} [userName]
     * @param {string} [hospitalId]
     * @param {string} [hospitalName]
     * @param {string} [countryId]
     * @param {string} [tag]
     * @param {string} [exceptArticleId]
     * @param {string} [exceptHospitalId]
     * @param {string} [contributorId]
     * @param {string} [languageCode]
     * @param {boolean} [showHidden]
     * @param {number} [page]
     * @param {number} [limit]
     * @param {Date} [lastRetrieved]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ArticlesGet: (id?: string, name?: string, description?: string, marketingType?: MarketingType, userId?: string, userName?: string, hospitalId?: string, hospitalName?: string, countryId?: string, tag?: string, exceptArticleId?: string, exceptHospitalId?: string, contributorId?: string, languageCode?: string, showHidden?: boolean, page?: number, limit?: number, lastRetrieved?: Date, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Create a Article.
     * @param {CreateArticleCommand} [createArticleCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ArticlesPost: (createArticleCommand?: CreateArticleCommand, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Get Article by slug.
     * @param {string} slug
     * @param {string} [languageCode]
     * @param {boolean} [returnDefaultValue]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ArticlesSlugGet: (slug: string, languageCode?: string, returnDefaultValue?: boolean, options?: AxiosRequestConfig) => Promise<RequestArgs>;
};
/**
 * ArticlesApi - functional programming interface
 * @export
 */
export declare const ArticlesApiFp: (configuration?: Configuration) => {
    /**
     *
     * @summary Delete ArticleContributor.
     * @param {string} articleId
     * @param {string} contributorId
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ArticlesArticleIdContributorsContributorIdDelete(articleId: string, contributorId: string, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<boolean>>;
    /**
     *
     * @summary Get ArticleContributor.
     * @param {string} articleId
     * @param {string} contributorId
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ArticlesArticleIdContributorsContributorIdGet(articleId: string, contributorId: string, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<ArticleContributorModel>>;
    /**
     *
     * @summary Update ArticleContributor.
     * @param {string} articleId
     * @param {string} contributorId
     * @param {UpdateArticleContributorCommand} [updateArticleContributorCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ArticlesArticleIdContributorsContributorIdPut(articleId: string, contributorId: string, updateArticleContributorCommand?: UpdateArticleContributorCommand, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<ArticleContributorModel>>;
    /**
     *
     * @summary GetAll ArticleContributors.
     * @param {string} articleId
     * @param {string} [articleName]
     * @param {string} [contributorId]
     * @param {string} [contributorName]
     * @param {string} [email]
     * @param {string} [website]
     * @param {ContributionType} [contributionType]
     * @param {string} [languageCode]
     * @param {boolean} [showHidden]
     * @param {number} [page]
     * @param {number} [limit]
     * @param {Date} [lastRetrieved]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ArticlesArticleIdContributorsGet(articleId: string, articleName?: string, contributorId?: string, contributorName?: string, email?: string, website?: string, contributionType?: ContributionType, languageCode?: string, showHidden?: boolean, page?: number, limit?: number, lastRetrieved?: Date, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<ArticleContributorsModel>>;
    /**
     *
     * @summary Create ArticleContributor.
     * @param {string} articleId
     * @param {CreateArticleContributorCommand} [createArticleContributorCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ArticlesArticleIdContributorsPost(articleId: string, createArticleContributorCommand?: CreateArticleContributorCommand, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<ArticleContributorModel>>;
    /**
     *
     * @summary Delete Article.
     * @param {string} articleId
     * @param {string} [languageCode]
     * @param {boolean} [isPermanent]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ArticlesArticleIdDelete(articleId: string, languageCode?: string, isPermanent?: boolean, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<boolean>>;
    /**
     *
     * @summary Get Article.
     * @param {string} articleId
     * @param {string} [languageCode]
     * @param {boolean} [returnDefaultValue]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ArticlesArticleIdGet(articleId: string, languageCode?: string, returnDefaultValue?: boolean, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<ArticleModel>>;
    /**
     *
     * @summary Get all ArticleMedias.
     * @param {string} articleId
     * @param {string} [id]
     * @param {MediaType} [mediaType]
     * @param {number} [page]
     * @param {number} [limit]
     * @param {Date} [lastRetrieved]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ArticlesArticleIdMediasGet(articleId: string, id?: string, mediaType?: MediaType, page?: number, limit?: number, lastRetrieved?: Date, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<MediasModel>>;
    /**
     *
     * @summary Delete ArticleMedia
     * @param {string} articleId
     * @param {string} mediaId
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ArticlesArticleIdMediasMediaIdDelete(articleId: string, mediaId: string, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<boolean>>;
    /**
     *
     * @summary Get ArticleMedia.
     * @param {string} articleId
     * @param {string} mediaId
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ArticlesArticleIdMediasMediaIdGet(articleId: string, mediaId: string, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<MediaModel>>;
    /**
     *
     * @summary Update ArticleMedia.
     * @param {string} articleId
     * @param {string} mediaId
     * @param {UpdateMediaCommand} [updateMediaCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ArticlesArticleIdMediasMediaIdPut(articleId: string, mediaId: string, updateMediaCommand?: UpdateMediaCommand, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<MediaModel>>;
    /**
     *
     * @summary Create ArticleMedia.
     * @param {string} articleId
     * @param {CreateMediaCommand} [createMediaCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ArticlesArticleIdMediasPost(articleId: string, createMediaCommand?: CreateMediaCommand, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<MediaModel>>;
    /**
     *
     * @summary Update Article.
     * @param {string} articleId
     * @param {UpdateArticleCommand} [updateArticleCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ArticlesArticleIdPut(articleId: string, updateArticleCommand?: UpdateArticleCommand, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<ArticleModel>>;
    /**
     *
     * @summary Revalidate article
     * @param {string} articleId
     * @param {boolean} [includeCurrent]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ArticlesArticleIdRevalidatePost(articleId: string, includeCurrent?: boolean, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<boolean>>;
    /**
     *
     * @summary Get all ArticleSource.
     * @param {string} articleId
     * @param {number} [page]
     * @param {number} [limit]
     * @param {Date} [lastRetrieved]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ArticlesArticleIdSourcesGet(articleId: string, page?: number, limit?: number, lastRetrieved?: Date, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<ArticleSourcesModel>>;
    /**
     *
     * @summary Create ArticleSource.
     * @param {string} articleId
     * @param {CreateArticleSourceCommand} [createArticleSourceCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ArticlesArticleIdSourcesPost(articleId: string, createArticleSourceCommand?: CreateArticleSourceCommand, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<SourceModel>>;
    /**
     *
     * @summary Delete ArticleSource.
     * @param {string} articleId
     * @param {string} sourceId
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ArticlesArticleIdSourcesSourceIdDelete(articleId: string, sourceId: string, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<boolean>>;
    /**
     *
     * @summary Get ArticleSource.
     * @param {string} articleId
     * @param {string} sourceId
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ArticlesArticleIdSourcesSourceIdGet(articleId: string, sourceId: string, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<SourceModel>>;
    /**
     *
     * @summary Update ArticleSource.
     * @param {string} articleId
     * @param {string} sourceId
     * @param {UpdateArticleSourceCommand} [updateArticleSourceCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ArticlesArticleIdSourcesSourceIdPut(articleId: string, sourceId: string, updateArticleSourceCommand?: UpdateArticleSourceCommand, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<SourceModel>>;
    /**
     *
     * @summary GetAll ArticleTags.
     * @param {string} articleId
     * @param {string} [tagId]
     * @param {number} [page]
     * @param {number} [limit]
     * @param {Date} [lastRetrieved]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ArticlesArticleIdTagsGet(articleId: string, tagId?: string, page?: number, limit?: number, lastRetrieved?: Date, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<ArticleTagsModel>>;
    /**
     *
     * @summary Create ArticleTag.
     * @param {string} articleId
     * @param {CreateArticleTagCommand} [createArticleTagCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ArticlesArticleIdTagsPost(articleId: string, createArticleTagCommand?: CreateArticleTagCommand, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<ArticleTagModel>>;
    /**
     *
     * @summary Delete ArticleTag.
     * @param {string} articleId
     * @param {string} tagId
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ArticlesArticleIdTagsTagIdDelete(articleId: string, tagId: string, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<boolean>>;
    /**
     *
     * @summary Get ArticleTag.
     * @param {string} articleId
     * @param {string} tagId
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ArticlesArticleIdTagsTagIdGet(articleId: string, tagId: string, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<ArticleTagModel>>;
    /**
     *
     * @summary Get all Articles.
     * @param {string} [id]
     * @param {string} [name]
     * @param {string} [description]
     * @param {MarketingType} [marketingType]
     * @param {string} [userId]
     * @param {string} [userName]
     * @param {string} [hospitalId]
     * @param {string} [hospitalName]
     * @param {string} [countryId]
     * @param {string} [tag]
     * @param {string} [exceptArticleId]
     * @param {string} [exceptHospitalId]
     * @param {string} [contributorId]
     * @param {string} [languageCode]
     * @param {boolean} [showHidden]
     * @param {number} [page]
     * @param {number} [limit]
     * @param {Date} [lastRetrieved]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ArticlesGet(id?: string, name?: string, description?: string, marketingType?: MarketingType, userId?: string, userName?: string, hospitalId?: string, hospitalName?: string, countryId?: string, tag?: string, exceptArticleId?: string, exceptHospitalId?: string, contributorId?: string, languageCode?: string, showHidden?: boolean, page?: number, limit?: number, lastRetrieved?: Date, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<ArticlesModel>>;
    /**
     *
     * @summary Create a Article.
     * @param {CreateArticleCommand} [createArticleCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ArticlesPost(createArticleCommand?: CreateArticleCommand, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<ArticleModel>>;
    /**
     *
     * @summary Get Article by slug.
     * @param {string} slug
     * @param {string} [languageCode]
     * @param {boolean} [returnDefaultValue]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ArticlesSlugGet(slug: string, languageCode?: string, returnDefaultValue?: boolean, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<ArticleModel>>;
};
/**
 * ArticlesApi - factory interface
 * @export
 */
export declare const ArticlesApiFactory: (configuration?: Configuration, basePath?: string, axios?: AxiosInstance) => {
    /**
     *
     * @summary Delete ArticleContributor.
     * @param {string} articleId
     * @param {string} contributorId
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ArticlesArticleIdContributorsContributorIdDelete(articleId: string, contributorId: string, options?: any): AxiosPromise<boolean>;
    /**
     *
     * @summary Get ArticleContributor.
     * @param {string} articleId
     * @param {string} contributorId
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ArticlesArticleIdContributorsContributorIdGet(articleId: string, contributorId: string, options?: any): AxiosPromise<ArticleContributorModel>;
    /**
     *
     * @summary Update ArticleContributor.
     * @param {string} articleId
     * @param {string} contributorId
     * @param {UpdateArticleContributorCommand} [updateArticleContributorCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ArticlesArticleIdContributorsContributorIdPut(articleId: string, contributorId: string, updateArticleContributorCommand?: UpdateArticleContributorCommand, options?: any): AxiosPromise<ArticleContributorModel>;
    /**
     *
     * @summary GetAll ArticleContributors.
     * @param {string} articleId
     * @param {string} [articleName]
     * @param {string} [contributorId]
     * @param {string} [contributorName]
     * @param {string} [email]
     * @param {string} [website]
     * @param {ContributionType} [contributionType]
     * @param {string} [languageCode]
     * @param {boolean} [showHidden]
     * @param {number} [page]
     * @param {number} [limit]
     * @param {Date} [lastRetrieved]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ArticlesArticleIdContributorsGet(articleId: string, articleName?: string, contributorId?: string, contributorName?: string, email?: string, website?: string, contributionType?: ContributionType, languageCode?: string, showHidden?: boolean, page?: number, limit?: number, lastRetrieved?: Date, options?: any): AxiosPromise<ArticleContributorsModel>;
    /**
     *
     * @summary Create ArticleContributor.
     * @param {string} articleId
     * @param {CreateArticleContributorCommand} [createArticleContributorCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ArticlesArticleIdContributorsPost(articleId: string, createArticleContributorCommand?: CreateArticleContributorCommand, options?: any): AxiosPromise<ArticleContributorModel>;
    /**
     *
     * @summary Delete Article.
     * @param {string} articleId
     * @param {string} [languageCode]
     * @param {boolean} [isPermanent]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ArticlesArticleIdDelete(articleId: string, languageCode?: string, isPermanent?: boolean, options?: any): AxiosPromise<boolean>;
    /**
     *
     * @summary Get Article.
     * @param {string} articleId
     * @param {string} [languageCode]
     * @param {boolean} [returnDefaultValue]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ArticlesArticleIdGet(articleId: string, languageCode?: string, returnDefaultValue?: boolean, options?: any): AxiosPromise<ArticleModel>;
    /**
     *
     * @summary Get all ArticleMedias.
     * @param {string} articleId
     * @param {string} [id]
     * @param {MediaType} [mediaType]
     * @param {number} [page]
     * @param {number} [limit]
     * @param {Date} [lastRetrieved]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ArticlesArticleIdMediasGet(articleId: string, id?: string, mediaType?: MediaType, page?: number, limit?: number, lastRetrieved?: Date, options?: any): AxiosPromise<MediasModel>;
    /**
     *
     * @summary Delete ArticleMedia
     * @param {string} articleId
     * @param {string} mediaId
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ArticlesArticleIdMediasMediaIdDelete(articleId: string, mediaId: string, options?: any): AxiosPromise<boolean>;
    /**
     *
     * @summary Get ArticleMedia.
     * @param {string} articleId
     * @param {string} mediaId
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ArticlesArticleIdMediasMediaIdGet(articleId: string, mediaId: string, options?: any): AxiosPromise<MediaModel>;
    /**
     *
     * @summary Update ArticleMedia.
     * @param {string} articleId
     * @param {string} mediaId
     * @param {UpdateMediaCommand} [updateMediaCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ArticlesArticleIdMediasMediaIdPut(articleId: string, mediaId: string, updateMediaCommand?: UpdateMediaCommand, options?: any): AxiosPromise<MediaModel>;
    /**
     *
     * @summary Create ArticleMedia.
     * @param {string} articleId
     * @param {CreateMediaCommand} [createMediaCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ArticlesArticleIdMediasPost(articleId: string, createMediaCommand?: CreateMediaCommand, options?: any): AxiosPromise<MediaModel>;
    /**
     *
     * @summary Update Article.
     * @param {string} articleId
     * @param {UpdateArticleCommand} [updateArticleCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ArticlesArticleIdPut(articleId: string, updateArticleCommand?: UpdateArticleCommand, options?: any): AxiosPromise<ArticleModel>;
    /**
     *
     * @summary Revalidate article
     * @param {string} articleId
     * @param {boolean} [includeCurrent]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ArticlesArticleIdRevalidatePost(articleId: string, includeCurrent?: boolean, options?: any): AxiosPromise<boolean>;
    /**
     *
     * @summary Get all ArticleSource.
     * @param {string} articleId
     * @param {number} [page]
     * @param {number} [limit]
     * @param {Date} [lastRetrieved]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ArticlesArticleIdSourcesGet(articleId: string, page?: number, limit?: number, lastRetrieved?: Date, options?: any): AxiosPromise<ArticleSourcesModel>;
    /**
     *
     * @summary Create ArticleSource.
     * @param {string} articleId
     * @param {CreateArticleSourceCommand} [createArticleSourceCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ArticlesArticleIdSourcesPost(articleId: string, createArticleSourceCommand?: CreateArticleSourceCommand, options?: any): AxiosPromise<SourceModel>;
    /**
     *
     * @summary Delete ArticleSource.
     * @param {string} articleId
     * @param {string} sourceId
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ArticlesArticleIdSourcesSourceIdDelete(articleId: string, sourceId: string, options?: any): AxiosPromise<boolean>;
    /**
     *
     * @summary Get ArticleSource.
     * @param {string} articleId
     * @param {string} sourceId
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ArticlesArticleIdSourcesSourceIdGet(articleId: string, sourceId: string, options?: any): AxiosPromise<SourceModel>;
    /**
     *
     * @summary Update ArticleSource.
     * @param {string} articleId
     * @param {string} sourceId
     * @param {UpdateArticleSourceCommand} [updateArticleSourceCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ArticlesArticleIdSourcesSourceIdPut(articleId: string, sourceId: string, updateArticleSourceCommand?: UpdateArticleSourceCommand, options?: any): AxiosPromise<SourceModel>;
    /**
     *
     * @summary GetAll ArticleTags.
     * @param {string} articleId
     * @param {string} [tagId]
     * @param {number} [page]
     * @param {number} [limit]
     * @param {Date} [lastRetrieved]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ArticlesArticleIdTagsGet(articleId: string, tagId?: string, page?: number, limit?: number, lastRetrieved?: Date, options?: any): AxiosPromise<ArticleTagsModel>;
    /**
     *
     * @summary Create ArticleTag.
     * @param {string} articleId
     * @param {CreateArticleTagCommand} [createArticleTagCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ArticlesArticleIdTagsPost(articleId: string, createArticleTagCommand?: CreateArticleTagCommand, options?: any): AxiosPromise<ArticleTagModel>;
    /**
     *
     * @summary Delete ArticleTag.
     * @param {string} articleId
     * @param {string} tagId
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ArticlesArticleIdTagsTagIdDelete(articleId: string, tagId: string, options?: any): AxiosPromise<boolean>;
    /**
     *
     * @summary Get ArticleTag.
     * @param {string} articleId
     * @param {string} tagId
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ArticlesArticleIdTagsTagIdGet(articleId: string, tagId: string, options?: any): AxiosPromise<ArticleTagModel>;
    /**
     *
     * @summary Get all Articles.
     * @param {string} [id]
     * @param {string} [name]
     * @param {string} [description]
     * @param {MarketingType} [marketingType]
     * @param {string} [userId]
     * @param {string} [userName]
     * @param {string} [hospitalId]
     * @param {string} [hospitalName]
     * @param {string} [countryId]
     * @param {string} [tag]
     * @param {string} [exceptArticleId]
     * @param {string} [exceptHospitalId]
     * @param {string} [contributorId]
     * @param {string} [languageCode]
     * @param {boolean} [showHidden]
     * @param {number} [page]
     * @param {number} [limit]
     * @param {Date} [lastRetrieved]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ArticlesGet(id?: string, name?: string, description?: string, marketingType?: MarketingType, userId?: string, userName?: string, hospitalId?: string, hospitalName?: string, countryId?: string, tag?: string, exceptArticleId?: string, exceptHospitalId?: string, contributorId?: string, languageCode?: string, showHidden?: boolean, page?: number, limit?: number, lastRetrieved?: Date, options?: any): AxiosPromise<ArticlesModel>;
    /**
     *
     * @summary Create a Article.
     * @param {CreateArticleCommand} [createArticleCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ArticlesPost(createArticleCommand?: CreateArticleCommand, options?: any): AxiosPromise<ArticleModel>;
    /**
     *
     * @summary Get Article by slug.
     * @param {string} slug
     * @param {string} [languageCode]
     * @param {boolean} [returnDefaultValue]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1ArticlesSlugGet(slug: string, languageCode?: string, returnDefaultValue?: boolean, options?: any): AxiosPromise<ArticleModel>;
};
/**
 * Request parameters for apiV1ArticlesArticleIdContributorsContributorIdDelete operation in ArticlesApi.
 * @export
 * @interface ArticlesApiApiV1ArticlesArticleIdContributorsContributorIdDeleteRequest
 */
export interface ArticlesApiApiV1ArticlesArticleIdContributorsContributorIdDeleteRequest {
    /**
     *
     * @type {string}
     * @memberof ArticlesApiApiV1ArticlesArticleIdContributorsContributorIdDelete
     */
    readonly articleId: string;
    /**
     *
     * @type {string}
     * @memberof ArticlesApiApiV1ArticlesArticleIdContributorsContributorIdDelete
     */
    readonly contributorId: string;
}
/**
 * Request parameters for apiV1ArticlesArticleIdContributorsContributorIdGet operation in ArticlesApi.
 * @export
 * @interface ArticlesApiApiV1ArticlesArticleIdContributorsContributorIdGetRequest
 */
export interface ArticlesApiApiV1ArticlesArticleIdContributorsContributorIdGetRequest {
    /**
     *
     * @type {string}
     * @memberof ArticlesApiApiV1ArticlesArticleIdContributorsContributorIdGet
     */
    readonly articleId: string;
    /**
     *
     * @type {string}
     * @memberof ArticlesApiApiV1ArticlesArticleIdContributorsContributorIdGet
     */
    readonly contributorId: string;
}
/**
 * Request parameters for apiV1ArticlesArticleIdContributorsContributorIdPut operation in ArticlesApi.
 * @export
 * @interface ArticlesApiApiV1ArticlesArticleIdContributorsContributorIdPutRequest
 */
export interface ArticlesApiApiV1ArticlesArticleIdContributorsContributorIdPutRequest {
    /**
     *
     * @type {string}
     * @memberof ArticlesApiApiV1ArticlesArticleIdContributorsContributorIdPut
     */
    readonly articleId: string;
    /**
     *
     * @type {string}
     * @memberof ArticlesApiApiV1ArticlesArticleIdContributorsContributorIdPut
     */
    readonly contributorId: string;
    /**
     *
     * @type {UpdateArticleContributorCommand}
     * @memberof ArticlesApiApiV1ArticlesArticleIdContributorsContributorIdPut
     */
    readonly updateArticleContributorCommand?: UpdateArticleContributorCommand;
}
/**
 * Request parameters for apiV1ArticlesArticleIdContributorsGet operation in ArticlesApi.
 * @export
 * @interface ArticlesApiApiV1ArticlesArticleIdContributorsGetRequest
 */
export interface ArticlesApiApiV1ArticlesArticleIdContributorsGetRequest {
    /**
     *
     * @type {string}
     * @memberof ArticlesApiApiV1ArticlesArticleIdContributorsGet
     */
    readonly articleId: string;
    /**
     *
     * @type {string}
     * @memberof ArticlesApiApiV1ArticlesArticleIdContributorsGet
     */
    readonly articleName?: string;
    /**
     *
     * @type {string}
     * @memberof ArticlesApiApiV1ArticlesArticleIdContributorsGet
     */
    readonly contributorId?: string;
    /**
     *
     * @type {string}
     * @memberof ArticlesApiApiV1ArticlesArticleIdContributorsGet
     */
    readonly contributorName?: string;
    /**
     *
     * @type {string}
     * @memberof ArticlesApiApiV1ArticlesArticleIdContributorsGet
     */
    readonly email?: string;
    /**
     *
     * @type {string}
     * @memberof ArticlesApiApiV1ArticlesArticleIdContributorsGet
     */
    readonly website?: string;
    /**
     *
     * @type {ContributionType}
     * @memberof ArticlesApiApiV1ArticlesArticleIdContributorsGet
     */
    readonly contributionType?: ContributionType;
    /**
     *
     * @type {string}
     * @memberof ArticlesApiApiV1ArticlesArticleIdContributorsGet
     */
    readonly languageCode?: string;
    /**
     *
     * @type {boolean}
     * @memberof ArticlesApiApiV1ArticlesArticleIdContributorsGet
     */
    readonly showHidden?: boolean;
    /**
     *
     * @type {number}
     * @memberof ArticlesApiApiV1ArticlesArticleIdContributorsGet
     */
    readonly page?: number;
    /**
     *
     * @type {number}
     * @memberof ArticlesApiApiV1ArticlesArticleIdContributorsGet
     */
    readonly limit?: number;
    /**
     *
     * @type {Date}
     * @memberof ArticlesApiApiV1ArticlesArticleIdContributorsGet
     */
    readonly lastRetrieved?: Date;
}
/**
 * Request parameters for apiV1ArticlesArticleIdContributorsPost operation in ArticlesApi.
 * @export
 * @interface ArticlesApiApiV1ArticlesArticleIdContributorsPostRequest
 */
export interface ArticlesApiApiV1ArticlesArticleIdContributorsPostRequest {
    /**
     *
     * @type {string}
     * @memberof ArticlesApiApiV1ArticlesArticleIdContributorsPost
     */
    readonly articleId: string;
    /**
     *
     * @type {CreateArticleContributorCommand}
     * @memberof ArticlesApiApiV1ArticlesArticleIdContributorsPost
     */
    readonly createArticleContributorCommand?: CreateArticleContributorCommand;
}
/**
 * Request parameters for apiV1ArticlesArticleIdDelete operation in ArticlesApi.
 * @export
 * @interface ArticlesApiApiV1ArticlesArticleIdDeleteRequest
 */
export interface ArticlesApiApiV1ArticlesArticleIdDeleteRequest {
    /**
     *
     * @type {string}
     * @memberof ArticlesApiApiV1ArticlesArticleIdDelete
     */
    readonly articleId: string;
    /**
     *
     * @type {string}
     * @memberof ArticlesApiApiV1ArticlesArticleIdDelete
     */
    readonly languageCode?: string;
    /**
     *
     * @type {boolean}
     * @memberof ArticlesApiApiV1ArticlesArticleIdDelete
     */
    readonly isPermanent?: boolean;
}
/**
 * Request parameters for apiV1ArticlesArticleIdGet operation in ArticlesApi.
 * @export
 * @interface ArticlesApiApiV1ArticlesArticleIdGetRequest
 */
export interface ArticlesApiApiV1ArticlesArticleIdGetRequest {
    /**
     *
     * @type {string}
     * @memberof ArticlesApiApiV1ArticlesArticleIdGet
     */
    readonly articleId: string;
    /**
     *
     * @type {string}
     * @memberof ArticlesApiApiV1ArticlesArticleIdGet
     */
    readonly languageCode?: string;
    /**
     *
     * @type {boolean}
     * @memberof ArticlesApiApiV1ArticlesArticleIdGet
     */
    readonly returnDefaultValue?: boolean;
}
/**
 * Request parameters for apiV1ArticlesArticleIdMediasGet operation in ArticlesApi.
 * @export
 * @interface ArticlesApiApiV1ArticlesArticleIdMediasGetRequest
 */
export interface ArticlesApiApiV1ArticlesArticleIdMediasGetRequest {
    /**
     *
     * @type {string}
     * @memberof ArticlesApiApiV1ArticlesArticleIdMediasGet
     */
    readonly articleId: string;
    /**
     *
     * @type {string}
     * @memberof ArticlesApiApiV1ArticlesArticleIdMediasGet
     */
    readonly id?: string;
    /**
     *
     * @type {MediaType}
     * @memberof ArticlesApiApiV1ArticlesArticleIdMediasGet
     */
    readonly mediaType?: MediaType;
    /**
     *
     * @type {number}
     * @memberof ArticlesApiApiV1ArticlesArticleIdMediasGet
     */
    readonly page?: number;
    /**
     *
     * @type {number}
     * @memberof ArticlesApiApiV1ArticlesArticleIdMediasGet
     */
    readonly limit?: number;
    /**
     *
     * @type {Date}
     * @memberof ArticlesApiApiV1ArticlesArticleIdMediasGet
     */
    readonly lastRetrieved?: Date;
}
/**
 * Request parameters for apiV1ArticlesArticleIdMediasMediaIdDelete operation in ArticlesApi.
 * @export
 * @interface ArticlesApiApiV1ArticlesArticleIdMediasMediaIdDeleteRequest
 */
export interface ArticlesApiApiV1ArticlesArticleIdMediasMediaIdDeleteRequest {
    /**
     *
     * @type {string}
     * @memberof ArticlesApiApiV1ArticlesArticleIdMediasMediaIdDelete
     */
    readonly articleId: string;
    /**
     *
     * @type {string}
     * @memberof ArticlesApiApiV1ArticlesArticleIdMediasMediaIdDelete
     */
    readonly mediaId: string;
}
/**
 * Request parameters for apiV1ArticlesArticleIdMediasMediaIdGet operation in ArticlesApi.
 * @export
 * @interface ArticlesApiApiV1ArticlesArticleIdMediasMediaIdGetRequest
 */
export interface ArticlesApiApiV1ArticlesArticleIdMediasMediaIdGetRequest {
    /**
     *
     * @type {string}
     * @memberof ArticlesApiApiV1ArticlesArticleIdMediasMediaIdGet
     */
    readonly articleId: string;
    /**
     *
     * @type {string}
     * @memberof ArticlesApiApiV1ArticlesArticleIdMediasMediaIdGet
     */
    readonly mediaId: string;
}
/**
 * Request parameters for apiV1ArticlesArticleIdMediasMediaIdPut operation in ArticlesApi.
 * @export
 * @interface ArticlesApiApiV1ArticlesArticleIdMediasMediaIdPutRequest
 */
export interface ArticlesApiApiV1ArticlesArticleIdMediasMediaIdPutRequest {
    /**
     *
     * @type {string}
     * @memberof ArticlesApiApiV1ArticlesArticleIdMediasMediaIdPut
     */
    readonly articleId: string;
    /**
     *
     * @type {string}
     * @memberof ArticlesApiApiV1ArticlesArticleIdMediasMediaIdPut
     */
    readonly mediaId: string;
    /**
     *
     * @type {UpdateMediaCommand}
     * @memberof ArticlesApiApiV1ArticlesArticleIdMediasMediaIdPut
     */
    readonly updateMediaCommand?: UpdateMediaCommand;
}
/**
 * Request parameters for apiV1ArticlesArticleIdMediasPost operation in ArticlesApi.
 * @export
 * @interface ArticlesApiApiV1ArticlesArticleIdMediasPostRequest
 */
export interface ArticlesApiApiV1ArticlesArticleIdMediasPostRequest {
    /**
     *
     * @type {string}
     * @memberof ArticlesApiApiV1ArticlesArticleIdMediasPost
     */
    readonly articleId: string;
    /**
     *
     * @type {CreateMediaCommand}
     * @memberof ArticlesApiApiV1ArticlesArticleIdMediasPost
     */
    readonly createMediaCommand?: CreateMediaCommand;
}
/**
 * Request parameters for apiV1ArticlesArticleIdPut operation in ArticlesApi.
 * @export
 * @interface ArticlesApiApiV1ArticlesArticleIdPutRequest
 */
export interface ArticlesApiApiV1ArticlesArticleIdPutRequest {
    /**
     *
     * @type {string}
     * @memberof ArticlesApiApiV1ArticlesArticleIdPut
     */
    readonly articleId: string;
    /**
     *
     * @type {UpdateArticleCommand}
     * @memberof ArticlesApiApiV1ArticlesArticleIdPut
     */
    readonly updateArticleCommand?: UpdateArticleCommand;
}
/**
 * Request parameters for apiV1ArticlesArticleIdRevalidatePost operation in ArticlesApi.
 * @export
 * @interface ArticlesApiApiV1ArticlesArticleIdRevalidatePostRequest
 */
export interface ArticlesApiApiV1ArticlesArticleIdRevalidatePostRequest {
    /**
     *
     * @type {string}
     * @memberof ArticlesApiApiV1ArticlesArticleIdRevalidatePost
     */
    readonly articleId: string;
    /**
     *
     * @type {boolean}
     * @memberof ArticlesApiApiV1ArticlesArticleIdRevalidatePost
     */
    readonly includeCurrent?: boolean;
}
/**
 * Request parameters for apiV1ArticlesArticleIdSourcesGet operation in ArticlesApi.
 * @export
 * @interface ArticlesApiApiV1ArticlesArticleIdSourcesGetRequest
 */
export interface ArticlesApiApiV1ArticlesArticleIdSourcesGetRequest {
    /**
     *
     * @type {string}
     * @memberof ArticlesApiApiV1ArticlesArticleIdSourcesGet
     */
    readonly articleId: string;
    /**
     *
     * @type {number}
     * @memberof ArticlesApiApiV1ArticlesArticleIdSourcesGet
     */
    readonly page?: number;
    /**
     *
     * @type {number}
     * @memberof ArticlesApiApiV1ArticlesArticleIdSourcesGet
     */
    readonly limit?: number;
    /**
     *
     * @type {Date}
     * @memberof ArticlesApiApiV1ArticlesArticleIdSourcesGet
     */
    readonly lastRetrieved?: Date;
}
/**
 * Request parameters for apiV1ArticlesArticleIdSourcesPost operation in ArticlesApi.
 * @export
 * @interface ArticlesApiApiV1ArticlesArticleIdSourcesPostRequest
 */
export interface ArticlesApiApiV1ArticlesArticleIdSourcesPostRequest {
    /**
     *
     * @type {string}
     * @memberof ArticlesApiApiV1ArticlesArticleIdSourcesPost
     */
    readonly articleId: string;
    /**
     *
     * @type {CreateArticleSourceCommand}
     * @memberof ArticlesApiApiV1ArticlesArticleIdSourcesPost
     */
    readonly createArticleSourceCommand?: CreateArticleSourceCommand;
}
/**
 * Request parameters for apiV1ArticlesArticleIdSourcesSourceIdDelete operation in ArticlesApi.
 * @export
 * @interface ArticlesApiApiV1ArticlesArticleIdSourcesSourceIdDeleteRequest
 */
export interface ArticlesApiApiV1ArticlesArticleIdSourcesSourceIdDeleteRequest {
    /**
     *
     * @type {string}
     * @memberof ArticlesApiApiV1ArticlesArticleIdSourcesSourceIdDelete
     */
    readonly articleId: string;
    /**
     *
     * @type {string}
     * @memberof ArticlesApiApiV1ArticlesArticleIdSourcesSourceIdDelete
     */
    readonly sourceId: string;
}
/**
 * Request parameters for apiV1ArticlesArticleIdSourcesSourceIdGet operation in ArticlesApi.
 * @export
 * @interface ArticlesApiApiV1ArticlesArticleIdSourcesSourceIdGetRequest
 */
export interface ArticlesApiApiV1ArticlesArticleIdSourcesSourceIdGetRequest {
    /**
     *
     * @type {string}
     * @memberof ArticlesApiApiV1ArticlesArticleIdSourcesSourceIdGet
     */
    readonly articleId: string;
    /**
     *
     * @type {string}
     * @memberof ArticlesApiApiV1ArticlesArticleIdSourcesSourceIdGet
     */
    readonly sourceId: string;
}
/**
 * Request parameters for apiV1ArticlesArticleIdSourcesSourceIdPut operation in ArticlesApi.
 * @export
 * @interface ArticlesApiApiV1ArticlesArticleIdSourcesSourceIdPutRequest
 */
export interface ArticlesApiApiV1ArticlesArticleIdSourcesSourceIdPutRequest {
    /**
     *
     * @type {string}
     * @memberof ArticlesApiApiV1ArticlesArticleIdSourcesSourceIdPut
     */
    readonly articleId: string;
    /**
     *
     * @type {string}
     * @memberof ArticlesApiApiV1ArticlesArticleIdSourcesSourceIdPut
     */
    readonly sourceId: string;
    /**
     *
     * @type {UpdateArticleSourceCommand}
     * @memberof ArticlesApiApiV1ArticlesArticleIdSourcesSourceIdPut
     */
    readonly updateArticleSourceCommand?: UpdateArticleSourceCommand;
}
/**
 * Request parameters for apiV1ArticlesArticleIdTagsGet operation in ArticlesApi.
 * @export
 * @interface ArticlesApiApiV1ArticlesArticleIdTagsGetRequest
 */
export interface ArticlesApiApiV1ArticlesArticleIdTagsGetRequest {
    /**
     *
     * @type {string}
     * @memberof ArticlesApiApiV1ArticlesArticleIdTagsGet
     */
    readonly articleId: string;
    /**
     *
     * @type {string}
     * @memberof ArticlesApiApiV1ArticlesArticleIdTagsGet
     */
    readonly tagId?: string;
    /**
     *
     * @type {number}
     * @memberof ArticlesApiApiV1ArticlesArticleIdTagsGet
     */
    readonly page?: number;
    /**
     *
     * @type {number}
     * @memberof ArticlesApiApiV1ArticlesArticleIdTagsGet
     */
    readonly limit?: number;
    /**
     *
     * @type {Date}
     * @memberof ArticlesApiApiV1ArticlesArticleIdTagsGet
     */
    readonly lastRetrieved?: Date;
}
/**
 * Request parameters for apiV1ArticlesArticleIdTagsPost operation in ArticlesApi.
 * @export
 * @interface ArticlesApiApiV1ArticlesArticleIdTagsPostRequest
 */
export interface ArticlesApiApiV1ArticlesArticleIdTagsPostRequest {
    /**
     *
     * @type {string}
     * @memberof ArticlesApiApiV1ArticlesArticleIdTagsPost
     */
    readonly articleId: string;
    /**
     *
     * @type {CreateArticleTagCommand}
     * @memberof ArticlesApiApiV1ArticlesArticleIdTagsPost
     */
    readonly createArticleTagCommand?: CreateArticleTagCommand;
}
/**
 * Request parameters for apiV1ArticlesArticleIdTagsTagIdDelete operation in ArticlesApi.
 * @export
 * @interface ArticlesApiApiV1ArticlesArticleIdTagsTagIdDeleteRequest
 */
export interface ArticlesApiApiV1ArticlesArticleIdTagsTagIdDeleteRequest {
    /**
     *
     * @type {string}
     * @memberof ArticlesApiApiV1ArticlesArticleIdTagsTagIdDelete
     */
    readonly articleId: string;
    /**
     *
     * @type {string}
     * @memberof ArticlesApiApiV1ArticlesArticleIdTagsTagIdDelete
     */
    readonly tagId: string;
}
/**
 * Request parameters for apiV1ArticlesArticleIdTagsTagIdGet operation in ArticlesApi.
 * @export
 * @interface ArticlesApiApiV1ArticlesArticleIdTagsTagIdGetRequest
 */
export interface ArticlesApiApiV1ArticlesArticleIdTagsTagIdGetRequest {
    /**
     *
     * @type {string}
     * @memberof ArticlesApiApiV1ArticlesArticleIdTagsTagIdGet
     */
    readonly articleId: string;
    /**
     *
     * @type {string}
     * @memberof ArticlesApiApiV1ArticlesArticleIdTagsTagIdGet
     */
    readonly tagId: string;
}
/**
 * Request parameters for apiV1ArticlesGet operation in ArticlesApi.
 * @export
 * @interface ArticlesApiApiV1ArticlesGetRequest
 */
export interface ArticlesApiApiV1ArticlesGetRequest {
    /**
     *
     * @type {string}
     * @memberof ArticlesApiApiV1ArticlesGet
     */
    readonly id?: string;
    /**
     *
     * @type {string}
     * @memberof ArticlesApiApiV1ArticlesGet
     */
    readonly name?: string;
    /**
     *
     * @type {string}
     * @memberof ArticlesApiApiV1ArticlesGet
     */
    readonly description?: string;
    /**
     *
     * @type {MarketingType}
     * @memberof ArticlesApiApiV1ArticlesGet
     */
    readonly marketingType?: MarketingType;
    /**
     *
     * @type {string}
     * @memberof ArticlesApiApiV1ArticlesGet
     */
    readonly userId?: string;
    /**
     *
     * @type {string}
     * @memberof ArticlesApiApiV1ArticlesGet
     */
    readonly userName?: string;
    /**
     *
     * @type {string}
     * @memberof ArticlesApiApiV1ArticlesGet
     */
    readonly hospitalId?: string;
    /**
     *
     * @type {string}
     * @memberof ArticlesApiApiV1ArticlesGet
     */
    readonly hospitalName?: string;
    /**
     *
     * @type {string}
     * @memberof ArticlesApiApiV1ArticlesGet
     */
    readonly countryId?: string;
    /**
     *
     * @type {string}
     * @memberof ArticlesApiApiV1ArticlesGet
     */
    readonly tag?: string;
    /**
     *
     * @type {string}
     * @memberof ArticlesApiApiV1ArticlesGet
     */
    readonly exceptArticleId?: string;
    /**
     *
     * @type {string}
     * @memberof ArticlesApiApiV1ArticlesGet
     */
    readonly exceptHospitalId?: string;
    /**
     *
     * @type {string}
     * @memberof ArticlesApiApiV1ArticlesGet
     */
    readonly contributorId?: string;
    /**
     *
     * @type {string}
     * @memberof ArticlesApiApiV1ArticlesGet
     */
    readonly languageCode?: string;
    /**
     *
     * @type {boolean}
     * @memberof ArticlesApiApiV1ArticlesGet
     */
    readonly showHidden?: boolean;
    /**
     *
     * @type {number}
     * @memberof ArticlesApiApiV1ArticlesGet
     */
    readonly page?: number;
    /**
     *
     * @type {number}
     * @memberof ArticlesApiApiV1ArticlesGet
     */
    readonly limit?: number;
    /**
     *
     * @type {Date}
     * @memberof ArticlesApiApiV1ArticlesGet
     */
    readonly lastRetrieved?: Date;
}
/**
 * Request parameters for apiV1ArticlesPost operation in ArticlesApi.
 * @export
 * @interface ArticlesApiApiV1ArticlesPostRequest
 */
export interface ArticlesApiApiV1ArticlesPostRequest {
    /**
     *
     * @type {CreateArticleCommand}
     * @memberof ArticlesApiApiV1ArticlesPost
     */
    readonly createArticleCommand?: CreateArticleCommand;
}
/**
 * Request parameters for apiV1ArticlesSlugGet operation in ArticlesApi.
 * @export
 * @interface ArticlesApiApiV1ArticlesSlugGetRequest
 */
export interface ArticlesApiApiV1ArticlesSlugGetRequest {
    /**
     *
     * @type {string}
     * @memberof ArticlesApiApiV1ArticlesSlugGet
     */
    readonly slug: string;
    /**
     *
     * @type {string}
     * @memberof ArticlesApiApiV1ArticlesSlugGet
     */
    readonly languageCode?: string;
    /**
     *
     * @type {boolean}
     * @memberof ArticlesApiApiV1ArticlesSlugGet
     */
    readonly returnDefaultValue?: boolean;
}
/**
 * ArticlesApi - object-oriented interface
 * @export
 * @class ArticlesApi
 * @extends {BaseAPI}
 */
export declare class ArticlesApi extends BaseAPI {
    /**
     *
     * @summary Delete ArticleContributor.
     * @param {ArticlesApiApiV1ArticlesArticleIdContributorsContributorIdDeleteRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ArticlesApi
     */
    apiV1ArticlesArticleIdContributorsContributorIdDelete(requestParameters: ArticlesApiApiV1ArticlesArticleIdContributorsContributorIdDeleteRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<boolean, any>>;
    /**
     *
     * @summary Get ArticleContributor.
     * @param {ArticlesApiApiV1ArticlesArticleIdContributorsContributorIdGetRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ArticlesApi
     */
    apiV1ArticlesArticleIdContributorsContributorIdGet(requestParameters: ArticlesApiApiV1ArticlesArticleIdContributorsContributorIdGetRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<ArticleContributorModel, any>>;
    /**
     *
     * @summary Update ArticleContributor.
     * @param {ArticlesApiApiV1ArticlesArticleIdContributorsContributorIdPutRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ArticlesApi
     */
    apiV1ArticlesArticleIdContributorsContributorIdPut(requestParameters: ArticlesApiApiV1ArticlesArticleIdContributorsContributorIdPutRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<ArticleContributorModel, any>>;
    /**
     *
     * @summary GetAll ArticleContributors.
     * @param {ArticlesApiApiV1ArticlesArticleIdContributorsGetRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ArticlesApi
     */
    apiV1ArticlesArticleIdContributorsGet(requestParameters: ArticlesApiApiV1ArticlesArticleIdContributorsGetRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<ArticleContributorsModel, any>>;
    /**
     *
     * @summary Create ArticleContributor.
     * @param {ArticlesApiApiV1ArticlesArticleIdContributorsPostRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ArticlesApi
     */
    apiV1ArticlesArticleIdContributorsPost(requestParameters: ArticlesApiApiV1ArticlesArticleIdContributorsPostRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<ArticleContributorModel, any>>;
    /**
     *
     * @summary Delete Article.
     * @param {ArticlesApiApiV1ArticlesArticleIdDeleteRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ArticlesApi
     */
    apiV1ArticlesArticleIdDelete(requestParameters: ArticlesApiApiV1ArticlesArticleIdDeleteRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<boolean, any>>;
    /**
     *
     * @summary Get Article.
     * @param {ArticlesApiApiV1ArticlesArticleIdGetRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ArticlesApi
     */
    apiV1ArticlesArticleIdGet(requestParameters: ArticlesApiApiV1ArticlesArticleIdGetRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<ArticleModel, any>>;
    /**
     *
     * @summary Get all ArticleMedias.
     * @param {ArticlesApiApiV1ArticlesArticleIdMediasGetRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ArticlesApi
     */
    apiV1ArticlesArticleIdMediasGet(requestParameters: ArticlesApiApiV1ArticlesArticleIdMediasGetRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<MediasModel, any>>;
    /**
     *
     * @summary Delete ArticleMedia
     * @param {ArticlesApiApiV1ArticlesArticleIdMediasMediaIdDeleteRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ArticlesApi
     */
    apiV1ArticlesArticleIdMediasMediaIdDelete(requestParameters: ArticlesApiApiV1ArticlesArticleIdMediasMediaIdDeleteRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<boolean, any>>;
    /**
     *
     * @summary Get ArticleMedia.
     * @param {ArticlesApiApiV1ArticlesArticleIdMediasMediaIdGetRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ArticlesApi
     */
    apiV1ArticlesArticleIdMediasMediaIdGet(requestParameters: ArticlesApiApiV1ArticlesArticleIdMediasMediaIdGetRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<MediaModel, any>>;
    /**
     *
     * @summary Update ArticleMedia.
     * @param {ArticlesApiApiV1ArticlesArticleIdMediasMediaIdPutRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ArticlesApi
     */
    apiV1ArticlesArticleIdMediasMediaIdPut(requestParameters: ArticlesApiApiV1ArticlesArticleIdMediasMediaIdPutRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<MediaModel, any>>;
    /**
     *
     * @summary Create ArticleMedia.
     * @param {ArticlesApiApiV1ArticlesArticleIdMediasPostRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ArticlesApi
     */
    apiV1ArticlesArticleIdMediasPost(requestParameters: ArticlesApiApiV1ArticlesArticleIdMediasPostRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<MediaModel, any>>;
    /**
     *
     * @summary Update Article.
     * @param {ArticlesApiApiV1ArticlesArticleIdPutRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ArticlesApi
     */
    apiV1ArticlesArticleIdPut(requestParameters: ArticlesApiApiV1ArticlesArticleIdPutRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<ArticleModel, any>>;
    /**
     *
     * @summary Revalidate article
     * @param {ArticlesApiApiV1ArticlesArticleIdRevalidatePostRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ArticlesApi
     */
    apiV1ArticlesArticleIdRevalidatePost(requestParameters: ArticlesApiApiV1ArticlesArticleIdRevalidatePostRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<boolean, any>>;
    /**
     *
     * @summary Get all ArticleSource.
     * @param {ArticlesApiApiV1ArticlesArticleIdSourcesGetRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ArticlesApi
     */
    apiV1ArticlesArticleIdSourcesGet(requestParameters: ArticlesApiApiV1ArticlesArticleIdSourcesGetRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<ArticleSourcesModel, any>>;
    /**
     *
     * @summary Create ArticleSource.
     * @param {ArticlesApiApiV1ArticlesArticleIdSourcesPostRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ArticlesApi
     */
    apiV1ArticlesArticleIdSourcesPost(requestParameters: ArticlesApiApiV1ArticlesArticleIdSourcesPostRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<SourceModel, any>>;
    /**
     *
     * @summary Delete ArticleSource.
     * @param {ArticlesApiApiV1ArticlesArticleIdSourcesSourceIdDeleteRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ArticlesApi
     */
    apiV1ArticlesArticleIdSourcesSourceIdDelete(requestParameters: ArticlesApiApiV1ArticlesArticleIdSourcesSourceIdDeleteRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<boolean, any>>;
    /**
     *
     * @summary Get ArticleSource.
     * @param {ArticlesApiApiV1ArticlesArticleIdSourcesSourceIdGetRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ArticlesApi
     */
    apiV1ArticlesArticleIdSourcesSourceIdGet(requestParameters: ArticlesApiApiV1ArticlesArticleIdSourcesSourceIdGetRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<SourceModel, any>>;
    /**
     *
     * @summary Update ArticleSource.
     * @param {ArticlesApiApiV1ArticlesArticleIdSourcesSourceIdPutRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ArticlesApi
     */
    apiV1ArticlesArticleIdSourcesSourceIdPut(requestParameters: ArticlesApiApiV1ArticlesArticleIdSourcesSourceIdPutRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<SourceModel, any>>;
    /**
     *
     * @summary GetAll ArticleTags.
     * @param {ArticlesApiApiV1ArticlesArticleIdTagsGetRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ArticlesApi
     */
    apiV1ArticlesArticleIdTagsGet(requestParameters: ArticlesApiApiV1ArticlesArticleIdTagsGetRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<ArticleTagsModel, any>>;
    /**
     *
     * @summary Create ArticleTag.
     * @param {ArticlesApiApiV1ArticlesArticleIdTagsPostRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ArticlesApi
     */
    apiV1ArticlesArticleIdTagsPost(requestParameters: ArticlesApiApiV1ArticlesArticleIdTagsPostRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<ArticleTagModel, any>>;
    /**
     *
     * @summary Delete ArticleTag.
     * @param {ArticlesApiApiV1ArticlesArticleIdTagsTagIdDeleteRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ArticlesApi
     */
    apiV1ArticlesArticleIdTagsTagIdDelete(requestParameters: ArticlesApiApiV1ArticlesArticleIdTagsTagIdDeleteRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<boolean, any>>;
    /**
     *
     * @summary Get ArticleTag.
     * @param {ArticlesApiApiV1ArticlesArticleIdTagsTagIdGetRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ArticlesApi
     */
    apiV1ArticlesArticleIdTagsTagIdGet(requestParameters: ArticlesApiApiV1ArticlesArticleIdTagsTagIdGetRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<ArticleTagModel, any>>;
    /**
     *
     * @summary Get all Articles.
     * @param {ArticlesApiApiV1ArticlesGetRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ArticlesApi
     */
    apiV1ArticlesGet(requestParameters?: ArticlesApiApiV1ArticlesGetRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<ArticlesModel, any>>;
    /**
     *
     * @summary Create a Article.
     * @param {ArticlesApiApiV1ArticlesPostRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ArticlesApi
     */
    apiV1ArticlesPost(requestParameters?: ArticlesApiApiV1ArticlesPostRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<ArticleModel, any>>;
    /**
     *
     * @summary Get Article by slug.
     * @param {ArticlesApiApiV1ArticlesSlugGetRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ArticlesApi
     */
    apiV1ArticlesSlugGet(requestParameters: ArticlesApiApiV1ArticlesSlugGetRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<ArticleModel, any>>;
}
//# sourceMappingURL=articles-api.d.ts.map