/**
 * CloudHospital Admin Api
 * CloudHospital application with Swagger, Swashbuckle, and API versioning.
 *
 * The version of the OpenAPI document: 1
 * Contact: developer@icloudhospital.com
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
import { AxiosPromise, AxiosInstance, AxiosRequestConfig } from 'axios';
import { Configuration } from '../configuration';
import { RequestArgs, BaseAPI } from '../base';
import { HeaderNavigationItemModel } from '../models';
import { SaveHeaderNavigationsCommand } from '../models';
/**
 * HeaderNavigationsApi - axios parameter creator
 * @export
 */
export declare const HeaderNavigationsApiAxiosParamCreator: (configuration?: Configuration) => {
    /**
     *
     * @summary Get all HeaderNavigationItems
     * @param {string} languageCode
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1HeadernavigationsLanguageCodeGet: (languageCode: string, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Delete HeaderNavigationItem
     * @param {string} languageCode
     * @param {string} id
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1HeadernavigationsLanguageCodeIdDelete: (languageCode: string, id: string, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Get HeaderNavigationItem by id
     * @param {string} languageCode
     * @param {string} id
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1HeadernavigationsLanguageCodeIdGet: (languageCode: string, id: string, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Get HeaderNavigationItems by parent id
     * @param {string} languageCode
     * @param {string} parentId
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1HeadernavigationsLanguageCodeParentIdSubitemsGet: (languageCode: string, parentId: string, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Save HeaderNavigationItem
     * @param {string} languageCode
     * @param {SaveHeaderNavigationsCommand} [saveHeaderNavigationsCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1HeadernavigationsLanguageCodePost: (languageCode: string, saveHeaderNavigationsCommand?: SaveHeaderNavigationsCommand, options?: AxiosRequestConfig) => Promise<RequestArgs>;
};
/**
 * HeaderNavigationsApi - functional programming interface
 * @export
 */
export declare const HeaderNavigationsApiFp: (configuration?: Configuration) => {
    /**
     *
     * @summary Get all HeaderNavigationItems
     * @param {string} languageCode
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1HeadernavigationsLanguageCodeGet(languageCode: string, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<Array<HeaderNavigationItemModel>>>;
    /**
     *
     * @summary Delete HeaderNavigationItem
     * @param {string} languageCode
     * @param {string} id
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1HeadernavigationsLanguageCodeIdDelete(languageCode: string, id: string, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<boolean>>;
    /**
     *
     * @summary Get HeaderNavigationItem by id
     * @param {string} languageCode
     * @param {string} id
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1HeadernavigationsLanguageCodeIdGet(languageCode: string, id: string, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<HeaderNavigationItemModel>>;
    /**
     *
     * @summary Get HeaderNavigationItems by parent id
     * @param {string} languageCode
     * @param {string} parentId
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1HeadernavigationsLanguageCodeParentIdSubitemsGet(languageCode: string, parentId: string, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<Array<HeaderNavigationItemModel>>>;
    /**
     *
     * @summary Save HeaderNavigationItem
     * @param {string} languageCode
     * @param {SaveHeaderNavigationsCommand} [saveHeaderNavigationsCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1HeadernavigationsLanguageCodePost(languageCode: string, saveHeaderNavigationsCommand?: SaveHeaderNavigationsCommand, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<HeaderNavigationItemModel>>;
};
/**
 * HeaderNavigationsApi - factory interface
 * @export
 */
export declare const HeaderNavigationsApiFactory: (configuration?: Configuration, basePath?: string, axios?: AxiosInstance) => {
    /**
     *
     * @summary Get all HeaderNavigationItems
     * @param {string} languageCode
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1HeadernavigationsLanguageCodeGet(languageCode: string, options?: any): AxiosPromise<Array<HeaderNavigationItemModel>>;
    /**
     *
     * @summary Delete HeaderNavigationItem
     * @param {string} languageCode
     * @param {string} id
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1HeadernavigationsLanguageCodeIdDelete(languageCode: string, id: string, options?: any): AxiosPromise<boolean>;
    /**
     *
     * @summary Get HeaderNavigationItem by id
     * @param {string} languageCode
     * @param {string} id
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1HeadernavigationsLanguageCodeIdGet(languageCode: string, id: string, options?: any): AxiosPromise<HeaderNavigationItemModel>;
    /**
     *
     * @summary Get HeaderNavigationItems by parent id
     * @param {string} languageCode
     * @param {string} parentId
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1HeadernavigationsLanguageCodeParentIdSubitemsGet(languageCode: string, parentId: string, options?: any): AxiosPromise<Array<HeaderNavigationItemModel>>;
    /**
     *
     * @summary Save HeaderNavigationItem
     * @param {string} languageCode
     * @param {SaveHeaderNavigationsCommand} [saveHeaderNavigationsCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1HeadernavigationsLanguageCodePost(languageCode: string, saveHeaderNavigationsCommand?: SaveHeaderNavigationsCommand, options?: any): AxiosPromise<HeaderNavigationItemModel>;
};
/**
 * Request parameters for apiV1HeadernavigationsLanguageCodeGet operation in HeaderNavigationsApi.
 * @export
 * @interface HeaderNavigationsApiApiV1HeadernavigationsLanguageCodeGetRequest
 */
export interface HeaderNavigationsApiApiV1HeadernavigationsLanguageCodeGetRequest {
    /**
     *
     * @type {string}
     * @memberof HeaderNavigationsApiApiV1HeadernavigationsLanguageCodeGet
     */
    readonly languageCode: string;
}
/**
 * Request parameters for apiV1HeadernavigationsLanguageCodeIdDelete operation in HeaderNavigationsApi.
 * @export
 * @interface HeaderNavigationsApiApiV1HeadernavigationsLanguageCodeIdDeleteRequest
 */
export interface HeaderNavigationsApiApiV1HeadernavigationsLanguageCodeIdDeleteRequest {
    /**
     *
     * @type {string}
     * @memberof HeaderNavigationsApiApiV1HeadernavigationsLanguageCodeIdDelete
     */
    readonly languageCode: string;
    /**
     *
     * @type {string}
     * @memberof HeaderNavigationsApiApiV1HeadernavigationsLanguageCodeIdDelete
     */
    readonly id: string;
}
/**
 * Request parameters for apiV1HeadernavigationsLanguageCodeIdGet operation in HeaderNavigationsApi.
 * @export
 * @interface HeaderNavigationsApiApiV1HeadernavigationsLanguageCodeIdGetRequest
 */
export interface HeaderNavigationsApiApiV1HeadernavigationsLanguageCodeIdGetRequest {
    /**
     *
     * @type {string}
     * @memberof HeaderNavigationsApiApiV1HeadernavigationsLanguageCodeIdGet
     */
    readonly languageCode: string;
    /**
     *
     * @type {string}
     * @memberof HeaderNavigationsApiApiV1HeadernavigationsLanguageCodeIdGet
     */
    readonly id: string;
}
/**
 * Request parameters for apiV1HeadernavigationsLanguageCodeParentIdSubitemsGet operation in HeaderNavigationsApi.
 * @export
 * @interface HeaderNavigationsApiApiV1HeadernavigationsLanguageCodeParentIdSubitemsGetRequest
 */
export interface HeaderNavigationsApiApiV1HeadernavigationsLanguageCodeParentIdSubitemsGetRequest {
    /**
     *
     * @type {string}
     * @memberof HeaderNavigationsApiApiV1HeadernavigationsLanguageCodeParentIdSubitemsGet
     */
    readonly languageCode: string;
    /**
     *
     * @type {string}
     * @memberof HeaderNavigationsApiApiV1HeadernavigationsLanguageCodeParentIdSubitemsGet
     */
    readonly parentId: string;
}
/**
 * Request parameters for apiV1HeadernavigationsLanguageCodePost operation in HeaderNavigationsApi.
 * @export
 * @interface HeaderNavigationsApiApiV1HeadernavigationsLanguageCodePostRequest
 */
export interface HeaderNavigationsApiApiV1HeadernavigationsLanguageCodePostRequest {
    /**
     *
     * @type {string}
     * @memberof HeaderNavigationsApiApiV1HeadernavigationsLanguageCodePost
     */
    readonly languageCode: string;
    /**
     *
     * @type {SaveHeaderNavigationsCommand}
     * @memberof HeaderNavigationsApiApiV1HeadernavigationsLanguageCodePost
     */
    readonly saveHeaderNavigationsCommand?: SaveHeaderNavigationsCommand;
}
/**
 * HeaderNavigationsApi - object-oriented interface
 * @export
 * @class HeaderNavigationsApi
 * @extends {BaseAPI}
 */
export declare class HeaderNavigationsApi extends BaseAPI {
    /**
     *
     * @summary Get all HeaderNavigationItems
     * @param {HeaderNavigationsApiApiV1HeadernavigationsLanguageCodeGetRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof HeaderNavigationsApi
     */
    apiV1HeadernavigationsLanguageCodeGet(requestParameters: HeaderNavigationsApiApiV1HeadernavigationsLanguageCodeGetRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<HeaderNavigationItemModel[], any>>;
    /**
     *
     * @summary Delete HeaderNavigationItem
     * @param {HeaderNavigationsApiApiV1HeadernavigationsLanguageCodeIdDeleteRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof HeaderNavigationsApi
     */
    apiV1HeadernavigationsLanguageCodeIdDelete(requestParameters: HeaderNavigationsApiApiV1HeadernavigationsLanguageCodeIdDeleteRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<boolean, any>>;
    /**
     *
     * @summary Get HeaderNavigationItem by id
     * @param {HeaderNavigationsApiApiV1HeadernavigationsLanguageCodeIdGetRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof HeaderNavigationsApi
     */
    apiV1HeadernavigationsLanguageCodeIdGet(requestParameters: HeaderNavigationsApiApiV1HeadernavigationsLanguageCodeIdGetRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<HeaderNavigationItemModel, any>>;
    /**
     *
     * @summary Get HeaderNavigationItems by parent id
     * @param {HeaderNavigationsApiApiV1HeadernavigationsLanguageCodeParentIdSubitemsGetRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof HeaderNavigationsApi
     */
    apiV1HeadernavigationsLanguageCodeParentIdSubitemsGet(requestParameters: HeaderNavigationsApiApiV1HeadernavigationsLanguageCodeParentIdSubitemsGetRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<HeaderNavigationItemModel[], any>>;
    /**
     *
     * @summary Save HeaderNavigationItem
     * @param {HeaderNavigationsApiApiV1HeadernavigationsLanguageCodePostRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof HeaderNavigationsApi
     */
    apiV1HeadernavigationsLanguageCodePost(requestParameters: HeaderNavigationsApiApiV1HeadernavigationsLanguageCodePostRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<HeaderNavigationItemModel, any>>;
}
//# sourceMappingURL=header-navigations-api.d.ts.map