/**
 * CloudHospital Admin Api
 * CloudHospital application with Swagger, Swashbuckle, and API versioning.
 *
 * The version of the OpenAPI document: 1
 * Contact: developer@icloudhospital.com
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
import { AxiosPromise, AxiosInstance, AxiosRequestConfig } from 'axios';
import { Configuration } from '../configuration';
import { RequestArgs, BaseAPI } from '../base';
import { MembersModel } from '../models';
import { MembershipModel } from '../models';
import { MembershipsModel } from '../models';
/**
 * MembershipsApi - axios parameter creator
 * @export
 */
export declare const MembershipsApiAxiosParamCreator: (configuration?: Configuration) => {
    /**
     *
     * @summary Get all memberships.
     * @param {string} [id]
     * @param {string} [planId]
     * @param {string} [planName]
     * @param {string} [ownerId]
     * @param {string} [ownerName]
     * @param {boolean} [isActive]
     * @param {number} [page]
     * @param {number} [limit]
     * @param {Date} [lastRetrieved]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1MembershipsGet: (id?: string, planId?: string, planName?: string, ownerId?: string, ownerName?: string, isActive?: boolean, page?: number, limit?: number, lastRetrieved?: Date, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Get membership.
     * @param {string} membershipId
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1MembershipsMembershipIdGet: (membershipId: string, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Get all members.
     * @param {string} membershipId
     * @param {number} [page]
     * @param {number} [limit]
     * @param {Date} [lastRetrieved]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1MembershipsMembershipIdMembersGet: (membershipId: string, page?: number, limit?: number, lastRetrieved?: Date, options?: AxiosRequestConfig) => Promise<RequestArgs>;
};
/**
 * MembershipsApi - functional programming interface
 * @export
 */
export declare const MembershipsApiFp: (configuration?: Configuration) => {
    /**
     *
     * @summary Get all memberships.
     * @param {string} [id]
     * @param {string} [planId]
     * @param {string} [planName]
     * @param {string} [ownerId]
     * @param {string} [ownerName]
     * @param {boolean} [isActive]
     * @param {number} [page]
     * @param {number} [limit]
     * @param {Date} [lastRetrieved]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1MembershipsGet(id?: string, planId?: string, planName?: string, ownerId?: string, ownerName?: string, isActive?: boolean, page?: number, limit?: number, lastRetrieved?: Date, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<MembershipsModel>>;
    /**
     *
     * @summary Get membership.
     * @param {string} membershipId
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1MembershipsMembershipIdGet(membershipId: string, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<MembershipModel>>;
    /**
     *
     * @summary Get all members.
     * @param {string} membershipId
     * @param {number} [page]
     * @param {number} [limit]
     * @param {Date} [lastRetrieved]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1MembershipsMembershipIdMembersGet(membershipId: string, page?: number, limit?: number, lastRetrieved?: Date, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<MembersModel>>;
};
/**
 * MembershipsApi - factory interface
 * @export
 */
export declare const MembershipsApiFactory: (configuration?: Configuration, basePath?: string, axios?: AxiosInstance) => {
    /**
     *
     * @summary Get all memberships.
     * @param {string} [id]
     * @param {string} [planId]
     * @param {string} [planName]
     * @param {string} [ownerId]
     * @param {string} [ownerName]
     * @param {boolean} [isActive]
     * @param {number} [page]
     * @param {number} [limit]
     * @param {Date} [lastRetrieved]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1MembershipsGet(id?: string, planId?: string, planName?: string, ownerId?: string, ownerName?: string, isActive?: boolean, page?: number, limit?: number, lastRetrieved?: Date, options?: any): AxiosPromise<MembershipsModel>;
    /**
     *
     * @summary Get membership.
     * @param {string} membershipId
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1MembershipsMembershipIdGet(membershipId: string, options?: any): AxiosPromise<MembershipModel>;
    /**
     *
     * @summary Get all members.
     * @param {string} membershipId
     * @param {number} [page]
     * @param {number} [limit]
     * @param {Date} [lastRetrieved]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1MembershipsMembershipIdMembersGet(membershipId: string, page?: number, limit?: number, lastRetrieved?: Date, options?: any): AxiosPromise<MembersModel>;
};
/**
 * Request parameters for apiV1MembershipsGet operation in MembershipsApi.
 * @export
 * @interface MembershipsApiApiV1MembershipsGetRequest
 */
export interface MembershipsApiApiV1MembershipsGetRequest {
    /**
     *
     * @type {string}
     * @memberof MembershipsApiApiV1MembershipsGet
     */
    readonly id?: string;
    /**
     *
     * @type {string}
     * @memberof MembershipsApiApiV1MembershipsGet
     */
    readonly planId?: string;
    /**
     *
     * @type {string}
     * @memberof MembershipsApiApiV1MembershipsGet
     */
    readonly planName?: string;
    /**
     *
     * @type {string}
     * @memberof MembershipsApiApiV1MembershipsGet
     */
    readonly ownerId?: string;
    /**
     *
     * @type {string}
     * @memberof MembershipsApiApiV1MembershipsGet
     */
    readonly ownerName?: string;
    /**
     *
     * @type {boolean}
     * @memberof MembershipsApiApiV1MembershipsGet
     */
    readonly isActive?: boolean;
    /**
     *
     * @type {number}
     * @memberof MembershipsApiApiV1MembershipsGet
     */
    readonly page?: number;
    /**
     *
     * @type {number}
     * @memberof MembershipsApiApiV1MembershipsGet
     */
    readonly limit?: number;
    /**
     *
     * @type {Date}
     * @memberof MembershipsApiApiV1MembershipsGet
     */
    readonly lastRetrieved?: Date;
}
/**
 * Request parameters for apiV1MembershipsMembershipIdGet operation in MembershipsApi.
 * @export
 * @interface MembershipsApiApiV1MembershipsMembershipIdGetRequest
 */
export interface MembershipsApiApiV1MembershipsMembershipIdGetRequest {
    /**
     *
     * @type {string}
     * @memberof MembershipsApiApiV1MembershipsMembershipIdGet
     */
    readonly membershipId: string;
}
/**
 * Request parameters for apiV1MembershipsMembershipIdMembersGet operation in MembershipsApi.
 * @export
 * @interface MembershipsApiApiV1MembershipsMembershipIdMembersGetRequest
 */
export interface MembershipsApiApiV1MembershipsMembershipIdMembersGetRequest {
    /**
     *
     * @type {string}
     * @memberof MembershipsApiApiV1MembershipsMembershipIdMembersGet
     */
    readonly membershipId: string;
    /**
     *
     * @type {number}
     * @memberof MembershipsApiApiV1MembershipsMembershipIdMembersGet
     */
    readonly page?: number;
    /**
     *
     * @type {number}
     * @memberof MembershipsApiApiV1MembershipsMembershipIdMembersGet
     */
    readonly limit?: number;
    /**
     *
     * @type {Date}
     * @memberof MembershipsApiApiV1MembershipsMembershipIdMembersGet
     */
    readonly lastRetrieved?: Date;
}
/**
 * MembershipsApi - object-oriented interface
 * @export
 * @class MembershipsApi
 * @extends {BaseAPI}
 */
export declare class MembershipsApi extends BaseAPI {
    /**
     *
     * @summary Get all memberships.
     * @param {MembershipsApiApiV1MembershipsGetRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof MembershipsApi
     */
    apiV1MembershipsGet(requestParameters?: MembershipsApiApiV1MembershipsGetRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<MembershipsModel, any>>;
    /**
     *
     * @summary Get membership.
     * @param {MembershipsApiApiV1MembershipsMembershipIdGetRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof MembershipsApi
     */
    apiV1MembershipsMembershipIdGet(requestParameters: MembershipsApiApiV1MembershipsMembershipIdGetRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<MembershipModel, any>>;
    /**
     *
     * @summary Get all members.
     * @param {MembershipsApiApiV1MembershipsMembershipIdMembersGetRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof MembershipsApi
     */
    apiV1MembershipsMembershipIdMembersGet(requestParameters: MembershipsApiApiV1MembershipsMembershipIdMembersGetRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<MembersModel, any>>;
}
//# sourceMappingURL=memberships-api.d.ts.map