/**
 * CloudHospital Admin Api
 * CloudHospital application with Swagger, Swashbuckle, and API versioning.
 *
 * The version of the OpenAPI document: 1
 * Contact: developer@icloudhospital.com
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
import { AxiosPromise, AxiosInstance, AxiosRequestConfig } from 'axios';
import { Configuration } from '../configuration';
import { RequestArgs, BaseAPI } from '../base';
import { CreateMediaCommand } from '../models';
import { CreateSpecialtyTypeCommand } from '../models';
import { MarketingType } from '../models';
import { MediaModel } from '../models';
import { MediaType } from '../models';
import { MediasModel } from '../models';
import { SpecialtyTypeModel } from '../models';
import { SpecialtyTypesModel } from '../models';
import { SpecialtyTypesSimpleModel } from '../models';
import { TranslateSpecialtyTypeCommand } from '../models';
import { UpdateMediaCommand } from '../models';
import { UpdateSpecialtyTypeCommand } from '../models';
/**
 * SpecialtyTypesApi - axios parameter creator
 * @export
 */
export declare const SpecialtyTypesApiAxiosParamCreator: (configuration?: Configuration) => {
    /**
     *
     * @summary Get all Departments.
     * @param {string} [id]
     * @param {string} [name]
     * @param {string} [description]
     * @param {MarketingType} [marketingType]
     * @param {string} [hospitalId]
     * @param {Date} [created]
     * @param {Array<string>} [ids]
     * @param {string} [specialtyTypeCategoryId]
     * @param {string} [languageCode]
     * @param {boolean} [showHidden]
     * @param {boolean} [returnDefaultValue]
     * @param {number} [page]
     * @param {number} [limit]
     * @param {Date} [lastRetrieved]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1SpecialtytypesGet: (id?: string, name?: string, description?: string, marketingType?: MarketingType, hospitalId?: string, created?: Date, ids?: Array<string>, specialtyTypeCategoryId?: string, languageCode?: string, showHidden?: boolean, returnDefaultValue?: boolean, page?: number, limit?: number, lastRetrieved?: Date, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Create a Department.
     * @param {CreateSpecialtyTypeCommand} [createSpecialtyTypeCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1SpecialtytypesPost: (createSpecialtyTypeCommand?: CreateSpecialtyTypeCommand, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Get all Hospitals.
     * @param {string} [id]
     * @param {string} [name]
     * @param {string} [description]
     * @param {MarketingType} [marketingType]
     * @param {string} [hospitalId]
     * @param {Date} [created]
     * @param {Array<string>} [ids]
     * @param {string} [specialtyTypeCategoryId]
     * @param {string} [languageCode]
     * @param {boolean} [showHidden]
     * @param {boolean} [returnDefaultValue]
     * @param {number} [page]
     * @param {number} [limit]
     * @param {Date} [lastRetrieved]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1SpecialtytypesSimpleGet: (id?: string, name?: string, description?: string, marketingType?: MarketingType, hospitalId?: string, created?: Date, ids?: Array<string>, specialtyTypeCategoryId?: string, languageCode?: string, showHidden?: boolean, returnDefaultValue?: boolean, page?: number, limit?: number, lastRetrieved?: Date, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary
     * @param {string} slug
     * @param {string} [languageCode]
     * @param {boolean} [returnDefaultValue]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1SpecialtytypesSlugGet: (slug: string, languageCode?: string, returnDefaultValue?: boolean, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Delete Department.
     * @param {string} specialtyTypeId
     * @param {boolean} [isPermanent]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1SpecialtytypesSpecialtyTypeIdDelete: (specialtyTypeId: string, isPermanent?: boolean, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary
     * @param {string} specialtyTypeId
     * @param {string} [languageCode]
     * @param {boolean} [returnDefaultValue]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1SpecialtytypesSpecialtyTypeIdGet: (specialtyTypeId: string, languageCode?: string, returnDefaultValue?: boolean, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Get all SpecialtyTypeMedias.
     * @param {string} specialtyTypeId
     * @param {string} [id]
     * @param {MediaType} [mediaType]
     * @param {number} [page]
     * @param {number} [limit]
     * @param {Date} [lastRetrieved]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1SpecialtytypesSpecialtyTypeIdMediasGet: (specialtyTypeId: string, id?: string, mediaType?: MediaType, page?: number, limit?: number, lastRetrieved?: Date, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Delete SpecialtyTypeMedia
     * @param {string} specialtyTypeId
     * @param {string} mediaId
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1SpecialtytypesSpecialtyTypeIdMediasMediaIdDelete: (specialtyTypeId: string, mediaId: string, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Get SpecialtyTypeMedia.
     * @param {string} specialtyTypeId
     * @param {string} mediaId
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1SpecialtytypesSpecialtyTypeIdMediasMediaIdGet: (specialtyTypeId: string, mediaId: string, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Update SpecialtyTypeMedia.
     * @param {string} specialtyTypeId
     * @param {string} mediaId
     * @param {UpdateMediaCommand} [updateMediaCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1SpecialtytypesSpecialtyTypeIdMediasMediaIdPut: (specialtyTypeId: string, mediaId: string, updateMediaCommand?: UpdateMediaCommand, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Create SpecialtyTypeMedia.
     * @param {string} specialtyTypeId
     * @param {CreateMediaCommand} [createMediaCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1SpecialtytypesSpecialtyTypeIdMediasPost: (specialtyTypeId: string, createMediaCommand?: CreateMediaCommand, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Update Department.
     * @param {string} specialtyTypeId
     * @param {UpdateSpecialtyTypeCommand} [updateSpecialtyTypeCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1SpecialtytypesSpecialtyTypeIdPut: (specialtyTypeId: string, updateSpecialtyTypeCommand?: UpdateSpecialtyTypeCommand, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Reactivate Department (SpecialtyType).
     * @param {string} specialtyTypeId
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1SpecialtytypesSpecialtyTypeIdReactivatePut: (specialtyTypeId: string, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Revalidate specialtyType
     * @param {string} specialtyTypeId
     * @param {boolean} [includeCurrent]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1SpecialtytypesSpecialtyTypeIdRevalidatePost: (specialtyTypeId: string, includeCurrent?: boolean, options?: AxiosRequestConfig) => Promise<RequestArgs>;
    /**
     *
     * @summary Translate speciatyType
     * @param {string} specialtyTypeId
     * @param {TranslateSpecialtyTypeCommand} [translateSpecialtyTypeCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1SpecialtytypesSpecialtyTypeIdTranslatePost: (specialtyTypeId: string, translateSpecialtyTypeCommand?: TranslateSpecialtyTypeCommand, options?: AxiosRequestConfig) => Promise<RequestArgs>;
};
/**
 * SpecialtyTypesApi - functional programming interface
 * @export
 */
export declare const SpecialtyTypesApiFp: (configuration?: Configuration) => {
    /**
     *
     * @summary Get all Departments.
     * @param {string} [id]
     * @param {string} [name]
     * @param {string} [description]
     * @param {MarketingType} [marketingType]
     * @param {string} [hospitalId]
     * @param {Date} [created]
     * @param {Array<string>} [ids]
     * @param {string} [specialtyTypeCategoryId]
     * @param {string} [languageCode]
     * @param {boolean} [showHidden]
     * @param {boolean} [returnDefaultValue]
     * @param {number} [page]
     * @param {number} [limit]
     * @param {Date} [lastRetrieved]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1SpecialtytypesGet(id?: string, name?: string, description?: string, marketingType?: MarketingType, hospitalId?: string, created?: Date, ids?: Array<string>, specialtyTypeCategoryId?: string, languageCode?: string, showHidden?: boolean, returnDefaultValue?: boolean, page?: number, limit?: number, lastRetrieved?: Date, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<SpecialtyTypesModel>>;
    /**
     *
     * @summary Create a Department.
     * @param {CreateSpecialtyTypeCommand} [createSpecialtyTypeCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1SpecialtytypesPost(createSpecialtyTypeCommand?: CreateSpecialtyTypeCommand, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<SpecialtyTypeModel>>;
    /**
     *
     * @summary Get all Hospitals.
     * @param {string} [id]
     * @param {string} [name]
     * @param {string} [description]
     * @param {MarketingType} [marketingType]
     * @param {string} [hospitalId]
     * @param {Date} [created]
     * @param {Array<string>} [ids]
     * @param {string} [specialtyTypeCategoryId]
     * @param {string} [languageCode]
     * @param {boolean} [showHidden]
     * @param {boolean} [returnDefaultValue]
     * @param {number} [page]
     * @param {number} [limit]
     * @param {Date} [lastRetrieved]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1SpecialtytypesSimpleGet(id?: string, name?: string, description?: string, marketingType?: MarketingType, hospitalId?: string, created?: Date, ids?: Array<string>, specialtyTypeCategoryId?: string, languageCode?: string, showHidden?: boolean, returnDefaultValue?: boolean, page?: number, limit?: number, lastRetrieved?: Date, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<SpecialtyTypesSimpleModel>>;
    /**
     *
     * @summary
     * @param {string} slug
     * @param {string} [languageCode]
     * @param {boolean} [returnDefaultValue]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1SpecialtytypesSlugGet(slug: string, languageCode?: string, returnDefaultValue?: boolean, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<SpecialtyTypeModel>>;
    /**
     *
     * @summary Delete Department.
     * @param {string} specialtyTypeId
     * @param {boolean} [isPermanent]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1SpecialtytypesSpecialtyTypeIdDelete(specialtyTypeId: string, isPermanent?: boolean, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<boolean>>;
    /**
     *
     * @summary
     * @param {string} specialtyTypeId
     * @param {string} [languageCode]
     * @param {boolean} [returnDefaultValue]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1SpecialtytypesSpecialtyTypeIdGet(specialtyTypeId: string, languageCode?: string, returnDefaultValue?: boolean, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<SpecialtyTypeModel>>;
    /**
     *
     * @summary Get all SpecialtyTypeMedias.
     * @param {string} specialtyTypeId
     * @param {string} [id]
     * @param {MediaType} [mediaType]
     * @param {number} [page]
     * @param {number} [limit]
     * @param {Date} [lastRetrieved]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1SpecialtytypesSpecialtyTypeIdMediasGet(specialtyTypeId: string, id?: string, mediaType?: MediaType, page?: number, limit?: number, lastRetrieved?: Date, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<MediasModel>>;
    /**
     *
     * @summary Delete SpecialtyTypeMedia
     * @param {string} specialtyTypeId
     * @param {string} mediaId
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1SpecialtytypesSpecialtyTypeIdMediasMediaIdDelete(specialtyTypeId: string, mediaId: string, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<boolean>>;
    /**
     *
     * @summary Get SpecialtyTypeMedia.
     * @param {string} specialtyTypeId
     * @param {string} mediaId
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1SpecialtytypesSpecialtyTypeIdMediasMediaIdGet(specialtyTypeId: string, mediaId: string, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<MediaModel>>;
    /**
     *
     * @summary Update SpecialtyTypeMedia.
     * @param {string} specialtyTypeId
     * @param {string} mediaId
     * @param {UpdateMediaCommand} [updateMediaCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1SpecialtytypesSpecialtyTypeIdMediasMediaIdPut(specialtyTypeId: string, mediaId: string, updateMediaCommand?: UpdateMediaCommand, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<MediaModel>>;
    /**
     *
     * @summary Create SpecialtyTypeMedia.
     * @param {string} specialtyTypeId
     * @param {CreateMediaCommand} [createMediaCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1SpecialtytypesSpecialtyTypeIdMediasPost(specialtyTypeId: string, createMediaCommand?: CreateMediaCommand, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<MediaModel>>;
    /**
     *
     * @summary Update Department.
     * @param {string} specialtyTypeId
     * @param {UpdateSpecialtyTypeCommand} [updateSpecialtyTypeCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1SpecialtytypesSpecialtyTypeIdPut(specialtyTypeId: string, updateSpecialtyTypeCommand?: UpdateSpecialtyTypeCommand, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<SpecialtyTypeModel>>;
    /**
     *
     * @summary Reactivate Department (SpecialtyType).
     * @param {string} specialtyTypeId
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1SpecialtytypesSpecialtyTypeIdReactivatePut(specialtyTypeId: string, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<boolean>>;
    /**
     *
     * @summary Revalidate specialtyType
     * @param {string} specialtyTypeId
     * @param {boolean} [includeCurrent]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1SpecialtytypesSpecialtyTypeIdRevalidatePost(specialtyTypeId: string, includeCurrent?: boolean, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<boolean>>;
    /**
     *
     * @summary Translate speciatyType
     * @param {string} specialtyTypeId
     * @param {TranslateSpecialtyTypeCommand} [translateSpecialtyTypeCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1SpecialtytypesSpecialtyTypeIdTranslatePost(specialtyTypeId: string, translateSpecialtyTypeCommand?: TranslateSpecialtyTypeCommand, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<boolean>>;
};
/**
 * SpecialtyTypesApi - factory interface
 * @export
 */
export declare const SpecialtyTypesApiFactory: (configuration?: Configuration, basePath?: string, axios?: AxiosInstance) => {
    /**
     *
     * @summary Get all Departments.
     * @param {string} [id]
     * @param {string} [name]
     * @param {string} [description]
     * @param {MarketingType} [marketingType]
     * @param {string} [hospitalId]
     * @param {Date} [created]
     * @param {Array<string>} [ids]
     * @param {string} [specialtyTypeCategoryId]
     * @param {string} [languageCode]
     * @param {boolean} [showHidden]
     * @param {boolean} [returnDefaultValue]
     * @param {number} [page]
     * @param {number} [limit]
     * @param {Date} [lastRetrieved]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1SpecialtytypesGet(id?: string, name?: string, description?: string, marketingType?: MarketingType, hospitalId?: string, created?: Date, ids?: Array<string>, specialtyTypeCategoryId?: string, languageCode?: string, showHidden?: boolean, returnDefaultValue?: boolean, page?: number, limit?: number, lastRetrieved?: Date, options?: any): AxiosPromise<SpecialtyTypesModel>;
    /**
     *
     * @summary Create a Department.
     * @param {CreateSpecialtyTypeCommand} [createSpecialtyTypeCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1SpecialtytypesPost(createSpecialtyTypeCommand?: CreateSpecialtyTypeCommand, options?: any): AxiosPromise<SpecialtyTypeModel>;
    /**
     *
     * @summary Get all Hospitals.
     * @param {string} [id]
     * @param {string} [name]
     * @param {string} [description]
     * @param {MarketingType} [marketingType]
     * @param {string} [hospitalId]
     * @param {Date} [created]
     * @param {Array<string>} [ids]
     * @param {string} [specialtyTypeCategoryId]
     * @param {string} [languageCode]
     * @param {boolean} [showHidden]
     * @param {boolean} [returnDefaultValue]
     * @param {number} [page]
     * @param {number} [limit]
     * @param {Date} [lastRetrieved]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1SpecialtytypesSimpleGet(id?: string, name?: string, description?: string, marketingType?: MarketingType, hospitalId?: string, created?: Date, ids?: Array<string>, specialtyTypeCategoryId?: string, languageCode?: string, showHidden?: boolean, returnDefaultValue?: boolean, page?: number, limit?: number, lastRetrieved?: Date, options?: any): AxiosPromise<SpecialtyTypesSimpleModel>;
    /**
     *
     * @summary
     * @param {string} slug
     * @param {string} [languageCode]
     * @param {boolean} [returnDefaultValue]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1SpecialtytypesSlugGet(slug: string, languageCode?: string, returnDefaultValue?: boolean, options?: any): AxiosPromise<SpecialtyTypeModel>;
    /**
     *
     * @summary Delete Department.
     * @param {string} specialtyTypeId
     * @param {boolean} [isPermanent]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1SpecialtytypesSpecialtyTypeIdDelete(specialtyTypeId: string, isPermanent?: boolean, options?: any): AxiosPromise<boolean>;
    /**
     *
     * @summary
     * @param {string} specialtyTypeId
     * @param {string} [languageCode]
     * @param {boolean} [returnDefaultValue]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1SpecialtytypesSpecialtyTypeIdGet(specialtyTypeId: string, languageCode?: string, returnDefaultValue?: boolean, options?: any): AxiosPromise<SpecialtyTypeModel>;
    /**
     *
     * @summary Get all SpecialtyTypeMedias.
     * @param {string} specialtyTypeId
     * @param {string} [id]
     * @param {MediaType} [mediaType]
     * @param {number} [page]
     * @param {number} [limit]
     * @param {Date} [lastRetrieved]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1SpecialtytypesSpecialtyTypeIdMediasGet(specialtyTypeId: string, id?: string, mediaType?: MediaType, page?: number, limit?: number, lastRetrieved?: Date, options?: any): AxiosPromise<MediasModel>;
    /**
     *
     * @summary Delete SpecialtyTypeMedia
     * @param {string} specialtyTypeId
     * @param {string} mediaId
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1SpecialtytypesSpecialtyTypeIdMediasMediaIdDelete(specialtyTypeId: string, mediaId: string, options?: any): AxiosPromise<boolean>;
    /**
     *
     * @summary Get SpecialtyTypeMedia.
     * @param {string} specialtyTypeId
     * @param {string} mediaId
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1SpecialtytypesSpecialtyTypeIdMediasMediaIdGet(specialtyTypeId: string, mediaId: string, options?: any): AxiosPromise<MediaModel>;
    /**
     *
     * @summary Update SpecialtyTypeMedia.
     * @param {string} specialtyTypeId
     * @param {string} mediaId
     * @param {UpdateMediaCommand} [updateMediaCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1SpecialtytypesSpecialtyTypeIdMediasMediaIdPut(specialtyTypeId: string, mediaId: string, updateMediaCommand?: UpdateMediaCommand, options?: any): AxiosPromise<MediaModel>;
    /**
     *
     * @summary Create SpecialtyTypeMedia.
     * @param {string} specialtyTypeId
     * @param {CreateMediaCommand} [createMediaCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1SpecialtytypesSpecialtyTypeIdMediasPost(specialtyTypeId: string, createMediaCommand?: CreateMediaCommand, options?: any): AxiosPromise<MediaModel>;
    /**
     *
     * @summary Update Department.
     * @param {string} specialtyTypeId
     * @param {UpdateSpecialtyTypeCommand} [updateSpecialtyTypeCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1SpecialtytypesSpecialtyTypeIdPut(specialtyTypeId: string, updateSpecialtyTypeCommand?: UpdateSpecialtyTypeCommand, options?: any): AxiosPromise<SpecialtyTypeModel>;
    /**
     *
     * @summary Reactivate Department (SpecialtyType).
     * @param {string} specialtyTypeId
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1SpecialtytypesSpecialtyTypeIdReactivatePut(specialtyTypeId: string, options?: any): AxiosPromise<boolean>;
    /**
     *
     * @summary Revalidate specialtyType
     * @param {string} specialtyTypeId
     * @param {boolean} [includeCurrent]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1SpecialtytypesSpecialtyTypeIdRevalidatePost(specialtyTypeId: string, includeCurrent?: boolean, options?: any): AxiosPromise<boolean>;
    /**
     *
     * @summary Translate speciatyType
     * @param {string} specialtyTypeId
     * @param {TranslateSpecialtyTypeCommand} [translateSpecialtyTypeCommand]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     */
    apiV1SpecialtytypesSpecialtyTypeIdTranslatePost(specialtyTypeId: string, translateSpecialtyTypeCommand?: TranslateSpecialtyTypeCommand, options?: any): AxiosPromise<boolean>;
};
/**
 * Request parameters for apiV1SpecialtytypesGet operation in SpecialtyTypesApi.
 * @export
 * @interface SpecialtyTypesApiApiV1SpecialtytypesGetRequest
 */
export interface SpecialtyTypesApiApiV1SpecialtytypesGetRequest {
    /**
     *
     * @type {string}
     * @memberof SpecialtyTypesApiApiV1SpecialtytypesGet
     */
    readonly id?: string;
    /**
     *
     * @type {string}
     * @memberof SpecialtyTypesApiApiV1SpecialtytypesGet
     */
    readonly name?: string;
    /**
     *
     * @type {string}
     * @memberof SpecialtyTypesApiApiV1SpecialtytypesGet
     */
    readonly description?: string;
    /**
     *
     * @type {MarketingType}
     * @memberof SpecialtyTypesApiApiV1SpecialtytypesGet
     */
    readonly marketingType?: MarketingType;
    /**
     *
     * @type {string}
     * @memberof SpecialtyTypesApiApiV1SpecialtytypesGet
     */
    readonly hospitalId?: string;
    /**
     *
     * @type {Date}
     * @memberof SpecialtyTypesApiApiV1SpecialtytypesGet
     */
    readonly created?: Date;
    /**
     *
     * @type {Array<string>}
     * @memberof SpecialtyTypesApiApiV1SpecialtytypesGet
     */
    readonly ids?: Array<string>;
    /**
     *
     * @type {string}
     * @memberof SpecialtyTypesApiApiV1SpecialtytypesGet
     */
    readonly specialtyTypeCategoryId?: string;
    /**
     *
     * @type {string}
     * @memberof SpecialtyTypesApiApiV1SpecialtytypesGet
     */
    readonly languageCode?: string;
    /**
     *
     * @type {boolean}
     * @memberof SpecialtyTypesApiApiV1SpecialtytypesGet
     */
    readonly showHidden?: boolean;
    /**
     *
     * @type {boolean}
     * @memberof SpecialtyTypesApiApiV1SpecialtytypesGet
     */
    readonly returnDefaultValue?: boolean;
    /**
     *
     * @type {number}
     * @memberof SpecialtyTypesApiApiV1SpecialtytypesGet
     */
    readonly page?: number;
    /**
     *
     * @type {number}
     * @memberof SpecialtyTypesApiApiV1SpecialtytypesGet
     */
    readonly limit?: number;
    /**
     *
     * @type {Date}
     * @memberof SpecialtyTypesApiApiV1SpecialtytypesGet
     */
    readonly lastRetrieved?: Date;
}
/**
 * Request parameters for apiV1SpecialtytypesPost operation in SpecialtyTypesApi.
 * @export
 * @interface SpecialtyTypesApiApiV1SpecialtytypesPostRequest
 */
export interface SpecialtyTypesApiApiV1SpecialtytypesPostRequest {
    /**
     *
     * @type {CreateSpecialtyTypeCommand}
     * @memberof SpecialtyTypesApiApiV1SpecialtytypesPost
     */
    readonly createSpecialtyTypeCommand?: CreateSpecialtyTypeCommand;
}
/**
 * Request parameters for apiV1SpecialtytypesSimpleGet operation in SpecialtyTypesApi.
 * @export
 * @interface SpecialtyTypesApiApiV1SpecialtytypesSimpleGetRequest
 */
export interface SpecialtyTypesApiApiV1SpecialtytypesSimpleGetRequest {
    /**
     *
     * @type {string}
     * @memberof SpecialtyTypesApiApiV1SpecialtytypesSimpleGet
     */
    readonly id?: string;
    /**
     *
     * @type {string}
     * @memberof SpecialtyTypesApiApiV1SpecialtytypesSimpleGet
     */
    readonly name?: string;
    /**
     *
     * @type {string}
     * @memberof SpecialtyTypesApiApiV1SpecialtytypesSimpleGet
     */
    readonly description?: string;
    /**
     *
     * @type {MarketingType}
     * @memberof SpecialtyTypesApiApiV1SpecialtytypesSimpleGet
     */
    readonly marketingType?: MarketingType;
    /**
     *
     * @type {string}
     * @memberof SpecialtyTypesApiApiV1SpecialtytypesSimpleGet
     */
    readonly hospitalId?: string;
    /**
     *
     * @type {Date}
     * @memberof SpecialtyTypesApiApiV1SpecialtytypesSimpleGet
     */
    readonly created?: Date;
    /**
     *
     * @type {Array<string>}
     * @memberof SpecialtyTypesApiApiV1SpecialtytypesSimpleGet
     */
    readonly ids?: Array<string>;
    /**
     *
     * @type {string}
     * @memberof SpecialtyTypesApiApiV1SpecialtytypesSimpleGet
     */
    readonly specialtyTypeCategoryId?: string;
    /**
     *
     * @type {string}
     * @memberof SpecialtyTypesApiApiV1SpecialtytypesSimpleGet
     */
    readonly languageCode?: string;
    /**
     *
     * @type {boolean}
     * @memberof SpecialtyTypesApiApiV1SpecialtytypesSimpleGet
     */
    readonly showHidden?: boolean;
    /**
     *
     * @type {boolean}
     * @memberof SpecialtyTypesApiApiV1SpecialtytypesSimpleGet
     */
    readonly returnDefaultValue?: boolean;
    /**
     *
     * @type {number}
     * @memberof SpecialtyTypesApiApiV1SpecialtytypesSimpleGet
     */
    readonly page?: number;
    /**
     *
     * @type {number}
     * @memberof SpecialtyTypesApiApiV1SpecialtytypesSimpleGet
     */
    readonly limit?: number;
    /**
     *
     * @type {Date}
     * @memberof SpecialtyTypesApiApiV1SpecialtytypesSimpleGet
     */
    readonly lastRetrieved?: Date;
}
/**
 * Request parameters for apiV1SpecialtytypesSlugGet operation in SpecialtyTypesApi.
 * @export
 * @interface SpecialtyTypesApiApiV1SpecialtytypesSlugGetRequest
 */
export interface SpecialtyTypesApiApiV1SpecialtytypesSlugGetRequest {
    /**
     *
     * @type {string}
     * @memberof SpecialtyTypesApiApiV1SpecialtytypesSlugGet
     */
    readonly slug: string;
    /**
     *
     * @type {string}
     * @memberof SpecialtyTypesApiApiV1SpecialtytypesSlugGet
     */
    readonly languageCode?: string;
    /**
     *
     * @type {boolean}
     * @memberof SpecialtyTypesApiApiV1SpecialtytypesSlugGet
     */
    readonly returnDefaultValue?: boolean;
}
/**
 * Request parameters for apiV1SpecialtytypesSpecialtyTypeIdDelete operation in SpecialtyTypesApi.
 * @export
 * @interface SpecialtyTypesApiApiV1SpecialtytypesSpecialtyTypeIdDeleteRequest
 */
export interface SpecialtyTypesApiApiV1SpecialtytypesSpecialtyTypeIdDeleteRequest {
    /**
     *
     * @type {string}
     * @memberof SpecialtyTypesApiApiV1SpecialtytypesSpecialtyTypeIdDelete
     */
    readonly specialtyTypeId: string;
    /**
     *
     * @type {boolean}
     * @memberof SpecialtyTypesApiApiV1SpecialtytypesSpecialtyTypeIdDelete
     */
    readonly isPermanent?: boolean;
}
/**
 * Request parameters for apiV1SpecialtytypesSpecialtyTypeIdGet operation in SpecialtyTypesApi.
 * @export
 * @interface SpecialtyTypesApiApiV1SpecialtytypesSpecialtyTypeIdGetRequest
 */
export interface SpecialtyTypesApiApiV1SpecialtytypesSpecialtyTypeIdGetRequest {
    /**
     *
     * @type {string}
     * @memberof SpecialtyTypesApiApiV1SpecialtytypesSpecialtyTypeIdGet
     */
    readonly specialtyTypeId: string;
    /**
     *
     * @type {string}
     * @memberof SpecialtyTypesApiApiV1SpecialtytypesSpecialtyTypeIdGet
     */
    readonly languageCode?: string;
    /**
     *
     * @type {boolean}
     * @memberof SpecialtyTypesApiApiV1SpecialtytypesSpecialtyTypeIdGet
     */
    readonly returnDefaultValue?: boolean;
}
/**
 * Request parameters for apiV1SpecialtytypesSpecialtyTypeIdMediasGet operation in SpecialtyTypesApi.
 * @export
 * @interface SpecialtyTypesApiApiV1SpecialtytypesSpecialtyTypeIdMediasGetRequest
 */
export interface SpecialtyTypesApiApiV1SpecialtytypesSpecialtyTypeIdMediasGetRequest {
    /**
     *
     * @type {string}
     * @memberof SpecialtyTypesApiApiV1SpecialtytypesSpecialtyTypeIdMediasGet
     */
    readonly specialtyTypeId: string;
    /**
     *
     * @type {string}
     * @memberof SpecialtyTypesApiApiV1SpecialtytypesSpecialtyTypeIdMediasGet
     */
    readonly id?: string;
    /**
     *
     * @type {MediaType}
     * @memberof SpecialtyTypesApiApiV1SpecialtytypesSpecialtyTypeIdMediasGet
     */
    readonly mediaType?: MediaType;
    /**
     *
     * @type {number}
     * @memberof SpecialtyTypesApiApiV1SpecialtytypesSpecialtyTypeIdMediasGet
     */
    readonly page?: number;
    /**
     *
     * @type {number}
     * @memberof SpecialtyTypesApiApiV1SpecialtytypesSpecialtyTypeIdMediasGet
     */
    readonly limit?: number;
    /**
     *
     * @type {Date}
     * @memberof SpecialtyTypesApiApiV1SpecialtytypesSpecialtyTypeIdMediasGet
     */
    readonly lastRetrieved?: Date;
}
/**
 * Request parameters for apiV1SpecialtytypesSpecialtyTypeIdMediasMediaIdDelete operation in SpecialtyTypesApi.
 * @export
 * @interface SpecialtyTypesApiApiV1SpecialtytypesSpecialtyTypeIdMediasMediaIdDeleteRequest
 */
export interface SpecialtyTypesApiApiV1SpecialtytypesSpecialtyTypeIdMediasMediaIdDeleteRequest {
    /**
     *
     * @type {string}
     * @memberof SpecialtyTypesApiApiV1SpecialtytypesSpecialtyTypeIdMediasMediaIdDelete
     */
    readonly specialtyTypeId: string;
    /**
     *
     * @type {string}
     * @memberof SpecialtyTypesApiApiV1SpecialtytypesSpecialtyTypeIdMediasMediaIdDelete
     */
    readonly mediaId: string;
}
/**
 * Request parameters for apiV1SpecialtytypesSpecialtyTypeIdMediasMediaIdGet operation in SpecialtyTypesApi.
 * @export
 * @interface SpecialtyTypesApiApiV1SpecialtytypesSpecialtyTypeIdMediasMediaIdGetRequest
 */
export interface SpecialtyTypesApiApiV1SpecialtytypesSpecialtyTypeIdMediasMediaIdGetRequest {
    /**
     *
     * @type {string}
     * @memberof SpecialtyTypesApiApiV1SpecialtytypesSpecialtyTypeIdMediasMediaIdGet
     */
    readonly specialtyTypeId: string;
    /**
     *
     * @type {string}
     * @memberof SpecialtyTypesApiApiV1SpecialtytypesSpecialtyTypeIdMediasMediaIdGet
     */
    readonly mediaId: string;
}
/**
 * Request parameters for apiV1SpecialtytypesSpecialtyTypeIdMediasMediaIdPut operation in SpecialtyTypesApi.
 * @export
 * @interface SpecialtyTypesApiApiV1SpecialtytypesSpecialtyTypeIdMediasMediaIdPutRequest
 */
export interface SpecialtyTypesApiApiV1SpecialtytypesSpecialtyTypeIdMediasMediaIdPutRequest {
    /**
     *
     * @type {string}
     * @memberof SpecialtyTypesApiApiV1SpecialtytypesSpecialtyTypeIdMediasMediaIdPut
     */
    readonly specialtyTypeId: string;
    /**
     *
     * @type {string}
     * @memberof SpecialtyTypesApiApiV1SpecialtytypesSpecialtyTypeIdMediasMediaIdPut
     */
    readonly mediaId: string;
    /**
     *
     * @type {UpdateMediaCommand}
     * @memberof SpecialtyTypesApiApiV1SpecialtytypesSpecialtyTypeIdMediasMediaIdPut
     */
    readonly updateMediaCommand?: UpdateMediaCommand;
}
/**
 * Request parameters for apiV1SpecialtytypesSpecialtyTypeIdMediasPost operation in SpecialtyTypesApi.
 * @export
 * @interface SpecialtyTypesApiApiV1SpecialtytypesSpecialtyTypeIdMediasPostRequest
 */
export interface SpecialtyTypesApiApiV1SpecialtytypesSpecialtyTypeIdMediasPostRequest {
    /**
     *
     * @type {string}
     * @memberof SpecialtyTypesApiApiV1SpecialtytypesSpecialtyTypeIdMediasPost
     */
    readonly specialtyTypeId: string;
    /**
     *
     * @type {CreateMediaCommand}
     * @memberof SpecialtyTypesApiApiV1SpecialtytypesSpecialtyTypeIdMediasPost
     */
    readonly createMediaCommand?: CreateMediaCommand;
}
/**
 * Request parameters for apiV1SpecialtytypesSpecialtyTypeIdPut operation in SpecialtyTypesApi.
 * @export
 * @interface SpecialtyTypesApiApiV1SpecialtytypesSpecialtyTypeIdPutRequest
 */
export interface SpecialtyTypesApiApiV1SpecialtytypesSpecialtyTypeIdPutRequest {
    /**
     *
     * @type {string}
     * @memberof SpecialtyTypesApiApiV1SpecialtytypesSpecialtyTypeIdPut
     */
    readonly specialtyTypeId: string;
    /**
     *
     * @type {UpdateSpecialtyTypeCommand}
     * @memberof SpecialtyTypesApiApiV1SpecialtytypesSpecialtyTypeIdPut
     */
    readonly updateSpecialtyTypeCommand?: UpdateSpecialtyTypeCommand;
}
/**
 * Request parameters for apiV1SpecialtytypesSpecialtyTypeIdReactivatePut operation in SpecialtyTypesApi.
 * @export
 * @interface SpecialtyTypesApiApiV1SpecialtytypesSpecialtyTypeIdReactivatePutRequest
 */
export interface SpecialtyTypesApiApiV1SpecialtytypesSpecialtyTypeIdReactivatePutRequest {
    /**
     *
     * @type {string}
     * @memberof SpecialtyTypesApiApiV1SpecialtytypesSpecialtyTypeIdReactivatePut
     */
    readonly specialtyTypeId: string;
}
/**
 * Request parameters for apiV1SpecialtytypesSpecialtyTypeIdRevalidatePost operation in SpecialtyTypesApi.
 * @export
 * @interface SpecialtyTypesApiApiV1SpecialtytypesSpecialtyTypeIdRevalidatePostRequest
 */
export interface SpecialtyTypesApiApiV1SpecialtytypesSpecialtyTypeIdRevalidatePostRequest {
    /**
     *
     * @type {string}
     * @memberof SpecialtyTypesApiApiV1SpecialtytypesSpecialtyTypeIdRevalidatePost
     */
    readonly specialtyTypeId: string;
    /**
     *
     * @type {boolean}
     * @memberof SpecialtyTypesApiApiV1SpecialtytypesSpecialtyTypeIdRevalidatePost
     */
    readonly includeCurrent?: boolean;
}
/**
 * Request parameters for apiV1SpecialtytypesSpecialtyTypeIdTranslatePost operation in SpecialtyTypesApi.
 * @export
 * @interface SpecialtyTypesApiApiV1SpecialtytypesSpecialtyTypeIdTranslatePostRequest
 */
export interface SpecialtyTypesApiApiV1SpecialtytypesSpecialtyTypeIdTranslatePostRequest {
    /**
     *
     * @type {string}
     * @memberof SpecialtyTypesApiApiV1SpecialtytypesSpecialtyTypeIdTranslatePost
     */
    readonly specialtyTypeId: string;
    /**
     *
     * @type {TranslateSpecialtyTypeCommand}
     * @memberof SpecialtyTypesApiApiV1SpecialtytypesSpecialtyTypeIdTranslatePost
     */
    readonly translateSpecialtyTypeCommand?: TranslateSpecialtyTypeCommand;
}
/**
 * SpecialtyTypesApi - object-oriented interface
 * @export
 * @class SpecialtyTypesApi
 * @extends {BaseAPI}
 */
export declare class SpecialtyTypesApi extends BaseAPI {
    /**
     *
     * @summary Get all Departments.
     * @param {SpecialtyTypesApiApiV1SpecialtytypesGetRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof SpecialtyTypesApi
     */
    apiV1SpecialtytypesGet(requestParameters?: SpecialtyTypesApiApiV1SpecialtytypesGetRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<SpecialtyTypesModel, any>>;
    /**
     *
     * @summary Create a Department.
     * @param {SpecialtyTypesApiApiV1SpecialtytypesPostRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof SpecialtyTypesApi
     */
    apiV1SpecialtytypesPost(requestParameters?: SpecialtyTypesApiApiV1SpecialtytypesPostRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<SpecialtyTypeModel, any>>;
    /**
     *
     * @summary Get all Hospitals.
     * @param {SpecialtyTypesApiApiV1SpecialtytypesSimpleGetRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof SpecialtyTypesApi
     */
    apiV1SpecialtytypesSimpleGet(requestParameters?: SpecialtyTypesApiApiV1SpecialtytypesSimpleGetRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<SpecialtyTypesSimpleModel, any>>;
    /**
     *
     * @summary
     * @param {SpecialtyTypesApiApiV1SpecialtytypesSlugGetRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof SpecialtyTypesApi
     */
    apiV1SpecialtytypesSlugGet(requestParameters: SpecialtyTypesApiApiV1SpecialtytypesSlugGetRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<SpecialtyTypeModel, any>>;
    /**
     *
     * @summary Delete Department.
     * @param {SpecialtyTypesApiApiV1SpecialtytypesSpecialtyTypeIdDeleteRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof SpecialtyTypesApi
     */
    apiV1SpecialtytypesSpecialtyTypeIdDelete(requestParameters: SpecialtyTypesApiApiV1SpecialtytypesSpecialtyTypeIdDeleteRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<boolean, any>>;
    /**
     *
     * @summary
     * @param {SpecialtyTypesApiApiV1SpecialtytypesSpecialtyTypeIdGetRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof SpecialtyTypesApi
     */
    apiV1SpecialtytypesSpecialtyTypeIdGet(requestParameters: SpecialtyTypesApiApiV1SpecialtytypesSpecialtyTypeIdGetRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<SpecialtyTypeModel, any>>;
    /**
     *
     * @summary Get all SpecialtyTypeMedias.
     * @param {SpecialtyTypesApiApiV1SpecialtytypesSpecialtyTypeIdMediasGetRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof SpecialtyTypesApi
     */
    apiV1SpecialtytypesSpecialtyTypeIdMediasGet(requestParameters: SpecialtyTypesApiApiV1SpecialtytypesSpecialtyTypeIdMediasGetRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<MediasModel, any>>;
    /**
     *
     * @summary Delete SpecialtyTypeMedia
     * @param {SpecialtyTypesApiApiV1SpecialtytypesSpecialtyTypeIdMediasMediaIdDeleteRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof SpecialtyTypesApi
     */
    apiV1SpecialtytypesSpecialtyTypeIdMediasMediaIdDelete(requestParameters: SpecialtyTypesApiApiV1SpecialtytypesSpecialtyTypeIdMediasMediaIdDeleteRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<boolean, any>>;
    /**
     *
     * @summary Get SpecialtyTypeMedia.
     * @param {SpecialtyTypesApiApiV1SpecialtytypesSpecialtyTypeIdMediasMediaIdGetRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof SpecialtyTypesApi
     */
    apiV1SpecialtytypesSpecialtyTypeIdMediasMediaIdGet(requestParameters: SpecialtyTypesApiApiV1SpecialtytypesSpecialtyTypeIdMediasMediaIdGetRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<MediaModel, any>>;
    /**
     *
     * @summary Update SpecialtyTypeMedia.
     * @param {SpecialtyTypesApiApiV1SpecialtytypesSpecialtyTypeIdMediasMediaIdPutRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof SpecialtyTypesApi
     */
    apiV1SpecialtytypesSpecialtyTypeIdMediasMediaIdPut(requestParameters: SpecialtyTypesApiApiV1SpecialtytypesSpecialtyTypeIdMediasMediaIdPutRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<MediaModel, any>>;
    /**
     *
     * @summary Create SpecialtyTypeMedia.
     * @param {SpecialtyTypesApiApiV1SpecialtytypesSpecialtyTypeIdMediasPostRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof SpecialtyTypesApi
     */
    apiV1SpecialtytypesSpecialtyTypeIdMediasPost(requestParameters: SpecialtyTypesApiApiV1SpecialtytypesSpecialtyTypeIdMediasPostRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<MediaModel, any>>;
    /**
     *
     * @summary Update Department.
     * @param {SpecialtyTypesApiApiV1SpecialtytypesSpecialtyTypeIdPutRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof SpecialtyTypesApi
     */
    apiV1SpecialtytypesSpecialtyTypeIdPut(requestParameters: SpecialtyTypesApiApiV1SpecialtytypesSpecialtyTypeIdPutRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<SpecialtyTypeModel, any>>;
    /**
     *
     * @summary Reactivate Department (SpecialtyType).
     * @param {SpecialtyTypesApiApiV1SpecialtytypesSpecialtyTypeIdReactivatePutRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof SpecialtyTypesApi
     */
    apiV1SpecialtytypesSpecialtyTypeIdReactivatePut(requestParameters: SpecialtyTypesApiApiV1SpecialtytypesSpecialtyTypeIdReactivatePutRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<boolean, any>>;
    /**
     *
     * @summary Revalidate specialtyType
     * @param {SpecialtyTypesApiApiV1SpecialtytypesSpecialtyTypeIdRevalidatePostRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof SpecialtyTypesApi
     */
    apiV1SpecialtytypesSpecialtyTypeIdRevalidatePost(requestParameters: SpecialtyTypesApiApiV1SpecialtytypesSpecialtyTypeIdRevalidatePostRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<boolean, any>>;
    /**
     *
     * @summary Translate speciatyType
     * @param {SpecialtyTypesApiApiV1SpecialtytypesSpecialtyTypeIdTranslatePostRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof SpecialtyTypesApi
     */
    apiV1SpecialtytypesSpecialtyTypeIdTranslatePost(requestParameters: SpecialtyTypesApiApiV1SpecialtytypesSpecialtyTypeIdTranslatePostRequest, options?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<boolean, any>>;
}
//# sourceMappingURL=specialty-types-api.d.ts.map