/**
 * CloudHospital Admin Api
 * CloudHospital application with Swagger, Swashbuckle, and API versioning.
 *
 * The version of the OpenAPI document: 1
 * Contact: developer@icloudhospital.com
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
import { AppointmentOptionModel } from './appointment-option-model';
import { AuditableEntityModel } from './auditable-entity-model';
import { GradeModel } from './grade-model';
import { HospitalConsultationOptionModel } from './hospital-consultation-option-model';
import { LocationModel } from './location-model';
import { MarketingType } from './marketing-type';
import { MediaModel } from './media-model';
import { PaymentMethod } from './payment-method';
/**
 *
 * @export
 * @interface HospitalItemModel
 */
export interface HospitalItemModel {
    /**
     *
     * @type {string}
     * @memberof HospitalItemModel
     */
    'id'?: string;
    /**
     *
     * @type {string}
     * @memberof HospitalItemModel
     */
    'languageCode'?: string | null;
    /**
     *
     * @type {string}
     * @memberof HospitalItemModel
     */
    'countryName'?: string | null;
    /**
     *
     * @type {string}
     * @memberof HospitalItemModel
     */
    'name'?: string | null;
    /**
     *
     * @type {string}
     * @memberof HospitalItemModel
     */
    'slug'?: string | null;
    /**
     *
     * @type {string}
     * @memberof HospitalItemModel
     */
    'slogan'?: string | null;
    /**
     *
     * @type {boolean}
     * @memberof HospitalItemModel
     */
    'confirmed'?: boolean;
    /**
     *
     * @type {string}
     * @memberof HospitalItemModel
     */
    'logo'?: string | null;
    /**
     *
     * @type {string}
     * @memberof HospitalItemModel
     */
    'logoTransparent'?: string | null;
    /**
     *
     * @type {string}
     * @memberof HospitalItemModel
     */
    'logoWhite'?: string | null;
    /**
     *
     * @type {MarketingType}
     * @memberof HospitalItemModel
     */
    'marketingType'?: MarketingType;
    /**
     *
     * @type {boolean}
     * @memberof HospitalItemModel
     */
    'consultationEnabled'?: boolean | null;
    /**
     *
     * @type {number}
     * @memberof HospitalItemModel
     */
    'consultationFee'?: number | null;
    /**
     *
     * @type {string}
     * @memberof HospitalItemModel
     */
    'timeZone'?: string | null;
    /**
     *
     * @type {string}
     * @memberof HospitalItemModel
     */
    'websiteUrl'?: string | null;
    /**
     *
     * @type {boolean}
     * @memberof HospitalItemModel
     */
    'paymentEnabled'?: boolean;
    /**
     *
     * @type {string}
     * @memberof HospitalItemModel
     */
    'appointmentCurrency'?: string | null;
    /**
     *
     * @type {string}
     * @memberof HospitalItemModel
     */
    'countryId'?: string;
    /**
     *
     * @type {Array<MediaModel>}
     * @memberof HospitalItemModel
     */
    'medias'?: Array<MediaModel> | null;
    /**
     *
     * @type {LocationModel}
     * @memberof HospitalItemModel
     */
    'location'?: LocationModel;
    /**
     *
     * @type {HospitalConsultationOptionModel}
     * @memberof HospitalItemModel
     */
    'consultationOption'?: HospitalConsultationOptionModel;
    /**
     *
     * @type {AppointmentOptionModel}
     * @memberof HospitalItemModel
     */
    'appointmentOption'?: AppointmentOptionModel;
    /**
     *
     * @type {string}
     * @memberof HospitalItemModel
     */
    'gradeId'?: string | null;
    /**
     *
     * @type {GradeModel}
     * @memberof HospitalItemModel
     */
    'grade'?: GradeModel;
    /**
     *
     * @type {Array<PaymentMethod>}
     * @memberof HospitalItemModel
     */
    'paymentMethods'?: Array<PaymentMethod> | null;
    /**
     *
     * @type {AuditableEntityModel}
     * @memberof HospitalItemModel
     */
    'auditableEntity'?: AuditableEntityModel;
}
//# sourceMappingURL=hospital-item-model.d.ts.map