/* tslint:disable */
/* eslint-disable */
/**
 * CloudHospital Admin Api
 * CloudHospital application with Swagger, Swashbuckle, and API versioning.
 *
 * The version of the OpenAPI document: 1
 * Contact: developer@icloudhospital.com
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */


import globalAxios, { AxiosPromise, AxiosInstance, AxiosRequestConfig } from 'axios';
import { Configuration } from '../configuration';
// Some imports not used depending on template conditions
// @ts-ignore
import { DUMMY_BASE_URL, assertParamExists, setApiKeyToObject, setBasicAuthToObject, setBearerAuthToObject, setOAuthToObject, setSearchParams, serializeDataIfNeeded, toPathString, createRequestFunction } from '../common';
// @ts-ignore
import { BASE_PATH, COLLECTION_FORMATS, RequestArgs, BaseAPI, RequiredError } from '../base';
// @ts-ignore
import { AppointmentModel } from '../models';
// @ts-ignore
import { AppointmentStatus } from '../models';
// @ts-ignore
import { AppointmentType } from '../models';
// @ts-ignore
import { AppointmentsModel } from '../models';
// @ts-ignore
import { ApproveAppointmentCommand } from '../models';
// @ts-ignore
import { CreateWalkInAppointmentCommand } from '../models';
// @ts-ignore
import { ProblemDetails } from '../models';
// @ts-ignore
import { RejectAppointmentCommand } from '../models';
// @ts-ignore
import { SortingOrder } from '../models';
/**
 * AppointmentsApi - axios parameter creator
 * @export
 */
export const AppointmentsApiAxiosParamCreator = function (configuration?: Configuration) {
    return {
        /**
         * 
         * @summary Approve appointment
         * @param {string} appointmentId 
         * @param {ApproveAppointmentCommand} [approveAppointmentCommand] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1AppointmentsAppointmentIdApprovePut: async (appointmentId: string, approveAppointmentCommand?: ApproveAppointmentCommand, options: AxiosRequestConfig = {}): Promise<RequestArgs> => {
            // verify required parameter 'appointmentId' is not null or undefined
            assertParamExists('apiV1AppointmentsAppointmentIdApprovePut', 'appointmentId', appointmentId)
            const localVarPath = `/api/v1/appointments/{appointmentId}/approve`
                .replace(`{${"appointmentId"}}`, encodeURIComponent(String(appointmentId)));
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }

            const localVarRequestOptions = { method: 'PUT', ...baseOptions, ...options};
            const localVarHeaderParameter = {} as any;
            const localVarQueryParameter = {} as any;

            // authentication oauth2 required
            // oauth required
            await setOAuthToObject(localVarHeaderParameter, "oauth2", ["cloudhospital_admin_api"], configuration)


    
            localVarHeaderParameter['Content-Type'] = 'application/json';

            setSearchParams(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers};
            localVarRequestOptions.data = serializeDataIfNeeded(approveAppointmentCommand, localVarRequestOptions, configuration)

            return {
                url: toPathString(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @summary Cancel appointment
         * @param {string} appointmentId 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1AppointmentsAppointmentIdCancelPut: async (appointmentId: string, options: AxiosRequestConfig = {}): Promise<RequestArgs> => {
            // verify required parameter 'appointmentId' is not null or undefined
            assertParamExists('apiV1AppointmentsAppointmentIdCancelPut', 'appointmentId', appointmentId)
            const localVarPath = `/api/v1/appointments/{appointmentId}/cancel`
                .replace(`{${"appointmentId"}}`, encodeURIComponent(String(appointmentId)));
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }

            const localVarRequestOptions = { method: 'PUT', ...baseOptions, ...options};
            const localVarHeaderParameter = {} as any;
            const localVarQueryParameter = {} as any;

            // authentication oauth2 required
            // oauth required
            await setOAuthToObject(localVarHeaderParameter, "oauth2", ["cloudhospital_admin_api"], configuration)


    
            setSearchParams(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers};

            return {
                url: toPathString(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @summary Complete appointment
         * @param {string} appointmentId 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1AppointmentsAppointmentIdCompletePost: async (appointmentId: string, options: AxiosRequestConfig = {}): Promise<RequestArgs> => {
            // verify required parameter 'appointmentId' is not null or undefined
            assertParamExists('apiV1AppointmentsAppointmentIdCompletePost', 'appointmentId', appointmentId)
            const localVarPath = `/api/v1/appointments/{appointmentId}/complete`
                .replace(`{${"appointmentId"}}`, encodeURIComponent(String(appointmentId)));
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }

            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options};
            const localVarHeaderParameter = {} as any;
            const localVarQueryParameter = {} as any;

            // authentication oauth2 required
            // oauth required
            await setOAuthToObject(localVarHeaderParameter, "oauth2", ["cloudhospital_admin_api"], configuration)


    
            setSearchParams(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers};

            return {
                url: toPathString(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @summary Delete appointment
         * @param {string} appointmentId 
         * @param {boolean} [isPermanent] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1AppointmentsAppointmentIdDelete: async (appointmentId: string, isPermanent?: boolean, options: AxiosRequestConfig = {}): Promise<RequestArgs> => {
            // verify required parameter 'appointmentId' is not null or undefined
            assertParamExists('apiV1AppointmentsAppointmentIdDelete', 'appointmentId', appointmentId)
            const localVarPath = `/api/v1/appointments/{appointmentId}`
                .replace(`{${"appointmentId"}}`, encodeURIComponent(String(appointmentId)));
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }

            const localVarRequestOptions = { method: 'DELETE', ...baseOptions, ...options};
            const localVarHeaderParameter = {} as any;
            const localVarQueryParameter = {} as any;

            // authentication oauth2 required
            // oauth required
            await setOAuthToObject(localVarHeaderParameter, "oauth2", ["cloudhospital_admin_api"], configuration)

            if (isPermanent !== undefined) {
                localVarQueryParameter['isPermanent'] = isPermanent;
            }


    
            setSearchParams(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers};

            return {
                url: toPathString(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @summary Get appointment by id
         * @param {string} appointmentId 
         * @param {string} [languageCode] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1AppointmentsAppointmentIdGet: async (appointmentId: string, languageCode?: string, options: AxiosRequestConfig = {}): Promise<RequestArgs> => {
            // verify required parameter 'appointmentId' is not null or undefined
            assertParamExists('apiV1AppointmentsAppointmentIdGet', 'appointmentId', appointmentId)
            const localVarPath = `/api/v1/appointments/{appointmentId}`
                .replace(`{${"appointmentId"}}`, encodeURIComponent(String(appointmentId)));
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }

            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options};
            const localVarHeaderParameter = {} as any;
            const localVarQueryParameter = {} as any;

            // authentication oauth2 required
            // oauth required
            await setOAuthToObject(localVarHeaderParameter, "oauth2", ["cloudhospital_admin_api"], configuration)

            if (languageCode !== undefined) {
                localVarQueryParameter['languageCode'] = languageCode;
            }


    
            setSearchParams(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers};

            return {
                url: toPathString(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @summary Delete appointment invoice
         * @param {string} appointmentId 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1AppointmentsAppointmentIdInvoicesDelete: async (appointmentId: string, options: AxiosRequestConfig = {}): Promise<RequestArgs> => {
            // verify required parameter 'appointmentId' is not null or undefined
            assertParamExists('apiV1AppointmentsAppointmentIdInvoicesDelete', 'appointmentId', appointmentId)
            const localVarPath = `/api/v1/appointments/{appointmentId}/invoices`
                .replace(`{${"appointmentId"}}`, encodeURIComponent(String(appointmentId)));
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }

            const localVarRequestOptions = { method: 'DELETE', ...baseOptions, ...options};
            const localVarHeaderParameter = {} as any;
            const localVarQueryParameter = {} as any;

            // authentication oauth2 required
            // oauth required
            await setOAuthToObject(localVarHeaderParameter, "oauth2", ["cloudhospital_admin_api"], configuration)


    
            setSearchParams(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers};

            return {
                url: toPathString(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @summary Create appointment invoice
         * @param {string} appointmentId 
         * @param {string} [languageCode] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1AppointmentsAppointmentIdInvoicesPost: async (appointmentId: string, languageCode?: string, options: AxiosRequestConfig = {}): Promise<RequestArgs> => {
            // verify required parameter 'appointmentId' is not null or undefined
            assertParamExists('apiV1AppointmentsAppointmentIdInvoicesPost', 'appointmentId', appointmentId)
            const localVarPath = `/api/v1/appointments/{appointmentId}/invoices`
                .replace(`{${"appointmentId"}}`, encodeURIComponent(String(appointmentId)));
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }

            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options};
            const localVarHeaderParameter = {} as any;
            const localVarQueryParameter = {} as any;

            // authentication oauth2 required
            // oauth required
            await setOAuthToObject(localVarHeaderParameter, "oauth2", ["cloudhospital_admin_api"], configuration)

            if (languageCode !== undefined) {
                localVarQueryParameter['languageCode'] = languageCode;
            }


    
            setSearchParams(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers};

            return {
                url: toPathString(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @summary Set appointment paid
         * @param {string} appointmentId 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1AppointmentsAppointmentIdPaidPost: async (appointmentId: string, options: AxiosRequestConfig = {}): Promise<RequestArgs> => {
            // verify required parameter 'appointmentId' is not null or undefined
            assertParamExists('apiV1AppointmentsAppointmentIdPaidPost', 'appointmentId', appointmentId)
            const localVarPath = `/api/v1/appointments/{appointmentId}/paid`
                .replace(`{${"appointmentId"}}`, encodeURIComponent(String(appointmentId)));
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }

            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options};
            const localVarHeaderParameter = {} as any;
            const localVarQueryParameter = {} as any;

            // authentication oauth2 required
            // oauth required
            await setOAuthToObject(localVarHeaderParameter, "oauth2", ["cloudhospital_admin_api"], configuration)


    
            setSearchParams(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers};

            return {
                url: toPathString(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @summary Set appointment as refunded
         * @param {string} appointmentId 
         * @param {string} [languageCode] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1AppointmentsAppointmentIdRefundPost: async (appointmentId: string, languageCode?: string, options: AxiosRequestConfig = {}): Promise<RequestArgs> => {
            // verify required parameter 'appointmentId' is not null or undefined
            assertParamExists('apiV1AppointmentsAppointmentIdRefundPost', 'appointmentId', appointmentId)
            const localVarPath = `/api/v1/appointments/{appointmentId}/refund`
                .replace(`{${"appointmentId"}}`, encodeURIComponent(String(appointmentId)));
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }

            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options};
            const localVarHeaderParameter = {} as any;
            const localVarQueryParameter = {} as any;

            // authentication oauth2 required
            // oauth required
            await setOAuthToObject(localVarHeaderParameter, "oauth2", ["cloudhospital_admin_api"], configuration)

            if (languageCode !== undefined) {
                localVarQueryParameter['languageCode'] = languageCode;
            }


    
            setSearchParams(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers};

            return {
                url: toPathString(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @summary Reject appointment
         * @param {string} appointmentId 
         * @param {RejectAppointmentCommand} [rejectAppointmentCommand] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1AppointmentsAppointmentIdRejectPut: async (appointmentId: string, rejectAppointmentCommand?: RejectAppointmentCommand, options: AxiosRequestConfig = {}): Promise<RequestArgs> => {
            // verify required parameter 'appointmentId' is not null or undefined
            assertParamExists('apiV1AppointmentsAppointmentIdRejectPut', 'appointmentId', appointmentId)
            const localVarPath = `/api/v1/appointments/{appointmentId}/reject`
                .replace(`{${"appointmentId"}}`, encodeURIComponent(String(appointmentId)));
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }

            const localVarRequestOptions = { method: 'PUT', ...baseOptions, ...options};
            const localVarHeaderParameter = {} as any;
            const localVarQueryParameter = {} as any;

            // authentication oauth2 required
            // oauth required
            await setOAuthToObject(localVarHeaderParameter, "oauth2", ["cloudhospital_admin_api"], configuration)


    
            localVarHeaderParameter['Content-Type'] = 'application/json';

            setSearchParams(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers};
            localVarRequestOptions.data = serializeDataIfNeeded(rejectAppointmentCommand, localVarRequestOptions, configuration)

            return {
                url: toPathString(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @summary Get appointments
         * @param {string} [id] 
         * @param {string} [userId] 
         * @param {string} [userName] 
         * @param {string} [hospitalId] 
         * @param {string} [hospitalName] 
         * @param {string} [doctorId] 
         * @param {string} [doctorName] 
         * @param {string} [dealId] 
         * @param {string} [dealName] 
         * @param {string} [dealPackageId] 
         * @param {string} [hospitalSpecialtyId] 
         * @param {string} [serviceId] 
         * @param {boolean} [isOpen] 
         * @param {boolean} [isCompleted] 
         * @param {Date} [start] 
         * @param {Date} [end] 
         * @param {boolean} [requiresPaymentVerified] 
         * @param {boolean} [refundInformationIsReady] 
         * @param {AppointmentStatus} [status] 
         * @param {Array<AppointmentStatus>} [appointmentStatus] 
         * @param {AppointmentType} [appointmentType] 
         * @param {SortingOrder} [sortRequestDate] 
         * @param {SortingOrder} [sortConfirmedDateStart] 
         * @param {boolean} [paymentEnabled] 
         * @param {string} [languageCode] 
         * @param {boolean} [hasPrescription] 
         * @param {boolean} [showHidden] 
         * @param {boolean} [isOnline] 
         * @param {boolean} [isExternal] 
         * @param {number} [page] 
         * @param {number} [limit] 
         * @param {Date} [lastRetrieved] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1AppointmentsGet: async (id?: string, userId?: string, userName?: string, hospitalId?: string, hospitalName?: string, doctorId?: string, doctorName?: string, dealId?: string, dealName?: string, dealPackageId?: string, hospitalSpecialtyId?: string, serviceId?: string, isOpen?: boolean, isCompleted?: boolean, start?: Date, end?: Date, requiresPaymentVerified?: boolean, refundInformationIsReady?: boolean, status?: AppointmentStatus, appointmentStatus?: Array<AppointmentStatus>, appointmentType?: AppointmentType, sortRequestDate?: SortingOrder, sortConfirmedDateStart?: SortingOrder, paymentEnabled?: boolean, languageCode?: string, hasPrescription?: boolean, showHidden?: boolean, isOnline?: boolean, isExternal?: boolean, page?: number, limit?: number, lastRetrieved?: Date, options: AxiosRequestConfig = {}): Promise<RequestArgs> => {
            const localVarPath = `/api/v1/appointments`;
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }

            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options};
            const localVarHeaderParameter = {} as any;
            const localVarQueryParameter = {} as any;

            // authentication oauth2 required
            // oauth required
            await setOAuthToObject(localVarHeaderParameter, "oauth2", ["cloudhospital_admin_api"], configuration)

            if (id !== undefined) {
                localVarQueryParameter['Id'] = id;
            }

            if (userId !== undefined) {
                localVarQueryParameter['UserId'] = userId;
            }

            if (userName !== undefined) {
                localVarQueryParameter['UserName'] = userName;
            }

            if (hospitalId !== undefined) {
                localVarQueryParameter['HospitalId'] = hospitalId;
            }

            if (hospitalName !== undefined) {
                localVarQueryParameter['HospitalName'] = hospitalName;
            }

            if (doctorId !== undefined) {
                localVarQueryParameter['DoctorId'] = doctorId;
            }

            if (doctorName !== undefined) {
                localVarQueryParameter['DoctorName'] = doctorName;
            }

            if (dealId !== undefined) {
                localVarQueryParameter['DealId'] = dealId;
            }

            if (dealName !== undefined) {
                localVarQueryParameter['DealName'] = dealName;
            }

            if (dealPackageId !== undefined) {
                localVarQueryParameter['DealPackageId'] = dealPackageId;
            }

            if (hospitalSpecialtyId !== undefined) {
                localVarQueryParameter['HospitalSpecialtyId'] = hospitalSpecialtyId;
            }

            if (serviceId !== undefined) {
                localVarQueryParameter['ServiceId'] = serviceId;
            }

            if (isOpen !== undefined) {
                localVarQueryParameter['IsOpen'] = isOpen;
            }

            if (isCompleted !== undefined) {
                localVarQueryParameter['IsCompleted'] = isCompleted;
            }

            if (start !== undefined) {
                localVarQueryParameter['Start'] = (start as any instanceof Date) ?
                    (start as any).toISOString() :
                    start;
            }

            if (end !== undefined) {
                localVarQueryParameter['End'] = (end as any instanceof Date) ?
                    (end as any).toISOString() :
                    end;
            }

            if (requiresPaymentVerified !== undefined) {
                localVarQueryParameter['RequiresPaymentVerified'] = requiresPaymentVerified;
            }

            if (refundInformationIsReady !== undefined) {
                localVarQueryParameter['RefundInformationIsReady'] = refundInformationIsReady;
            }

            if (status !== undefined) {
                localVarQueryParameter['Status'] = status;
            }

            if (appointmentStatus) {
                localVarQueryParameter['AppointmentStatus'] = appointmentStatus;
            }

            if (appointmentType !== undefined) {
                localVarQueryParameter['AppointmentType'] = appointmentType;
            }

            if (sortRequestDate !== undefined) {
                localVarQueryParameter['SortRequestDate'] = sortRequestDate;
            }

            if (sortConfirmedDateStart !== undefined) {
                localVarQueryParameter['SortConfirmedDateStart'] = sortConfirmedDateStart;
            }

            if (paymentEnabled !== undefined) {
                localVarQueryParameter['PaymentEnabled'] = paymentEnabled;
            }

            if (languageCode !== undefined) {
                localVarQueryParameter['LanguageCode'] = languageCode;
            }

            if (hasPrescription !== undefined) {
                localVarQueryParameter['HasPrescription'] = hasPrescription;
            }

            if (showHidden !== undefined) {
                localVarQueryParameter['ShowHidden'] = showHidden;
            }

            if (isOnline !== undefined) {
                localVarQueryParameter['IsOnline'] = isOnline;
            }

            if (isExternal !== undefined) {
                localVarQueryParameter['IsExternal'] = isExternal;
            }

            if (page !== undefined) {
                localVarQueryParameter['page'] = page;
            }

            if (limit !== undefined) {
                localVarQueryParameter['limit'] = limit;
            }

            if (lastRetrieved !== undefined) {
                localVarQueryParameter['lastRetrieved'] = (lastRetrieved as any instanceof Date) ?
                    (lastRetrieved as any).toISOString() :
                    lastRetrieved;
            }


    
            setSearchParams(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers};

            return {
                url: toPathString(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @summary The patient visits and makes an appointment.
         * @param {CreateWalkInAppointmentCommand} [createWalkInAppointmentCommand] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1AppointmentsWalkinPost: async (createWalkInAppointmentCommand?: CreateWalkInAppointmentCommand, options: AxiosRequestConfig = {}): Promise<RequestArgs> => {
            const localVarPath = `/api/v1/appointments/walkin`;
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }

            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options};
            const localVarHeaderParameter = {} as any;
            const localVarQueryParameter = {} as any;

            // authentication oauth2 required
            // oauth required
            await setOAuthToObject(localVarHeaderParameter, "oauth2", ["cloudhospital_admin_api"], configuration)


    
            localVarHeaderParameter['Content-Type'] = 'application/json';

            setSearchParams(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers};
            localVarRequestOptions.data = serializeDataIfNeeded(createWalkInAppointmentCommand, localVarRequestOptions, configuration)

            return {
                url: toPathString(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
    }
};

/**
 * AppointmentsApi - functional programming interface
 * @export
 */
export const AppointmentsApiFp = function(configuration?: Configuration) {
    const localVarAxiosParamCreator = AppointmentsApiAxiosParamCreator(configuration)
    return {
        /**
         * 
         * @summary Approve appointment
         * @param {string} appointmentId 
         * @param {ApproveAppointmentCommand} [approveAppointmentCommand] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async apiV1AppointmentsAppointmentIdApprovePut(appointmentId: string, approveAppointmentCommand?: ApproveAppointmentCommand, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<boolean>> {
            const localVarAxiosArgs = await localVarAxiosParamCreator.apiV1AppointmentsAppointmentIdApprovePut(appointmentId, approveAppointmentCommand, options);
            return createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration);
        },
        /**
         * 
         * @summary Cancel appointment
         * @param {string} appointmentId 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async apiV1AppointmentsAppointmentIdCancelPut(appointmentId: string, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<boolean>> {
            const localVarAxiosArgs = await localVarAxiosParamCreator.apiV1AppointmentsAppointmentIdCancelPut(appointmentId, options);
            return createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration);
        },
        /**
         * 
         * @summary Complete appointment
         * @param {string} appointmentId 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async apiV1AppointmentsAppointmentIdCompletePost(appointmentId: string, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<boolean>> {
            const localVarAxiosArgs = await localVarAxiosParamCreator.apiV1AppointmentsAppointmentIdCompletePost(appointmentId, options);
            return createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration);
        },
        /**
         * 
         * @summary Delete appointment
         * @param {string} appointmentId 
         * @param {boolean} [isPermanent] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async apiV1AppointmentsAppointmentIdDelete(appointmentId: string, isPermanent?: boolean, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<boolean>> {
            const localVarAxiosArgs = await localVarAxiosParamCreator.apiV1AppointmentsAppointmentIdDelete(appointmentId, isPermanent, options);
            return createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration);
        },
        /**
         * 
         * @summary Get appointment by id
         * @param {string} appointmentId 
         * @param {string} [languageCode] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async apiV1AppointmentsAppointmentIdGet(appointmentId: string, languageCode?: string, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<AppointmentModel>> {
            const localVarAxiosArgs = await localVarAxiosParamCreator.apiV1AppointmentsAppointmentIdGet(appointmentId, languageCode, options);
            return createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration);
        },
        /**
         * 
         * @summary Delete appointment invoice
         * @param {string} appointmentId 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async apiV1AppointmentsAppointmentIdInvoicesDelete(appointmentId: string, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<void>> {
            const localVarAxiosArgs = await localVarAxiosParamCreator.apiV1AppointmentsAppointmentIdInvoicesDelete(appointmentId, options);
            return createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration);
        },
        /**
         * 
         * @summary Create appointment invoice
         * @param {string} appointmentId 
         * @param {string} [languageCode] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async apiV1AppointmentsAppointmentIdInvoicesPost(appointmentId: string, languageCode?: string, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<void>> {
            const localVarAxiosArgs = await localVarAxiosParamCreator.apiV1AppointmentsAppointmentIdInvoicesPost(appointmentId, languageCode, options);
            return createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration);
        },
        /**
         * 
         * @summary Set appointment paid
         * @param {string} appointmentId 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async apiV1AppointmentsAppointmentIdPaidPost(appointmentId: string, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<string>> {
            const localVarAxiosArgs = await localVarAxiosParamCreator.apiV1AppointmentsAppointmentIdPaidPost(appointmentId, options);
            return createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration);
        },
        /**
         * 
         * @summary Set appointment as refunded
         * @param {string} appointmentId 
         * @param {string} [languageCode] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async apiV1AppointmentsAppointmentIdRefundPost(appointmentId: string, languageCode?: string, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<AppointmentModel>> {
            const localVarAxiosArgs = await localVarAxiosParamCreator.apiV1AppointmentsAppointmentIdRefundPost(appointmentId, languageCode, options);
            return createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration);
        },
        /**
         * 
         * @summary Reject appointment
         * @param {string} appointmentId 
         * @param {RejectAppointmentCommand} [rejectAppointmentCommand] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async apiV1AppointmentsAppointmentIdRejectPut(appointmentId: string, rejectAppointmentCommand?: RejectAppointmentCommand, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<boolean>> {
            const localVarAxiosArgs = await localVarAxiosParamCreator.apiV1AppointmentsAppointmentIdRejectPut(appointmentId, rejectAppointmentCommand, options);
            return createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration);
        },
        /**
         * 
         * @summary Get appointments
         * @param {string} [id] 
         * @param {string} [userId] 
         * @param {string} [userName] 
         * @param {string} [hospitalId] 
         * @param {string} [hospitalName] 
         * @param {string} [doctorId] 
         * @param {string} [doctorName] 
         * @param {string} [dealId] 
         * @param {string} [dealName] 
         * @param {string} [dealPackageId] 
         * @param {string} [hospitalSpecialtyId] 
         * @param {string} [serviceId] 
         * @param {boolean} [isOpen] 
         * @param {boolean} [isCompleted] 
         * @param {Date} [start] 
         * @param {Date} [end] 
         * @param {boolean} [requiresPaymentVerified] 
         * @param {boolean} [refundInformationIsReady] 
         * @param {AppointmentStatus} [status] 
         * @param {Array<AppointmentStatus>} [appointmentStatus] 
         * @param {AppointmentType} [appointmentType] 
         * @param {SortingOrder} [sortRequestDate] 
         * @param {SortingOrder} [sortConfirmedDateStart] 
         * @param {boolean} [paymentEnabled] 
         * @param {string} [languageCode] 
         * @param {boolean} [hasPrescription] 
         * @param {boolean} [showHidden] 
         * @param {boolean} [isOnline] 
         * @param {boolean} [isExternal] 
         * @param {number} [page] 
         * @param {number} [limit] 
         * @param {Date} [lastRetrieved] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async apiV1AppointmentsGet(id?: string, userId?: string, userName?: string, hospitalId?: string, hospitalName?: string, doctorId?: string, doctorName?: string, dealId?: string, dealName?: string, dealPackageId?: string, hospitalSpecialtyId?: string, serviceId?: string, isOpen?: boolean, isCompleted?: boolean, start?: Date, end?: Date, requiresPaymentVerified?: boolean, refundInformationIsReady?: boolean, status?: AppointmentStatus, appointmentStatus?: Array<AppointmentStatus>, appointmentType?: AppointmentType, sortRequestDate?: SortingOrder, sortConfirmedDateStart?: SortingOrder, paymentEnabled?: boolean, languageCode?: string, hasPrescription?: boolean, showHidden?: boolean, isOnline?: boolean, isExternal?: boolean, page?: number, limit?: number, lastRetrieved?: Date, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<AppointmentsModel>> {
            const localVarAxiosArgs = await localVarAxiosParamCreator.apiV1AppointmentsGet(id, userId, userName, hospitalId, hospitalName, doctorId, doctorName, dealId, dealName, dealPackageId, hospitalSpecialtyId, serviceId, isOpen, isCompleted, start, end, requiresPaymentVerified, refundInformationIsReady, status, appointmentStatus, appointmentType, sortRequestDate, sortConfirmedDateStart, paymentEnabled, languageCode, hasPrescription, showHidden, isOnline, isExternal, page, limit, lastRetrieved, options);
            return createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration);
        },
        /**
         * 
         * @summary The patient visits and makes an appointment.
         * @param {CreateWalkInAppointmentCommand} [createWalkInAppointmentCommand] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async apiV1AppointmentsWalkinPost(createWalkInAppointmentCommand?: CreateWalkInAppointmentCommand, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<string>> {
            const localVarAxiosArgs = await localVarAxiosParamCreator.apiV1AppointmentsWalkinPost(createWalkInAppointmentCommand, options);
            return createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration);
        },
    }
};

/**
 * AppointmentsApi - factory interface
 * @export
 */
export const AppointmentsApiFactory = function (configuration?: Configuration, basePath?: string, axios?: AxiosInstance) {
    const localVarFp = AppointmentsApiFp(configuration)
    return {
        /**
         * 
         * @summary Approve appointment
         * @param {string} appointmentId 
         * @param {ApproveAppointmentCommand} [approveAppointmentCommand] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1AppointmentsAppointmentIdApprovePut(appointmentId: string, approveAppointmentCommand?: ApproveAppointmentCommand, options?: any): AxiosPromise<boolean> {
            return localVarFp.apiV1AppointmentsAppointmentIdApprovePut(appointmentId, approveAppointmentCommand, options).then((request) => request(axios, basePath));
        },
        /**
         * 
         * @summary Cancel appointment
         * @param {string} appointmentId 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1AppointmentsAppointmentIdCancelPut(appointmentId: string, options?: any): AxiosPromise<boolean> {
            return localVarFp.apiV1AppointmentsAppointmentIdCancelPut(appointmentId, options).then((request) => request(axios, basePath));
        },
        /**
         * 
         * @summary Complete appointment
         * @param {string} appointmentId 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1AppointmentsAppointmentIdCompletePost(appointmentId: string, options?: any): AxiosPromise<boolean> {
            return localVarFp.apiV1AppointmentsAppointmentIdCompletePost(appointmentId, options).then((request) => request(axios, basePath));
        },
        /**
         * 
         * @summary Delete appointment
         * @param {string} appointmentId 
         * @param {boolean} [isPermanent] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1AppointmentsAppointmentIdDelete(appointmentId: string, isPermanent?: boolean, options?: any): AxiosPromise<boolean> {
            return localVarFp.apiV1AppointmentsAppointmentIdDelete(appointmentId, isPermanent, options).then((request) => request(axios, basePath));
        },
        /**
         * 
         * @summary Get appointment by id
         * @param {string} appointmentId 
         * @param {string} [languageCode] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1AppointmentsAppointmentIdGet(appointmentId: string, languageCode?: string, options?: any): AxiosPromise<AppointmentModel> {
            return localVarFp.apiV1AppointmentsAppointmentIdGet(appointmentId, languageCode, options).then((request) => request(axios, basePath));
        },
        /**
         * 
         * @summary Delete appointment invoice
         * @param {string} appointmentId 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1AppointmentsAppointmentIdInvoicesDelete(appointmentId: string, options?: any): AxiosPromise<void> {
            return localVarFp.apiV1AppointmentsAppointmentIdInvoicesDelete(appointmentId, options).then((request) => request(axios, basePath));
        },
        /**
         * 
         * @summary Create appointment invoice
         * @param {string} appointmentId 
         * @param {string} [languageCode] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1AppointmentsAppointmentIdInvoicesPost(appointmentId: string, languageCode?: string, options?: any): AxiosPromise<void> {
            return localVarFp.apiV1AppointmentsAppointmentIdInvoicesPost(appointmentId, languageCode, options).then((request) => request(axios, basePath));
        },
        /**
         * 
         * @summary Set appointment paid
         * @param {string} appointmentId 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1AppointmentsAppointmentIdPaidPost(appointmentId: string, options?: any): AxiosPromise<string> {
            return localVarFp.apiV1AppointmentsAppointmentIdPaidPost(appointmentId, options).then((request) => request(axios, basePath));
        },
        /**
         * 
         * @summary Set appointment as refunded
         * @param {string} appointmentId 
         * @param {string} [languageCode] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1AppointmentsAppointmentIdRefundPost(appointmentId: string, languageCode?: string, options?: any): AxiosPromise<AppointmentModel> {
            return localVarFp.apiV1AppointmentsAppointmentIdRefundPost(appointmentId, languageCode, options).then((request) => request(axios, basePath));
        },
        /**
         * 
         * @summary Reject appointment
         * @param {string} appointmentId 
         * @param {RejectAppointmentCommand} [rejectAppointmentCommand] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1AppointmentsAppointmentIdRejectPut(appointmentId: string, rejectAppointmentCommand?: RejectAppointmentCommand, options?: any): AxiosPromise<boolean> {
            return localVarFp.apiV1AppointmentsAppointmentIdRejectPut(appointmentId, rejectAppointmentCommand, options).then((request) => request(axios, basePath));
        },
        /**
         * 
         * @summary Get appointments
         * @param {string} [id] 
         * @param {string} [userId] 
         * @param {string} [userName] 
         * @param {string} [hospitalId] 
         * @param {string} [hospitalName] 
         * @param {string} [doctorId] 
         * @param {string} [doctorName] 
         * @param {string} [dealId] 
         * @param {string} [dealName] 
         * @param {string} [dealPackageId] 
         * @param {string} [hospitalSpecialtyId] 
         * @param {string} [serviceId] 
         * @param {boolean} [isOpen] 
         * @param {boolean} [isCompleted] 
         * @param {Date} [start] 
         * @param {Date} [end] 
         * @param {boolean} [requiresPaymentVerified] 
         * @param {boolean} [refundInformationIsReady] 
         * @param {AppointmentStatus} [status] 
         * @param {Array<AppointmentStatus>} [appointmentStatus] 
         * @param {AppointmentType} [appointmentType] 
         * @param {SortingOrder} [sortRequestDate] 
         * @param {SortingOrder} [sortConfirmedDateStart] 
         * @param {boolean} [paymentEnabled] 
         * @param {string} [languageCode] 
         * @param {boolean} [hasPrescription] 
         * @param {boolean} [showHidden] 
         * @param {boolean} [isOnline] 
         * @param {boolean} [isExternal] 
         * @param {number} [page] 
         * @param {number} [limit] 
         * @param {Date} [lastRetrieved] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1AppointmentsGet(id?: string, userId?: string, userName?: string, hospitalId?: string, hospitalName?: string, doctorId?: string, doctorName?: string, dealId?: string, dealName?: string, dealPackageId?: string, hospitalSpecialtyId?: string, serviceId?: string, isOpen?: boolean, isCompleted?: boolean, start?: Date, end?: Date, requiresPaymentVerified?: boolean, refundInformationIsReady?: boolean, status?: AppointmentStatus, appointmentStatus?: Array<AppointmentStatus>, appointmentType?: AppointmentType, sortRequestDate?: SortingOrder, sortConfirmedDateStart?: SortingOrder, paymentEnabled?: boolean, languageCode?: string, hasPrescription?: boolean, showHidden?: boolean, isOnline?: boolean, isExternal?: boolean, page?: number, limit?: number, lastRetrieved?: Date, options?: any): AxiosPromise<AppointmentsModel> {
            return localVarFp.apiV1AppointmentsGet(id, userId, userName, hospitalId, hospitalName, doctorId, doctorName, dealId, dealName, dealPackageId, hospitalSpecialtyId, serviceId, isOpen, isCompleted, start, end, requiresPaymentVerified, refundInformationIsReady, status, appointmentStatus, appointmentType, sortRequestDate, sortConfirmedDateStart, paymentEnabled, languageCode, hasPrescription, showHidden, isOnline, isExternal, page, limit, lastRetrieved, options).then((request) => request(axios, basePath));
        },
        /**
         * 
         * @summary The patient visits and makes an appointment.
         * @param {CreateWalkInAppointmentCommand} [createWalkInAppointmentCommand] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1AppointmentsWalkinPost(createWalkInAppointmentCommand?: CreateWalkInAppointmentCommand, options?: any): AxiosPromise<string> {
            return localVarFp.apiV1AppointmentsWalkinPost(createWalkInAppointmentCommand, options).then((request) => request(axios, basePath));
        },
    };
};

/**
 * Request parameters for apiV1AppointmentsAppointmentIdApprovePut operation in AppointmentsApi.
 * @export
 * @interface AppointmentsApiApiV1AppointmentsAppointmentIdApprovePutRequest
 */
export interface AppointmentsApiApiV1AppointmentsAppointmentIdApprovePutRequest {
    /**
     * 
     * @type {string}
     * @memberof AppointmentsApiApiV1AppointmentsAppointmentIdApprovePut
     */
    readonly appointmentId: string

    /**
     * 
     * @type {ApproveAppointmentCommand}
     * @memberof AppointmentsApiApiV1AppointmentsAppointmentIdApprovePut
     */
    readonly approveAppointmentCommand?: ApproveAppointmentCommand
}

/**
 * Request parameters for apiV1AppointmentsAppointmentIdCancelPut operation in AppointmentsApi.
 * @export
 * @interface AppointmentsApiApiV1AppointmentsAppointmentIdCancelPutRequest
 */
export interface AppointmentsApiApiV1AppointmentsAppointmentIdCancelPutRequest {
    /**
     * 
     * @type {string}
     * @memberof AppointmentsApiApiV1AppointmentsAppointmentIdCancelPut
     */
    readonly appointmentId: string
}

/**
 * Request parameters for apiV1AppointmentsAppointmentIdCompletePost operation in AppointmentsApi.
 * @export
 * @interface AppointmentsApiApiV1AppointmentsAppointmentIdCompletePostRequest
 */
export interface AppointmentsApiApiV1AppointmentsAppointmentIdCompletePostRequest {
    /**
     * 
     * @type {string}
     * @memberof AppointmentsApiApiV1AppointmentsAppointmentIdCompletePost
     */
    readonly appointmentId: string
}

/**
 * Request parameters for apiV1AppointmentsAppointmentIdDelete operation in AppointmentsApi.
 * @export
 * @interface AppointmentsApiApiV1AppointmentsAppointmentIdDeleteRequest
 */
export interface AppointmentsApiApiV1AppointmentsAppointmentIdDeleteRequest {
    /**
     * 
     * @type {string}
     * @memberof AppointmentsApiApiV1AppointmentsAppointmentIdDelete
     */
    readonly appointmentId: string

    /**
     * 
     * @type {boolean}
     * @memberof AppointmentsApiApiV1AppointmentsAppointmentIdDelete
     */
    readonly isPermanent?: boolean
}

/**
 * Request parameters for apiV1AppointmentsAppointmentIdGet operation in AppointmentsApi.
 * @export
 * @interface AppointmentsApiApiV1AppointmentsAppointmentIdGetRequest
 */
export interface AppointmentsApiApiV1AppointmentsAppointmentIdGetRequest {
    /**
     * 
     * @type {string}
     * @memberof AppointmentsApiApiV1AppointmentsAppointmentIdGet
     */
    readonly appointmentId: string

    /**
     * 
     * @type {string}
     * @memberof AppointmentsApiApiV1AppointmentsAppointmentIdGet
     */
    readonly languageCode?: string
}

/**
 * Request parameters for apiV1AppointmentsAppointmentIdInvoicesDelete operation in AppointmentsApi.
 * @export
 * @interface AppointmentsApiApiV1AppointmentsAppointmentIdInvoicesDeleteRequest
 */
export interface AppointmentsApiApiV1AppointmentsAppointmentIdInvoicesDeleteRequest {
    /**
     * 
     * @type {string}
     * @memberof AppointmentsApiApiV1AppointmentsAppointmentIdInvoicesDelete
     */
    readonly appointmentId: string
}

/**
 * Request parameters for apiV1AppointmentsAppointmentIdInvoicesPost operation in AppointmentsApi.
 * @export
 * @interface AppointmentsApiApiV1AppointmentsAppointmentIdInvoicesPostRequest
 */
export interface AppointmentsApiApiV1AppointmentsAppointmentIdInvoicesPostRequest {
    /**
     * 
     * @type {string}
     * @memberof AppointmentsApiApiV1AppointmentsAppointmentIdInvoicesPost
     */
    readonly appointmentId: string

    /**
     * 
     * @type {string}
     * @memberof AppointmentsApiApiV1AppointmentsAppointmentIdInvoicesPost
     */
    readonly languageCode?: string
}

/**
 * Request parameters for apiV1AppointmentsAppointmentIdPaidPost operation in AppointmentsApi.
 * @export
 * @interface AppointmentsApiApiV1AppointmentsAppointmentIdPaidPostRequest
 */
export interface AppointmentsApiApiV1AppointmentsAppointmentIdPaidPostRequest {
    /**
     * 
     * @type {string}
     * @memberof AppointmentsApiApiV1AppointmentsAppointmentIdPaidPost
     */
    readonly appointmentId: string
}

/**
 * Request parameters for apiV1AppointmentsAppointmentIdRefundPost operation in AppointmentsApi.
 * @export
 * @interface AppointmentsApiApiV1AppointmentsAppointmentIdRefundPostRequest
 */
export interface AppointmentsApiApiV1AppointmentsAppointmentIdRefundPostRequest {
    /**
     * 
     * @type {string}
     * @memberof AppointmentsApiApiV1AppointmentsAppointmentIdRefundPost
     */
    readonly appointmentId: string

    /**
     * 
     * @type {string}
     * @memberof AppointmentsApiApiV1AppointmentsAppointmentIdRefundPost
     */
    readonly languageCode?: string
}

/**
 * Request parameters for apiV1AppointmentsAppointmentIdRejectPut operation in AppointmentsApi.
 * @export
 * @interface AppointmentsApiApiV1AppointmentsAppointmentIdRejectPutRequest
 */
export interface AppointmentsApiApiV1AppointmentsAppointmentIdRejectPutRequest {
    /**
     * 
     * @type {string}
     * @memberof AppointmentsApiApiV1AppointmentsAppointmentIdRejectPut
     */
    readonly appointmentId: string

    /**
     * 
     * @type {RejectAppointmentCommand}
     * @memberof AppointmentsApiApiV1AppointmentsAppointmentIdRejectPut
     */
    readonly rejectAppointmentCommand?: RejectAppointmentCommand
}

/**
 * Request parameters for apiV1AppointmentsGet operation in AppointmentsApi.
 * @export
 * @interface AppointmentsApiApiV1AppointmentsGetRequest
 */
export interface AppointmentsApiApiV1AppointmentsGetRequest {
    /**
     * 
     * @type {string}
     * @memberof AppointmentsApiApiV1AppointmentsGet
     */
    readonly id?: string

    /**
     * 
     * @type {string}
     * @memberof AppointmentsApiApiV1AppointmentsGet
     */
    readonly userId?: string

    /**
     * 
     * @type {string}
     * @memberof AppointmentsApiApiV1AppointmentsGet
     */
    readonly userName?: string

    /**
     * 
     * @type {string}
     * @memberof AppointmentsApiApiV1AppointmentsGet
     */
    readonly hospitalId?: string

    /**
     * 
     * @type {string}
     * @memberof AppointmentsApiApiV1AppointmentsGet
     */
    readonly hospitalName?: string

    /**
     * 
     * @type {string}
     * @memberof AppointmentsApiApiV1AppointmentsGet
     */
    readonly doctorId?: string

    /**
     * 
     * @type {string}
     * @memberof AppointmentsApiApiV1AppointmentsGet
     */
    readonly doctorName?: string

    /**
     * 
     * @type {string}
     * @memberof AppointmentsApiApiV1AppointmentsGet
     */
    readonly dealId?: string

    /**
     * 
     * @type {string}
     * @memberof AppointmentsApiApiV1AppointmentsGet
     */
    readonly dealName?: string

    /**
     * 
     * @type {string}
     * @memberof AppointmentsApiApiV1AppointmentsGet
     */
    readonly dealPackageId?: string

    /**
     * 
     * @type {string}
     * @memberof AppointmentsApiApiV1AppointmentsGet
     */
    readonly hospitalSpecialtyId?: string

    /**
     * 
     * @type {string}
     * @memberof AppointmentsApiApiV1AppointmentsGet
     */
    readonly serviceId?: string

    /**
     * 
     * @type {boolean}
     * @memberof AppointmentsApiApiV1AppointmentsGet
     */
    readonly isOpen?: boolean

    /**
     * 
     * @type {boolean}
     * @memberof AppointmentsApiApiV1AppointmentsGet
     */
    readonly isCompleted?: boolean

    /**
     * 
     * @type {Date}
     * @memberof AppointmentsApiApiV1AppointmentsGet
     */
    readonly start?: Date

    /**
     * 
     * @type {Date}
     * @memberof AppointmentsApiApiV1AppointmentsGet
     */
    readonly end?: Date

    /**
     * 
     * @type {boolean}
     * @memberof AppointmentsApiApiV1AppointmentsGet
     */
    readonly requiresPaymentVerified?: boolean

    /**
     * 
     * @type {boolean}
     * @memberof AppointmentsApiApiV1AppointmentsGet
     */
    readonly refundInformationIsReady?: boolean

    /**
     * 
     * @type {AppointmentStatus}
     * @memberof AppointmentsApiApiV1AppointmentsGet
     */
    readonly status?: AppointmentStatus

    /**
     * 
     * @type {Array<AppointmentStatus>}
     * @memberof AppointmentsApiApiV1AppointmentsGet
     */
    readonly appointmentStatus?: Array<AppointmentStatus>

    /**
     * 
     * @type {AppointmentType}
     * @memberof AppointmentsApiApiV1AppointmentsGet
     */
    readonly appointmentType?: AppointmentType

    /**
     * 
     * @type {SortingOrder}
     * @memberof AppointmentsApiApiV1AppointmentsGet
     */
    readonly sortRequestDate?: SortingOrder

    /**
     * 
     * @type {SortingOrder}
     * @memberof AppointmentsApiApiV1AppointmentsGet
     */
    readonly sortConfirmedDateStart?: SortingOrder

    /**
     * 
     * @type {boolean}
     * @memberof AppointmentsApiApiV1AppointmentsGet
     */
    readonly paymentEnabled?: boolean

    /**
     * 
     * @type {string}
     * @memberof AppointmentsApiApiV1AppointmentsGet
     */
    readonly languageCode?: string

    /**
     * 
     * @type {boolean}
     * @memberof AppointmentsApiApiV1AppointmentsGet
     */
    readonly hasPrescription?: boolean

    /**
     * 
     * @type {boolean}
     * @memberof AppointmentsApiApiV1AppointmentsGet
     */
    readonly showHidden?: boolean

    /**
     * 
     * @type {boolean}
     * @memberof AppointmentsApiApiV1AppointmentsGet
     */
    readonly isOnline?: boolean

    /**
     * 
     * @type {boolean}
     * @memberof AppointmentsApiApiV1AppointmentsGet
     */
    readonly isExternal?: boolean

    /**
     * 
     * @type {number}
     * @memberof AppointmentsApiApiV1AppointmentsGet
     */
    readonly page?: number

    /**
     * 
     * @type {number}
     * @memberof AppointmentsApiApiV1AppointmentsGet
     */
    readonly limit?: number

    /**
     * 
     * @type {Date}
     * @memberof AppointmentsApiApiV1AppointmentsGet
     */
    readonly lastRetrieved?: Date
}

/**
 * Request parameters for apiV1AppointmentsWalkinPost operation in AppointmentsApi.
 * @export
 * @interface AppointmentsApiApiV1AppointmentsWalkinPostRequest
 */
export interface AppointmentsApiApiV1AppointmentsWalkinPostRequest {
    /**
     * 
     * @type {CreateWalkInAppointmentCommand}
     * @memberof AppointmentsApiApiV1AppointmentsWalkinPost
     */
    readonly createWalkInAppointmentCommand?: CreateWalkInAppointmentCommand
}

/**
 * AppointmentsApi - object-oriented interface
 * @export
 * @class AppointmentsApi
 * @extends {BaseAPI}
 */
export class AppointmentsApi extends BaseAPI {
    /**
     * 
     * @summary Approve appointment
     * @param {AppointmentsApiApiV1AppointmentsAppointmentIdApprovePutRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof AppointmentsApi
     */
    public apiV1AppointmentsAppointmentIdApprovePut(requestParameters: AppointmentsApiApiV1AppointmentsAppointmentIdApprovePutRequest, options?: AxiosRequestConfig) {
        return AppointmentsApiFp(this.configuration).apiV1AppointmentsAppointmentIdApprovePut(requestParameters.appointmentId, requestParameters.approveAppointmentCommand, options).then((request) => request(this.axios, this.basePath));
    }

    /**
     * 
     * @summary Cancel appointment
     * @param {AppointmentsApiApiV1AppointmentsAppointmentIdCancelPutRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof AppointmentsApi
     */
    public apiV1AppointmentsAppointmentIdCancelPut(requestParameters: AppointmentsApiApiV1AppointmentsAppointmentIdCancelPutRequest, options?: AxiosRequestConfig) {
        return AppointmentsApiFp(this.configuration).apiV1AppointmentsAppointmentIdCancelPut(requestParameters.appointmentId, options).then((request) => request(this.axios, this.basePath));
    }

    /**
     * 
     * @summary Complete appointment
     * @param {AppointmentsApiApiV1AppointmentsAppointmentIdCompletePostRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof AppointmentsApi
     */
    public apiV1AppointmentsAppointmentIdCompletePost(requestParameters: AppointmentsApiApiV1AppointmentsAppointmentIdCompletePostRequest, options?: AxiosRequestConfig) {
        return AppointmentsApiFp(this.configuration).apiV1AppointmentsAppointmentIdCompletePost(requestParameters.appointmentId, options).then((request) => request(this.axios, this.basePath));
    }

    /**
     * 
     * @summary Delete appointment
     * @param {AppointmentsApiApiV1AppointmentsAppointmentIdDeleteRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof AppointmentsApi
     */
    public apiV1AppointmentsAppointmentIdDelete(requestParameters: AppointmentsApiApiV1AppointmentsAppointmentIdDeleteRequest, options?: AxiosRequestConfig) {
        return AppointmentsApiFp(this.configuration).apiV1AppointmentsAppointmentIdDelete(requestParameters.appointmentId, requestParameters.isPermanent, options).then((request) => request(this.axios, this.basePath));
    }

    /**
     * 
     * @summary Get appointment by id
     * @param {AppointmentsApiApiV1AppointmentsAppointmentIdGetRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof AppointmentsApi
     */
    public apiV1AppointmentsAppointmentIdGet(requestParameters: AppointmentsApiApiV1AppointmentsAppointmentIdGetRequest, options?: AxiosRequestConfig) {
        return AppointmentsApiFp(this.configuration).apiV1AppointmentsAppointmentIdGet(requestParameters.appointmentId, requestParameters.languageCode, options).then((request) => request(this.axios, this.basePath));
    }

    /**
     * 
     * @summary Delete appointment invoice
     * @param {AppointmentsApiApiV1AppointmentsAppointmentIdInvoicesDeleteRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof AppointmentsApi
     */
    public apiV1AppointmentsAppointmentIdInvoicesDelete(requestParameters: AppointmentsApiApiV1AppointmentsAppointmentIdInvoicesDeleteRequest, options?: AxiosRequestConfig) {
        return AppointmentsApiFp(this.configuration).apiV1AppointmentsAppointmentIdInvoicesDelete(requestParameters.appointmentId, options).then((request) => request(this.axios, this.basePath));
    }

    /**
     * 
     * @summary Create appointment invoice
     * @param {AppointmentsApiApiV1AppointmentsAppointmentIdInvoicesPostRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof AppointmentsApi
     */
    public apiV1AppointmentsAppointmentIdInvoicesPost(requestParameters: AppointmentsApiApiV1AppointmentsAppointmentIdInvoicesPostRequest, options?: AxiosRequestConfig) {
        return AppointmentsApiFp(this.configuration).apiV1AppointmentsAppointmentIdInvoicesPost(requestParameters.appointmentId, requestParameters.languageCode, options).then((request) => request(this.axios, this.basePath));
    }

    /**
     * 
     * @summary Set appointment paid
     * @param {AppointmentsApiApiV1AppointmentsAppointmentIdPaidPostRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof AppointmentsApi
     */
    public apiV1AppointmentsAppointmentIdPaidPost(requestParameters: AppointmentsApiApiV1AppointmentsAppointmentIdPaidPostRequest, options?: AxiosRequestConfig) {
        return AppointmentsApiFp(this.configuration).apiV1AppointmentsAppointmentIdPaidPost(requestParameters.appointmentId, options).then((request) => request(this.axios, this.basePath));
    }

    /**
     * 
     * @summary Set appointment as refunded
     * @param {AppointmentsApiApiV1AppointmentsAppointmentIdRefundPostRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof AppointmentsApi
     */
    public apiV1AppointmentsAppointmentIdRefundPost(requestParameters: AppointmentsApiApiV1AppointmentsAppointmentIdRefundPostRequest, options?: AxiosRequestConfig) {
        return AppointmentsApiFp(this.configuration).apiV1AppointmentsAppointmentIdRefundPost(requestParameters.appointmentId, requestParameters.languageCode, options).then((request) => request(this.axios, this.basePath));
    }

    /**
     * 
     * @summary Reject appointment
     * @param {AppointmentsApiApiV1AppointmentsAppointmentIdRejectPutRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof AppointmentsApi
     */
    public apiV1AppointmentsAppointmentIdRejectPut(requestParameters: AppointmentsApiApiV1AppointmentsAppointmentIdRejectPutRequest, options?: AxiosRequestConfig) {
        return AppointmentsApiFp(this.configuration).apiV1AppointmentsAppointmentIdRejectPut(requestParameters.appointmentId, requestParameters.rejectAppointmentCommand, options).then((request) => request(this.axios, this.basePath));
    }

    /**
     * 
     * @summary Get appointments
     * @param {AppointmentsApiApiV1AppointmentsGetRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof AppointmentsApi
     */
    public apiV1AppointmentsGet(requestParameters: AppointmentsApiApiV1AppointmentsGetRequest = {}, options?: AxiosRequestConfig) {
        return AppointmentsApiFp(this.configuration).apiV1AppointmentsGet(requestParameters.id, requestParameters.userId, requestParameters.userName, requestParameters.hospitalId, requestParameters.hospitalName, requestParameters.doctorId, requestParameters.doctorName, requestParameters.dealId, requestParameters.dealName, requestParameters.dealPackageId, requestParameters.hospitalSpecialtyId, requestParameters.serviceId, requestParameters.isOpen, requestParameters.isCompleted, requestParameters.start, requestParameters.end, requestParameters.requiresPaymentVerified, requestParameters.refundInformationIsReady, requestParameters.status, requestParameters.appointmentStatus, requestParameters.appointmentType, requestParameters.sortRequestDate, requestParameters.sortConfirmedDateStart, requestParameters.paymentEnabled, requestParameters.languageCode, requestParameters.hasPrescription, requestParameters.showHidden, requestParameters.isOnline, requestParameters.isExternal, requestParameters.page, requestParameters.limit, requestParameters.lastRetrieved, options).then((request) => request(this.axios, this.basePath));
    }

    /**
     * 
     * @summary The patient visits and makes an appointment.
     * @param {AppointmentsApiApiV1AppointmentsWalkinPostRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof AppointmentsApi
     */
    public apiV1AppointmentsWalkinPost(requestParameters: AppointmentsApiApiV1AppointmentsWalkinPostRequest = {}, options?: AxiosRequestConfig) {
        return AppointmentsApiFp(this.configuration).apiV1AppointmentsWalkinPost(requestParameters.createWalkInAppointmentCommand, options).then((request) => request(this.axios, this.basePath));
    }
}
