/* tslint:disable */
/* eslint-disable */
/**
 * CloudHospital Admin Api
 * CloudHospital application with Swagger, Swashbuckle, and API versioning.
 *
 * The version of the OpenAPI document: 1
 * Contact: developer@icloudhospital.com
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */


import globalAxios, { AxiosPromise, AxiosInstance, AxiosRequestConfig } from 'axios';
import { Configuration } from '../configuration';
// Some imports not used depending on template conditions
// @ts-ignore
import { DUMMY_BASE_URL, assertParamExists, setApiKeyToObject, setBasicAuthToObject, setBearerAuthToObject, setOAuthToObject, setSearchParams, serializeDataIfNeeded, toPathString, createRequestFunction } from '../common';
// @ts-ignore
import { BASE_PATH, COLLECTION_FORMATS, RequestArgs, BaseAPI, RequiredError } from '../base';
// @ts-ignore
import { ArticleContributorModel } from '../models';
// @ts-ignore
import { ArticleContributorsModel } from '../models';
// @ts-ignore
import { ArticleModel } from '../models';
// @ts-ignore
import { ArticleSourcesModel } from '../models';
// @ts-ignore
import { ArticleTagModel } from '../models';
// @ts-ignore
import { ArticleTagsModel } from '../models';
// @ts-ignore
import { ArticlesModel } from '../models';
// @ts-ignore
import { ContributionType } from '../models';
// @ts-ignore
import { CreateArticleCommand } from '../models';
// @ts-ignore
import { CreateArticleContributorCommand } from '../models';
// @ts-ignore
import { CreateArticleSourceCommand } from '../models';
// @ts-ignore
import { CreateArticleTagCommand } from '../models';
// @ts-ignore
import { CreateMediaCommand } from '../models';
// @ts-ignore
import { MarketingType } from '../models';
// @ts-ignore
import { MediaModel } from '../models';
// @ts-ignore
import { MediaType } from '../models';
// @ts-ignore
import { MediasModel } from '../models';
// @ts-ignore
import { ProblemDetails } from '../models';
// @ts-ignore
import { SourceModel } from '../models';
// @ts-ignore
import { UpdateArticleCommand } from '../models';
// @ts-ignore
import { UpdateArticleContributorCommand } from '../models';
// @ts-ignore
import { UpdateArticleSourceCommand } from '../models';
// @ts-ignore
import { UpdateMediaCommand } from '../models';
/**
 * ArticlesApi - axios parameter creator
 * @export
 */
export const ArticlesApiAxiosParamCreator = function (configuration?: Configuration) {
    return {
        /**
         * 
         * @summary Delete ArticleContributor.
         * @param {string} articleId 
         * @param {string} contributorId 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1ArticlesArticleIdContributorsContributorIdDelete: async (articleId: string, contributorId: string, options: AxiosRequestConfig = {}): Promise<RequestArgs> => {
            // verify required parameter 'articleId' is not null or undefined
            assertParamExists('apiV1ArticlesArticleIdContributorsContributorIdDelete', 'articleId', articleId)
            // verify required parameter 'contributorId' is not null or undefined
            assertParamExists('apiV1ArticlesArticleIdContributorsContributorIdDelete', 'contributorId', contributorId)
            const localVarPath = `/api/v1/articles/{articleId}/contributors/{contributorId}`
                .replace(`{${"articleId"}}`, encodeURIComponent(String(articleId)))
                .replace(`{${"contributorId"}}`, encodeURIComponent(String(contributorId)));
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }

            const localVarRequestOptions = { method: 'DELETE', ...baseOptions, ...options};
            const localVarHeaderParameter = {} as any;
            const localVarQueryParameter = {} as any;

            // authentication oauth2 required
            // oauth required
            await setOAuthToObject(localVarHeaderParameter, "oauth2", ["cloudhospital_admin_api"], configuration)


    
            setSearchParams(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers};

            return {
                url: toPathString(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @summary Get ArticleContributor.
         * @param {string} articleId 
         * @param {string} contributorId 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1ArticlesArticleIdContributorsContributorIdGet: async (articleId: string, contributorId: string, options: AxiosRequestConfig = {}): Promise<RequestArgs> => {
            // verify required parameter 'articleId' is not null or undefined
            assertParamExists('apiV1ArticlesArticleIdContributorsContributorIdGet', 'articleId', articleId)
            // verify required parameter 'contributorId' is not null or undefined
            assertParamExists('apiV1ArticlesArticleIdContributorsContributorIdGet', 'contributorId', contributorId)
            const localVarPath = `/api/v1/articles/{articleId}/contributors/{contributorId}`
                .replace(`{${"articleId"}}`, encodeURIComponent(String(articleId)))
                .replace(`{${"contributorId"}}`, encodeURIComponent(String(contributorId)));
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }

            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options};
            const localVarHeaderParameter = {} as any;
            const localVarQueryParameter = {} as any;

            // authentication oauth2 required
            // oauth required
            await setOAuthToObject(localVarHeaderParameter, "oauth2", ["cloudhospital_admin_api"], configuration)


    
            setSearchParams(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers};

            return {
                url: toPathString(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @summary Update ArticleContributor.
         * @param {string} articleId 
         * @param {string} contributorId 
         * @param {UpdateArticleContributorCommand} [updateArticleContributorCommand] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1ArticlesArticleIdContributorsContributorIdPut: async (articleId: string, contributorId: string, updateArticleContributorCommand?: UpdateArticleContributorCommand, options: AxiosRequestConfig = {}): Promise<RequestArgs> => {
            // verify required parameter 'articleId' is not null or undefined
            assertParamExists('apiV1ArticlesArticleIdContributorsContributorIdPut', 'articleId', articleId)
            // verify required parameter 'contributorId' is not null or undefined
            assertParamExists('apiV1ArticlesArticleIdContributorsContributorIdPut', 'contributorId', contributorId)
            const localVarPath = `/api/v1/articles/{articleId}/contributors/{contributorId}`
                .replace(`{${"articleId"}}`, encodeURIComponent(String(articleId)))
                .replace(`{${"contributorId"}}`, encodeURIComponent(String(contributorId)));
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }

            const localVarRequestOptions = { method: 'PUT', ...baseOptions, ...options};
            const localVarHeaderParameter = {} as any;
            const localVarQueryParameter = {} as any;

            // authentication oauth2 required
            // oauth required
            await setOAuthToObject(localVarHeaderParameter, "oauth2", ["cloudhospital_admin_api"], configuration)


    
            localVarHeaderParameter['Content-Type'] = 'application/json';

            setSearchParams(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers};
            localVarRequestOptions.data = serializeDataIfNeeded(updateArticleContributorCommand, localVarRequestOptions, configuration)

            return {
                url: toPathString(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @summary GetAll ArticleContributors.
         * @param {string} articleId 
         * @param {string} [articleName] 
         * @param {string} [contributorId] 
         * @param {string} [contributorName] 
         * @param {string} [email] 
         * @param {string} [website] 
         * @param {ContributionType} [contributionType] 
         * @param {string} [languageCode] 
         * @param {boolean} [showHidden] 
         * @param {number} [page] 
         * @param {number} [limit] 
         * @param {Date} [lastRetrieved] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1ArticlesArticleIdContributorsGet: async (articleId: string, articleName?: string, contributorId?: string, contributorName?: string, email?: string, website?: string, contributionType?: ContributionType, languageCode?: string, showHidden?: boolean, page?: number, limit?: number, lastRetrieved?: Date, options: AxiosRequestConfig = {}): Promise<RequestArgs> => {
            // verify required parameter 'articleId' is not null or undefined
            assertParamExists('apiV1ArticlesArticleIdContributorsGet', 'articleId', articleId)
            const localVarPath = `/api/v1/articles/{articleId}/contributors`
                .replace(`{${"articleId"}}`, encodeURIComponent(String(articleId)));
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }

            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options};
            const localVarHeaderParameter = {} as any;
            const localVarQueryParameter = {} as any;

            // authentication oauth2 required
            // oauth required
            await setOAuthToObject(localVarHeaderParameter, "oauth2", ["cloudhospital_admin_api"], configuration)

            if (articleName !== undefined) {
                localVarQueryParameter['ArticleName'] = articleName;
            }

            if (contributorId !== undefined) {
                localVarQueryParameter['ContributorId'] = contributorId;
            }

            if (contributorName !== undefined) {
                localVarQueryParameter['ContributorName'] = contributorName;
            }

            if (email !== undefined) {
                localVarQueryParameter['Email'] = email;
            }

            if (website !== undefined) {
                localVarQueryParameter['Website'] = website;
            }

            if (contributionType !== undefined) {
                localVarQueryParameter['ContributionType'] = contributionType;
            }

            if (languageCode !== undefined) {
                localVarQueryParameter['LanguageCode'] = languageCode;
            }

            if (showHidden !== undefined) {
                localVarQueryParameter['ShowHidden'] = showHidden;
            }

            if (page !== undefined) {
                localVarQueryParameter['page'] = page;
            }

            if (limit !== undefined) {
                localVarQueryParameter['limit'] = limit;
            }

            if (lastRetrieved !== undefined) {
                localVarQueryParameter['lastRetrieved'] = (lastRetrieved as any instanceof Date) ?
                    (lastRetrieved as any).toISOString() :
                    lastRetrieved;
            }


    
            setSearchParams(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers};

            return {
                url: toPathString(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @summary Create ArticleContributor.
         * @param {string} articleId 
         * @param {CreateArticleContributorCommand} [createArticleContributorCommand] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1ArticlesArticleIdContributorsPost: async (articleId: string, createArticleContributorCommand?: CreateArticleContributorCommand, options: AxiosRequestConfig = {}): Promise<RequestArgs> => {
            // verify required parameter 'articleId' is not null or undefined
            assertParamExists('apiV1ArticlesArticleIdContributorsPost', 'articleId', articleId)
            const localVarPath = `/api/v1/articles/{articleId}/contributors`
                .replace(`{${"articleId"}}`, encodeURIComponent(String(articleId)));
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }

            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options};
            const localVarHeaderParameter = {} as any;
            const localVarQueryParameter = {} as any;

            // authentication oauth2 required
            // oauth required
            await setOAuthToObject(localVarHeaderParameter, "oauth2", ["cloudhospital_admin_api"], configuration)


    
            localVarHeaderParameter['Content-Type'] = 'application/json';

            setSearchParams(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers};
            localVarRequestOptions.data = serializeDataIfNeeded(createArticleContributorCommand, localVarRequestOptions, configuration)

            return {
                url: toPathString(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @summary Delete Article.
         * @param {string} articleId 
         * @param {string} [languageCode] 
         * @param {boolean} [isPermanent] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1ArticlesArticleIdDelete: async (articleId: string, languageCode?: string, isPermanent?: boolean, options: AxiosRequestConfig = {}): Promise<RequestArgs> => {
            // verify required parameter 'articleId' is not null or undefined
            assertParamExists('apiV1ArticlesArticleIdDelete', 'articleId', articleId)
            const localVarPath = `/api/v1/articles/{articleId}`
                .replace(`{${"articleId"}}`, encodeURIComponent(String(articleId)));
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }

            const localVarRequestOptions = { method: 'DELETE', ...baseOptions, ...options};
            const localVarHeaderParameter = {} as any;
            const localVarQueryParameter = {} as any;

            // authentication oauth2 required
            // oauth required
            await setOAuthToObject(localVarHeaderParameter, "oauth2", ["cloudhospital_admin_api"], configuration)

            if (languageCode !== undefined) {
                localVarQueryParameter['languageCode'] = languageCode;
            }

            if (isPermanent !== undefined) {
                localVarQueryParameter['isPermanent'] = isPermanent;
            }


    
            setSearchParams(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers};

            return {
                url: toPathString(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @summary Get Article.
         * @param {string} articleId 
         * @param {string} [languageCode] 
         * @param {boolean} [returnDefaultValue] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1ArticlesArticleIdGet: async (articleId: string, languageCode?: string, returnDefaultValue?: boolean, options: AxiosRequestConfig = {}): Promise<RequestArgs> => {
            // verify required parameter 'articleId' is not null or undefined
            assertParamExists('apiV1ArticlesArticleIdGet', 'articleId', articleId)
            const localVarPath = `/api/v1/articles/{articleId}`
                .replace(`{${"articleId"}}`, encodeURIComponent(String(articleId)));
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }

            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options};
            const localVarHeaderParameter = {} as any;
            const localVarQueryParameter = {} as any;

            // authentication oauth2 required
            // oauth required
            await setOAuthToObject(localVarHeaderParameter, "oauth2", ["cloudhospital_admin_api"], configuration)

            if (languageCode !== undefined) {
                localVarQueryParameter['languageCode'] = languageCode;
            }

            if (returnDefaultValue !== undefined) {
                localVarQueryParameter['returnDefaultValue'] = returnDefaultValue;
            }


    
            setSearchParams(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers};

            return {
                url: toPathString(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @summary Get all ArticleMedias.
         * @param {string} articleId 
         * @param {string} [id] 
         * @param {MediaType} [mediaType] 
         * @param {number} [page] 
         * @param {number} [limit] 
         * @param {Date} [lastRetrieved] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1ArticlesArticleIdMediasGet: async (articleId: string, id?: string, mediaType?: MediaType, page?: number, limit?: number, lastRetrieved?: Date, options: AxiosRequestConfig = {}): Promise<RequestArgs> => {
            // verify required parameter 'articleId' is not null or undefined
            assertParamExists('apiV1ArticlesArticleIdMediasGet', 'articleId', articleId)
            const localVarPath = `/api/v1/articles/{articleId}/medias`
                .replace(`{${"articleId"}}`, encodeURIComponent(String(articleId)));
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }

            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options};
            const localVarHeaderParameter = {} as any;
            const localVarQueryParameter = {} as any;

            // authentication oauth2 required
            // oauth required
            await setOAuthToObject(localVarHeaderParameter, "oauth2", ["cloudhospital_admin_api"], configuration)

            if (id !== undefined) {
                localVarQueryParameter['Id'] = id;
            }

            if (mediaType !== undefined) {
                localVarQueryParameter['MediaType'] = mediaType;
            }

            if (page !== undefined) {
                localVarQueryParameter['page'] = page;
            }

            if (limit !== undefined) {
                localVarQueryParameter['limit'] = limit;
            }

            if (lastRetrieved !== undefined) {
                localVarQueryParameter['lastRetrieved'] = (lastRetrieved as any instanceof Date) ?
                    (lastRetrieved as any).toISOString() :
                    lastRetrieved;
            }


    
            setSearchParams(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers};

            return {
                url: toPathString(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @summary Delete ArticleMedia
         * @param {string} articleId 
         * @param {string} mediaId 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1ArticlesArticleIdMediasMediaIdDelete: async (articleId: string, mediaId: string, options: AxiosRequestConfig = {}): Promise<RequestArgs> => {
            // verify required parameter 'articleId' is not null or undefined
            assertParamExists('apiV1ArticlesArticleIdMediasMediaIdDelete', 'articleId', articleId)
            // verify required parameter 'mediaId' is not null or undefined
            assertParamExists('apiV1ArticlesArticleIdMediasMediaIdDelete', 'mediaId', mediaId)
            const localVarPath = `/api/v1/articles/{articleId}/medias/{mediaId}`
                .replace(`{${"articleId"}}`, encodeURIComponent(String(articleId)))
                .replace(`{${"mediaId"}}`, encodeURIComponent(String(mediaId)));
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }

            const localVarRequestOptions = { method: 'DELETE', ...baseOptions, ...options};
            const localVarHeaderParameter = {} as any;
            const localVarQueryParameter = {} as any;

            // authentication oauth2 required
            // oauth required
            await setOAuthToObject(localVarHeaderParameter, "oauth2", ["cloudhospital_admin_api"], configuration)


    
            setSearchParams(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers};

            return {
                url: toPathString(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @summary Get ArticleMedia.
         * @param {string} articleId 
         * @param {string} mediaId 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1ArticlesArticleIdMediasMediaIdGet: async (articleId: string, mediaId: string, options: AxiosRequestConfig = {}): Promise<RequestArgs> => {
            // verify required parameter 'articleId' is not null or undefined
            assertParamExists('apiV1ArticlesArticleIdMediasMediaIdGet', 'articleId', articleId)
            // verify required parameter 'mediaId' is not null or undefined
            assertParamExists('apiV1ArticlesArticleIdMediasMediaIdGet', 'mediaId', mediaId)
            const localVarPath = `/api/v1/articles/{articleId}/medias/{mediaId}`
                .replace(`{${"articleId"}}`, encodeURIComponent(String(articleId)))
                .replace(`{${"mediaId"}}`, encodeURIComponent(String(mediaId)));
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }

            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options};
            const localVarHeaderParameter = {} as any;
            const localVarQueryParameter = {} as any;

            // authentication oauth2 required
            // oauth required
            await setOAuthToObject(localVarHeaderParameter, "oauth2", ["cloudhospital_admin_api"], configuration)


    
            setSearchParams(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers};

            return {
                url: toPathString(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @summary Update ArticleMedia.
         * @param {string} articleId 
         * @param {string} mediaId 
         * @param {UpdateMediaCommand} [updateMediaCommand] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1ArticlesArticleIdMediasMediaIdPut: async (articleId: string, mediaId: string, updateMediaCommand?: UpdateMediaCommand, options: AxiosRequestConfig = {}): Promise<RequestArgs> => {
            // verify required parameter 'articleId' is not null or undefined
            assertParamExists('apiV1ArticlesArticleIdMediasMediaIdPut', 'articleId', articleId)
            // verify required parameter 'mediaId' is not null or undefined
            assertParamExists('apiV1ArticlesArticleIdMediasMediaIdPut', 'mediaId', mediaId)
            const localVarPath = `/api/v1/articles/{articleId}/medias/{mediaId}`
                .replace(`{${"articleId"}}`, encodeURIComponent(String(articleId)))
                .replace(`{${"mediaId"}}`, encodeURIComponent(String(mediaId)));
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }

            const localVarRequestOptions = { method: 'PUT', ...baseOptions, ...options};
            const localVarHeaderParameter = {} as any;
            const localVarQueryParameter = {} as any;

            // authentication oauth2 required
            // oauth required
            await setOAuthToObject(localVarHeaderParameter, "oauth2", ["cloudhospital_admin_api"], configuration)


    
            localVarHeaderParameter['Content-Type'] = 'application/json';

            setSearchParams(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers};
            localVarRequestOptions.data = serializeDataIfNeeded(updateMediaCommand, localVarRequestOptions, configuration)

            return {
                url: toPathString(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @summary Create ArticleMedia.
         * @param {string} articleId 
         * @param {CreateMediaCommand} [createMediaCommand] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1ArticlesArticleIdMediasPost: async (articleId: string, createMediaCommand?: CreateMediaCommand, options: AxiosRequestConfig = {}): Promise<RequestArgs> => {
            // verify required parameter 'articleId' is not null or undefined
            assertParamExists('apiV1ArticlesArticleIdMediasPost', 'articleId', articleId)
            const localVarPath = `/api/v1/articles/{articleId}/medias`
                .replace(`{${"articleId"}}`, encodeURIComponent(String(articleId)));
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }

            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options};
            const localVarHeaderParameter = {} as any;
            const localVarQueryParameter = {} as any;

            // authentication oauth2 required
            // oauth required
            await setOAuthToObject(localVarHeaderParameter, "oauth2", ["cloudhospital_admin_api"], configuration)


    
            localVarHeaderParameter['Content-Type'] = 'application/json';

            setSearchParams(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers};
            localVarRequestOptions.data = serializeDataIfNeeded(createMediaCommand, localVarRequestOptions, configuration)

            return {
                url: toPathString(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @summary Update Article.
         * @param {string} articleId 
         * @param {UpdateArticleCommand} [updateArticleCommand] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1ArticlesArticleIdPut: async (articleId: string, updateArticleCommand?: UpdateArticleCommand, options: AxiosRequestConfig = {}): Promise<RequestArgs> => {
            // verify required parameter 'articleId' is not null or undefined
            assertParamExists('apiV1ArticlesArticleIdPut', 'articleId', articleId)
            const localVarPath = `/api/v1/articles/{articleId}`
                .replace(`{${"articleId"}}`, encodeURIComponent(String(articleId)));
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }

            const localVarRequestOptions = { method: 'PUT', ...baseOptions, ...options};
            const localVarHeaderParameter = {} as any;
            const localVarQueryParameter = {} as any;

            // authentication oauth2 required
            // oauth required
            await setOAuthToObject(localVarHeaderParameter, "oauth2", ["cloudhospital_admin_api"], configuration)


    
            localVarHeaderParameter['Content-Type'] = 'application/json';

            setSearchParams(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers};
            localVarRequestOptions.data = serializeDataIfNeeded(updateArticleCommand, localVarRequestOptions, configuration)

            return {
                url: toPathString(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @summary Revalidate article
         * @param {string} articleId 
         * @param {boolean} [includeCurrent] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1ArticlesArticleIdRevalidatePost: async (articleId: string, includeCurrent?: boolean, options: AxiosRequestConfig = {}): Promise<RequestArgs> => {
            // verify required parameter 'articleId' is not null or undefined
            assertParamExists('apiV1ArticlesArticleIdRevalidatePost', 'articleId', articleId)
            const localVarPath = `/api/v1/articles/{articleId}/revalidate`
                .replace(`{${"articleId"}}`, encodeURIComponent(String(articleId)));
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }

            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options};
            const localVarHeaderParameter = {} as any;
            const localVarQueryParameter = {} as any;

            // authentication oauth2 required
            // oauth required
            await setOAuthToObject(localVarHeaderParameter, "oauth2", ["cloudhospital_admin_api"], configuration)

            if (includeCurrent !== undefined) {
                localVarQueryParameter['includeCurrent'] = includeCurrent;
            }


    
            setSearchParams(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers};

            return {
                url: toPathString(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @summary Get all ArticleSource.
         * @param {string} articleId 
         * @param {number} [page] 
         * @param {number} [limit] 
         * @param {Date} [lastRetrieved] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1ArticlesArticleIdSourcesGet: async (articleId: string, page?: number, limit?: number, lastRetrieved?: Date, options: AxiosRequestConfig = {}): Promise<RequestArgs> => {
            // verify required parameter 'articleId' is not null or undefined
            assertParamExists('apiV1ArticlesArticleIdSourcesGet', 'articleId', articleId)
            const localVarPath = `/api/v1/articles/{articleId}/sources`
                .replace(`{${"articleId"}}`, encodeURIComponent(String(articleId)));
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }

            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options};
            const localVarHeaderParameter = {} as any;
            const localVarQueryParameter = {} as any;

            // authentication oauth2 required
            // oauth required
            await setOAuthToObject(localVarHeaderParameter, "oauth2", ["cloudhospital_admin_api"], configuration)

            if (page !== undefined) {
                localVarQueryParameter['page'] = page;
            }

            if (limit !== undefined) {
                localVarQueryParameter['limit'] = limit;
            }

            if (lastRetrieved !== undefined) {
                localVarQueryParameter['lastRetrieved'] = (lastRetrieved as any instanceof Date) ?
                    (lastRetrieved as any).toISOString() :
                    lastRetrieved;
            }


    
            setSearchParams(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers};

            return {
                url: toPathString(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @summary Create ArticleSource.
         * @param {string} articleId 
         * @param {CreateArticleSourceCommand} [createArticleSourceCommand] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1ArticlesArticleIdSourcesPost: async (articleId: string, createArticleSourceCommand?: CreateArticleSourceCommand, options: AxiosRequestConfig = {}): Promise<RequestArgs> => {
            // verify required parameter 'articleId' is not null or undefined
            assertParamExists('apiV1ArticlesArticleIdSourcesPost', 'articleId', articleId)
            const localVarPath = `/api/v1/articles/{articleId}/sources`
                .replace(`{${"articleId"}}`, encodeURIComponent(String(articleId)));
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }

            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options};
            const localVarHeaderParameter = {} as any;
            const localVarQueryParameter = {} as any;

            // authentication oauth2 required
            // oauth required
            await setOAuthToObject(localVarHeaderParameter, "oauth2", ["cloudhospital_admin_api"], configuration)


    
            localVarHeaderParameter['Content-Type'] = 'application/json';

            setSearchParams(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers};
            localVarRequestOptions.data = serializeDataIfNeeded(createArticleSourceCommand, localVarRequestOptions, configuration)

            return {
                url: toPathString(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @summary Delete ArticleSource.
         * @param {string} articleId 
         * @param {string} sourceId 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1ArticlesArticleIdSourcesSourceIdDelete: async (articleId: string, sourceId: string, options: AxiosRequestConfig = {}): Promise<RequestArgs> => {
            // verify required parameter 'articleId' is not null or undefined
            assertParamExists('apiV1ArticlesArticleIdSourcesSourceIdDelete', 'articleId', articleId)
            // verify required parameter 'sourceId' is not null or undefined
            assertParamExists('apiV1ArticlesArticleIdSourcesSourceIdDelete', 'sourceId', sourceId)
            const localVarPath = `/api/v1/articles/{articleId}/sources/{sourceId}`
                .replace(`{${"articleId"}}`, encodeURIComponent(String(articleId)))
                .replace(`{${"sourceId"}}`, encodeURIComponent(String(sourceId)));
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }

            const localVarRequestOptions = { method: 'DELETE', ...baseOptions, ...options};
            const localVarHeaderParameter = {} as any;
            const localVarQueryParameter = {} as any;

            // authentication oauth2 required
            // oauth required
            await setOAuthToObject(localVarHeaderParameter, "oauth2", ["cloudhospital_admin_api"], configuration)


    
            setSearchParams(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers};

            return {
                url: toPathString(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @summary Get ArticleSource.
         * @param {string} articleId 
         * @param {string} sourceId 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1ArticlesArticleIdSourcesSourceIdGet: async (articleId: string, sourceId: string, options: AxiosRequestConfig = {}): Promise<RequestArgs> => {
            // verify required parameter 'articleId' is not null or undefined
            assertParamExists('apiV1ArticlesArticleIdSourcesSourceIdGet', 'articleId', articleId)
            // verify required parameter 'sourceId' is not null or undefined
            assertParamExists('apiV1ArticlesArticleIdSourcesSourceIdGet', 'sourceId', sourceId)
            const localVarPath = `/api/v1/articles/{articleId}/sources/{sourceId}`
                .replace(`{${"articleId"}}`, encodeURIComponent(String(articleId)))
                .replace(`{${"sourceId"}}`, encodeURIComponent(String(sourceId)));
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }

            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options};
            const localVarHeaderParameter = {} as any;
            const localVarQueryParameter = {} as any;

            // authentication oauth2 required
            // oauth required
            await setOAuthToObject(localVarHeaderParameter, "oauth2", ["cloudhospital_admin_api"], configuration)


    
            setSearchParams(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers};

            return {
                url: toPathString(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @summary Update ArticleSource.
         * @param {string} articleId 
         * @param {string} sourceId 
         * @param {UpdateArticleSourceCommand} [updateArticleSourceCommand] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1ArticlesArticleIdSourcesSourceIdPut: async (articleId: string, sourceId: string, updateArticleSourceCommand?: UpdateArticleSourceCommand, options: AxiosRequestConfig = {}): Promise<RequestArgs> => {
            // verify required parameter 'articleId' is not null or undefined
            assertParamExists('apiV1ArticlesArticleIdSourcesSourceIdPut', 'articleId', articleId)
            // verify required parameter 'sourceId' is not null or undefined
            assertParamExists('apiV1ArticlesArticleIdSourcesSourceIdPut', 'sourceId', sourceId)
            const localVarPath = `/api/v1/articles/{articleId}/sources/{sourceId}`
                .replace(`{${"articleId"}}`, encodeURIComponent(String(articleId)))
                .replace(`{${"sourceId"}}`, encodeURIComponent(String(sourceId)));
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }

            const localVarRequestOptions = { method: 'PUT', ...baseOptions, ...options};
            const localVarHeaderParameter = {} as any;
            const localVarQueryParameter = {} as any;

            // authentication oauth2 required
            // oauth required
            await setOAuthToObject(localVarHeaderParameter, "oauth2", ["cloudhospital_admin_api"], configuration)


    
            localVarHeaderParameter['Content-Type'] = 'application/json';

            setSearchParams(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers};
            localVarRequestOptions.data = serializeDataIfNeeded(updateArticleSourceCommand, localVarRequestOptions, configuration)

            return {
                url: toPathString(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @summary GetAll ArticleTags.
         * @param {string} articleId 
         * @param {string} [tagId] 
         * @param {number} [page] 
         * @param {number} [limit] 
         * @param {Date} [lastRetrieved] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1ArticlesArticleIdTagsGet: async (articleId: string, tagId?: string, page?: number, limit?: number, lastRetrieved?: Date, options: AxiosRequestConfig = {}): Promise<RequestArgs> => {
            // verify required parameter 'articleId' is not null or undefined
            assertParamExists('apiV1ArticlesArticleIdTagsGet', 'articleId', articleId)
            const localVarPath = `/api/v1/articles/{articleId}/tags`
                .replace(`{${"articleId"}}`, encodeURIComponent(String(articleId)));
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }

            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options};
            const localVarHeaderParameter = {} as any;
            const localVarQueryParameter = {} as any;

            // authentication oauth2 required
            // oauth required
            await setOAuthToObject(localVarHeaderParameter, "oauth2", ["cloudhospital_admin_api"], configuration)

            if (tagId !== undefined) {
                localVarQueryParameter['TagId'] = tagId;
            }

            if (page !== undefined) {
                localVarQueryParameter['page'] = page;
            }

            if (limit !== undefined) {
                localVarQueryParameter['limit'] = limit;
            }

            if (lastRetrieved !== undefined) {
                localVarQueryParameter['lastRetrieved'] = (lastRetrieved as any instanceof Date) ?
                    (lastRetrieved as any).toISOString() :
                    lastRetrieved;
            }


    
            setSearchParams(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers};

            return {
                url: toPathString(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @summary Create ArticleTag.
         * @param {string} articleId 
         * @param {CreateArticleTagCommand} [createArticleTagCommand] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1ArticlesArticleIdTagsPost: async (articleId: string, createArticleTagCommand?: CreateArticleTagCommand, options: AxiosRequestConfig = {}): Promise<RequestArgs> => {
            // verify required parameter 'articleId' is not null or undefined
            assertParamExists('apiV1ArticlesArticleIdTagsPost', 'articleId', articleId)
            const localVarPath = `/api/v1/articles/{articleId}/tags`
                .replace(`{${"articleId"}}`, encodeURIComponent(String(articleId)));
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }

            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options};
            const localVarHeaderParameter = {} as any;
            const localVarQueryParameter = {} as any;

            // authentication oauth2 required
            // oauth required
            await setOAuthToObject(localVarHeaderParameter, "oauth2", ["cloudhospital_admin_api"], configuration)


    
            localVarHeaderParameter['Content-Type'] = 'application/json';

            setSearchParams(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers};
            localVarRequestOptions.data = serializeDataIfNeeded(createArticleTagCommand, localVarRequestOptions, configuration)

            return {
                url: toPathString(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @summary Delete ArticleTag.
         * @param {string} articleId 
         * @param {string} tagId 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1ArticlesArticleIdTagsTagIdDelete: async (articleId: string, tagId: string, options: AxiosRequestConfig = {}): Promise<RequestArgs> => {
            // verify required parameter 'articleId' is not null or undefined
            assertParamExists('apiV1ArticlesArticleIdTagsTagIdDelete', 'articleId', articleId)
            // verify required parameter 'tagId' is not null or undefined
            assertParamExists('apiV1ArticlesArticleIdTagsTagIdDelete', 'tagId', tagId)
            const localVarPath = `/api/v1/articles/{articleId}/tags/{tagId}`
                .replace(`{${"articleId"}}`, encodeURIComponent(String(articleId)))
                .replace(`{${"tagId"}}`, encodeURIComponent(String(tagId)));
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }

            const localVarRequestOptions = { method: 'DELETE', ...baseOptions, ...options};
            const localVarHeaderParameter = {} as any;
            const localVarQueryParameter = {} as any;

            // authentication oauth2 required
            // oauth required
            await setOAuthToObject(localVarHeaderParameter, "oauth2", ["cloudhospital_admin_api"], configuration)


    
            setSearchParams(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers};

            return {
                url: toPathString(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @summary Get ArticleTag.
         * @param {string} articleId 
         * @param {string} tagId 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1ArticlesArticleIdTagsTagIdGet: async (articleId: string, tagId: string, options: AxiosRequestConfig = {}): Promise<RequestArgs> => {
            // verify required parameter 'articleId' is not null or undefined
            assertParamExists('apiV1ArticlesArticleIdTagsTagIdGet', 'articleId', articleId)
            // verify required parameter 'tagId' is not null or undefined
            assertParamExists('apiV1ArticlesArticleIdTagsTagIdGet', 'tagId', tagId)
            const localVarPath = `/api/v1/articles/{articleId}/tags/{tagId}`
                .replace(`{${"articleId"}}`, encodeURIComponent(String(articleId)))
                .replace(`{${"tagId"}}`, encodeURIComponent(String(tagId)));
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }

            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options};
            const localVarHeaderParameter = {} as any;
            const localVarQueryParameter = {} as any;

            // authentication oauth2 required
            // oauth required
            await setOAuthToObject(localVarHeaderParameter, "oauth2", ["cloudhospital_admin_api"], configuration)


    
            setSearchParams(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers};

            return {
                url: toPathString(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @summary Get all Articles.
         * @param {string} [id] 
         * @param {string} [name] 
         * @param {string} [description] 
         * @param {MarketingType} [marketingType] 
         * @param {string} [userId] 
         * @param {string} [userName] 
         * @param {string} [hospitalId] 
         * @param {string} [hospitalName] 
         * @param {string} [countryId] 
         * @param {string} [tag] 
         * @param {string} [exceptArticleId] 
         * @param {string} [exceptHospitalId] 
         * @param {string} [contributorId] 
         * @param {string} [languageCode] 
         * @param {boolean} [showHidden] 
         * @param {number} [page] 
         * @param {number} [limit] 
         * @param {Date} [lastRetrieved] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1ArticlesGet: async (id?: string, name?: string, description?: string, marketingType?: MarketingType, userId?: string, userName?: string, hospitalId?: string, hospitalName?: string, countryId?: string, tag?: string, exceptArticleId?: string, exceptHospitalId?: string, contributorId?: string, languageCode?: string, showHidden?: boolean, page?: number, limit?: number, lastRetrieved?: Date, options: AxiosRequestConfig = {}): Promise<RequestArgs> => {
            const localVarPath = `/api/v1/articles`;
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }

            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options};
            const localVarHeaderParameter = {} as any;
            const localVarQueryParameter = {} as any;

            // authentication oauth2 required
            // oauth required
            await setOAuthToObject(localVarHeaderParameter, "oauth2", ["cloudhospital_admin_api"], configuration)

            if (id !== undefined) {
                localVarQueryParameter['Id'] = id;
            }

            if (name !== undefined) {
                localVarQueryParameter['Name'] = name;
            }

            if (description !== undefined) {
                localVarQueryParameter['Description'] = description;
            }

            if (marketingType !== undefined) {
                localVarQueryParameter['MarketingType'] = marketingType;
            }

            if (userId !== undefined) {
                localVarQueryParameter['UserId'] = userId;
            }

            if (userName !== undefined) {
                localVarQueryParameter['UserName'] = userName;
            }

            if (hospitalId !== undefined) {
                localVarQueryParameter['HospitalId'] = hospitalId;
            }

            if (hospitalName !== undefined) {
                localVarQueryParameter['HospitalName'] = hospitalName;
            }

            if (countryId !== undefined) {
                localVarQueryParameter['CountryId'] = countryId;
            }

            if (tag !== undefined) {
                localVarQueryParameter['Tag'] = tag;
            }

            if (exceptArticleId !== undefined) {
                localVarQueryParameter['ExceptArticleId'] = exceptArticleId;
            }

            if (exceptHospitalId !== undefined) {
                localVarQueryParameter['ExceptHospitalId'] = exceptHospitalId;
            }

            if (contributorId !== undefined) {
                localVarQueryParameter['ContributorId'] = contributorId;
            }

            if (languageCode !== undefined) {
                localVarQueryParameter['LanguageCode'] = languageCode;
            }

            if (showHidden !== undefined) {
                localVarQueryParameter['ShowHidden'] = showHidden;
            }

            if (page !== undefined) {
                localVarQueryParameter['page'] = page;
            }

            if (limit !== undefined) {
                localVarQueryParameter['limit'] = limit;
            }

            if (lastRetrieved !== undefined) {
                localVarQueryParameter['lastRetrieved'] = (lastRetrieved as any instanceof Date) ?
                    (lastRetrieved as any).toISOString() :
                    lastRetrieved;
            }


    
            setSearchParams(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers};

            return {
                url: toPathString(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @summary Create a Article.
         * @param {CreateArticleCommand} [createArticleCommand] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1ArticlesPost: async (createArticleCommand?: CreateArticleCommand, options: AxiosRequestConfig = {}): Promise<RequestArgs> => {
            const localVarPath = `/api/v1/articles`;
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }

            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options};
            const localVarHeaderParameter = {} as any;
            const localVarQueryParameter = {} as any;

            // authentication oauth2 required
            // oauth required
            await setOAuthToObject(localVarHeaderParameter, "oauth2", ["cloudhospital_admin_api"], configuration)


    
            localVarHeaderParameter['Content-Type'] = 'application/json';

            setSearchParams(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers};
            localVarRequestOptions.data = serializeDataIfNeeded(createArticleCommand, localVarRequestOptions, configuration)

            return {
                url: toPathString(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @summary Get Article by slug.
         * @param {string} slug 
         * @param {string} [languageCode] 
         * @param {boolean} [returnDefaultValue] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1ArticlesSlugGet: async (slug: string, languageCode?: string, returnDefaultValue?: boolean, options: AxiosRequestConfig = {}): Promise<RequestArgs> => {
            // verify required parameter 'slug' is not null or undefined
            assertParamExists('apiV1ArticlesSlugGet', 'slug', slug)
            const localVarPath = `/api/v1/articles/{slug}`
                .replace(`{${"slug"}}`, encodeURIComponent(String(slug)));
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }

            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options};
            const localVarHeaderParameter = {} as any;
            const localVarQueryParameter = {} as any;

            // authentication oauth2 required
            // oauth required
            await setOAuthToObject(localVarHeaderParameter, "oauth2", ["cloudhospital_admin_api"], configuration)

            if (languageCode !== undefined) {
                localVarQueryParameter['languageCode'] = languageCode;
            }

            if (returnDefaultValue !== undefined) {
                localVarQueryParameter['returnDefaultValue'] = returnDefaultValue;
            }


    
            setSearchParams(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers};

            return {
                url: toPathString(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
    }
};

/**
 * ArticlesApi - functional programming interface
 * @export
 */
export const ArticlesApiFp = function(configuration?: Configuration) {
    const localVarAxiosParamCreator = ArticlesApiAxiosParamCreator(configuration)
    return {
        /**
         * 
         * @summary Delete ArticleContributor.
         * @param {string} articleId 
         * @param {string} contributorId 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async apiV1ArticlesArticleIdContributorsContributorIdDelete(articleId: string, contributorId: string, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<boolean>> {
            const localVarAxiosArgs = await localVarAxiosParamCreator.apiV1ArticlesArticleIdContributorsContributorIdDelete(articleId, contributorId, options);
            return createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration);
        },
        /**
         * 
         * @summary Get ArticleContributor.
         * @param {string} articleId 
         * @param {string} contributorId 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async apiV1ArticlesArticleIdContributorsContributorIdGet(articleId: string, contributorId: string, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<ArticleContributorModel>> {
            const localVarAxiosArgs = await localVarAxiosParamCreator.apiV1ArticlesArticleIdContributorsContributorIdGet(articleId, contributorId, options);
            return createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration);
        },
        /**
         * 
         * @summary Update ArticleContributor.
         * @param {string} articleId 
         * @param {string} contributorId 
         * @param {UpdateArticleContributorCommand} [updateArticleContributorCommand] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async apiV1ArticlesArticleIdContributorsContributorIdPut(articleId: string, contributorId: string, updateArticleContributorCommand?: UpdateArticleContributorCommand, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<ArticleContributorModel>> {
            const localVarAxiosArgs = await localVarAxiosParamCreator.apiV1ArticlesArticleIdContributorsContributorIdPut(articleId, contributorId, updateArticleContributorCommand, options);
            return createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration);
        },
        /**
         * 
         * @summary GetAll ArticleContributors.
         * @param {string} articleId 
         * @param {string} [articleName] 
         * @param {string} [contributorId] 
         * @param {string} [contributorName] 
         * @param {string} [email] 
         * @param {string} [website] 
         * @param {ContributionType} [contributionType] 
         * @param {string} [languageCode] 
         * @param {boolean} [showHidden] 
         * @param {number} [page] 
         * @param {number} [limit] 
         * @param {Date} [lastRetrieved] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async apiV1ArticlesArticleIdContributorsGet(articleId: string, articleName?: string, contributorId?: string, contributorName?: string, email?: string, website?: string, contributionType?: ContributionType, languageCode?: string, showHidden?: boolean, page?: number, limit?: number, lastRetrieved?: Date, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<ArticleContributorsModel>> {
            const localVarAxiosArgs = await localVarAxiosParamCreator.apiV1ArticlesArticleIdContributorsGet(articleId, articleName, contributorId, contributorName, email, website, contributionType, languageCode, showHidden, page, limit, lastRetrieved, options);
            return createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration);
        },
        /**
         * 
         * @summary Create ArticleContributor.
         * @param {string} articleId 
         * @param {CreateArticleContributorCommand} [createArticleContributorCommand] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async apiV1ArticlesArticleIdContributorsPost(articleId: string, createArticleContributorCommand?: CreateArticleContributorCommand, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<ArticleContributorModel>> {
            const localVarAxiosArgs = await localVarAxiosParamCreator.apiV1ArticlesArticleIdContributorsPost(articleId, createArticleContributorCommand, options);
            return createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration);
        },
        /**
         * 
         * @summary Delete Article.
         * @param {string} articleId 
         * @param {string} [languageCode] 
         * @param {boolean} [isPermanent] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async apiV1ArticlesArticleIdDelete(articleId: string, languageCode?: string, isPermanent?: boolean, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<boolean>> {
            const localVarAxiosArgs = await localVarAxiosParamCreator.apiV1ArticlesArticleIdDelete(articleId, languageCode, isPermanent, options);
            return createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration);
        },
        /**
         * 
         * @summary Get Article.
         * @param {string} articleId 
         * @param {string} [languageCode] 
         * @param {boolean} [returnDefaultValue] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async apiV1ArticlesArticleIdGet(articleId: string, languageCode?: string, returnDefaultValue?: boolean, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<ArticleModel>> {
            const localVarAxiosArgs = await localVarAxiosParamCreator.apiV1ArticlesArticleIdGet(articleId, languageCode, returnDefaultValue, options);
            return createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration);
        },
        /**
         * 
         * @summary Get all ArticleMedias.
         * @param {string} articleId 
         * @param {string} [id] 
         * @param {MediaType} [mediaType] 
         * @param {number} [page] 
         * @param {number} [limit] 
         * @param {Date} [lastRetrieved] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async apiV1ArticlesArticleIdMediasGet(articleId: string, id?: string, mediaType?: MediaType, page?: number, limit?: number, lastRetrieved?: Date, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<MediasModel>> {
            const localVarAxiosArgs = await localVarAxiosParamCreator.apiV1ArticlesArticleIdMediasGet(articleId, id, mediaType, page, limit, lastRetrieved, options);
            return createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration);
        },
        /**
         * 
         * @summary Delete ArticleMedia
         * @param {string} articleId 
         * @param {string} mediaId 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async apiV1ArticlesArticleIdMediasMediaIdDelete(articleId: string, mediaId: string, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<boolean>> {
            const localVarAxiosArgs = await localVarAxiosParamCreator.apiV1ArticlesArticleIdMediasMediaIdDelete(articleId, mediaId, options);
            return createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration);
        },
        /**
         * 
         * @summary Get ArticleMedia.
         * @param {string} articleId 
         * @param {string} mediaId 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async apiV1ArticlesArticleIdMediasMediaIdGet(articleId: string, mediaId: string, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<MediaModel>> {
            const localVarAxiosArgs = await localVarAxiosParamCreator.apiV1ArticlesArticleIdMediasMediaIdGet(articleId, mediaId, options);
            return createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration);
        },
        /**
         * 
         * @summary Update ArticleMedia.
         * @param {string} articleId 
         * @param {string} mediaId 
         * @param {UpdateMediaCommand} [updateMediaCommand] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async apiV1ArticlesArticleIdMediasMediaIdPut(articleId: string, mediaId: string, updateMediaCommand?: UpdateMediaCommand, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<MediaModel>> {
            const localVarAxiosArgs = await localVarAxiosParamCreator.apiV1ArticlesArticleIdMediasMediaIdPut(articleId, mediaId, updateMediaCommand, options);
            return createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration);
        },
        /**
         * 
         * @summary Create ArticleMedia.
         * @param {string} articleId 
         * @param {CreateMediaCommand} [createMediaCommand] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async apiV1ArticlesArticleIdMediasPost(articleId: string, createMediaCommand?: CreateMediaCommand, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<MediaModel>> {
            const localVarAxiosArgs = await localVarAxiosParamCreator.apiV1ArticlesArticleIdMediasPost(articleId, createMediaCommand, options);
            return createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration);
        },
        /**
         * 
         * @summary Update Article.
         * @param {string} articleId 
         * @param {UpdateArticleCommand} [updateArticleCommand] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async apiV1ArticlesArticleIdPut(articleId: string, updateArticleCommand?: UpdateArticleCommand, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<ArticleModel>> {
            const localVarAxiosArgs = await localVarAxiosParamCreator.apiV1ArticlesArticleIdPut(articleId, updateArticleCommand, options);
            return createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration);
        },
        /**
         * 
         * @summary Revalidate article
         * @param {string} articleId 
         * @param {boolean} [includeCurrent] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async apiV1ArticlesArticleIdRevalidatePost(articleId: string, includeCurrent?: boolean, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<boolean>> {
            const localVarAxiosArgs = await localVarAxiosParamCreator.apiV1ArticlesArticleIdRevalidatePost(articleId, includeCurrent, options);
            return createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration);
        },
        /**
         * 
         * @summary Get all ArticleSource.
         * @param {string} articleId 
         * @param {number} [page] 
         * @param {number} [limit] 
         * @param {Date} [lastRetrieved] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async apiV1ArticlesArticleIdSourcesGet(articleId: string, page?: number, limit?: number, lastRetrieved?: Date, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<ArticleSourcesModel>> {
            const localVarAxiosArgs = await localVarAxiosParamCreator.apiV1ArticlesArticleIdSourcesGet(articleId, page, limit, lastRetrieved, options);
            return createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration);
        },
        /**
         * 
         * @summary Create ArticleSource.
         * @param {string} articleId 
         * @param {CreateArticleSourceCommand} [createArticleSourceCommand] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async apiV1ArticlesArticleIdSourcesPost(articleId: string, createArticleSourceCommand?: CreateArticleSourceCommand, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<SourceModel>> {
            const localVarAxiosArgs = await localVarAxiosParamCreator.apiV1ArticlesArticleIdSourcesPost(articleId, createArticleSourceCommand, options);
            return createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration);
        },
        /**
         * 
         * @summary Delete ArticleSource.
         * @param {string} articleId 
         * @param {string} sourceId 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async apiV1ArticlesArticleIdSourcesSourceIdDelete(articleId: string, sourceId: string, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<boolean>> {
            const localVarAxiosArgs = await localVarAxiosParamCreator.apiV1ArticlesArticleIdSourcesSourceIdDelete(articleId, sourceId, options);
            return createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration);
        },
        /**
         * 
         * @summary Get ArticleSource.
         * @param {string} articleId 
         * @param {string} sourceId 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async apiV1ArticlesArticleIdSourcesSourceIdGet(articleId: string, sourceId: string, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<SourceModel>> {
            const localVarAxiosArgs = await localVarAxiosParamCreator.apiV1ArticlesArticleIdSourcesSourceIdGet(articleId, sourceId, options);
            return createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration);
        },
        /**
         * 
         * @summary Update ArticleSource.
         * @param {string} articleId 
         * @param {string} sourceId 
         * @param {UpdateArticleSourceCommand} [updateArticleSourceCommand] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async apiV1ArticlesArticleIdSourcesSourceIdPut(articleId: string, sourceId: string, updateArticleSourceCommand?: UpdateArticleSourceCommand, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<SourceModel>> {
            const localVarAxiosArgs = await localVarAxiosParamCreator.apiV1ArticlesArticleIdSourcesSourceIdPut(articleId, sourceId, updateArticleSourceCommand, options);
            return createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration);
        },
        /**
         * 
         * @summary GetAll ArticleTags.
         * @param {string} articleId 
         * @param {string} [tagId] 
         * @param {number} [page] 
         * @param {number} [limit] 
         * @param {Date} [lastRetrieved] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async apiV1ArticlesArticleIdTagsGet(articleId: string, tagId?: string, page?: number, limit?: number, lastRetrieved?: Date, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<ArticleTagsModel>> {
            const localVarAxiosArgs = await localVarAxiosParamCreator.apiV1ArticlesArticleIdTagsGet(articleId, tagId, page, limit, lastRetrieved, options);
            return createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration);
        },
        /**
         * 
         * @summary Create ArticleTag.
         * @param {string} articleId 
         * @param {CreateArticleTagCommand} [createArticleTagCommand] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async apiV1ArticlesArticleIdTagsPost(articleId: string, createArticleTagCommand?: CreateArticleTagCommand, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<ArticleTagModel>> {
            const localVarAxiosArgs = await localVarAxiosParamCreator.apiV1ArticlesArticleIdTagsPost(articleId, createArticleTagCommand, options);
            return createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration);
        },
        /**
         * 
         * @summary Delete ArticleTag.
         * @param {string} articleId 
         * @param {string} tagId 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async apiV1ArticlesArticleIdTagsTagIdDelete(articleId: string, tagId: string, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<boolean>> {
            const localVarAxiosArgs = await localVarAxiosParamCreator.apiV1ArticlesArticleIdTagsTagIdDelete(articleId, tagId, options);
            return createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration);
        },
        /**
         * 
         * @summary Get ArticleTag.
         * @param {string} articleId 
         * @param {string} tagId 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async apiV1ArticlesArticleIdTagsTagIdGet(articleId: string, tagId: string, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<ArticleTagModel>> {
            const localVarAxiosArgs = await localVarAxiosParamCreator.apiV1ArticlesArticleIdTagsTagIdGet(articleId, tagId, options);
            return createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration);
        },
        /**
         * 
         * @summary Get all Articles.
         * @param {string} [id] 
         * @param {string} [name] 
         * @param {string} [description] 
         * @param {MarketingType} [marketingType] 
         * @param {string} [userId] 
         * @param {string} [userName] 
         * @param {string} [hospitalId] 
         * @param {string} [hospitalName] 
         * @param {string} [countryId] 
         * @param {string} [tag] 
         * @param {string} [exceptArticleId] 
         * @param {string} [exceptHospitalId] 
         * @param {string} [contributorId] 
         * @param {string} [languageCode] 
         * @param {boolean} [showHidden] 
         * @param {number} [page] 
         * @param {number} [limit] 
         * @param {Date} [lastRetrieved] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async apiV1ArticlesGet(id?: string, name?: string, description?: string, marketingType?: MarketingType, userId?: string, userName?: string, hospitalId?: string, hospitalName?: string, countryId?: string, tag?: string, exceptArticleId?: string, exceptHospitalId?: string, contributorId?: string, languageCode?: string, showHidden?: boolean, page?: number, limit?: number, lastRetrieved?: Date, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<ArticlesModel>> {
            const localVarAxiosArgs = await localVarAxiosParamCreator.apiV1ArticlesGet(id, name, description, marketingType, userId, userName, hospitalId, hospitalName, countryId, tag, exceptArticleId, exceptHospitalId, contributorId, languageCode, showHidden, page, limit, lastRetrieved, options);
            return createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration);
        },
        /**
         * 
         * @summary Create a Article.
         * @param {CreateArticleCommand} [createArticleCommand] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async apiV1ArticlesPost(createArticleCommand?: CreateArticleCommand, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<ArticleModel>> {
            const localVarAxiosArgs = await localVarAxiosParamCreator.apiV1ArticlesPost(createArticleCommand, options);
            return createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration);
        },
        /**
         * 
         * @summary Get Article by slug.
         * @param {string} slug 
         * @param {string} [languageCode] 
         * @param {boolean} [returnDefaultValue] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async apiV1ArticlesSlugGet(slug: string, languageCode?: string, returnDefaultValue?: boolean, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<ArticleModel>> {
            const localVarAxiosArgs = await localVarAxiosParamCreator.apiV1ArticlesSlugGet(slug, languageCode, returnDefaultValue, options);
            return createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration);
        },
    }
};

/**
 * ArticlesApi - factory interface
 * @export
 */
export const ArticlesApiFactory = function (configuration?: Configuration, basePath?: string, axios?: AxiosInstance) {
    const localVarFp = ArticlesApiFp(configuration)
    return {
        /**
         * 
         * @summary Delete ArticleContributor.
         * @param {string} articleId 
         * @param {string} contributorId 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1ArticlesArticleIdContributorsContributorIdDelete(articleId: string, contributorId: string, options?: any): AxiosPromise<boolean> {
            return localVarFp.apiV1ArticlesArticleIdContributorsContributorIdDelete(articleId, contributorId, options).then((request) => request(axios, basePath));
        },
        /**
         * 
         * @summary Get ArticleContributor.
         * @param {string} articleId 
         * @param {string} contributorId 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1ArticlesArticleIdContributorsContributorIdGet(articleId: string, contributorId: string, options?: any): AxiosPromise<ArticleContributorModel> {
            return localVarFp.apiV1ArticlesArticleIdContributorsContributorIdGet(articleId, contributorId, options).then((request) => request(axios, basePath));
        },
        /**
         * 
         * @summary Update ArticleContributor.
         * @param {string} articleId 
         * @param {string} contributorId 
         * @param {UpdateArticleContributorCommand} [updateArticleContributorCommand] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1ArticlesArticleIdContributorsContributorIdPut(articleId: string, contributorId: string, updateArticleContributorCommand?: UpdateArticleContributorCommand, options?: any): AxiosPromise<ArticleContributorModel> {
            return localVarFp.apiV1ArticlesArticleIdContributorsContributorIdPut(articleId, contributorId, updateArticleContributorCommand, options).then((request) => request(axios, basePath));
        },
        /**
         * 
         * @summary GetAll ArticleContributors.
         * @param {string} articleId 
         * @param {string} [articleName] 
         * @param {string} [contributorId] 
         * @param {string} [contributorName] 
         * @param {string} [email] 
         * @param {string} [website] 
         * @param {ContributionType} [contributionType] 
         * @param {string} [languageCode] 
         * @param {boolean} [showHidden] 
         * @param {number} [page] 
         * @param {number} [limit] 
         * @param {Date} [lastRetrieved] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1ArticlesArticleIdContributorsGet(articleId: string, articleName?: string, contributorId?: string, contributorName?: string, email?: string, website?: string, contributionType?: ContributionType, languageCode?: string, showHidden?: boolean, page?: number, limit?: number, lastRetrieved?: Date, options?: any): AxiosPromise<ArticleContributorsModel> {
            return localVarFp.apiV1ArticlesArticleIdContributorsGet(articleId, articleName, contributorId, contributorName, email, website, contributionType, languageCode, showHidden, page, limit, lastRetrieved, options).then((request) => request(axios, basePath));
        },
        /**
         * 
         * @summary Create ArticleContributor.
         * @param {string} articleId 
         * @param {CreateArticleContributorCommand} [createArticleContributorCommand] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1ArticlesArticleIdContributorsPost(articleId: string, createArticleContributorCommand?: CreateArticleContributorCommand, options?: any): AxiosPromise<ArticleContributorModel> {
            return localVarFp.apiV1ArticlesArticleIdContributorsPost(articleId, createArticleContributorCommand, options).then((request) => request(axios, basePath));
        },
        /**
         * 
         * @summary Delete Article.
         * @param {string} articleId 
         * @param {string} [languageCode] 
         * @param {boolean} [isPermanent] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1ArticlesArticleIdDelete(articleId: string, languageCode?: string, isPermanent?: boolean, options?: any): AxiosPromise<boolean> {
            return localVarFp.apiV1ArticlesArticleIdDelete(articleId, languageCode, isPermanent, options).then((request) => request(axios, basePath));
        },
        /**
         * 
         * @summary Get Article.
         * @param {string} articleId 
         * @param {string} [languageCode] 
         * @param {boolean} [returnDefaultValue] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1ArticlesArticleIdGet(articleId: string, languageCode?: string, returnDefaultValue?: boolean, options?: any): AxiosPromise<ArticleModel> {
            return localVarFp.apiV1ArticlesArticleIdGet(articleId, languageCode, returnDefaultValue, options).then((request) => request(axios, basePath));
        },
        /**
         * 
         * @summary Get all ArticleMedias.
         * @param {string} articleId 
         * @param {string} [id] 
         * @param {MediaType} [mediaType] 
         * @param {number} [page] 
         * @param {number} [limit] 
         * @param {Date} [lastRetrieved] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1ArticlesArticleIdMediasGet(articleId: string, id?: string, mediaType?: MediaType, page?: number, limit?: number, lastRetrieved?: Date, options?: any): AxiosPromise<MediasModel> {
            return localVarFp.apiV1ArticlesArticleIdMediasGet(articleId, id, mediaType, page, limit, lastRetrieved, options).then((request) => request(axios, basePath));
        },
        /**
         * 
         * @summary Delete ArticleMedia
         * @param {string} articleId 
         * @param {string} mediaId 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1ArticlesArticleIdMediasMediaIdDelete(articleId: string, mediaId: string, options?: any): AxiosPromise<boolean> {
            return localVarFp.apiV1ArticlesArticleIdMediasMediaIdDelete(articleId, mediaId, options).then((request) => request(axios, basePath));
        },
        /**
         * 
         * @summary Get ArticleMedia.
         * @param {string} articleId 
         * @param {string} mediaId 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1ArticlesArticleIdMediasMediaIdGet(articleId: string, mediaId: string, options?: any): AxiosPromise<MediaModel> {
            return localVarFp.apiV1ArticlesArticleIdMediasMediaIdGet(articleId, mediaId, options).then((request) => request(axios, basePath));
        },
        /**
         * 
         * @summary Update ArticleMedia.
         * @param {string} articleId 
         * @param {string} mediaId 
         * @param {UpdateMediaCommand} [updateMediaCommand] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1ArticlesArticleIdMediasMediaIdPut(articleId: string, mediaId: string, updateMediaCommand?: UpdateMediaCommand, options?: any): AxiosPromise<MediaModel> {
            return localVarFp.apiV1ArticlesArticleIdMediasMediaIdPut(articleId, mediaId, updateMediaCommand, options).then((request) => request(axios, basePath));
        },
        /**
         * 
         * @summary Create ArticleMedia.
         * @param {string} articleId 
         * @param {CreateMediaCommand} [createMediaCommand] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1ArticlesArticleIdMediasPost(articleId: string, createMediaCommand?: CreateMediaCommand, options?: any): AxiosPromise<MediaModel> {
            return localVarFp.apiV1ArticlesArticleIdMediasPost(articleId, createMediaCommand, options).then((request) => request(axios, basePath));
        },
        /**
         * 
         * @summary Update Article.
         * @param {string} articleId 
         * @param {UpdateArticleCommand} [updateArticleCommand] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1ArticlesArticleIdPut(articleId: string, updateArticleCommand?: UpdateArticleCommand, options?: any): AxiosPromise<ArticleModel> {
            return localVarFp.apiV1ArticlesArticleIdPut(articleId, updateArticleCommand, options).then((request) => request(axios, basePath));
        },
        /**
         * 
         * @summary Revalidate article
         * @param {string} articleId 
         * @param {boolean} [includeCurrent] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1ArticlesArticleIdRevalidatePost(articleId: string, includeCurrent?: boolean, options?: any): AxiosPromise<boolean> {
            return localVarFp.apiV1ArticlesArticleIdRevalidatePost(articleId, includeCurrent, options).then((request) => request(axios, basePath));
        },
        /**
         * 
         * @summary Get all ArticleSource.
         * @param {string} articleId 
         * @param {number} [page] 
         * @param {number} [limit] 
         * @param {Date} [lastRetrieved] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1ArticlesArticleIdSourcesGet(articleId: string, page?: number, limit?: number, lastRetrieved?: Date, options?: any): AxiosPromise<ArticleSourcesModel> {
            return localVarFp.apiV1ArticlesArticleIdSourcesGet(articleId, page, limit, lastRetrieved, options).then((request) => request(axios, basePath));
        },
        /**
         * 
         * @summary Create ArticleSource.
         * @param {string} articleId 
         * @param {CreateArticleSourceCommand} [createArticleSourceCommand] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1ArticlesArticleIdSourcesPost(articleId: string, createArticleSourceCommand?: CreateArticleSourceCommand, options?: any): AxiosPromise<SourceModel> {
            return localVarFp.apiV1ArticlesArticleIdSourcesPost(articleId, createArticleSourceCommand, options).then((request) => request(axios, basePath));
        },
        /**
         * 
         * @summary Delete ArticleSource.
         * @param {string} articleId 
         * @param {string} sourceId 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1ArticlesArticleIdSourcesSourceIdDelete(articleId: string, sourceId: string, options?: any): AxiosPromise<boolean> {
            return localVarFp.apiV1ArticlesArticleIdSourcesSourceIdDelete(articleId, sourceId, options).then((request) => request(axios, basePath));
        },
        /**
         * 
         * @summary Get ArticleSource.
         * @param {string} articleId 
         * @param {string} sourceId 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1ArticlesArticleIdSourcesSourceIdGet(articleId: string, sourceId: string, options?: any): AxiosPromise<SourceModel> {
            return localVarFp.apiV1ArticlesArticleIdSourcesSourceIdGet(articleId, sourceId, options).then((request) => request(axios, basePath));
        },
        /**
         * 
         * @summary Update ArticleSource.
         * @param {string} articleId 
         * @param {string} sourceId 
         * @param {UpdateArticleSourceCommand} [updateArticleSourceCommand] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1ArticlesArticleIdSourcesSourceIdPut(articleId: string, sourceId: string, updateArticleSourceCommand?: UpdateArticleSourceCommand, options?: any): AxiosPromise<SourceModel> {
            return localVarFp.apiV1ArticlesArticleIdSourcesSourceIdPut(articleId, sourceId, updateArticleSourceCommand, options).then((request) => request(axios, basePath));
        },
        /**
         * 
         * @summary GetAll ArticleTags.
         * @param {string} articleId 
         * @param {string} [tagId] 
         * @param {number} [page] 
         * @param {number} [limit] 
         * @param {Date} [lastRetrieved] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1ArticlesArticleIdTagsGet(articleId: string, tagId?: string, page?: number, limit?: number, lastRetrieved?: Date, options?: any): AxiosPromise<ArticleTagsModel> {
            return localVarFp.apiV1ArticlesArticleIdTagsGet(articleId, tagId, page, limit, lastRetrieved, options).then((request) => request(axios, basePath));
        },
        /**
         * 
         * @summary Create ArticleTag.
         * @param {string} articleId 
         * @param {CreateArticleTagCommand} [createArticleTagCommand] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1ArticlesArticleIdTagsPost(articleId: string, createArticleTagCommand?: CreateArticleTagCommand, options?: any): AxiosPromise<ArticleTagModel> {
            return localVarFp.apiV1ArticlesArticleIdTagsPost(articleId, createArticleTagCommand, options).then((request) => request(axios, basePath));
        },
        /**
         * 
         * @summary Delete ArticleTag.
         * @param {string} articleId 
         * @param {string} tagId 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1ArticlesArticleIdTagsTagIdDelete(articleId: string, tagId: string, options?: any): AxiosPromise<boolean> {
            return localVarFp.apiV1ArticlesArticleIdTagsTagIdDelete(articleId, tagId, options).then((request) => request(axios, basePath));
        },
        /**
         * 
         * @summary Get ArticleTag.
         * @param {string} articleId 
         * @param {string} tagId 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1ArticlesArticleIdTagsTagIdGet(articleId: string, tagId: string, options?: any): AxiosPromise<ArticleTagModel> {
            return localVarFp.apiV1ArticlesArticleIdTagsTagIdGet(articleId, tagId, options).then((request) => request(axios, basePath));
        },
        /**
         * 
         * @summary Get all Articles.
         * @param {string} [id] 
         * @param {string} [name] 
         * @param {string} [description] 
         * @param {MarketingType} [marketingType] 
         * @param {string} [userId] 
         * @param {string} [userName] 
         * @param {string} [hospitalId] 
         * @param {string} [hospitalName] 
         * @param {string} [countryId] 
         * @param {string} [tag] 
         * @param {string} [exceptArticleId] 
         * @param {string} [exceptHospitalId] 
         * @param {string} [contributorId] 
         * @param {string} [languageCode] 
         * @param {boolean} [showHidden] 
         * @param {number} [page] 
         * @param {number} [limit] 
         * @param {Date} [lastRetrieved] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1ArticlesGet(id?: string, name?: string, description?: string, marketingType?: MarketingType, userId?: string, userName?: string, hospitalId?: string, hospitalName?: string, countryId?: string, tag?: string, exceptArticleId?: string, exceptHospitalId?: string, contributorId?: string, languageCode?: string, showHidden?: boolean, page?: number, limit?: number, lastRetrieved?: Date, options?: any): AxiosPromise<ArticlesModel> {
            return localVarFp.apiV1ArticlesGet(id, name, description, marketingType, userId, userName, hospitalId, hospitalName, countryId, tag, exceptArticleId, exceptHospitalId, contributorId, languageCode, showHidden, page, limit, lastRetrieved, options).then((request) => request(axios, basePath));
        },
        /**
         * 
         * @summary Create a Article.
         * @param {CreateArticleCommand} [createArticleCommand] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1ArticlesPost(createArticleCommand?: CreateArticleCommand, options?: any): AxiosPromise<ArticleModel> {
            return localVarFp.apiV1ArticlesPost(createArticleCommand, options).then((request) => request(axios, basePath));
        },
        /**
         * 
         * @summary Get Article by slug.
         * @param {string} slug 
         * @param {string} [languageCode] 
         * @param {boolean} [returnDefaultValue] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1ArticlesSlugGet(slug: string, languageCode?: string, returnDefaultValue?: boolean, options?: any): AxiosPromise<ArticleModel> {
            return localVarFp.apiV1ArticlesSlugGet(slug, languageCode, returnDefaultValue, options).then((request) => request(axios, basePath));
        },
    };
};

/**
 * Request parameters for apiV1ArticlesArticleIdContributorsContributorIdDelete operation in ArticlesApi.
 * @export
 * @interface ArticlesApiApiV1ArticlesArticleIdContributorsContributorIdDeleteRequest
 */
export interface ArticlesApiApiV1ArticlesArticleIdContributorsContributorIdDeleteRequest {
    /**
     * 
     * @type {string}
     * @memberof ArticlesApiApiV1ArticlesArticleIdContributorsContributorIdDelete
     */
    readonly articleId: string

    /**
     * 
     * @type {string}
     * @memberof ArticlesApiApiV1ArticlesArticleIdContributorsContributorIdDelete
     */
    readonly contributorId: string
}

/**
 * Request parameters for apiV1ArticlesArticleIdContributorsContributorIdGet operation in ArticlesApi.
 * @export
 * @interface ArticlesApiApiV1ArticlesArticleIdContributorsContributorIdGetRequest
 */
export interface ArticlesApiApiV1ArticlesArticleIdContributorsContributorIdGetRequest {
    /**
     * 
     * @type {string}
     * @memberof ArticlesApiApiV1ArticlesArticleIdContributorsContributorIdGet
     */
    readonly articleId: string

    /**
     * 
     * @type {string}
     * @memberof ArticlesApiApiV1ArticlesArticleIdContributorsContributorIdGet
     */
    readonly contributorId: string
}

/**
 * Request parameters for apiV1ArticlesArticleIdContributorsContributorIdPut operation in ArticlesApi.
 * @export
 * @interface ArticlesApiApiV1ArticlesArticleIdContributorsContributorIdPutRequest
 */
export interface ArticlesApiApiV1ArticlesArticleIdContributorsContributorIdPutRequest {
    /**
     * 
     * @type {string}
     * @memberof ArticlesApiApiV1ArticlesArticleIdContributorsContributorIdPut
     */
    readonly articleId: string

    /**
     * 
     * @type {string}
     * @memberof ArticlesApiApiV1ArticlesArticleIdContributorsContributorIdPut
     */
    readonly contributorId: string

    /**
     * 
     * @type {UpdateArticleContributorCommand}
     * @memberof ArticlesApiApiV1ArticlesArticleIdContributorsContributorIdPut
     */
    readonly updateArticleContributorCommand?: UpdateArticleContributorCommand
}

/**
 * Request parameters for apiV1ArticlesArticleIdContributorsGet operation in ArticlesApi.
 * @export
 * @interface ArticlesApiApiV1ArticlesArticleIdContributorsGetRequest
 */
export interface ArticlesApiApiV1ArticlesArticleIdContributorsGetRequest {
    /**
     * 
     * @type {string}
     * @memberof ArticlesApiApiV1ArticlesArticleIdContributorsGet
     */
    readonly articleId: string

    /**
     * 
     * @type {string}
     * @memberof ArticlesApiApiV1ArticlesArticleIdContributorsGet
     */
    readonly articleName?: string

    /**
     * 
     * @type {string}
     * @memberof ArticlesApiApiV1ArticlesArticleIdContributorsGet
     */
    readonly contributorId?: string

    /**
     * 
     * @type {string}
     * @memberof ArticlesApiApiV1ArticlesArticleIdContributorsGet
     */
    readonly contributorName?: string

    /**
     * 
     * @type {string}
     * @memberof ArticlesApiApiV1ArticlesArticleIdContributorsGet
     */
    readonly email?: string

    /**
     * 
     * @type {string}
     * @memberof ArticlesApiApiV1ArticlesArticleIdContributorsGet
     */
    readonly website?: string

    /**
     * 
     * @type {ContributionType}
     * @memberof ArticlesApiApiV1ArticlesArticleIdContributorsGet
     */
    readonly contributionType?: ContributionType

    /**
     * 
     * @type {string}
     * @memberof ArticlesApiApiV1ArticlesArticleIdContributorsGet
     */
    readonly languageCode?: string

    /**
     * 
     * @type {boolean}
     * @memberof ArticlesApiApiV1ArticlesArticleIdContributorsGet
     */
    readonly showHidden?: boolean

    /**
     * 
     * @type {number}
     * @memberof ArticlesApiApiV1ArticlesArticleIdContributorsGet
     */
    readonly page?: number

    /**
     * 
     * @type {number}
     * @memberof ArticlesApiApiV1ArticlesArticleIdContributorsGet
     */
    readonly limit?: number

    /**
     * 
     * @type {Date}
     * @memberof ArticlesApiApiV1ArticlesArticleIdContributorsGet
     */
    readonly lastRetrieved?: Date
}

/**
 * Request parameters for apiV1ArticlesArticleIdContributorsPost operation in ArticlesApi.
 * @export
 * @interface ArticlesApiApiV1ArticlesArticleIdContributorsPostRequest
 */
export interface ArticlesApiApiV1ArticlesArticleIdContributorsPostRequest {
    /**
     * 
     * @type {string}
     * @memberof ArticlesApiApiV1ArticlesArticleIdContributorsPost
     */
    readonly articleId: string

    /**
     * 
     * @type {CreateArticleContributorCommand}
     * @memberof ArticlesApiApiV1ArticlesArticleIdContributorsPost
     */
    readonly createArticleContributorCommand?: CreateArticleContributorCommand
}

/**
 * Request parameters for apiV1ArticlesArticleIdDelete operation in ArticlesApi.
 * @export
 * @interface ArticlesApiApiV1ArticlesArticleIdDeleteRequest
 */
export interface ArticlesApiApiV1ArticlesArticleIdDeleteRequest {
    /**
     * 
     * @type {string}
     * @memberof ArticlesApiApiV1ArticlesArticleIdDelete
     */
    readonly articleId: string

    /**
     * 
     * @type {string}
     * @memberof ArticlesApiApiV1ArticlesArticleIdDelete
     */
    readonly languageCode?: string

    /**
     * 
     * @type {boolean}
     * @memberof ArticlesApiApiV1ArticlesArticleIdDelete
     */
    readonly isPermanent?: boolean
}

/**
 * Request parameters for apiV1ArticlesArticleIdGet operation in ArticlesApi.
 * @export
 * @interface ArticlesApiApiV1ArticlesArticleIdGetRequest
 */
export interface ArticlesApiApiV1ArticlesArticleIdGetRequest {
    /**
     * 
     * @type {string}
     * @memberof ArticlesApiApiV1ArticlesArticleIdGet
     */
    readonly articleId: string

    /**
     * 
     * @type {string}
     * @memberof ArticlesApiApiV1ArticlesArticleIdGet
     */
    readonly languageCode?: string

    /**
     * 
     * @type {boolean}
     * @memberof ArticlesApiApiV1ArticlesArticleIdGet
     */
    readonly returnDefaultValue?: boolean
}

/**
 * Request parameters for apiV1ArticlesArticleIdMediasGet operation in ArticlesApi.
 * @export
 * @interface ArticlesApiApiV1ArticlesArticleIdMediasGetRequest
 */
export interface ArticlesApiApiV1ArticlesArticleIdMediasGetRequest {
    /**
     * 
     * @type {string}
     * @memberof ArticlesApiApiV1ArticlesArticleIdMediasGet
     */
    readonly articleId: string

    /**
     * 
     * @type {string}
     * @memberof ArticlesApiApiV1ArticlesArticleIdMediasGet
     */
    readonly id?: string

    /**
     * 
     * @type {MediaType}
     * @memberof ArticlesApiApiV1ArticlesArticleIdMediasGet
     */
    readonly mediaType?: MediaType

    /**
     * 
     * @type {number}
     * @memberof ArticlesApiApiV1ArticlesArticleIdMediasGet
     */
    readonly page?: number

    /**
     * 
     * @type {number}
     * @memberof ArticlesApiApiV1ArticlesArticleIdMediasGet
     */
    readonly limit?: number

    /**
     * 
     * @type {Date}
     * @memberof ArticlesApiApiV1ArticlesArticleIdMediasGet
     */
    readonly lastRetrieved?: Date
}

/**
 * Request parameters for apiV1ArticlesArticleIdMediasMediaIdDelete operation in ArticlesApi.
 * @export
 * @interface ArticlesApiApiV1ArticlesArticleIdMediasMediaIdDeleteRequest
 */
export interface ArticlesApiApiV1ArticlesArticleIdMediasMediaIdDeleteRequest {
    /**
     * 
     * @type {string}
     * @memberof ArticlesApiApiV1ArticlesArticleIdMediasMediaIdDelete
     */
    readonly articleId: string

    /**
     * 
     * @type {string}
     * @memberof ArticlesApiApiV1ArticlesArticleIdMediasMediaIdDelete
     */
    readonly mediaId: string
}

/**
 * Request parameters for apiV1ArticlesArticleIdMediasMediaIdGet operation in ArticlesApi.
 * @export
 * @interface ArticlesApiApiV1ArticlesArticleIdMediasMediaIdGetRequest
 */
export interface ArticlesApiApiV1ArticlesArticleIdMediasMediaIdGetRequest {
    /**
     * 
     * @type {string}
     * @memberof ArticlesApiApiV1ArticlesArticleIdMediasMediaIdGet
     */
    readonly articleId: string

    /**
     * 
     * @type {string}
     * @memberof ArticlesApiApiV1ArticlesArticleIdMediasMediaIdGet
     */
    readonly mediaId: string
}

/**
 * Request parameters for apiV1ArticlesArticleIdMediasMediaIdPut operation in ArticlesApi.
 * @export
 * @interface ArticlesApiApiV1ArticlesArticleIdMediasMediaIdPutRequest
 */
export interface ArticlesApiApiV1ArticlesArticleIdMediasMediaIdPutRequest {
    /**
     * 
     * @type {string}
     * @memberof ArticlesApiApiV1ArticlesArticleIdMediasMediaIdPut
     */
    readonly articleId: string

    /**
     * 
     * @type {string}
     * @memberof ArticlesApiApiV1ArticlesArticleIdMediasMediaIdPut
     */
    readonly mediaId: string

    /**
     * 
     * @type {UpdateMediaCommand}
     * @memberof ArticlesApiApiV1ArticlesArticleIdMediasMediaIdPut
     */
    readonly updateMediaCommand?: UpdateMediaCommand
}

/**
 * Request parameters for apiV1ArticlesArticleIdMediasPost operation in ArticlesApi.
 * @export
 * @interface ArticlesApiApiV1ArticlesArticleIdMediasPostRequest
 */
export interface ArticlesApiApiV1ArticlesArticleIdMediasPostRequest {
    /**
     * 
     * @type {string}
     * @memberof ArticlesApiApiV1ArticlesArticleIdMediasPost
     */
    readonly articleId: string

    /**
     * 
     * @type {CreateMediaCommand}
     * @memberof ArticlesApiApiV1ArticlesArticleIdMediasPost
     */
    readonly createMediaCommand?: CreateMediaCommand
}

/**
 * Request parameters for apiV1ArticlesArticleIdPut operation in ArticlesApi.
 * @export
 * @interface ArticlesApiApiV1ArticlesArticleIdPutRequest
 */
export interface ArticlesApiApiV1ArticlesArticleIdPutRequest {
    /**
     * 
     * @type {string}
     * @memberof ArticlesApiApiV1ArticlesArticleIdPut
     */
    readonly articleId: string

    /**
     * 
     * @type {UpdateArticleCommand}
     * @memberof ArticlesApiApiV1ArticlesArticleIdPut
     */
    readonly updateArticleCommand?: UpdateArticleCommand
}

/**
 * Request parameters for apiV1ArticlesArticleIdRevalidatePost operation in ArticlesApi.
 * @export
 * @interface ArticlesApiApiV1ArticlesArticleIdRevalidatePostRequest
 */
export interface ArticlesApiApiV1ArticlesArticleIdRevalidatePostRequest {
    /**
     * 
     * @type {string}
     * @memberof ArticlesApiApiV1ArticlesArticleIdRevalidatePost
     */
    readonly articleId: string

    /**
     * 
     * @type {boolean}
     * @memberof ArticlesApiApiV1ArticlesArticleIdRevalidatePost
     */
    readonly includeCurrent?: boolean
}

/**
 * Request parameters for apiV1ArticlesArticleIdSourcesGet operation in ArticlesApi.
 * @export
 * @interface ArticlesApiApiV1ArticlesArticleIdSourcesGetRequest
 */
export interface ArticlesApiApiV1ArticlesArticleIdSourcesGetRequest {
    /**
     * 
     * @type {string}
     * @memberof ArticlesApiApiV1ArticlesArticleIdSourcesGet
     */
    readonly articleId: string

    /**
     * 
     * @type {number}
     * @memberof ArticlesApiApiV1ArticlesArticleIdSourcesGet
     */
    readonly page?: number

    /**
     * 
     * @type {number}
     * @memberof ArticlesApiApiV1ArticlesArticleIdSourcesGet
     */
    readonly limit?: number

    /**
     * 
     * @type {Date}
     * @memberof ArticlesApiApiV1ArticlesArticleIdSourcesGet
     */
    readonly lastRetrieved?: Date
}

/**
 * Request parameters for apiV1ArticlesArticleIdSourcesPost operation in ArticlesApi.
 * @export
 * @interface ArticlesApiApiV1ArticlesArticleIdSourcesPostRequest
 */
export interface ArticlesApiApiV1ArticlesArticleIdSourcesPostRequest {
    /**
     * 
     * @type {string}
     * @memberof ArticlesApiApiV1ArticlesArticleIdSourcesPost
     */
    readonly articleId: string

    /**
     * 
     * @type {CreateArticleSourceCommand}
     * @memberof ArticlesApiApiV1ArticlesArticleIdSourcesPost
     */
    readonly createArticleSourceCommand?: CreateArticleSourceCommand
}

/**
 * Request parameters for apiV1ArticlesArticleIdSourcesSourceIdDelete operation in ArticlesApi.
 * @export
 * @interface ArticlesApiApiV1ArticlesArticleIdSourcesSourceIdDeleteRequest
 */
export interface ArticlesApiApiV1ArticlesArticleIdSourcesSourceIdDeleteRequest {
    /**
     * 
     * @type {string}
     * @memberof ArticlesApiApiV1ArticlesArticleIdSourcesSourceIdDelete
     */
    readonly articleId: string

    /**
     * 
     * @type {string}
     * @memberof ArticlesApiApiV1ArticlesArticleIdSourcesSourceIdDelete
     */
    readonly sourceId: string
}

/**
 * Request parameters for apiV1ArticlesArticleIdSourcesSourceIdGet operation in ArticlesApi.
 * @export
 * @interface ArticlesApiApiV1ArticlesArticleIdSourcesSourceIdGetRequest
 */
export interface ArticlesApiApiV1ArticlesArticleIdSourcesSourceIdGetRequest {
    /**
     * 
     * @type {string}
     * @memberof ArticlesApiApiV1ArticlesArticleIdSourcesSourceIdGet
     */
    readonly articleId: string

    /**
     * 
     * @type {string}
     * @memberof ArticlesApiApiV1ArticlesArticleIdSourcesSourceIdGet
     */
    readonly sourceId: string
}

/**
 * Request parameters for apiV1ArticlesArticleIdSourcesSourceIdPut operation in ArticlesApi.
 * @export
 * @interface ArticlesApiApiV1ArticlesArticleIdSourcesSourceIdPutRequest
 */
export interface ArticlesApiApiV1ArticlesArticleIdSourcesSourceIdPutRequest {
    /**
     * 
     * @type {string}
     * @memberof ArticlesApiApiV1ArticlesArticleIdSourcesSourceIdPut
     */
    readonly articleId: string

    /**
     * 
     * @type {string}
     * @memberof ArticlesApiApiV1ArticlesArticleIdSourcesSourceIdPut
     */
    readonly sourceId: string

    /**
     * 
     * @type {UpdateArticleSourceCommand}
     * @memberof ArticlesApiApiV1ArticlesArticleIdSourcesSourceIdPut
     */
    readonly updateArticleSourceCommand?: UpdateArticleSourceCommand
}

/**
 * Request parameters for apiV1ArticlesArticleIdTagsGet operation in ArticlesApi.
 * @export
 * @interface ArticlesApiApiV1ArticlesArticleIdTagsGetRequest
 */
export interface ArticlesApiApiV1ArticlesArticleIdTagsGetRequest {
    /**
     * 
     * @type {string}
     * @memberof ArticlesApiApiV1ArticlesArticleIdTagsGet
     */
    readonly articleId: string

    /**
     * 
     * @type {string}
     * @memberof ArticlesApiApiV1ArticlesArticleIdTagsGet
     */
    readonly tagId?: string

    /**
     * 
     * @type {number}
     * @memberof ArticlesApiApiV1ArticlesArticleIdTagsGet
     */
    readonly page?: number

    /**
     * 
     * @type {number}
     * @memberof ArticlesApiApiV1ArticlesArticleIdTagsGet
     */
    readonly limit?: number

    /**
     * 
     * @type {Date}
     * @memberof ArticlesApiApiV1ArticlesArticleIdTagsGet
     */
    readonly lastRetrieved?: Date
}

/**
 * Request parameters for apiV1ArticlesArticleIdTagsPost operation in ArticlesApi.
 * @export
 * @interface ArticlesApiApiV1ArticlesArticleIdTagsPostRequest
 */
export interface ArticlesApiApiV1ArticlesArticleIdTagsPostRequest {
    /**
     * 
     * @type {string}
     * @memberof ArticlesApiApiV1ArticlesArticleIdTagsPost
     */
    readonly articleId: string

    /**
     * 
     * @type {CreateArticleTagCommand}
     * @memberof ArticlesApiApiV1ArticlesArticleIdTagsPost
     */
    readonly createArticleTagCommand?: CreateArticleTagCommand
}

/**
 * Request parameters for apiV1ArticlesArticleIdTagsTagIdDelete operation in ArticlesApi.
 * @export
 * @interface ArticlesApiApiV1ArticlesArticleIdTagsTagIdDeleteRequest
 */
export interface ArticlesApiApiV1ArticlesArticleIdTagsTagIdDeleteRequest {
    /**
     * 
     * @type {string}
     * @memberof ArticlesApiApiV1ArticlesArticleIdTagsTagIdDelete
     */
    readonly articleId: string

    /**
     * 
     * @type {string}
     * @memberof ArticlesApiApiV1ArticlesArticleIdTagsTagIdDelete
     */
    readonly tagId: string
}

/**
 * Request parameters for apiV1ArticlesArticleIdTagsTagIdGet operation in ArticlesApi.
 * @export
 * @interface ArticlesApiApiV1ArticlesArticleIdTagsTagIdGetRequest
 */
export interface ArticlesApiApiV1ArticlesArticleIdTagsTagIdGetRequest {
    /**
     * 
     * @type {string}
     * @memberof ArticlesApiApiV1ArticlesArticleIdTagsTagIdGet
     */
    readonly articleId: string

    /**
     * 
     * @type {string}
     * @memberof ArticlesApiApiV1ArticlesArticleIdTagsTagIdGet
     */
    readonly tagId: string
}

/**
 * Request parameters for apiV1ArticlesGet operation in ArticlesApi.
 * @export
 * @interface ArticlesApiApiV1ArticlesGetRequest
 */
export interface ArticlesApiApiV1ArticlesGetRequest {
    /**
     * 
     * @type {string}
     * @memberof ArticlesApiApiV1ArticlesGet
     */
    readonly id?: string

    /**
     * 
     * @type {string}
     * @memberof ArticlesApiApiV1ArticlesGet
     */
    readonly name?: string

    /**
     * 
     * @type {string}
     * @memberof ArticlesApiApiV1ArticlesGet
     */
    readonly description?: string

    /**
     * 
     * @type {MarketingType}
     * @memberof ArticlesApiApiV1ArticlesGet
     */
    readonly marketingType?: MarketingType

    /**
     * 
     * @type {string}
     * @memberof ArticlesApiApiV1ArticlesGet
     */
    readonly userId?: string

    /**
     * 
     * @type {string}
     * @memberof ArticlesApiApiV1ArticlesGet
     */
    readonly userName?: string

    /**
     * 
     * @type {string}
     * @memberof ArticlesApiApiV1ArticlesGet
     */
    readonly hospitalId?: string

    /**
     * 
     * @type {string}
     * @memberof ArticlesApiApiV1ArticlesGet
     */
    readonly hospitalName?: string

    /**
     * 
     * @type {string}
     * @memberof ArticlesApiApiV1ArticlesGet
     */
    readonly countryId?: string

    /**
     * 
     * @type {string}
     * @memberof ArticlesApiApiV1ArticlesGet
     */
    readonly tag?: string

    /**
     * 
     * @type {string}
     * @memberof ArticlesApiApiV1ArticlesGet
     */
    readonly exceptArticleId?: string

    /**
     * 
     * @type {string}
     * @memberof ArticlesApiApiV1ArticlesGet
     */
    readonly exceptHospitalId?: string

    /**
     * 
     * @type {string}
     * @memberof ArticlesApiApiV1ArticlesGet
     */
    readonly contributorId?: string

    /**
     * 
     * @type {string}
     * @memberof ArticlesApiApiV1ArticlesGet
     */
    readonly languageCode?: string

    /**
     * 
     * @type {boolean}
     * @memberof ArticlesApiApiV1ArticlesGet
     */
    readonly showHidden?: boolean

    /**
     * 
     * @type {number}
     * @memberof ArticlesApiApiV1ArticlesGet
     */
    readonly page?: number

    /**
     * 
     * @type {number}
     * @memberof ArticlesApiApiV1ArticlesGet
     */
    readonly limit?: number

    /**
     * 
     * @type {Date}
     * @memberof ArticlesApiApiV1ArticlesGet
     */
    readonly lastRetrieved?: Date
}

/**
 * Request parameters for apiV1ArticlesPost operation in ArticlesApi.
 * @export
 * @interface ArticlesApiApiV1ArticlesPostRequest
 */
export interface ArticlesApiApiV1ArticlesPostRequest {
    /**
     * 
     * @type {CreateArticleCommand}
     * @memberof ArticlesApiApiV1ArticlesPost
     */
    readonly createArticleCommand?: CreateArticleCommand
}

/**
 * Request parameters for apiV1ArticlesSlugGet operation in ArticlesApi.
 * @export
 * @interface ArticlesApiApiV1ArticlesSlugGetRequest
 */
export interface ArticlesApiApiV1ArticlesSlugGetRequest {
    /**
     * 
     * @type {string}
     * @memberof ArticlesApiApiV1ArticlesSlugGet
     */
    readonly slug: string

    /**
     * 
     * @type {string}
     * @memberof ArticlesApiApiV1ArticlesSlugGet
     */
    readonly languageCode?: string

    /**
     * 
     * @type {boolean}
     * @memberof ArticlesApiApiV1ArticlesSlugGet
     */
    readonly returnDefaultValue?: boolean
}

/**
 * ArticlesApi - object-oriented interface
 * @export
 * @class ArticlesApi
 * @extends {BaseAPI}
 */
export class ArticlesApi extends BaseAPI {
    /**
     * 
     * @summary Delete ArticleContributor.
     * @param {ArticlesApiApiV1ArticlesArticleIdContributorsContributorIdDeleteRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ArticlesApi
     */
    public apiV1ArticlesArticleIdContributorsContributorIdDelete(requestParameters: ArticlesApiApiV1ArticlesArticleIdContributorsContributorIdDeleteRequest, options?: AxiosRequestConfig) {
        return ArticlesApiFp(this.configuration).apiV1ArticlesArticleIdContributorsContributorIdDelete(requestParameters.articleId, requestParameters.contributorId, options).then((request) => request(this.axios, this.basePath));
    }

    /**
     * 
     * @summary Get ArticleContributor.
     * @param {ArticlesApiApiV1ArticlesArticleIdContributorsContributorIdGetRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ArticlesApi
     */
    public apiV1ArticlesArticleIdContributorsContributorIdGet(requestParameters: ArticlesApiApiV1ArticlesArticleIdContributorsContributorIdGetRequest, options?: AxiosRequestConfig) {
        return ArticlesApiFp(this.configuration).apiV1ArticlesArticleIdContributorsContributorIdGet(requestParameters.articleId, requestParameters.contributorId, options).then((request) => request(this.axios, this.basePath));
    }

    /**
     * 
     * @summary Update ArticleContributor.
     * @param {ArticlesApiApiV1ArticlesArticleIdContributorsContributorIdPutRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ArticlesApi
     */
    public apiV1ArticlesArticleIdContributorsContributorIdPut(requestParameters: ArticlesApiApiV1ArticlesArticleIdContributorsContributorIdPutRequest, options?: AxiosRequestConfig) {
        return ArticlesApiFp(this.configuration).apiV1ArticlesArticleIdContributorsContributorIdPut(requestParameters.articleId, requestParameters.contributorId, requestParameters.updateArticleContributorCommand, options).then((request) => request(this.axios, this.basePath));
    }

    /**
     * 
     * @summary GetAll ArticleContributors.
     * @param {ArticlesApiApiV1ArticlesArticleIdContributorsGetRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ArticlesApi
     */
    public apiV1ArticlesArticleIdContributorsGet(requestParameters: ArticlesApiApiV1ArticlesArticleIdContributorsGetRequest, options?: AxiosRequestConfig) {
        return ArticlesApiFp(this.configuration).apiV1ArticlesArticleIdContributorsGet(requestParameters.articleId, requestParameters.articleName, requestParameters.contributorId, requestParameters.contributorName, requestParameters.email, requestParameters.website, requestParameters.contributionType, requestParameters.languageCode, requestParameters.showHidden, requestParameters.page, requestParameters.limit, requestParameters.lastRetrieved, options).then((request) => request(this.axios, this.basePath));
    }

    /**
     * 
     * @summary Create ArticleContributor.
     * @param {ArticlesApiApiV1ArticlesArticleIdContributorsPostRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ArticlesApi
     */
    public apiV1ArticlesArticleIdContributorsPost(requestParameters: ArticlesApiApiV1ArticlesArticleIdContributorsPostRequest, options?: AxiosRequestConfig) {
        return ArticlesApiFp(this.configuration).apiV1ArticlesArticleIdContributorsPost(requestParameters.articleId, requestParameters.createArticleContributorCommand, options).then((request) => request(this.axios, this.basePath));
    }

    /**
     * 
     * @summary Delete Article.
     * @param {ArticlesApiApiV1ArticlesArticleIdDeleteRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ArticlesApi
     */
    public apiV1ArticlesArticleIdDelete(requestParameters: ArticlesApiApiV1ArticlesArticleIdDeleteRequest, options?: AxiosRequestConfig) {
        return ArticlesApiFp(this.configuration).apiV1ArticlesArticleIdDelete(requestParameters.articleId, requestParameters.languageCode, requestParameters.isPermanent, options).then((request) => request(this.axios, this.basePath));
    }

    /**
     * 
     * @summary Get Article.
     * @param {ArticlesApiApiV1ArticlesArticleIdGetRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ArticlesApi
     */
    public apiV1ArticlesArticleIdGet(requestParameters: ArticlesApiApiV1ArticlesArticleIdGetRequest, options?: AxiosRequestConfig) {
        return ArticlesApiFp(this.configuration).apiV1ArticlesArticleIdGet(requestParameters.articleId, requestParameters.languageCode, requestParameters.returnDefaultValue, options).then((request) => request(this.axios, this.basePath));
    }

    /**
     * 
     * @summary Get all ArticleMedias.
     * @param {ArticlesApiApiV1ArticlesArticleIdMediasGetRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ArticlesApi
     */
    public apiV1ArticlesArticleIdMediasGet(requestParameters: ArticlesApiApiV1ArticlesArticleIdMediasGetRequest, options?: AxiosRequestConfig) {
        return ArticlesApiFp(this.configuration).apiV1ArticlesArticleIdMediasGet(requestParameters.articleId, requestParameters.id, requestParameters.mediaType, requestParameters.page, requestParameters.limit, requestParameters.lastRetrieved, options).then((request) => request(this.axios, this.basePath));
    }

    /**
     * 
     * @summary Delete ArticleMedia
     * @param {ArticlesApiApiV1ArticlesArticleIdMediasMediaIdDeleteRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ArticlesApi
     */
    public apiV1ArticlesArticleIdMediasMediaIdDelete(requestParameters: ArticlesApiApiV1ArticlesArticleIdMediasMediaIdDeleteRequest, options?: AxiosRequestConfig) {
        return ArticlesApiFp(this.configuration).apiV1ArticlesArticleIdMediasMediaIdDelete(requestParameters.articleId, requestParameters.mediaId, options).then((request) => request(this.axios, this.basePath));
    }

    /**
     * 
     * @summary Get ArticleMedia.
     * @param {ArticlesApiApiV1ArticlesArticleIdMediasMediaIdGetRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ArticlesApi
     */
    public apiV1ArticlesArticleIdMediasMediaIdGet(requestParameters: ArticlesApiApiV1ArticlesArticleIdMediasMediaIdGetRequest, options?: AxiosRequestConfig) {
        return ArticlesApiFp(this.configuration).apiV1ArticlesArticleIdMediasMediaIdGet(requestParameters.articleId, requestParameters.mediaId, options).then((request) => request(this.axios, this.basePath));
    }

    /**
     * 
     * @summary Update ArticleMedia.
     * @param {ArticlesApiApiV1ArticlesArticleIdMediasMediaIdPutRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ArticlesApi
     */
    public apiV1ArticlesArticleIdMediasMediaIdPut(requestParameters: ArticlesApiApiV1ArticlesArticleIdMediasMediaIdPutRequest, options?: AxiosRequestConfig) {
        return ArticlesApiFp(this.configuration).apiV1ArticlesArticleIdMediasMediaIdPut(requestParameters.articleId, requestParameters.mediaId, requestParameters.updateMediaCommand, options).then((request) => request(this.axios, this.basePath));
    }

    /**
     * 
     * @summary Create ArticleMedia.
     * @param {ArticlesApiApiV1ArticlesArticleIdMediasPostRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ArticlesApi
     */
    public apiV1ArticlesArticleIdMediasPost(requestParameters: ArticlesApiApiV1ArticlesArticleIdMediasPostRequest, options?: AxiosRequestConfig) {
        return ArticlesApiFp(this.configuration).apiV1ArticlesArticleIdMediasPost(requestParameters.articleId, requestParameters.createMediaCommand, options).then((request) => request(this.axios, this.basePath));
    }

    /**
     * 
     * @summary Update Article.
     * @param {ArticlesApiApiV1ArticlesArticleIdPutRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ArticlesApi
     */
    public apiV1ArticlesArticleIdPut(requestParameters: ArticlesApiApiV1ArticlesArticleIdPutRequest, options?: AxiosRequestConfig) {
        return ArticlesApiFp(this.configuration).apiV1ArticlesArticleIdPut(requestParameters.articleId, requestParameters.updateArticleCommand, options).then((request) => request(this.axios, this.basePath));
    }

    /**
     * 
     * @summary Revalidate article
     * @param {ArticlesApiApiV1ArticlesArticleIdRevalidatePostRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ArticlesApi
     */
    public apiV1ArticlesArticleIdRevalidatePost(requestParameters: ArticlesApiApiV1ArticlesArticleIdRevalidatePostRequest, options?: AxiosRequestConfig) {
        return ArticlesApiFp(this.configuration).apiV1ArticlesArticleIdRevalidatePost(requestParameters.articleId, requestParameters.includeCurrent, options).then((request) => request(this.axios, this.basePath));
    }

    /**
     * 
     * @summary Get all ArticleSource.
     * @param {ArticlesApiApiV1ArticlesArticleIdSourcesGetRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ArticlesApi
     */
    public apiV1ArticlesArticleIdSourcesGet(requestParameters: ArticlesApiApiV1ArticlesArticleIdSourcesGetRequest, options?: AxiosRequestConfig) {
        return ArticlesApiFp(this.configuration).apiV1ArticlesArticleIdSourcesGet(requestParameters.articleId, requestParameters.page, requestParameters.limit, requestParameters.lastRetrieved, options).then((request) => request(this.axios, this.basePath));
    }

    /**
     * 
     * @summary Create ArticleSource.
     * @param {ArticlesApiApiV1ArticlesArticleIdSourcesPostRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ArticlesApi
     */
    public apiV1ArticlesArticleIdSourcesPost(requestParameters: ArticlesApiApiV1ArticlesArticleIdSourcesPostRequest, options?: AxiosRequestConfig) {
        return ArticlesApiFp(this.configuration).apiV1ArticlesArticleIdSourcesPost(requestParameters.articleId, requestParameters.createArticleSourceCommand, options).then((request) => request(this.axios, this.basePath));
    }

    /**
     * 
     * @summary Delete ArticleSource.
     * @param {ArticlesApiApiV1ArticlesArticleIdSourcesSourceIdDeleteRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ArticlesApi
     */
    public apiV1ArticlesArticleIdSourcesSourceIdDelete(requestParameters: ArticlesApiApiV1ArticlesArticleIdSourcesSourceIdDeleteRequest, options?: AxiosRequestConfig) {
        return ArticlesApiFp(this.configuration).apiV1ArticlesArticleIdSourcesSourceIdDelete(requestParameters.articleId, requestParameters.sourceId, options).then((request) => request(this.axios, this.basePath));
    }

    /**
     * 
     * @summary Get ArticleSource.
     * @param {ArticlesApiApiV1ArticlesArticleIdSourcesSourceIdGetRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ArticlesApi
     */
    public apiV1ArticlesArticleIdSourcesSourceIdGet(requestParameters: ArticlesApiApiV1ArticlesArticleIdSourcesSourceIdGetRequest, options?: AxiosRequestConfig) {
        return ArticlesApiFp(this.configuration).apiV1ArticlesArticleIdSourcesSourceIdGet(requestParameters.articleId, requestParameters.sourceId, options).then((request) => request(this.axios, this.basePath));
    }

    /**
     * 
     * @summary Update ArticleSource.
     * @param {ArticlesApiApiV1ArticlesArticleIdSourcesSourceIdPutRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ArticlesApi
     */
    public apiV1ArticlesArticleIdSourcesSourceIdPut(requestParameters: ArticlesApiApiV1ArticlesArticleIdSourcesSourceIdPutRequest, options?: AxiosRequestConfig) {
        return ArticlesApiFp(this.configuration).apiV1ArticlesArticleIdSourcesSourceIdPut(requestParameters.articleId, requestParameters.sourceId, requestParameters.updateArticleSourceCommand, options).then((request) => request(this.axios, this.basePath));
    }

    /**
     * 
     * @summary GetAll ArticleTags.
     * @param {ArticlesApiApiV1ArticlesArticleIdTagsGetRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ArticlesApi
     */
    public apiV1ArticlesArticleIdTagsGet(requestParameters: ArticlesApiApiV1ArticlesArticleIdTagsGetRequest, options?: AxiosRequestConfig) {
        return ArticlesApiFp(this.configuration).apiV1ArticlesArticleIdTagsGet(requestParameters.articleId, requestParameters.tagId, requestParameters.page, requestParameters.limit, requestParameters.lastRetrieved, options).then((request) => request(this.axios, this.basePath));
    }

    /**
     * 
     * @summary Create ArticleTag.
     * @param {ArticlesApiApiV1ArticlesArticleIdTagsPostRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ArticlesApi
     */
    public apiV1ArticlesArticleIdTagsPost(requestParameters: ArticlesApiApiV1ArticlesArticleIdTagsPostRequest, options?: AxiosRequestConfig) {
        return ArticlesApiFp(this.configuration).apiV1ArticlesArticleIdTagsPost(requestParameters.articleId, requestParameters.createArticleTagCommand, options).then((request) => request(this.axios, this.basePath));
    }

    /**
     * 
     * @summary Delete ArticleTag.
     * @param {ArticlesApiApiV1ArticlesArticleIdTagsTagIdDeleteRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ArticlesApi
     */
    public apiV1ArticlesArticleIdTagsTagIdDelete(requestParameters: ArticlesApiApiV1ArticlesArticleIdTagsTagIdDeleteRequest, options?: AxiosRequestConfig) {
        return ArticlesApiFp(this.configuration).apiV1ArticlesArticleIdTagsTagIdDelete(requestParameters.articleId, requestParameters.tagId, options).then((request) => request(this.axios, this.basePath));
    }

    /**
     * 
     * @summary Get ArticleTag.
     * @param {ArticlesApiApiV1ArticlesArticleIdTagsTagIdGetRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ArticlesApi
     */
    public apiV1ArticlesArticleIdTagsTagIdGet(requestParameters: ArticlesApiApiV1ArticlesArticleIdTagsTagIdGetRequest, options?: AxiosRequestConfig) {
        return ArticlesApiFp(this.configuration).apiV1ArticlesArticleIdTagsTagIdGet(requestParameters.articleId, requestParameters.tagId, options).then((request) => request(this.axios, this.basePath));
    }

    /**
     * 
     * @summary Get all Articles.
     * @param {ArticlesApiApiV1ArticlesGetRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ArticlesApi
     */
    public apiV1ArticlesGet(requestParameters: ArticlesApiApiV1ArticlesGetRequest = {}, options?: AxiosRequestConfig) {
        return ArticlesApiFp(this.configuration).apiV1ArticlesGet(requestParameters.id, requestParameters.name, requestParameters.description, requestParameters.marketingType, requestParameters.userId, requestParameters.userName, requestParameters.hospitalId, requestParameters.hospitalName, requestParameters.countryId, requestParameters.tag, requestParameters.exceptArticleId, requestParameters.exceptHospitalId, requestParameters.contributorId, requestParameters.languageCode, requestParameters.showHidden, requestParameters.page, requestParameters.limit, requestParameters.lastRetrieved, options).then((request) => request(this.axios, this.basePath));
    }

    /**
     * 
     * @summary Create a Article.
     * @param {ArticlesApiApiV1ArticlesPostRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ArticlesApi
     */
    public apiV1ArticlesPost(requestParameters: ArticlesApiApiV1ArticlesPostRequest = {}, options?: AxiosRequestConfig) {
        return ArticlesApiFp(this.configuration).apiV1ArticlesPost(requestParameters.createArticleCommand, options).then((request) => request(this.axios, this.basePath));
    }

    /**
     * 
     * @summary Get Article by slug.
     * @param {ArticlesApiApiV1ArticlesSlugGetRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof ArticlesApi
     */
    public apiV1ArticlesSlugGet(requestParameters: ArticlesApiApiV1ArticlesSlugGetRequest, options?: AxiosRequestConfig) {
        return ArticlesApiFp(this.configuration).apiV1ArticlesSlugGet(requestParameters.slug, requestParameters.languageCode, requestParameters.returnDefaultValue, options).then((request) => request(this.axios, this.basePath));
    }
}
