/* tslint:disable */
/* eslint-disable */
/**
 * CloudHospital Admin Api
 * CloudHospital application with Swagger, Swashbuckle, and API versioning.
 *
 * The version of the OpenAPI document: 1
 * Contact: developer@icloudhospital.com
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */


import globalAxios, { AxiosPromise, AxiosInstance, AxiosRequestConfig } from 'axios';
import { Configuration } from '../configuration';
// Some imports not used depending on template conditions
// @ts-ignore
import { DUMMY_BASE_URL, assertParamExists, setApiKeyToObject, setBasicAuthToObject, setBearerAuthToObject, setOAuthToObject, setSearchParams, serializeDataIfNeeded, toPathString, createRequestFunction } from '../common';
// @ts-ignore
import { BASE_PATH, COLLECTION_FORMATS, RequestArgs, BaseAPI, RequiredError } from '../base';
// @ts-ignore
import { AppointmentTimetableOverridesModel } from '../models';
// @ts-ignore
import { AppointmentTimetablesModel } from '../models';
// @ts-ignore
import { BatchAppointmentTimetablesResultModel } from '../models';
// @ts-ignore
import { BatchDoctorAffiliationAppointmentTimetablesCommand } from '../models';
// @ts-ignore
import { CreateDoctorAffiliationCommand } from '../models';
// @ts-ignore
import { CreateMediaCommand } from '../models';
// @ts-ignore
import { DayOfWeek } from '../models';
// @ts-ignore
import { DeleteDoctorAffiliationAppointmentTimetableOverridesCommand } from '../models';
// @ts-ignore
import { DoctorAffiliationModel } from '../models';
// @ts-ignore
import { DoctorAffiliationsModel } from '../models';
// @ts-ignore
import { GetAppointmentTimetablesResponseModel } from '../models';
// @ts-ignore
import { MarketingType } from '../models';
// @ts-ignore
import { MediaModel } from '../models';
// @ts-ignore
import { MediaType } from '../models';
// @ts-ignore
import { MediasModel } from '../models';
// @ts-ignore
import { ProblemDetails } from '../models';
// @ts-ignore
import { SaveAppointmentTimetableOverridesResultModel } from '../models';
// @ts-ignore
import { SaveDoctorAffiliationAppointmentTimetableOverridesCommand } from '../models';
// @ts-ignore
import { TranslateDoctorAffiliationCommand } from '../models';
// @ts-ignore
import { UpdateDoctorAffiliationCommand } from '../models';
// @ts-ignore
import { UpdateMediaCommand } from '../models';
/**
 * DoctorAffiliationsApi - axios parameter creator
 * @export
 */
export const DoctorAffiliationsApiAxiosParamCreator = function (configuration?: Configuration) {
    return {
        /**
         * 
         * @summary Get DoctorAffiliation appointment timetable overrides
         * @param {string} doctorAffiliationId 
         * @param {boolean} [includesPreviousItems] 
         * @param {Date} [startDate] 
         * @param {Date} [endDate] 
         * @param {DayOfWeek} [dayOfWeek] 
         * @param {number} [page] 
         * @param {number} [limit] 
         * @param {Date} [lastRetrieved] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetableoverridesGet: async (doctorAffiliationId: string, includesPreviousItems?: boolean, startDate?: Date, endDate?: Date, dayOfWeek?: DayOfWeek, page?: number, limit?: number, lastRetrieved?: Date, options: AxiosRequestConfig = {}): Promise<RequestArgs> => {
            // verify required parameter 'doctorAffiliationId' is not null or undefined
            assertParamExists('apiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetableoverridesGet', 'doctorAffiliationId', doctorAffiliationId)
            const localVarPath = `/api/v1/doctoraffiliations/{doctorAffiliationId}/appointmenttimetableoverrides`
                .replace(`{${"doctorAffiliationId"}}`, encodeURIComponent(String(doctorAffiliationId)));
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }

            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options};
            const localVarHeaderParameter = {} as any;
            const localVarQueryParameter = {} as any;

            // authentication oauth2 required
            // oauth required
            await setOAuthToObject(localVarHeaderParameter, "oauth2", ["cloudhospital_admin_api"], configuration)

            if (includesPreviousItems !== undefined) {
                localVarQueryParameter['IncludesPreviousItems'] = includesPreviousItems;
            }

            if (startDate !== undefined) {
                localVarQueryParameter['StartDate'] = (startDate as any instanceof Date) ?
                    (startDate as any).toISOString() :
                    startDate;
            }

            if (endDate !== undefined) {
                localVarQueryParameter['EndDate'] = (endDate as any instanceof Date) ?
                    (endDate as any).toISOString() :
                    endDate;
            }

            if (dayOfWeek !== undefined) {
                localVarQueryParameter['DayOfWeek'] = dayOfWeek;
            }

            if (page !== undefined) {
                localVarQueryParameter['page'] = page;
            }

            if (limit !== undefined) {
                localVarQueryParameter['limit'] = limit;
            }

            if (lastRetrieved !== undefined) {
                localVarQueryParameter['lastRetrieved'] = (lastRetrieved as any instanceof Date) ?
                    (lastRetrieved as any).toISOString() :
                    lastRetrieved;
            }


    
            setSearchParams(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers};

            return {
                url: toPathString(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @summary Delete DoctorAffiliation appointment timetable overrides
         * @param {string} doctorAffiliationId 
         * @param {DeleteDoctorAffiliationAppointmentTimetableOverridesCommand} [deleteDoctorAffiliationAppointmentTimetableOverridesCommand] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetableoverridesPatch: async (doctorAffiliationId: string, deleteDoctorAffiliationAppointmentTimetableOverridesCommand?: DeleteDoctorAffiliationAppointmentTimetableOverridesCommand, options: AxiosRequestConfig = {}): Promise<RequestArgs> => {
            // verify required parameter 'doctorAffiliationId' is not null or undefined
            assertParamExists('apiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetableoverridesPatch', 'doctorAffiliationId', doctorAffiliationId)
            const localVarPath = `/api/v1/doctoraffiliations/{doctorAffiliationId}/appointmenttimetableoverrides`
                .replace(`{${"doctorAffiliationId"}}`, encodeURIComponent(String(doctorAffiliationId)));
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }

            const localVarRequestOptions = { method: 'PATCH', ...baseOptions, ...options};
            const localVarHeaderParameter = {} as any;
            const localVarQueryParameter = {} as any;

            // authentication oauth2 required
            // oauth required
            await setOAuthToObject(localVarHeaderParameter, "oauth2", ["cloudhospital_admin_api"], configuration)


    
            localVarHeaderParameter['Content-Type'] = 'application/json';

            setSearchParams(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers};
            localVarRequestOptions.data = serializeDataIfNeeded(deleteDoctorAffiliationAppointmentTimetableOverridesCommand, localVarRequestOptions, configuration)

            return {
                url: toPathString(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @summary Save DoctorAffiliation appointment timetable overrides
         * @param {string} doctorAffiliationId 
         * @param {SaveDoctorAffiliationAppointmentTimetableOverridesCommand} [saveDoctorAffiliationAppointmentTimetableOverridesCommand] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetableoverridesPost: async (doctorAffiliationId: string, saveDoctorAffiliationAppointmentTimetableOverridesCommand?: SaveDoctorAffiliationAppointmentTimetableOverridesCommand, options: AxiosRequestConfig = {}): Promise<RequestArgs> => {
            // verify required parameter 'doctorAffiliationId' is not null or undefined
            assertParamExists('apiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetableoverridesPost', 'doctorAffiliationId', doctorAffiliationId)
            const localVarPath = `/api/v1/doctoraffiliations/{doctorAffiliationId}/appointmenttimetableoverrides`
                .replace(`{${"doctorAffiliationId"}}`, encodeURIComponent(String(doctorAffiliationId)));
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }

            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options};
            const localVarHeaderParameter = {} as any;
            const localVarQueryParameter = {} as any;

            // authentication oauth2 required
            // oauth required
            await setOAuthToObject(localVarHeaderParameter, "oauth2", ["cloudhospital_admin_api"], configuration)


    
            localVarHeaderParameter['Content-Type'] = 'application/json';

            setSearchParams(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers};
            localVarRequestOptions.data = serializeDataIfNeeded(saveDoctorAffiliationAppointmentTimetableOverridesCommand, localVarRequestOptions, configuration)

            return {
                url: toPathString(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @summary Get DoctorAffiliation appointment timetables for application
         * @param {string} doctorAffiliationId 
         * @param {number} [year] 
         * @param {number} [month] 
         * @param {string} [timeZone] 
         * @param {boolean} [isExternal] 
         * @param {boolean} [isOnline] 
         * @param {string} [appointmentIdExcluded] 
         * @param {boolean} [excludeUnavailableTimeSlots] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetablesApplicationGet: async (doctorAffiliationId: string, year?: number, month?: number, timeZone?: string, isExternal?: boolean, isOnline?: boolean, appointmentIdExcluded?: string, excludeUnavailableTimeSlots?: boolean, options: AxiosRequestConfig = {}): Promise<RequestArgs> => {
            // verify required parameter 'doctorAffiliationId' is not null or undefined
            assertParamExists('apiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetablesApplicationGet', 'doctorAffiliationId', doctorAffiliationId)
            const localVarPath = `/api/v1/doctoraffiliations/{doctorAffiliationId}/appointmenttimetables/application`
                .replace(`{${"doctorAffiliationId"}}`, encodeURIComponent(String(doctorAffiliationId)));
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }

            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options};
            const localVarHeaderParameter = {} as any;
            const localVarQueryParameter = {} as any;

            // authentication oauth2 required
            // oauth required
            await setOAuthToObject(localVarHeaderParameter, "oauth2", ["cloudhospital_admin_api"], configuration)

            if (year !== undefined) {
                localVarQueryParameter['Year'] = year;
            }

            if (month !== undefined) {
                localVarQueryParameter['Month'] = month;
            }

            if (timeZone !== undefined) {
                localVarQueryParameter['TimeZone'] = timeZone;
            }

            if (isExternal !== undefined) {
                localVarQueryParameter['IsExternal'] = isExternal;
            }

            if (isOnline !== undefined) {
                localVarQueryParameter['IsOnline'] = isOnline;
            }

            if (appointmentIdExcluded !== undefined) {
                localVarQueryParameter['AppointmentIdExcluded'] = appointmentIdExcluded;
            }

            if (excludeUnavailableTimeSlots !== undefined) {
                localVarQueryParameter['ExcludeUnavailableTimeSlots'] = excludeUnavailableTimeSlots;
            }


    
            setSearchParams(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers};

            return {
                url: toPathString(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @summary Add, update and delete DoctorAffiliationAppointmentTimetables
         * @param {string} doctorAffiliationId 
         * @param {BatchDoctorAffiliationAppointmentTimetablesCommand} [batchDoctorAffiliationAppointmentTimetablesCommand] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetablesBatchPost: async (doctorAffiliationId: string, batchDoctorAffiliationAppointmentTimetablesCommand?: BatchDoctorAffiliationAppointmentTimetablesCommand, options: AxiosRequestConfig = {}): Promise<RequestArgs> => {
            // verify required parameter 'doctorAffiliationId' is not null or undefined
            assertParamExists('apiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetablesBatchPost', 'doctorAffiliationId', doctorAffiliationId)
            const localVarPath = `/api/v1/doctoraffiliations/{doctorAffiliationId}/appointmenttimetables/batch`
                .replace(`{${"doctorAffiliationId"}}`, encodeURIComponent(String(doctorAffiliationId)));
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }

            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options};
            const localVarHeaderParameter = {} as any;
            const localVarQueryParameter = {} as any;

            // authentication oauth2 required
            // oauth required
            await setOAuthToObject(localVarHeaderParameter, "oauth2", ["cloudhospital_admin_api"], configuration)


    
            localVarHeaderParameter['Content-Type'] = 'application/json';

            setSearchParams(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers};
            localVarRequestOptions.data = serializeDataIfNeeded(batchDoctorAffiliationAppointmentTimetablesCommand, localVarRequestOptions, configuration)

            return {
                url: toPathString(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @summary Get DoctorAffiliation appointment timetables
         * @param {string} doctorAffiliationId 
         * @param {DayOfWeek} [dayOfWeek] 
         * @param {number} [page] 
         * @param {number} [limit] 
         * @param {Date} [lastRetrieved] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetablesGet: async (doctorAffiliationId: string, dayOfWeek?: DayOfWeek, page?: number, limit?: number, lastRetrieved?: Date, options: AxiosRequestConfig = {}): Promise<RequestArgs> => {
            // verify required parameter 'doctorAffiliationId' is not null or undefined
            assertParamExists('apiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetablesGet', 'doctorAffiliationId', doctorAffiliationId)
            const localVarPath = `/api/v1/doctoraffiliations/{doctorAffiliationId}/appointmenttimetables`
                .replace(`{${"doctorAffiliationId"}}`, encodeURIComponent(String(doctorAffiliationId)));
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }

            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options};
            const localVarHeaderParameter = {} as any;
            const localVarQueryParameter = {} as any;

            // authentication oauth2 required
            // oauth required
            await setOAuthToObject(localVarHeaderParameter, "oauth2", ["cloudhospital_admin_api"], configuration)

            if (dayOfWeek !== undefined) {
                localVarQueryParameter['DayOfWeek'] = dayOfWeek;
            }

            if (page !== undefined) {
                localVarQueryParameter['page'] = page;
            }

            if (limit !== undefined) {
                localVarQueryParameter['limit'] = limit;
            }

            if (lastRetrieved !== undefined) {
                localVarQueryParameter['lastRetrieved'] = (lastRetrieved as any instanceof Date) ?
                    (lastRetrieved as any).toISOString() :
                    lastRetrieved;
            }


    
            setSearchParams(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers};

            return {
                url: toPathString(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @summary Get all DoctorAffiliationMedias.
         * @param {string} doctorAffiliationId 
         * @param {string} [id] 
         * @param {MediaType} [mediaType] 
         * @param {number} [page] 
         * @param {number} [limit] 
         * @param {Date} [lastRetrieved] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1DoctoraffiliationsDoctorAffiliationIdMediasGet: async (doctorAffiliationId: string, id?: string, mediaType?: MediaType, page?: number, limit?: number, lastRetrieved?: Date, options: AxiosRequestConfig = {}): Promise<RequestArgs> => {
            // verify required parameter 'doctorAffiliationId' is not null or undefined
            assertParamExists('apiV1DoctoraffiliationsDoctorAffiliationIdMediasGet', 'doctorAffiliationId', doctorAffiliationId)
            const localVarPath = `/api/v1/doctoraffiliations/{doctorAffiliationId}/medias`
                .replace(`{${"doctorAffiliationId"}}`, encodeURIComponent(String(doctorAffiliationId)));
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }

            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options};
            const localVarHeaderParameter = {} as any;
            const localVarQueryParameter = {} as any;

            // authentication oauth2 required
            // oauth required
            await setOAuthToObject(localVarHeaderParameter, "oauth2", ["cloudhospital_admin_api"], configuration)

            if (id !== undefined) {
                localVarQueryParameter['Id'] = id;
            }

            if (mediaType !== undefined) {
                localVarQueryParameter['MediaType'] = mediaType;
            }

            if (page !== undefined) {
                localVarQueryParameter['page'] = page;
            }

            if (limit !== undefined) {
                localVarQueryParameter['limit'] = limit;
            }

            if (lastRetrieved !== undefined) {
                localVarQueryParameter['lastRetrieved'] = (lastRetrieved as any instanceof Date) ?
                    (lastRetrieved as any).toISOString() :
                    lastRetrieved;
            }


    
            setSearchParams(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers};

            return {
                url: toPathString(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @summary Delete DoctorAffiliationMedia
         * @param {string} doctorAffiliationId 
         * @param {string} mediaId 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1DoctoraffiliationsDoctorAffiliationIdMediasMediaIdDelete: async (doctorAffiliationId: string, mediaId: string, options: AxiosRequestConfig = {}): Promise<RequestArgs> => {
            // verify required parameter 'doctorAffiliationId' is not null or undefined
            assertParamExists('apiV1DoctoraffiliationsDoctorAffiliationIdMediasMediaIdDelete', 'doctorAffiliationId', doctorAffiliationId)
            // verify required parameter 'mediaId' is not null or undefined
            assertParamExists('apiV1DoctoraffiliationsDoctorAffiliationIdMediasMediaIdDelete', 'mediaId', mediaId)
            const localVarPath = `/api/v1/doctoraffiliations/{doctorAffiliationId}/medias/{mediaId}`
                .replace(`{${"doctorAffiliationId"}}`, encodeURIComponent(String(doctorAffiliationId)))
                .replace(`{${"mediaId"}}`, encodeURIComponent(String(mediaId)));
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }

            const localVarRequestOptions = { method: 'DELETE', ...baseOptions, ...options};
            const localVarHeaderParameter = {} as any;
            const localVarQueryParameter = {} as any;

            // authentication oauth2 required
            // oauth required
            await setOAuthToObject(localVarHeaderParameter, "oauth2", ["cloudhospital_admin_api"], configuration)


    
            setSearchParams(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers};

            return {
                url: toPathString(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @summary Get DoctorAffiliationMedia.
         * @param {string} doctorAffiliationId 
         * @param {string} mediaId 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1DoctoraffiliationsDoctorAffiliationIdMediasMediaIdGet: async (doctorAffiliationId: string, mediaId: string, options: AxiosRequestConfig = {}): Promise<RequestArgs> => {
            // verify required parameter 'doctorAffiliationId' is not null or undefined
            assertParamExists('apiV1DoctoraffiliationsDoctorAffiliationIdMediasMediaIdGet', 'doctorAffiliationId', doctorAffiliationId)
            // verify required parameter 'mediaId' is not null or undefined
            assertParamExists('apiV1DoctoraffiliationsDoctorAffiliationIdMediasMediaIdGet', 'mediaId', mediaId)
            const localVarPath = `/api/v1/doctoraffiliations/{doctorAffiliationId}/medias/{mediaId}`
                .replace(`{${"doctorAffiliationId"}}`, encodeURIComponent(String(doctorAffiliationId)))
                .replace(`{${"mediaId"}}`, encodeURIComponent(String(mediaId)));
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }

            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options};
            const localVarHeaderParameter = {} as any;
            const localVarQueryParameter = {} as any;

            // authentication oauth2 required
            // oauth required
            await setOAuthToObject(localVarHeaderParameter, "oauth2", ["cloudhospital_admin_api"], configuration)


    
            setSearchParams(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers};

            return {
                url: toPathString(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @summary Update DoctorAffiliationMedia.
         * @param {string} doctorAffiliationId 
         * @param {string} mediaId 
         * @param {UpdateMediaCommand} [updateMediaCommand] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1DoctoraffiliationsDoctorAffiliationIdMediasMediaIdPut: async (doctorAffiliationId: string, mediaId: string, updateMediaCommand?: UpdateMediaCommand, options: AxiosRequestConfig = {}): Promise<RequestArgs> => {
            // verify required parameter 'doctorAffiliationId' is not null or undefined
            assertParamExists('apiV1DoctoraffiliationsDoctorAffiliationIdMediasMediaIdPut', 'doctorAffiliationId', doctorAffiliationId)
            // verify required parameter 'mediaId' is not null or undefined
            assertParamExists('apiV1DoctoraffiliationsDoctorAffiliationIdMediasMediaIdPut', 'mediaId', mediaId)
            const localVarPath = `/api/v1/doctoraffiliations/{doctorAffiliationId}/medias/{mediaId}`
                .replace(`{${"doctorAffiliationId"}}`, encodeURIComponent(String(doctorAffiliationId)))
                .replace(`{${"mediaId"}}`, encodeURIComponent(String(mediaId)));
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }

            const localVarRequestOptions = { method: 'PUT', ...baseOptions, ...options};
            const localVarHeaderParameter = {} as any;
            const localVarQueryParameter = {} as any;

            // authentication oauth2 required
            // oauth required
            await setOAuthToObject(localVarHeaderParameter, "oauth2", ["cloudhospital_admin_api"], configuration)


    
            localVarHeaderParameter['Content-Type'] = 'application/json';

            setSearchParams(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers};
            localVarRequestOptions.data = serializeDataIfNeeded(updateMediaCommand, localVarRequestOptions, configuration)

            return {
                url: toPathString(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @summary Create DoctorAffiliationMedia.
         * @param {string} doctorAffiliationId 
         * @param {CreateMediaCommand} [createMediaCommand] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1DoctoraffiliationsDoctorAffiliationIdMediasPost: async (doctorAffiliationId: string, createMediaCommand?: CreateMediaCommand, options: AxiosRequestConfig = {}): Promise<RequestArgs> => {
            // verify required parameter 'doctorAffiliationId' is not null or undefined
            assertParamExists('apiV1DoctoraffiliationsDoctorAffiliationIdMediasPost', 'doctorAffiliationId', doctorAffiliationId)
            const localVarPath = `/api/v1/doctoraffiliations/{doctorAffiliationId}/medias`
                .replace(`{${"doctorAffiliationId"}}`, encodeURIComponent(String(doctorAffiliationId)));
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }

            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options};
            const localVarHeaderParameter = {} as any;
            const localVarQueryParameter = {} as any;

            // authentication oauth2 required
            // oauth required
            await setOAuthToObject(localVarHeaderParameter, "oauth2", ["cloudhospital_admin_api"], configuration)


    
            localVarHeaderParameter['Content-Type'] = 'application/json';

            setSearchParams(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers};
            localVarRequestOptions.data = serializeDataIfNeeded(createMediaCommand, localVarRequestOptions, configuration)

            return {
                url: toPathString(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @summary Get all doctor affiliations.
         * @param {string} [hospitalId] 
         * @param {string} [hospitalName] 
         * @param {string} [doctorId] 
         * @param {string} [doctorName] 
         * @param {string} [doctorSlug] 
         * @param {string} [specialtyId] 
         * @param {string} [specialtyTypeId] 
         * @param {MarketingType} [marketingType] 
         * @param {string} [countryId] 
         * @param {string} [languageCode] 
         * @param {boolean} [showHidden] 
         * @param {number} [page] 
         * @param {number} [limit] 
         * @param {Date} [lastRetrieved] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1DoctoraffiliationsGet: async (hospitalId?: string, hospitalName?: string, doctorId?: string, doctorName?: string, doctorSlug?: string, specialtyId?: string, specialtyTypeId?: string, marketingType?: MarketingType, countryId?: string, languageCode?: string, showHidden?: boolean, page?: number, limit?: number, lastRetrieved?: Date, options: AxiosRequestConfig = {}): Promise<RequestArgs> => {
            const localVarPath = `/api/v1/doctoraffiliations`;
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }

            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options};
            const localVarHeaderParameter = {} as any;
            const localVarQueryParameter = {} as any;

            // authentication oauth2 required
            // oauth required
            await setOAuthToObject(localVarHeaderParameter, "oauth2", ["cloudhospital_admin_api"], configuration)

            if (hospitalId !== undefined) {
                localVarQueryParameter['HospitalId'] = hospitalId;
            }

            if (hospitalName !== undefined) {
                localVarQueryParameter['HospitalName'] = hospitalName;
            }

            if (doctorId !== undefined) {
                localVarQueryParameter['DoctorId'] = doctorId;
            }

            if (doctorName !== undefined) {
                localVarQueryParameter['DoctorName'] = doctorName;
            }

            if (doctorSlug !== undefined) {
                localVarQueryParameter['DoctorSlug'] = doctorSlug;
            }

            if (specialtyId !== undefined) {
                localVarQueryParameter['SpecialtyId'] = specialtyId;
            }

            if (specialtyTypeId !== undefined) {
                localVarQueryParameter['SpecialtyTypeId'] = specialtyTypeId;
            }

            if (marketingType !== undefined) {
                localVarQueryParameter['MarketingType'] = marketingType;
            }

            if (countryId !== undefined) {
                localVarQueryParameter['CountryId'] = countryId;
            }

            if (languageCode !== undefined) {
                localVarQueryParameter['LanguageCode'] = languageCode;
            }

            if (showHidden !== undefined) {
                localVarQueryParameter['ShowHidden'] = showHidden;
            }

            if (page !== undefined) {
                localVarQueryParameter['page'] = page;
            }

            if (limit !== undefined) {
                localVarQueryParameter['limit'] = limit;
            }

            if (lastRetrieved !== undefined) {
                localVarQueryParameter['lastRetrieved'] = (lastRetrieved as any instanceof Date) ?
                    (lastRetrieved as any).toISOString() :
                    lastRetrieved;
            }


    
            setSearchParams(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers};

            return {
                url: toPathString(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @summary Delete doctor affiliation.
         * @param {string} id 
         * @param {boolean} [isPermanent] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1DoctoraffiliationsIdDelete: async (id: string, isPermanent?: boolean, options: AxiosRequestConfig = {}): Promise<RequestArgs> => {
            // verify required parameter 'id' is not null or undefined
            assertParamExists('apiV1DoctoraffiliationsIdDelete', 'id', id)
            const localVarPath = `/api/v1/doctoraffiliations/{id}`
                .replace(`{${"id"}}`, encodeURIComponent(String(id)));
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }

            const localVarRequestOptions = { method: 'DELETE', ...baseOptions, ...options};
            const localVarHeaderParameter = {} as any;
            const localVarQueryParameter = {} as any;

            // authentication oauth2 required
            // oauth required
            await setOAuthToObject(localVarHeaderParameter, "oauth2", ["cloudhospital_admin_api"], configuration)

            if (isPermanent !== undefined) {
                localVarQueryParameter['isPermanent'] = isPermanent;
            }


    
            setSearchParams(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers};

            return {
                url: toPathString(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @summary Get doctor affiliation.
         * @param {string} id 
         * @param {string} [languageCode] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1DoctoraffiliationsIdGet: async (id: string, languageCode?: string, options: AxiosRequestConfig = {}): Promise<RequestArgs> => {
            // verify required parameter 'id' is not null or undefined
            assertParamExists('apiV1DoctoraffiliationsIdGet', 'id', id)
            const localVarPath = `/api/v1/doctoraffiliations/{id}`
                .replace(`{${"id"}}`, encodeURIComponent(String(id)));
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }

            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options};
            const localVarHeaderParameter = {} as any;
            const localVarQueryParameter = {} as any;

            // authentication oauth2 required
            // oauth required
            await setOAuthToObject(localVarHeaderParameter, "oauth2", ["cloudhospital_admin_api"], configuration)

            if (languageCode !== undefined) {
                localVarQueryParameter['languageCode'] = languageCode;
            }


    
            setSearchParams(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers};

            return {
                url: toPathString(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @summary Update doctor affiliation.
         * @param {string} id 
         * @param {UpdateDoctorAffiliationCommand} [updateDoctorAffiliationCommand] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1DoctoraffiliationsIdPut: async (id: string, updateDoctorAffiliationCommand?: UpdateDoctorAffiliationCommand, options: AxiosRequestConfig = {}): Promise<RequestArgs> => {
            // verify required parameter 'id' is not null or undefined
            assertParamExists('apiV1DoctoraffiliationsIdPut', 'id', id)
            const localVarPath = `/api/v1/doctoraffiliations/{id}`
                .replace(`{${"id"}}`, encodeURIComponent(String(id)));
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }

            const localVarRequestOptions = { method: 'PUT', ...baseOptions, ...options};
            const localVarHeaderParameter = {} as any;
            const localVarQueryParameter = {} as any;

            // authentication oauth2 required
            // oauth required
            await setOAuthToObject(localVarHeaderParameter, "oauth2", ["cloudhospital_admin_api"], configuration)


    
            localVarHeaderParameter['Content-Type'] = 'application/json';

            setSearchParams(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers};
            localVarRequestOptions.data = serializeDataIfNeeded(updateDoctorAffiliationCommand, localVarRequestOptions, configuration)

            return {
                url: toPathString(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @summary Reactivate doctor affiliation.
         * @param {string} id 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1DoctoraffiliationsIdReactivatePut: async (id: string, options: AxiosRequestConfig = {}): Promise<RequestArgs> => {
            // verify required parameter 'id' is not null or undefined
            assertParamExists('apiV1DoctoraffiliationsIdReactivatePut', 'id', id)
            const localVarPath = `/api/v1/doctoraffiliations/{id}/reactivate`
                .replace(`{${"id"}}`, encodeURIComponent(String(id)));
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }

            const localVarRequestOptions = { method: 'PUT', ...baseOptions, ...options};
            const localVarHeaderParameter = {} as any;
            const localVarQueryParameter = {} as any;

            // authentication oauth2 required
            // oauth required
            await setOAuthToObject(localVarHeaderParameter, "oauth2", ["cloudhospital_admin_api"], configuration)


    
            setSearchParams(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers};

            return {
                url: toPathString(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @summary Revalidate doctorAffiliation
         * @param {string} id 
         * @param {boolean} [includeCurrent] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1DoctoraffiliationsIdRevalidatePost: async (id: string, includeCurrent?: boolean, options: AxiosRequestConfig = {}): Promise<RequestArgs> => {
            // verify required parameter 'id' is not null or undefined
            assertParamExists('apiV1DoctoraffiliationsIdRevalidatePost', 'id', id)
            const localVarPath = `/api/v1/doctoraffiliations/{id}/revalidate`
                .replace(`{${"id"}}`, encodeURIComponent(String(id)));
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }

            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options};
            const localVarHeaderParameter = {} as any;
            const localVarQueryParameter = {} as any;

            // authentication oauth2 required
            // oauth required
            await setOAuthToObject(localVarHeaderParameter, "oauth2", ["cloudhospital_admin_api"], configuration)

            if (includeCurrent !== undefined) {
                localVarQueryParameter['includeCurrent'] = includeCurrent;
            }


    
            setSearchParams(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers};

            return {
                url: toPathString(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @summary Translate doctorAffiliation at once
         * @param {string} id 
         * @param {TranslateDoctorAffiliationCommand} [translateDoctorAffiliationCommand] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1DoctoraffiliationsIdTranslatePost: async (id: string, translateDoctorAffiliationCommand?: TranslateDoctorAffiliationCommand, options: AxiosRequestConfig = {}): Promise<RequestArgs> => {
            // verify required parameter 'id' is not null or undefined
            assertParamExists('apiV1DoctoraffiliationsIdTranslatePost', 'id', id)
            const localVarPath = `/api/v1/doctoraffiliations/{id}/translate`
                .replace(`{${"id"}}`, encodeURIComponent(String(id)));
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }

            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options};
            const localVarHeaderParameter = {} as any;
            const localVarQueryParameter = {} as any;

            // authentication oauth2 required
            // oauth required
            await setOAuthToObject(localVarHeaderParameter, "oauth2", ["cloudhospital_admin_api"], configuration)


    
            localVarHeaderParameter['Content-Type'] = 'application/json';

            setSearchParams(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers};
            localVarRequestOptions.data = serializeDataIfNeeded(translateDoctorAffiliationCommand, localVarRequestOptions, configuration)

            return {
                url: toPathString(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @param {CreateDoctorAffiliationCommand} [createDoctorAffiliationCommand] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1DoctoraffiliationsPost: async (createDoctorAffiliationCommand?: CreateDoctorAffiliationCommand, options: AxiosRequestConfig = {}): Promise<RequestArgs> => {
            const localVarPath = `/api/v1/doctoraffiliations`;
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }

            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options};
            const localVarHeaderParameter = {} as any;
            const localVarQueryParameter = {} as any;

            // authentication oauth2 required
            // oauth required
            await setOAuthToObject(localVarHeaderParameter, "oauth2", ["cloudhospital_admin_api"], configuration)


    
            localVarHeaderParameter['Content-Type'] = 'application/json';

            setSearchParams(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers};
            localVarRequestOptions.data = serializeDataIfNeeded(createDoctorAffiliationCommand, localVarRequestOptions, configuration)

            return {
                url: toPathString(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
    }
};

/**
 * DoctorAffiliationsApi - functional programming interface
 * @export
 */
export const DoctorAffiliationsApiFp = function(configuration?: Configuration) {
    const localVarAxiosParamCreator = DoctorAffiliationsApiAxiosParamCreator(configuration)
    return {
        /**
         * 
         * @summary Get DoctorAffiliation appointment timetable overrides
         * @param {string} doctorAffiliationId 
         * @param {boolean} [includesPreviousItems] 
         * @param {Date} [startDate] 
         * @param {Date} [endDate] 
         * @param {DayOfWeek} [dayOfWeek] 
         * @param {number} [page] 
         * @param {number} [limit] 
         * @param {Date} [lastRetrieved] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async apiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetableoverridesGet(doctorAffiliationId: string, includesPreviousItems?: boolean, startDate?: Date, endDate?: Date, dayOfWeek?: DayOfWeek, page?: number, limit?: number, lastRetrieved?: Date, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<AppointmentTimetableOverridesModel>> {
            const localVarAxiosArgs = await localVarAxiosParamCreator.apiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetableoverridesGet(doctorAffiliationId, includesPreviousItems, startDate, endDate, dayOfWeek, page, limit, lastRetrieved, options);
            return createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration);
        },
        /**
         * 
         * @summary Delete DoctorAffiliation appointment timetable overrides
         * @param {string} doctorAffiliationId 
         * @param {DeleteDoctorAffiliationAppointmentTimetableOverridesCommand} [deleteDoctorAffiliationAppointmentTimetableOverridesCommand] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async apiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetableoverridesPatch(doctorAffiliationId: string, deleteDoctorAffiliationAppointmentTimetableOverridesCommand?: DeleteDoctorAffiliationAppointmentTimetableOverridesCommand, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<boolean>> {
            const localVarAxiosArgs = await localVarAxiosParamCreator.apiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetableoverridesPatch(doctorAffiliationId, deleteDoctorAffiliationAppointmentTimetableOverridesCommand, options);
            return createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration);
        },
        /**
         * 
         * @summary Save DoctorAffiliation appointment timetable overrides
         * @param {string} doctorAffiliationId 
         * @param {SaveDoctorAffiliationAppointmentTimetableOverridesCommand} [saveDoctorAffiliationAppointmentTimetableOverridesCommand] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async apiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetableoverridesPost(doctorAffiliationId: string, saveDoctorAffiliationAppointmentTimetableOverridesCommand?: SaveDoctorAffiliationAppointmentTimetableOverridesCommand, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<SaveAppointmentTimetableOverridesResultModel>> {
            const localVarAxiosArgs = await localVarAxiosParamCreator.apiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetableoverridesPost(doctorAffiliationId, saveDoctorAffiliationAppointmentTimetableOverridesCommand, options);
            return createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration);
        },
        /**
         * 
         * @summary Get DoctorAffiliation appointment timetables for application
         * @param {string} doctorAffiliationId 
         * @param {number} [year] 
         * @param {number} [month] 
         * @param {string} [timeZone] 
         * @param {boolean} [isExternal] 
         * @param {boolean} [isOnline] 
         * @param {string} [appointmentIdExcluded] 
         * @param {boolean} [excludeUnavailableTimeSlots] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async apiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetablesApplicationGet(doctorAffiliationId: string, year?: number, month?: number, timeZone?: string, isExternal?: boolean, isOnline?: boolean, appointmentIdExcluded?: string, excludeUnavailableTimeSlots?: boolean, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<GetAppointmentTimetablesResponseModel>> {
            const localVarAxiosArgs = await localVarAxiosParamCreator.apiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetablesApplicationGet(doctorAffiliationId, year, month, timeZone, isExternal, isOnline, appointmentIdExcluded, excludeUnavailableTimeSlots, options);
            return createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration);
        },
        /**
         * 
         * @summary Add, update and delete DoctorAffiliationAppointmentTimetables
         * @param {string} doctorAffiliationId 
         * @param {BatchDoctorAffiliationAppointmentTimetablesCommand} [batchDoctorAffiliationAppointmentTimetablesCommand] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async apiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetablesBatchPost(doctorAffiliationId: string, batchDoctorAffiliationAppointmentTimetablesCommand?: BatchDoctorAffiliationAppointmentTimetablesCommand, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<BatchAppointmentTimetablesResultModel>> {
            const localVarAxiosArgs = await localVarAxiosParamCreator.apiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetablesBatchPost(doctorAffiliationId, batchDoctorAffiliationAppointmentTimetablesCommand, options);
            return createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration);
        },
        /**
         * 
         * @summary Get DoctorAffiliation appointment timetables
         * @param {string} doctorAffiliationId 
         * @param {DayOfWeek} [dayOfWeek] 
         * @param {number} [page] 
         * @param {number} [limit] 
         * @param {Date} [lastRetrieved] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async apiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetablesGet(doctorAffiliationId: string, dayOfWeek?: DayOfWeek, page?: number, limit?: number, lastRetrieved?: Date, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<AppointmentTimetablesModel>> {
            const localVarAxiosArgs = await localVarAxiosParamCreator.apiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetablesGet(doctorAffiliationId, dayOfWeek, page, limit, lastRetrieved, options);
            return createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration);
        },
        /**
         * 
         * @summary Get all DoctorAffiliationMedias.
         * @param {string} doctorAffiliationId 
         * @param {string} [id] 
         * @param {MediaType} [mediaType] 
         * @param {number} [page] 
         * @param {number} [limit] 
         * @param {Date} [lastRetrieved] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async apiV1DoctoraffiliationsDoctorAffiliationIdMediasGet(doctorAffiliationId: string, id?: string, mediaType?: MediaType, page?: number, limit?: number, lastRetrieved?: Date, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<MediasModel>> {
            const localVarAxiosArgs = await localVarAxiosParamCreator.apiV1DoctoraffiliationsDoctorAffiliationIdMediasGet(doctorAffiliationId, id, mediaType, page, limit, lastRetrieved, options);
            return createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration);
        },
        /**
         * 
         * @summary Delete DoctorAffiliationMedia
         * @param {string} doctorAffiliationId 
         * @param {string} mediaId 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async apiV1DoctoraffiliationsDoctorAffiliationIdMediasMediaIdDelete(doctorAffiliationId: string, mediaId: string, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<boolean>> {
            const localVarAxiosArgs = await localVarAxiosParamCreator.apiV1DoctoraffiliationsDoctorAffiliationIdMediasMediaIdDelete(doctorAffiliationId, mediaId, options);
            return createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration);
        },
        /**
         * 
         * @summary Get DoctorAffiliationMedia.
         * @param {string} doctorAffiliationId 
         * @param {string} mediaId 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async apiV1DoctoraffiliationsDoctorAffiliationIdMediasMediaIdGet(doctorAffiliationId: string, mediaId: string, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<MediaModel>> {
            const localVarAxiosArgs = await localVarAxiosParamCreator.apiV1DoctoraffiliationsDoctorAffiliationIdMediasMediaIdGet(doctorAffiliationId, mediaId, options);
            return createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration);
        },
        /**
         * 
         * @summary Update DoctorAffiliationMedia.
         * @param {string} doctorAffiliationId 
         * @param {string} mediaId 
         * @param {UpdateMediaCommand} [updateMediaCommand] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async apiV1DoctoraffiliationsDoctorAffiliationIdMediasMediaIdPut(doctorAffiliationId: string, mediaId: string, updateMediaCommand?: UpdateMediaCommand, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<MediaModel>> {
            const localVarAxiosArgs = await localVarAxiosParamCreator.apiV1DoctoraffiliationsDoctorAffiliationIdMediasMediaIdPut(doctorAffiliationId, mediaId, updateMediaCommand, options);
            return createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration);
        },
        /**
         * 
         * @summary Create DoctorAffiliationMedia.
         * @param {string} doctorAffiliationId 
         * @param {CreateMediaCommand} [createMediaCommand] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async apiV1DoctoraffiliationsDoctorAffiliationIdMediasPost(doctorAffiliationId: string, createMediaCommand?: CreateMediaCommand, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<MediaModel>> {
            const localVarAxiosArgs = await localVarAxiosParamCreator.apiV1DoctoraffiliationsDoctorAffiliationIdMediasPost(doctorAffiliationId, createMediaCommand, options);
            return createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration);
        },
        /**
         * 
         * @summary Get all doctor affiliations.
         * @param {string} [hospitalId] 
         * @param {string} [hospitalName] 
         * @param {string} [doctorId] 
         * @param {string} [doctorName] 
         * @param {string} [doctorSlug] 
         * @param {string} [specialtyId] 
         * @param {string} [specialtyTypeId] 
         * @param {MarketingType} [marketingType] 
         * @param {string} [countryId] 
         * @param {string} [languageCode] 
         * @param {boolean} [showHidden] 
         * @param {number} [page] 
         * @param {number} [limit] 
         * @param {Date} [lastRetrieved] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async apiV1DoctoraffiliationsGet(hospitalId?: string, hospitalName?: string, doctorId?: string, doctorName?: string, doctorSlug?: string, specialtyId?: string, specialtyTypeId?: string, marketingType?: MarketingType, countryId?: string, languageCode?: string, showHidden?: boolean, page?: number, limit?: number, lastRetrieved?: Date, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<DoctorAffiliationsModel>> {
            const localVarAxiosArgs = await localVarAxiosParamCreator.apiV1DoctoraffiliationsGet(hospitalId, hospitalName, doctorId, doctorName, doctorSlug, specialtyId, specialtyTypeId, marketingType, countryId, languageCode, showHidden, page, limit, lastRetrieved, options);
            return createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration);
        },
        /**
         * 
         * @summary Delete doctor affiliation.
         * @param {string} id 
         * @param {boolean} [isPermanent] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async apiV1DoctoraffiliationsIdDelete(id: string, isPermanent?: boolean, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<boolean>> {
            const localVarAxiosArgs = await localVarAxiosParamCreator.apiV1DoctoraffiliationsIdDelete(id, isPermanent, options);
            return createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration);
        },
        /**
         * 
         * @summary Get doctor affiliation.
         * @param {string} id 
         * @param {string} [languageCode] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async apiV1DoctoraffiliationsIdGet(id: string, languageCode?: string, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<DoctorAffiliationModel>> {
            const localVarAxiosArgs = await localVarAxiosParamCreator.apiV1DoctoraffiliationsIdGet(id, languageCode, options);
            return createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration);
        },
        /**
         * 
         * @summary Update doctor affiliation.
         * @param {string} id 
         * @param {UpdateDoctorAffiliationCommand} [updateDoctorAffiliationCommand] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async apiV1DoctoraffiliationsIdPut(id: string, updateDoctorAffiliationCommand?: UpdateDoctorAffiliationCommand, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<DoctorAffiliationModel>> {
            const localVarAxiosArgs = await localVarAxiosParamCreator.apiV1DoctoraffiliationsIdPut(id, updateDoctorAffiliationCommand, options);
            return createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration);
        },
        /**
         * 
         * @summary Reactivate doctor affiliation.
         * @param {string} id 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async apiV1DoctoraffiliationsIdReactivatePut(id: string, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<boolean>> {
            const localVarAxiosArgs = await localVarAxiosParamCreator.apiV1DoctoraffiliationsIdReactivatePut(id, options);
            return createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration);
        },
        /**
         * 
         * @summary Revalidate doctorAffiliation
         * @param {string} id 
         * @param {boolean} [includeCurrent] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async apiV1DoctoraffiliationsIdRevalidatePost(id: string, includeCurrent?: boolean, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<boolean>> {
            const localVarAxiosArgs = await localVarAxiosParamCreator.apiV1DoctoraffiliationsIdRevalidatePost(id, includeCurrent, options);
            return createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration);
        },
        /**
         * 
         * @summary Translate doctorAffiliation at once
         * @param {string} id 
         * @param {TranslateDoctorAffiliationCommand} [translateDoctorAffiliationCommand] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async apiV1DoctoraffiliationsIdTranslatePost(id: string, translateDoctorAffiliationCommand?: TranslateDoctorAffiliationCommand, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<boolean>> {
            const localVarAxiosArgs = await localVarAxiosParamCreator.apiV1DoctoraffiliationsIdTranslatePost(id, translateDoctorAffiliationCommand, options);
            return createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration);
        },
        /**
         * 
         * @param {CreateDoctorAffiliationCommand} [createDoctorAffiliationCommand] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async apiV1DoctoraffiliationsPost(createDoctorAffiliationCommand?: CreateDoctorAffiliationCommand, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<DoctorAffiliationModel>> {
            const localVarAxiosArgs = await localVarAxiosParamCreator.apiV1DoctoraffiliationsPost(createDoctorAffiliationCommand, options);
            return createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration);
        },
    }
};

/**
 * DoctorAffiliationsApi - factory interface
 * @export
 */
export const DoctorAffiliationsApiFactory = function (configuration?: Configuration, basePath?: string, axios?: AxiosInstance) {
    const localVarFp = DoctorAffiliationsApiFp(configuration)
    return {
        /**
         * 
         * @summary Get DoctorAffiliation appointment timetable overrides
         * @param {string} doctorAffiliationId 
         * @param {boolean} [includesPreviousItems] 
         * @param {Date} [startDate] 
         * @param {Date} [endDate] 
         * @param {DayOfWeek} [dayOfWeek] 
         * @param {number} [page] 
         * @param {number} [limit] 
         * @param {Date} [lastRetrieved] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetableoverridesGet(doctorAffiliationId: string, includesPreviousItems?: boolean, startDate?: Date, endDate?: Date, dayOfWeek?: DayOfWeek, page?: number, limit?: number, lastRetrieved?: Date, options?: any): AxiosPromise<AppointmentTimetableOverridesModel> {
            return localVarFp.apiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetableoverridesGet(doctorAffiliationId, includesPreviousItems, startDate, endDate, dayOfWeek, page, limit, lastRetrieved, options).then((request) => request(axios, basePath));
        },
        /**
         * 
         * @summary Delete DoctorAffiliation appointment timetable overrides
         * @param {string} doctorAffiliationId 
         * @param {DeleteDoctorAffiliationAppointmentTimetableOverridesCommand} [deleteDoctorAffiliationAppointmentTimetableOverridesCommand] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetableoverridesPatch(doctorAffiliationId: string, deleteDoctorAffiliationAppointmentTimetableOverridesCommand?: DeleteDoctorAffiliationAppointmentTimetableOverridesCommand, options?: any): AxiosPromise<boolean> {
            return localVarFp.apiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetableoverridesPatch(doctorAffiliationId, deleteDoctorAffiliationAppointmentTimetableOverridesCommand, options).then((request) => request(axios, basePath));
        },
        /**
         * 
         * @summary Save DoctorAffiliation appointment timetable overrides
         * @param {string} doctorAffiliationId 
         * @param {SaveDoctorAffiliationAppointmentTimetableOverridesCommand} [saveDoctorAffiliationAppointmentTimetableOverridesCommand] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetableoverridesPost(doctorAffiliationId: string, saveDoctorAffiliationAppointmentTimetableOverridesCommand?: SaveDoctorAffiliationAppointmentTimetableOverridesCommand, options?: any): AxiosPromise<SaveAppointmentTimetableOverridesResultModel> {
            return localVarFp.apiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetableoverridesPost(doctorAffiliationId, saveDoctorAffiliationAppointmentTimetableOverridesCommand, options).then((request) => request(axios, basePath));
        },
        /**
         * 
         * @summary Get DoctorAffiliation appointment timetables for application
         * @param {string} doctorAffiliationId 
         * @param {number} [year] 
         * @param {number} [month] 
         * @param {string} [timeZone] 
         * @param {boolean} [isExternal] 
         * @param {boolean} [isOnline] 
         * @param {string} [appointmentIdExcluded] 
         * @param {boolean} [excludeUnavailableTimeSlots] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetablesApplicationGet(doctorAffiliationId: string, year?: number, month?: number, timeZone?: string, isExternal?: boolean, isOnline?: boolean, appointmentIdExcluded?: string, excludeUnavailableTimeSlots?: boolean, options?: any): AxiosPromise<GetAppointmentTimetablesResponseModel> {
            return localVarFp.apiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetablesApplicationGet(doctorAffiliationId, year, month, timeZone, isExternal, isOnline, appointmentIdExcluded, excludeUnavailableTimeSlots, options).then((request) => request(axios, basePath));
        },
        /**
         * 
         * @summary Add, update and delete DoctorAffiliationAppointmentTimetables
         * @param {string} doctorAffiliationId 
         * @param {BatchDoctorAffiliationAppointmentTimetablesCommand} [batchDoctorAffiliationAppointmentTimetablesCommand] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetablesBatchPost(doctorAffiliationId: string, batchDoctorAffiliationAppointmentTimetablesCommand?: BatchDoctorAffiliationAppointmentTimetablesCommand, options?: any): AxiosPromise<BatchAppointmentTimetablesResultModel> {
            return localVarFp.apiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetablesBatchPost(doctorAffiliationId, batchDoctorAffiliationAppointmentTimetablesCommand, options).then((request) => request(axios, basePath));
        },
        /**
         * 
         * @summary Get DoctorAffiliation appointment timetables
         * @param {string} doctorAffiliationId 
         * @param {DayOfWeek} [dayOfWeek] 
         * @param {number} [page] 
         * @param {number} [limit] 
         * @param {Date} [lastRetrieved] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetablesGet(doctorAffiliationId: string, dayOfWeek?: DayOfWeek, page?: number, limit?: number, lastRetrieved?: Date, options?: any): AxiosPromise<AppointmentTimetablesModel> {
            return localVarFp.apiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetablesGet(doctorAffiliationId, dayOfWeek, page, limit, lastRetrieved, options).then((request) => request(axios, basePath));
        },
        /**
         * 
         * @summary Get all DoctorAffiliationMedias.
         * @param {string} doctorAffiliationId 
         * @param {string} [id] 
         * @param {MediaType} [mediaType] 
         * @param {number} [page] 
         * @param {number} [limit] 
         * @param {Date} [lastRetrieved] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1DoctoraffiliationsDoctorAffiliationIdMediasGet(doctorAffiliationId: string, id?: string, mediaType?: MediaType, page?: number, limit?: number, lastRetrieved?: Date, options?: any): AxiosPromise<MediasModel> {
            return localVarFp.apiV1DoctoraffiliationsDoctorAffiliationIdMediasGet(doctorAffiliationId, id, mediaType, page, limit, lastRetrieved, options).then((request) => request(axios, basePath));
        },
        /**
         * 
         * @summary Delete DoctorAffiliationMedia
         * @param {string} doctorAffiliationId 
         * @param {string} mediaId 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1DoctoraffiliationsDoctorAffiliationIdMediasMediaIdDelete(doctorAffiliationId: string, mediaId: string, options?: any): AxiosPromise<boolean> {
            return localVarFp.apiV1DoctoraffiliationsDoctorAffiliationIdMediasMediaIdDelete(doctorAffiliationId, mediaId, options).then((request) => request(axios, basePath));
        },
        /**
         * 
         * @summary Get DoctorAffiliationMedia.
         * @param {string} doctorAffiliationId 
         * @param {string} mediaId 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1DoctoraffiliationsDoctorAffiliationIdMediasMediaIdGet(doctorAffiliationId: string, mediaId: string, options?: any): AxiosPromise<MediaModel> {
            return localVarFp.apiV1DoctoraffiliationsDoctorAffiliationIdMediasMediaIdGet(doctorAffiliationId, mediaId, options).then((request) => request(axios, basePath));
        },
        /**
         * 
         * @summary Update DoctorAffiliationMedia.
         * @param {string} doctorAffiliationId 
         * @param {string} mediaId 
         * @param {UpdateMediaCommand} [updateMediaCommand] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1DoctoraffiliationsDoctorAffiliationIdMediasMediaIdPut(doctorAffiliationId: string, mediaId: string, updateMediaCommand?: UpdateMediaCommand, options?: any): AxiosPromise<MediaModel> {
            return localVarFp.apiV1DoctoraffiliationsDoctorAffiliationIdMediasMediaIdPut(doctorAffiliationId, mediaId, updateMediaCommand, options).then((request) => request(axios, basePath));
        },
        /**
         * 
         * @summary Create DoctorAffiliationMedia.
         * @param {string} doctorAffiliationId 
         * @param {CreateMediaCommand} [createMediaCommand] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1DoctoraffiliationsDoctorAffiliationIdMediasPost(doctorAffiliationId: string, createMediaCommand?: CreateMediaCommand, options?: any): AxiosPromise<MediaModel> {
            return localVarFp.apiV1DoctoraffiliationsDoctorAffiliationIdMediasPost(doctorAffiliationId, createMediaCommand, options).then((request) => request(axios, basePath));
        },
        /**
         * 
         * @summary Get all doctor affiliations.
         * @param {string} [hospitalId] 
         * @param {string} [hospitalName] 
         * @param {string} [doctorId] 
         * @param {string} [doctorName] 
         * @param {string} [doctorSlug] 
         * @param {string} [specialtyId] 
         * @param {string} [specialtyTypeId] 
         * @param {MarketingType} [marketingType] 
         * @param {string} [countryId] 
         * @param {string} [languageCode] 
         * @param {boolean} [showHidden] 
         * @param {number} [page] 
         * @param {number} [limit] 
         * @param {Date} [lastRetrieved] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1DoctoraffiliationsGet(hospitalId?: string, hospitalName?: string, doctorId?: string, doctorName?: string, doctorSlug?: string, specialtyId?: string, specialtyTypeId?: string, marketingType?: MarketingType, countryId?: string, languageCode?: string, showHidden?: boolean, page?: number, limit?: number, lastRetrieved?: Date, options?: any): AxiosPromise<DoctorAffiliationsModel> {
            return localVarFp.apiV1DoctoraffiliationsGet(hospitalId, hospitalName, doctorId, doctorName, doctorSlug, specialtyId, specialtyTypeId, marketingType, countryId, languageCode, showHidden, page, limit, lastRetrieved, options).then((request) => request(axios, basePath));
        },
        /**
         * 
         * @summary Delete doctor affiliation.
         * @param {string} id 
         * @param {boolean} [isPermanent] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1DoctoraffiliationsIdDelete(id: string, isPermanent?: boolean, options?: any): AxiosPromise<boolean> {
            return localVarFp.apiV1DoctoraffiliationsIdDelete(id, isPermanent, options).then((request) => request(axios, basePath));
        },
        /**
         * 
         * @summary Get doctor affiliation.
         * @param {string} id 
         * @param {string} [languageCode] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1DoctoraffiliationsIdGet(id: string, languageCode?: string, options?: any): AxiosPromise<DoctorAffiliationModel> {
            return localVarFp.apiV1DoctoraffiliationsIdGet(id, languageCode, options).then((request) => request(axios, basePath));
        },
        /**
         * 
         * @summary Update doctor affiliation.
         * @param {string} id 
         * @param {UpdateDoctorAffiliationCommand} [updateDoctorAffiliationCommand] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1DoctoraffiliationsIdPut(id: string, updateDoctorAffiliationCommand?: UpdateDoctorAffiliationCommand, options?: any): AxiosPromise<DoctorAffiliationModel> {
            return localVarFp.apiV1DoctoraffiliationsIdPut(id, updateDoctorAffiliationCommand, options).then((request) => request(axios, basePath));
        },
        /**
         * 
         * @summary Reactivate doctor affiliation.
         * @param {string} id 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1DoctoraffiliationsIdReactivatePut(id: string, options?: any): AxiosPromise<boolean> {
            return localVarFp.apiV1DoctoraffiliationsIdReactivatePut(id, options).then((request) => request(axios, basePath));
        },
        /**
         * 
         * @summary Revalidate doctorAffiliation
         * @param {string} id 
         * @param {boolean} [includeCurrent] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1DoctoraffiliationsIdRevalidatePost(id: string, includeCurrent?: boolean, options?: any): AxiosPromise<boolean> {
            return localVarFp.apiV1DoctoraffiliationsIdRevalidatePost(id, includeCurrent, options).then((request) => request(axios, basePath));
        },
        /**
         * 
         * @summary Translate doctorAffiliation at once
         * @param {string} id 
         * @param {TranslateDoctorAffiliationCommand} [translateDoctorAffiliationCommand] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1DoctoraffiliationsIdTranslatePost(id: string, translateDoctorAffiliationCommand?: TranslateDoctorAffiliationCommand, options?: any): AxiosPromise<boolean> {
            return localVarFp.apiV1DoctoraffiliationsIdTranslatePost(id, translateDoctorAffiliationCommand, options).then((request) => request(axios, basePath));
        },
        /**
         * 
         * @param {CreateDoctorAffiliationCommand} [createDoctorAffiliationCommand] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1DoctoraffiliationsPost(createDoctorAffiliationCommand?: CreateDoctorAffiliationCommand, options?: any): AxiosPromise<DoctorAffiliationModel> {
            return localVarFp.apiV1DoctoraffiliationsPost(createDoctorAffiliationCommand, options).then((request) => request(axios, basePath));
        },
    };
};

/**
 * Request parameters for apiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetableoverridesGet operation in DoctorAffiliationsApi.
 * @export
 * @interface DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetableoverridesGetRequest
 */
export interface DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetableoverridesGetRequest {
    /**
     * 
     * @type {string}
     * @memberof DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetableoverridesGet
     */
    readonly doctorAffiliationId: string

    /**
     * 
     * @type {boolean}
     * @memberof DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetableoverridesGet
     */
    readonly includesPreviousItems?: boolean

    /**
     * 
     * @type {Date}
     * @memberof DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetableoverridesGet
     */
    readonly startDate?: Date

    /**
     * 
     * @type {Date}
     * @memberof DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetableoverridesGet
     */
    readonly endDate?: Date

    /**
     * 
     * @type {DayOfWeek}
     * @memberof DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetableoverridesGet
     */
    readonly dayOfWeek?: DayOfWeek

    /**
     * 
     * @type {number}
     * @memberof DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetableoverridesGet
     */
    readonly page?: number

    /**
     * 
     * @type {number}
     * @memberof DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetableoverridesGet
     */
    readonly limit?: number

    /**
     * 
     * @type {Date}
     * @memberof DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetableoverridesGet
     */
    readonly lastRetrieved?: Date
}

/**
 * Request parameters for apiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetableoverridesPatch operation in DoctorAffiliationsApi.
 * @export
 * @interface DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetableoverridesPatchRequest
 */
export interface DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetableoverridesPatchRequest {
    /**
     * 
     * @type {string}
     * @memberof DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetableoverridesPatch
     */
    readonly doctorAffiliationId: string

    /**
     * 
     * @type {DeleteDoctorAffiliationAppointmentTimetableOverridesCommand}
     * @memberof DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetableoverridesPatch
     */
    readonly deleteDoctorAffiliationAppointmentTimetableOverridesCommand?: DeleteDoctorAffiliationAppointmentTimetableOverridesCommand
}

/**
 * Request parameters for apiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetableoverridesPost operation in DoctorAffiliationsApi.
 * @export
 * @interface DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetableoverridesPostRequest
 */
export interface DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetableoverridesPostRequest {
    /**
     * 
     * @type {string}
     * @memberof DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetableoverridesPost
     */
    readonly doctorAffiliationId: string

    /**
     * 
     * @type {SaveDoctorAffiliationAppointmentTimetableOverridesCommand}
     * @memberof DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetableoverridesPost
     */
    readonly saveDoctorAffiliationAppointmentTimetableOverridesCommand?: SaveDoctorAffiliationAppointmentTimetableOverridesCommand
}

/**
 * Request parameters for apiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetablesApplicationGet operation in DoctorAffiliationsApi.
 * @export
 * @interface DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetablesApplicationGetRequest
 */
export interface DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetablesApplicationGetRequest {
    /**
     * 
     * @type {string}
     * @memberof DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetablesApplicationGet
     */
    readonly doctorAffiliationId: string

    /**
     * 
     * @type {number}
     * @memberof DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetablesApplicationGet
     */
    readonly year?: number

    /**
     * 
     * @type {number}
     * @memberof DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetablesApplicationGet
     */
    readonly month?: number

    /**
     * 
     * @type {string}
     * @memberof DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetablesApplicationGet
     */
    readonly timeZone?: string

    /**
     * 
     * @type {boolean}
     * @memberof DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetablesApplicationGet
     */
    readonly isExternal?: boolean

    /**
     * 
     * @type {boolean}
     * @memberof DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetablesApplicationGet
     */
    readonly isOnline?: boolean

    /**
     * 
     * @type {string}
     * @memberof DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetablesApplicationGet
     */
    readonly appointmentIdExcluded?: string

    /**
     * 
     * @type {boolean}
     * @memberof DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetablesApplicationGet
     */
    readonly excludeUnavailableTimeSlots?: boolean
}

/**
 * Request parameters for apiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetablesBatchPost operation in DoctorAffiliationsApi.
 * @export
 * @interface DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetablesBatchPostRequest
 */
export interface DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetablesBatchPostRequest {
    /**
     * 
     * @type {string}
     * @memberof DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetablesBatchPost
     */
    readonly doctorAffiliationId: string

    /**
     * 
     * @type {BatchDoctorAffiliationAppointmentTimetablesCommand}
     * @memberof DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetablesBatchPost
     */
    readonly batchDoctorAffiliationAppointmentTimetablesCommand?: BatchDoctorAffiliationAppointmentTimetablesCommand
}

/**
 * Request parameters for apiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetablesGet operation in DoctorAffiliationsApi.
 * @export
 * @interface DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetablesGetRequest
 */
export interface DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetablesGetRequest {
    /**
     * 
     * @type {string}
     * @memberof DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetablesGet
     */
    readonly doctorAffiliationId: string

    /**
     * 
     * @type {DayOfWeek}
     * @memberof DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetablesGet
     */
    readonly dayOfWeek?: DayOfWeek

    /**
     * 
     * @type {number}
     * @memberof DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetablesGet
     */
    readonly page?: number

    /**
     * 
     * @type {number}
     * @memberof DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetablesGet
     */
    readonly limit?: number

    /**
     * 
     * @type {Date}
     * @memberof DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetablesGet
     */
    readonly lastRetrieved?: Date
}

/**
 * Request parameters for apiV1DoctoraffiliationsDoctorAffiliationIdMediasGet operation in DoctorAffiliationsApi.
 * @export
 * @interface DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdMediasGetRequest
 */
export interface DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdMediasGetRequest {
    /**
     * 
     * @type {string}
     * @memberof DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdMediasGet
     */
    readonly doctorAffiliationId: string

    /**
     * 
     * @type {string}
     * @memberof DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdMediasGet
     */
    readonly id?: string

    /**
     * 
     * @type {MediaType}
     * @memberof DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdMediasGet
     */
    readonly mediaType?: MediaType

    /**
     * 
     * @type {number}
     * @memberof DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdMediasGet
     */
    readonly page?: number

    /**
     * 
     * @type {number}
     * @memberof DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdMediasGet
     */
    readonly limit?: number

    /**
     * 
     * @type {Date}
     * @memberof DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdMediasGet
     */
    readonly lastRetrieved?: Date
}

/**
 * Request parameters for apiV1DoctoraffiliationsDoctorAffiliationIdMediasMediaIdDelete operation in DoctorAffiliationsApi.
 * @export
 * @interface DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdMediasMediaIdDeleteRequest
 */
export interface DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdMediasMediaIdDeleteRequest {
    /**
     * 
     * @type {string}
     * @memberof DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdMediasMediaIdDelete
     */
    readonly doctorAffiliationId: string

    /**
     * 
     * @type {string}
     * @memberof DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdMediasMediaIdDelete
     */
    readonly mediaId: string
}

/**
 * Request parameters for apiV1DoctoraffiliationsDoctorAffiliationIdMediasMediaIdGet operation in DoctorAffiliationsApi.
 * @export
 * @interface DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdMediasMediaIdGetRequest
 */
export interface DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdMediasMediaIdGetRequest {
    /**
     * 
     * @type {string}
     * @memberof DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdMediasMediaIdGet
     */
    readonly doctorAffiliationId: string

    /**
     * 
     * @type {string}
     * @memberof DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdMediasMediaIdGet
     */
    readonly mediaId: string
}

/**
 * Request parameters for apiV1DoctoraffiliationsDoctorAffiliationIdMediasMediaIdPut operation in DoctorAffiliationsApi.
 * @export
 * @interface DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdMediasMediaIdPutRequest
 */
export interface DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdMediasMediaIdPutRequest {
    /**
     * 
     * @type {string}
     * @memberof DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdMediasMediaIdPut
     */
    readonly doctorAffiliationId: string

    /**
     * 
     * @type {string}
     * @memberof DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdMediasMediaIdPut
     */
    readonly mediaId: string

    /**
     * 
     * @type {UpdateMediaCommand}
     * @memberof DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdMediasMediaIdPut
     */
    readonly updateMediaCommand?: UpdateMediaCommand
}

/**
 * Request parameters for apiV1DoctoraffiliationsDoctorAffiliationIdMediasPost operation in DoctorAffiliationsApi.
 * @export
 * @interface DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdMediasPostRequest
 */
export interface DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdMediasPostRequest {
    /**
     * 
     * @type {string}
     * @memberof DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdMediasPost
     */
    readonly doctorAffiliationId: string

    /**
     * 
     * @type {CreateMediaCommand}
     * @memberof DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdMediasPost
     */
    readonly createMediaCommand?: CreateMediaCommand
}

/**
 * Request parameters for apiV1DoctoraffiliationsGet operation in DoctorAffiliationsApi.
 * @export
 * @interface DoctorAffiliationsApiApiV1DoctoraffiliationsGetRequest
 */
export interface DoctorAffiliationsApiApiV1DoctoraffiliationsGetRequest {
    /**
     * 
     * @type {string}
     * @memberof DoctorAffiliationsApiApiV1DoctoraffiliationsGet
     */
    readonly hospitalId?: string

    /**
     * 
     * @type {string}
     * @memberof DoctorAffiliationsApiApiV1DoctoraffiliationsGet
     */
    readonly hospitalName?: string

    /**
     * 
     * @type {string}
     * @memberof DoctorAffiliationsApiApiV1DoctoraffiliationsGet
     */
    readonly doctorId?: string

    /**
     * 
     * @type {string}
     * @memberof DoctorAffiliationsApiApiV1DoctoraffiliationsGet
     */
    readonly doctorName?: string

    /**
     * 
     * @type {string}
     * @memberof DoctorAffiliationsApiApiV1DoctoraffiliationsGet
     */
    readonly doctorSlug?: string

    /**
     * 
     * @type {string}
     * @memberof DoctorAffiliationsApiApiV1DoctoraffiliationsGet
     */
    readonly specialtyId?: string

    /**
     * 
     * @type {string}
     * @memberof DoctorAffiliationsApiApiV1DoctoraffiliationsGet
     */
    readonly specialtyTypeId?: string

    /**
     * 
     * @type {MarketingType}
     * @memberof DoctorAffiliationsApiApiV1DoctoraffiliationsGet
     */
    readonly marketingType?: MarketingType

    /**
     * 
     * @type {string}
     * @memberof DoctorAffiliationsApiApiV1DoctoraffiliationsGet
     */
    readonly countryId?: string

    /**
     * 
     * @type {string}
     * @memberof DoctorAffiliationsApiApiV1DoctoraffiliationsGet
     */
    readonly languageCode?: string

    /**
     * 
     * @type {boolean}
     * @memberof DoctorAffiliationsApiApiV1DoctoraffiliationsGet
     */
    readonly showHidden?: boolean

    /**
     * 
     * @type {number}
     * @memberof DoctorAffiliationsApiApiV1DoctoraffiliationsGet
     */
    readonly page?: number

    /**
     * 
     * @type {number}
     * @memberof DoctorAffiliationsApiApiV1DoctoraffiliationsGet
     */
    readonly limit?: number

    /**
     * 
     * @type {Date}
     * @memberof DoctorAffiliationsApiApiV1DoctoraffiliationsGet
     */
    readonly lastRetrieved?: Date
}

/**
 * Request parameters for apiV1DoctoraffiliationsIdDelete operation in DoctorAffiliationsApi.
 * @export
 * @interface DoctorAffiliationsApiApiV1DoctoraffiliationsIdDeleteRequest
 */
export interface DoctorAffiliationsApiApiV1DoctoraffiliationsIdDeleteRequest {
    /**
     * 
     * @type {string}
     * @memberof DoctorAffiliationsApiApiV1DoctoraffiliationsIdDelete
     */
    readonly id: string

    /**
     * 
     * @type {boolean}
     * @memberof DoctorAffiliationsApiApiV1DoctoraffiliationsIdDelete
     */
    readonly isPermanent?: boolean
}

/**
 * Request parameters for apiV1DoctoraffiliationsIdGet operation in DoctorAffiliationsApi.
 * @export
 * @interface DoctorAffiliationsApiApiV1DoctoraffiliationsIdGetRequest
 */
export interface DoctorAffiliationsApiApiV1DoctoraffiliationsIdGetRequest {
    /**
     * 
     * @type {string}
     * @memberof DoctorAffiliationsApiApiV1DoctoraffiliationsIdGet
     */
    readonly id: string

    /**
     * 
     * @type {string}
     * @memberof DoctorAffiliationsApiApiV1DoctoraffiliationsIdGet
     */
    readonly languageCode?: string
}

/**
 * Request parameters for apiV1DoctoraffiliationsIdPut operation in DoctorAffiliationsApi.
 * @export
 * @interface DoctorAffiliationsApiApiV1DoctoraffiliationsIdPutRequest
 */
export interface DoctorAffiliationsApiApiV1DoctoraffiliationsIdPutRequest {
    /**
     * 
     * @type {string}
     * @memberof DoctorAffiliationsApiApiV1DoctoraffiliationsIdPut
     */
    readonly id: string

    /**
     * 
     * @type {UpdateDoctorAffiliationCommand}
     * @memberof DoctorAffiliationsApiApiV1DoctoraffiliationsIdPut
     */
    readonly updateDoctorAffiliationCommand?: UpdateDoctorAffiliationCommand
}

/**
 * Request parameters for apiV1DoctoraffiliationsIdReactivatePut operation in DoctorAffiliationsApi.
 * @export
 * @interface DoctorAffiliationsApiApiV1DoctoraffiliationsIdReactivatePutRequest
 */
export interface DoctorAffiliationsApiApiV1DoctoraffiliationsIdReactivatePutRequest {
    /**
     * 
     * @type {string}
     * @memberof DoctorAffiliationsApiApiV1DoctoraffiliationsIdReactivatePut
     */
    readonly id: string
}

/**
 * Request parameters for apiV1DoctoraffiliationsIdRevalidatePost operation in DoctorAffiliationsApi.
 * @export
 * @interface DoctorAffiliationsApiApiV1DoctoraffiliationsIdRevalidatePostRequest
 */
export interface DoctorAffiliationsApiApiV1DoctoraffiliationsIdRevalidatePostRequest {
    /**
     * 
     * @type {string}
     * @memberof DoctorAffiliationsApiApiV1DoctoraffiliationsIdRevalidatePost
     */
    readonly id: string

    /**
     * 
     * @type {boolean}
     * @memberof DoctorAffiliationsApiApiV1DoctoraffiliationsIdRevalidatePost
     */
    readonly includeCurrent?: boolean
}

/**
 * Request parameters for apiV1DoctoraffiliationsIdTranslatePost operation in DoctorAffiliationsApi.
 * @export
 * @interface DoctorAffiliationsApiApiV1DoctoraffiliationsIdTranslatePostRequest
 */
export interface DoctorAffiliationsApiApiV1DoctoraffiliationsIdTranslatePostRequest {
    /**
     * 
     * @type {string}
     * @memberof DoctorAffiliationsApiApiV1DoctoraffiliationsIdTranslatePost
     */
    readonly id: string

    /**
     * 
     * @type {TranslateDoctorAffiliationCommand}
     * @memberof DoctorAffiliationsApiApiV1DoctoraffiliationsIdTranslatePost
     */
    readonly translateDoctorAffiliationCommand?: TranslateDoctorAffiliationCommand
}

/**
 * Request parameters for apiV1DoctoraffiliationsPost operation in DoctorAffiliationsApi.
 * @export
 * @interface DoctorAffiliationsApiApiV1DoctoraffiliationsPostRequest
 */
export interface DoctorAffiliationsApiApiV1DoctoraffiliationsPostRequest {
    /**
     * 
     * @type {CreateDoctorAffiliationCommand}
     * @memberof DoctorAffiliationsApiApiV1DoctoraffiliationsPost
     */
    readonly createDoctorAffiliationCommand?: CreateDoctorAffiliationCommand
}

/**
 * DoctorAffiliationsApi - object-oriented interface
 * @export
 * @class DoctorAffiliationsApi
 * @extends {BaseAPI}
 */
export class DoctorAffiliationsApi extends BaseAPI {
    /**
     * 
     * @summary Get DoctorAffiliation appointment timetable overrides
     * @param {DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetableoverridesGetRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof DoctorAffiliationsApi
     */
    public apiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetableoverridesGet(requestParameters: DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetableoverridesGetRequest, options?: AxiosRequestConfig) {
        return DoctorAffiliationsApiFp(this.configuration).apiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetableoverridesGet(requestParameters.doctorAffiliationId, requestParameters.includesPreviousItems, requestParameters.startDate, requestParameters.endDate, requestParameters.dayOfWeek, requestParameters.page, requestParameters.limit, requestParameters.lastRetrieved, options).then((request) => request(this.axios, this.basePath));
    }

    /**
     * 
     * @summary Delete DoctorAffiliation appointment timetable overrides
     * @param {DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetableoverridesPatchRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof DoctorAffiliationsApi
     */
    public apiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetableoverridesPatch(requestParameters: DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetableoverridesPatchRequest, options?: AxiosRequestConfig) {
        return DoctorAffiliationsApiFp(this.configuration).apiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetableoverridesPatch(requestParameters.doctorAffiliationId, requestParameters.deleteDoctorAffiliationAppointmentTimetableOverridesCommand, options).then((request) => request(this.axios, this.basePath));
    }

    /**
     * 
     * @summary Save DoctorAffiliation appointment timetable overrides
     * @param {DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetableoverridesPostRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof DoctorAffiliationsApi
     */
    public apiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetableoverridesPost(requestParameters: DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetableoverridesPostRequest, options?: AxiosRequestConfig) {
        return DoctorAffiliationsApiFp(this.configuration).apiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetableoverridesPost(requestParameters.doctorAffiliationId, requestParameters.saveDoctorAffiliationAppointmentTimetableOverridesCommand, options).then((request) => request(this.axios, this.basePath));
    }

    /**
     * 
     * @summary Get DoctorAffiliation appointment timetables for application
     * @param {DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetablesApplicationGetRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof DoctorAffiliationsApi
     */
    public apiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetablesApplicationGet(requestParameters: DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetablesApplicationGetRequest, options?: AxiosRequestConfig) {
        return DoctorAffiliationsApiFp(this.configuration).apiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetablesApplicationGet(requestParameters.doctorAffiliationId, requestParameters.year, requestParameters.month, requestParameters.timeZone, requestParameters.isExternal, requestParameters.isOnline, requestParameters.appointmentIdExcluded, requestParameters.excludeUnavailableTimeSlots, options).then((request) => request(this.axios, this.basePath));
    }

    /**
     * 
     * @summary Add, update and delete DoctorAffiliationAppointmentTimetables
     * @param {DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetablesBatchPostRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof DoctorAffiliationsApi
     */
    public apiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetablesBatchPost(requestParameters: DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetablesBatchPostRequest, options?: AxiosRequestConfig) {
        return DoctorAffiliationsApiFp(this.configuration).apiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetablesBatchPost(requestParameters.doctorAffiliationId, requestParameters.batchDoctorAffiliationAppointmentTimetablesCommand, options).then((request) => request(this.axios, this.basePath));
    }

    /**
     * 
     * @summary Get DoctorAffiliation appointment timetables
     * @param {DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetablesGetRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof DoctorAffiliationsApi
     */
    public apiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetablesGet(requestParameters: DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetablesGetRequest, options?: AxiosRequestConfig) {
        return DoctorAffiliationsApiFp(this.configuration).apiV1DoctoraffiliationsDoctorAffiliationIdAppointmenttimetablesGet(requestParameters.doctorAffiliationId, requestParameters.dayOfWeek, requestParameters.page, requestParameters.limit, requestParameters.lastRetrieved, options).then((request) => request(this.axios, this.basePath));
    }

    /**
     * 
     * @summary Get all DoctorAffiliationMedias.
     * @param {DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdMediasGetRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof DoctorAffiliationsApi
     */
    public apiV1DoctoraffiliationsDoctorAffiliationIdMediasGet(requestParameters: DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdMediasGetRequest, options?: AxiosRequestConfig) {
        return DoctorAffiliationsApiFp(this.configuration).apiV1DoctoraffiliationsDoctorAffiliationIdMediasGet(requestParameters.doctorAffiliationId, requestParameters.id, requestParameters.mediaType, requestParameters.page, requestParameters.limit, requestParameters.lastRetrieved, options).then((request) => request(this.axios, this.basePath));
    }

    /**
     * 
     * @summary Delete DoctorAffiliationMedia
     * @param {DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdMediasMediaIdDeleteRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof DoctorAffiliationsApi
     */
    public apiV1DoctoraffiliationsDoctorAffiliationIdMediasMediaIdDelete(requestParameters: DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdMediasMediaIdDeleteRequest, options?: AxiosRequestConfig) {
        return DoctorAffiliationsApiFp(this.configuration).apiV1DoctoraffiliationsDoctorAffiliationIdMediasMediaIdDelete(requestParameters.doctorAffiliationId, requestParameters.mediaId, options).then((request) => request(this.axios, this.basePath));
    }

    /**
     * 
     * @summary Get DoctorAffiliationMedia.
     * @param {DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdMediasMediaIdGetRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof DoctorAffiliationsApi
     */
    public apiV1DoctoraffiliationsDoctorAffiliationIdMediasMediaIdGet(requestParameters: DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdMediasMediaIdGetRequest, options?: AxiosRequestConfig) {
        return DoctorAffiliationsApiFp(this.configuration).apiV1DoctoraffiliationsDoctorAffiliationIdMediasMediaIdGet(requestParameters.doctorAffiliationId, requestParameters.mediaId, options).then((request) => request(this.axios, this.basePath));
    }

    /**
     * 
     * @summary Update DoctorAffiliationMedia.
     * @param {DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdMediasMediaIdPutRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof DoctorAffiliationsApi
     */
    public apiV1DoctoraffiliationsDoctorAffiliationIdMediasMediaIdPut(requestParameters: DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdMediasMediaIdPutRequest, options?: AxiosRequestConfig) {
        return DoctorAffiliationsApiFp(this.configuration).apiV1DoctoraffiliationsDoctorAffiliationIdMediasMediaIdPut(requestParameters.doctorAffiliationId, requestParameters.mediaId, requestParameters.updateMediaCommand, options).then((request) => request(this.axios, this.basePath));
    }

    /**
     * 
     * @summary Create DoctorAffiliationMedia.
     * @param {DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdMediasPostRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof DoctorAffiliationsApi
     */
    public apiV1DoctoraffiliationsDoctorAffiliationIdMediasPost(requestParameters: DoctorAffiliationsApiApiV1DoctoraffiliationsDoctorAffiliationIdMediasPostRequest, options?: AxiosRequestConfig) {
        return DoctorAffiliationsApiFp(this.configuration).apiV1DoctoraffiliationsDoctorAffiliationIdMediasPost(requestParameters.doctorAffiliationId, requestParameters.createMediaCommand, options).then((request) => request(this.axios, this.basePath));
    }

    /**
     * 
     * @summary Get all doctor affiliations.
     * @param {DoctorAffiliationsApiApiV1DoctoraffiliationsGetRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof DoctorAffiliationsApi
     */
    public apiV1DoctoraffiliationsGet(requestParameters: DoctorAffiliationsApiApiV1DoctoraffiliationsGetRequest = {}, options?: AxiosRequestConfig) {
        return DoctorAffiliationsApiFp(this.configuration).apiV1DoctoraffiliationsGet(requestParameters.hospitalId, requestParameters.hospitalName, requestParameters.doctorId, requestParameters.doctorName, requestParameters.doctorSlug, requestParameters.specialtyId, requestParameters.specialtyTypeId, requestParameters.marketingType, requestParameters.countryId, requestParameters.languageCode, requestParameters.showHidden, requestParameters.page, requestParameters.limit, requestParameters.lastRetrieved, options).then((request) => request(this.axios, this.basePath));
    }

    /**
     * 
     * @summary Delete doctor affiliation.
     * @param {DoctorAffiliationsApiApiV1DoctoraffiliationsIdDeleteRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof DoctorAffiliationsApi
     */
    public apiV1DoctoraffiliationsIdDelete(requestParameters: DoctorAffiliationsApiApiV1DoctoraffiliationsIdDeleteRequest, options?: AxiosRequestConfig) {
        return DoctorAffiliationsApiFp(this.configuration).apiV1DoctoraffiliationsIdDelete(requestParameters.id, requestParameters.isPermanent, options).then((request) => request(this.axios, this.basePath));
    }

    /**
     * 
     * @summary Get doctor affiliation.
     * @param {DoctorAffiliationsApiApiV1DoctoraffiliationsIdGetRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof DoctorAffiliationsApi
     */
    public apiV1DoctoraffiliationsIdGet(requestParameters: DoctorAffiliationsApiApiV1DoctoraffiliationsIdGetRequest, options?: AxiosRequestConfig) {
        return DoctorAffiliationsApiFp(this.configuration).apiV1DoctoraffiliationsIdGet(requestParameters.id, requestParameters.languageCode, options).then((request) => request(this.axios, this.basePath));
    }

    /**
     * 
     * @summary Update doctor affiliation.
     * @param {DoctorAffiliationsApiApiV1DoctoraffiliationsIdPutRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof DoctorAffiliationsApi
     */
    public apiV1DoctoraffiliationsIdPut(requestParameters: DoctorAffiliationsApiApiV1DoctoraffiliationsIdPutRequest, options?: AxiosRequestConfig) {
        return DoctorAffiliationsApiFp(this.configuration).apiV1DoctoraffiliationsIdPut(requestParameters.id, requestParameters.updateDoctorAffiliationCommand, options).then((request) => request(this.axios, this.basePath));
    }

    /**
     * 
     * @summary Reactivate doctor affiliation.
     * @param {DoctorAffiliationsApiApiV1DoctoraffiliationsIdReactivatePutRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof DoctorAffiliationsApi
     */
    public apiV1DoctoraffiliationsIdReactivatePut(requestParameters: DoctorAffiliationsApiApiV1DoctoraffiliationsIdReactivatePutRequest, options?: AxiosRequestConfig) {
        return DoctorAffiliationsApiFp(this.configuration).apiV1DoctoraffiliationsIdReactivatePut(requestParameters.id, options).then((request) => request(this.axios, this.basePath));
    }

    /**
     * 
     * @summary Revalidate doctorAffiliation
     * @param {DoctorAffiliationsApiApiV1DoctoraffiliationsIdRevalidatePostRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof DoctorAffiliationsApi
     */
    public apiV1DoctoraffiliationsIdRevalidatePost(requestParameters: DoctorAffiliationsApiApiV1DoctoraffiliationsIdRevalidatePostRequest, options?: AxiosRequestConfig) {
        return DoctorAffiliationsApiFp(this.configuration).apiV1DoctoraffiliationsIdRevalidatePost(requestParameters.id, requestParameters.includeCurrent, options).then((request) => request(this.axios, this.basePath));
    }

    /**
     * 
     * @summary Translate doctorAffiliation at once
     * @param {DoctorAffiliationsApiApiV1DoctoraffiliationsIdTranslatePostRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof DoctorAffiliationsApi
     */
    public apiV1DoctoraffiliationsIdTranslatePost(requestParameters: DoctorAffiliationsApiApiV1DoctoraffiliationsIdTranslatePostRequest, options?: AxiosRequestConfig) {
        return DoctorAffiliationsApiFp(this.configuration).apiV1DoctoraffiliationsIdTranslatePost(requestParameters.id, requestParameters.translateDoctorAffiliationCommand, options).then((request) => request(this.axios, this.basePath));
    }

    /**
     * 
     * @param {DoctorAffiliationsApiApiV1DoctoraffiliationsPostRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof DoctorAffiliationsApi
     */
    public apiV1DoctoraffiliationsPost(requestParameters: DoctorAffiliationsApiApiV1DoctoraffiliationsPostRequest = {}, options?: AxiosRequestConfig) {
        return DoctorAffiliationsApiFp(this.configuration).apiV1DoctoraffiliationsPost(requestParameters.createDoctorAffiliationCommand, options).then((request) => request(this.axios, this.basePath));
    }
}
