/* tslint:disable */
/* eslint-disable */
/**
 * CloudHospital Admin Api
 * CloudHospital application with Swagger, Swashbuckle, and API versioning.
 *
 * The version of the OpenAPI document: 1
 * Contact: developer@icloudhospital.com
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */


import globalAxios, { AxiosPromise, AxiosInstance, AxiosRequestConfig } from 'axios';
import { Configuration } from '../configuration';
// Some imports not used depending on template conditions
// @ts-ignore
import { DUMMY_BASE_URL, assertParamExists, setApiKeyToObject, setBasicAuthToObject, setBearerAuthToObject, setOAuthToObject, setSearchParams, serializeDataIfNeeded, toPathString, createRequestFunction } from '../common';
// @ts-ignore
import { BASE_PATH, COLLECTION_FORMATS, RequestArgs, BaseAPI, RequiredError } from '../base';
// @ts-ignore
import { CreateGradeCommand } from '../models';
// @ts-ignore
import { GradeModel } from '../models';
// @ts-ignore
import { GradeTargets } from '../models';
// @ts-ignore
import { GradesModel } from '../models';
// @ts-ignore
import { ProblemDetails } from '../models';
// @ts-ignore
import { UpdateGradeCommand } from '../models';
/**
 * GradesApi - axios parameter creator
 * @export
 */
export const GradesApiAxiosParamCreator = function (configuration?: Configuration) {
    return {
        /**
         * 
         * @summary Get grades
         * @param {string} [id] 
         * @param {string} [name] 
         * @param {GradeTargets} [gradeTarget] 
         * @param {boolean} [showHidden] 
         * @param {number} [page] 
         * @param {number} [limit] 
         * @param {Date} [lastRetrieved] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1GradesGet: async (id?: string, name?: string, gradeTarget?: GradeTargets, showHidden?: boolean, page?: number, limit?: number, lastRetrieved?: Date, options: AxiosRequestConfig = {}): Promise<RequestArgs> => {
            const localVarPath = `/api/v1/grades`;
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }

            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options};
            const localVarHeaderParameter = {} as any;
            const localVarQueryParameter = {} as any;

            // authentication oauth2 required
            // oauth required
            await setOAuthToObject(localVarHeaderParameter, "oauth2", ["cloudhospital_admin_api"], configuration)

            if (id !== undefined) {
                localVarQueryParameter['Id'] = id;
            }

            if (name !== undefined) {
                localVarQueryParameter['Name'] = name;
            }

            if (gradeTarget !== undefined) {
                localVarQueryParameter['GradeTarget'] = gradeTarget;
            }

            if (showHidden !== undefined) {
                localVarQueryParameter['ShowHidden'] = showHidden;
            }

            if (page !== undefined) {
                localVarQueryParameter['page'] = page;
            }

            if (limit !== undefined) {
                localVarQueryParameter['limit'] = limit;
            }

            if (lastRetrieved !== undefined) {
                localVarQueryParameter['lastRetrieved'] = (lastRetrieved as any instanceof Date) ?
                    (lastRetrieved as any).toISOString() :
                    lastRetrieved;
            }


    
            setSearchParams(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers};

            return {
                url: toPathString(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @summary Delete grade
         * @param {string} gradeId 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1GradesGradeIdDelete: async (gradeId: string, options: AxiosRequestConfig = {}): Promise<RequestArgs> => {
            // verify required parameter 'gradeId' is not null or undefined
            assertParamExists('apiV1GradesGradeIdDelete', 'gradeId', gradeId)
            const localVarPath = `/api/v1/grades/{gradeId}`
                .replace(`{${"gradeId"}}`, encodeURIComponent(String(gradeId)));
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }

            const localVarRequestOptions = { method: 'DELETE', ...baseOptions, ...options};
            const localVarHeaderParameter = {} as any;
            const localVarQueryParameter = {} as any;

            // authentication oauth2 required
            // oauth required
            await setOAuthToObject(localVarHeaderParameter, "oauth2", ["cloudhospital_admin_api"], configuration)


    
            setSearchParams(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers};

            return {
                url: toPathString(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @summary Get grade
         * @param {string} gradeId 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1GradesGradeIdGet: async (gradeId: string, options: AxiosRequestConfig = {}): Promise<RequestArgs> => {
            // verify required parameter 'gradeId' is not null or undefined
            assertParamExists('apiV1GradesGradeIdGet', 'gradeId', gradeId)
            const localVarPath = `/api/v1/grades/{gradeId}`
                .replace(`{${"gradeId"}}`, encodeURIComponent(String(gradeId)));
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }

            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options};
            const localVarHeaderParameter = {} as any;
            const localVarQueryParameter = {} as any;

            // authentication oauth2 required
            // oauth required
            await setOAuthToObject(localVarHeaderParameter, "oauth2", ["cloudhospital_admin_api"], configuration)


    
            setSearchParams(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers};

            return {
                url: toPathString(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @summary Update grade
         * @param {string} gradeId 
         * @param {UpdateGradeCommand} [updateGradeCommand] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1GradesGradeIdPut: async (gradeId: string, updateGradeCommand?: UpdateGradeCommand, options: AxiosRequestConfig = {}): Promise<RequestArgs> => {
            // verify required parameter 'gradeId' is not null or undefined
            assertParamExists('apiV1GradesGradeIdPut', 'gradeId', gradeId)
            const localVarPath = `/api/v1/grades/{gradeId}`
                .replace(`{${"gradeId"}}`, encodeURIComponent(String(gradeId)));
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }

            const localVarRequestOptions = { method: 'PUT', ...baseOptions, ...options};
            const localVarHeaderParameter = {} as any;
            const localVarQueryParameter = {} as any;

            // authentication oauth2 required
            // oauth required
            await setOAuthToObject(localVarHeaderParameter, "oauth2", ["cloudhospital_admin_api"], configuration)


    
            localVarHeaderParameter['Content-Type'] = 'application/json';

            setSearchParams(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers};
            localVarRequestOptions.data = serializeDataIfNeeded(updateGradeCommand, localVarRequestOptions, configuration)

            return {
                url: toPathString(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @summary Create grade
         * @param {CreateGradeCommand} [createGradeCommand] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1GradesPost: async (createGradeCommand?: CreateGradeCommand, options: AxiosRequestConfig = {}): Promise<RequestArgs> => {
            const localVarPath = `/api/v1/grades`;
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }

            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options};
            const localVarHeaderParameter = {} as any;
            const localVarQueryParameter = {} as any;

            // authentication oauth2 required
            // oauth required
            await setOAuthToObject(localVarHeaderParameter, "oauth2", ["cloudhospital_admin_api"], configuration)


    
            localVarHeaderParameter['Content-Type'] = 'application/json';

            setSearchParams(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers};
            localVarRequestOptions.data = serializeDataIfNeeded(createGradeCommand, localVarRequestOptions, configuration)

            return {
                url: toPathString(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
    }
};

/**
 * GradesApi - functional programming interface
 * @export
 */
export const GradesApiFp = function(configuration?: Configuration) {
    const localVarAxiosParamCreator = GradesApiAxiosParamCreator(configuration)
    return {
        /**
         * 
         * @summary Get grades
         * @param {string} [id] 
         * @param {string} [name] 
         * @param {GradeTargets} [gradeTarget] 
         * @param {boolean} [showHidden] 
         * @param {number} [page] 
         * @param {number} [limit] 
         * @param {Date} [lastRetrieved] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async apiV1GradesGet(id?: string, name?: string, gradeTarget?: GradeTargets, showHidden?: boolean, page?: number, limit?: number, lastRetrieved?: Date, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<GradesModel>> {
            const localVarAxiosArgs = await localVarAxiosParamCreator.apiV1GradesGet(id, name, gradeTarget, showHidden, page, limit, lastRetrieved, options);
            return createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration);
        },
        /**
         * 
         * @summary Delete grade
         * @param {string} gradeId 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async apiV1GradesGradeIdDelete(gradeId: string, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<boolean>> {
            const localVarAxiosArgs = await localVarAxiosParamCreator.apiV1GradesGradeIdDelete(gradeId, options);
            return createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration);
        },
        /**
         * 
         * @summary Get grade
         * @param {string} gradeId 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async apiV1GradesGradeIdGet(gradeId: string, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<GradeModel>> {
            const localVarAxiosArgs = await localVarAxiosParamCreator.apiV1GradesGradeIdGet(gradeId, options);
            return createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration);
        },
        /**
         * 
         * @summary Update grade
         * @param {string} gradeId 
         * @param {UpdateGradeCommand} [updateGradeCommand] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async apiV1GradesGradeIdPut(gradeId: string, updateGradeCommand?: UpdateGradeCommand, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<GradeModel>> {
            const localVarAxiosArgs = await localVarAxiosParamCreator.apiV1GradesGradeIdPut(gradeId, updateGradeCommand, options);
            return createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration);
        },
        /**
         * 
         * @summary Create grade
         * @param {CreateGradeCommand} [createGradeCommand] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async apiV1GradesPost(createGradeCommand?: CreateGradeCommand, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<GradeModel>> {
            const localVarAxiosArgs = await localVarAxiosParamCreator.apiV1GradesPost(createGradeCommand, options);
            return createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration);
        },
    }
};

/**
 * GradesApi - factory interface
 * @export
 */
export const GradesApiFactory = function (configuration?: Configuration, basePath?: string, axios?: AxiosInstance) {
    const localVarFp = GradesApiFp(configuration)
    return {
        /**
         * 
         * @summary Get grades
         * @param {string} [id] 
         * @param {string} [name] 
         * @param {GradeTargets} [gradeTarget] 
         * @param {boolean} [showHidden] 
         * @param {number} [page] 
         * @param {number} [limit] 
         * @param {Date} [lastRetrieved] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1GradesGet(id?: string, name?: string, gradeTarget?: GradeTargets, showHidden?: boolean, page?: number, limit?: number, lastRetrieved?: Date, options?: any): AxiosPromise<GradesModel> {
            return localVarFp.apiV1GradesGet(id, name, gradeTarget, showHidden, page, limit, lastRetrieved, options).then((request) => request(axios, basePath));
        },
        /**
         * 
         * @summary Delete grade
         * @param {string} gradeId 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1GradesGradeIdDelete(gradeId: string, options?: any): AxiosPromise<boolean> {
            return localVarFp.apiV1GradesGradeIdDelete(gradeId, options).then((request) => request(axios, basePath));
        },
        /**
         * 
         * @summary Get grade
         * @param {string} gradeId 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1GradesGradeIdGet(gradeId: string, options?: any): AxiosPromise<GradeModel> {
            return localVarFp.apiV1GradesGradeIdGet(gradeId, options).then((request) => request(axios, basePath));
        },
        /**
         * 
         * @summary Update grade
         * @param {string} gradeId 
         * @param {UpdateGradeCommand} [updateGradeCommand] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1GradesGradeIdPut(gradeId: string, updateGradeCommand?: UpdateGradeCommand, options?: any): AxiosPromise<GradeModel> {
            return localVarFp.apiV1GradesGradeIdPut(gradeId, updateGradeCommand, options).then((request) => request(axios, basePath));
        },
        /**
         * 
         * @summary Create grade
         * @param {CreateGradeCommand} [createGradeCommand] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1GradesPost(createGradeCommand?: CreateGradeCommand, options?: any): AxiosPromise<GradeModel> {
            return localVarFp.apiV1GradesPost(createGradeCommand, options).then((request) => request(axios, basePath));
        },
    };
};

/**
 * Request parameters for apiV1GradesGet operation in GradesApi.
 * @export
 * @interface GradesApiApiV1GradesGetRequest
 */
export interface GradesApiApiV1GradesGetRequest {
    /**
     * 
     * @type {string}
     * @memberof GradesApiApiV1GradesGet
     */
    readonly id?: string

    /**
     * 
     * @type {string}
     * @memberof GradesApiApiV1GradesGet
     */
    readonly name?: string

    /**
     * 
     * @type {GradeTargets}
     * @memberof GradesApiApiV1GradesGet
     */
    readonly gradeTarget?: GradeTargets

    /**
     * 
     * @type {boolean}
     * @memberof GradesApiApiV1GradesGet
     */
    readonly showHidden?: boolean

    /**
     * 
     * @type {number}
     * @memberof GradesApiApiV1GradesGet
     */
    readonly page?: number

    /**
     * 
     * @type {number}
     * @memberof GradesApiApiV1GradesGet
     */
    readonly limit?: number

    /**
     * 
     * @type {Date}
     * @memberof GradesApiApiV1GradesGet
     */
    readonly lastRetrieved?: Date
}

/**
 * Request parameters for apiV1GradesGradeIdDelete operation in GradesApi.
 * @export
 * @interface GradesApiApiV1GradesGradeIdDeleteRequest
 */
export interface GradesApiApiV1GradesGradeIdDeleteRequest {
    /**
     * 
     * @type {string}
     * @memberof GradesApiApiV1GradesGradeIdDelete
     */
    readonly gradeId: string
}

/**
 * Request parameters for apiV1GradesGradeIdGet operation in GradesApi.
 * @export
 * @interface GradesApiApiV1GradesGradeIdGetRequest
 */
export interface GradesApiApiV1GradesGradeIdGetRequest {
    /**
     * 
     * @type {string}
     * @memberof GradesApiApiV1GradesGradeIdGet
     */
    readonly gradeId: string
}

/**
 * Request parameters for apiV1GradesGradeIdPut operation in GradesApi.
 * @export
 * @interface GradesApiApiV1GradesGradeIdPutRequest
 */
export interface GradesApiApiV1GradesGradeIdPutRequest {
    /**
     * 
     * @type {string}
     * @memberof GradesApiApiV1GradesGradeIdPut
     */
    readonly gradeId: string

    /**
     * 
     * @type {UpdateGradeCommand}
     * @memberof GradesApiApiV1GradesGradeIdPut
     */
    readonly updateGradeCommand?: UpdateGradeCommand
}

/**
 * Request parameters for apiV1GradesPost operation in GradesApi.
 * @export
 * @interface GradesApiApiV1GradesPostRequest
 */
export interface GradesApiApiV1GradesPostRequest {
    /**
     * 
     * @type {CreateGradeCommand}
     * @memberof GradesApiApiV1GradesPost
     */
    readonly createGradeCommand?: CreateGradeCommand
}

/**
 * GradesApi - object-oriented interface
 * @export
 * @class GradesApi
 * @extends {BaseAPI}
 */
export class GradesApi extends BaseAPI {
    /**
     * 
     * @summary Get grades
     * @param {GradesApiApiV1GradesGetRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof GradesApi
     */
    public apiV1GradesGet(requestParameters: GradesApiApiV1GradesGetRequest = {}, options?: AxiosRequestConfig) {
        return GradesApiFp(this.configuration).apiV1GradesGet(requestParameters.id, requestParameters.name, requestParameters.gradeTarget, requestParameters.showHidden, requestParameters.page, requestParameters.limit, requestParameters.lastRetrieved, options).then((request) => request(this.axios, this.basePath));
    }

    /**
     * 
     * @summary Delete grade
     * @param {GradesApiApiV1GradesGradeIdDeleteRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof GradesApi
     */
    public apiV1GradesGradeIdDelete(requestParameters: GradesApiApiV1GradesGradeIdDeleteRequest, options?: AxiosRequestConfig) {
        return GradesApiFp(this.configuration).apiV1GradesGradeIdDelete(requestParameters.gradeId, options).then((request) => request(this.axios, this.basePath));
    }

    /**
     * 
     * @summary Get grade
     * @param {GradesApiApiV1GradesGradeIdGetRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof GradesApi
     */
    public apiV1GradesGradeIdGet(requestParameters: GradesApiApiV1GradesGradeIdGetRequest, options?: AxiosRequestConfig) {
        return GradesApiFp(this.configuration).apiV1GradesGradeIdGet(requestParameters.gradeId, options).then((request) => request(this.axios, this.basePath));
    }

    /**
     * 
     * @summary Update grade
     * @param {GradesApiApiV1GradesGradeIdPutRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof GradesApi
     */
    public apiV1GradesGradeIdPut(requestParameters: GradesApiApiV1GradesGradeIdPutRequest, options?: AxiosRequestConfig) {
        return GradesApiFp(this.configuration).apiV1GradesGradeIdPut(requestParameters.gradeId, requestParameters.updateGradeCommand, options).then((request) => request(this.axios, this.basePath));
    }

    /**
     * 
     * @summary Create grade
     * @param {GradesApiApiV1GradesPostRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof GradesApi
     */
    public apiV1GradesPost(requestParameters: GradesApiApiV1GradesPostRequest = {}, options?: AxiosRequestConfig) {
        return GradesApiFp(this.configuration).apiV1GradesPost(requestParameters.createGradeCommand, options).then((request) => request(this.axios, this.basePath));
    }
}
