/* tslint:disable */
/* eslint-disable */
/**
 * CloudHospital Admin Api
 * CloudHospital application with Swagger, Swashbuckle, and API versioning.
 *
 * The version of the OpenAPI document: 1
 * Contact: developer@icloudhospital.com
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */


import globalAxios, { AxiosPromise, AxiosInstance, AxiosRequestConfig } from 'axios';
import { Configuration } from '../configuration';
// Some imports not used depending on template conditions
// @ts-ignore
import { DUMMY_BASE_URL, assertParamExists, setApiKeyToObject, setBasicAuthToObject, setBearerAuthToObject, setOAuthToObject, setSearchParams, serializeDataIfNeeded, toPathString, createRequestFunction } from '../common';
// @ts-ignore
import { BASE_PATH, COLLECTION_FORMATS, RequestArgs, BaseAPI, RequiredError } from '../base';
// @ts-ignore
import { PatientAffiliationModel } from '../models';
// @ts-ignore
import { PatientAffiliationsModel } from '../models';
/**
 * PatientAffiliationsApi - axios parameter creator
 * @export
 */
export const PatientAffiliationsApiAxiosParamCreator = function (configuration?: Configuration) {
    return {
        /**
         * 
         * @summary Get all patientAffiliations
         * @param {string} [languageCode] 
         * @param {string} [hospitalId] 
         * @param {string} [patientId] 
         * @param {string} [patientName] 
         * @param {string} [patientPhoneNumber] 
         * @param {boolean} [showHidden] 
         * @param {number} [page] 
         * @param {number} [limit] 
         * @param {Date} [lastRetrieved] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1PatientaffiliationsGet: async (languageCode?: string, hospitalId?: string, patientId?: string, patientName?: string, patientPhoneNumber?: string, showHidden?: boolean, page?: number, limit?: number, lastRetrieved?: Date, options: AxiosRequestConfig = {}): Promise<RequestArgs> => {
            const localVarPath = `/api/v1/patientaffiliations`;
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }

            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options};
            const localVarHeaderParameter = {} as any;
            const localVarQueryParameter = {} as any;

            // authentication oauth2 required
            // oauth required
            await setOAuthToObject(localVarHeaderParameter, "oauth2", ["cloudhospital_admin_api"], configuration)

            if (languageCode !== undefined) {
                localVarQueryParameter['LanguageCode'] = languageCode;
            }

            if (hospitalId !== undefined) {
                localVarQueryParameter['HospitalId'] = hospitalId;
            }

            if (patientId !== undefined) {
                localVarQueryParameter['PatientId'] = patientId;
            }

            if (patientName !== undefined) {
                localVarQueryParameter['PatientName'] = patientName;
            }

            if (patientPhoneNumber !== undefined) {
                localVarQueryParameter['PatientPhoneNumber'] = patientPhoneNumber;
            }

            if (showHidden !== undefined) {
                localVarQueryParameter['ShowHidden'] = showHidden;
            }

            if (page !== undefined) {
                localVarQueryParameter['page'] = page;
            }

            if (limit !== undefined) {
                localVarQueryParameter['limit'] = limit;
            }

            if (lastRetrieved !== undefined) {
                localVarQueryParameter['lastRetrieved'] = (lastRetrieved as any instanceof Date) ?
                    (lastRetrieved as any).toISOString() :
                    lastRetrieved;
            }


    
            setSearchParams(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers};

            return {
                url: toPathString(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @summary Get patientAffiliation by id
         * @param {string} patientAffiliationId 
         * @param {string} [languageCode] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1PatientaffiliationsPatientAffiliationIdGet: async (patientAffiliationId: string, languageCode?: string, options: AxiosRequestConfig = {}): Promise<RequestArgs> => {
            // verify required parameter 'patientAffiliationId' is not null or undefined
            assertParamExists('apiV1PatientaffiliationsPatientAffiliationIdGet', 'patientAffiliationId', patientAffiliationId)
            const localVarPath = `/api/v1/patientaffiliations/{patientAffiliationId}`
                .replace(`{${"patientAffiliationId"}}`, encodeURIComponent(String(patientAffiliationId)));
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }

            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options};
            const localVarHeaderParameter = {} as any;
            const localVarQueryParameter = {} as any;

            // authentication oauth2 required
            // oauth required
            await setOAuthToObject(localVarHeaderParameter, "oauth2", ["cloudhospital_admin_api"], configuration)

            if (languageCode !== undefined) {
                localVarQueryParameter['languageCode'] = languageCode;
            }


    
            setSearchParams(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers};

            return {
                url: toPathString(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
    }
};

/**
 * PatientAffiliationsApi - functional programming interface
 * @export
 */
export const PatientAffiliationsApiFp = function(configuration?: Configuration) {
    const localVarAxiosParamCreator = PatientAffiliationsApiAxiosParamCreator(configuration)
    return {
        /**
         * 
         * @summary Get all patientAffiliations
         * @param {string} [languageCode] 
         * @param {string} [hospitalId] 
         * @param {string} [patientId] 
         * @param {string} [patientName] 
         * @param {string} [patientPhoneNumber] 
         * @param {boolean} [showHidden] 
         * @param {number} [page] 
         * @param {number} [limit] 
         * @param {Date} [lastRetrieved] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async apiV1PatientaffiliationsGet(languageCode?: string, hospitalId?: string, patientId?: string, patientName?: string, patientPhoneNumber?: string, showHidden?: boolean, page?: number, limit?: number, lastRetrieved?: Date, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<PatientAffiliationsModel>> {
            const localVarAxiosArgs = await localVarAxiosParamCreator.apiV1PatientaffiliationsGet(languageCode, hospitalId, patientId, patientName, patientPhoneNumber, showHidden, page, limit, lastRetrieved, options);
            return createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration);
        },
        /**
         * 
         * @summary Get patientAffiliation by id
         * @param {string} patientAffiliationId 
         * @param {string} [languageCode] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async apiV1PatientaffiliationsPatientAffiliationIdGet(patientAffiliationId: string, languageCode?: string, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<PatientAffiliationModel>> {
            const localVarAxiosArgs = await localVarAxiosParamCreator.apiV1PatientaffiliationsPatientAffiliationIdGet(patientAffiliationId, languageCode, options);
            return createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration);
        },
    }
};

/**
 * PatientAffiliationsApi - factory interface
 * @export
 */
export const PatientAffiliationsApiFactory = function (configuration?: Configuration, basePath?: string, axios?: AxiosInstance) {
    const localVarFp = PatientAffiliationsApiFp(configuration)
    return {
        /**
         * 
         * @summary Get all patientAffiliations
         * @param {string} [languageCode] 
         * @param {string} [hospitalId] 
         * @param {string} [patientId] 
         * @param {string} [patientName] 
         * @param {string} [patientPhoneNumber] 
         * @param {boolean} [showHidden] 
         * @param {number} [page] 
         * @param {number} [limit] 
         * @param {Date} [lastRetrieved] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1PatientaffiliationsGet(languageCode?: string, hospitalId?: string, patientId?: string, patientName?: string, patientPhoneNumber?: string, showHidden?: boolean, page?: number, limit?: number, lastRetrieved?: Date, options?: any): AxiosPromise<PatientAffiliationsModel> {
            return localVarFp.apiV1PatientaffiliationsGet(languageCode, hospitalId, patientId, patientName, patientPhoneNumber, showHidden, page, limit, lastRetrieved, options).then((request) => request(axios, basePath));
        },
        /**
         * 
         * @summary Get patientAffiliation by id
         * @param {string} patientAffiliationId 
         * @param {string} [languageCode] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1PatientaffiliationsPatientAffiliationIdGet(patientAffiliationId: string, languageCode?: string, options?: any): AxiosPromise<PatientAffiliationModel> {
            return localVarFp.apiV1PatientaffiliationsPatientAffiliationIdGet(patientAffiliationId, languageCode, options).then((request) => request(axios, basePath));
        },
    };
};

/**
 * Request parameters for apiV1PatientaffiliationsGet operation in PatientAffiliationsApi.
 * @export
 * @interface PatientAffiliationsApiApiV1PatientaffiliationsGetRequest
 */
export interface PatientAffiliationsApiApiV1PatientaffiliationsGetRequest {
    /**
     * 
     * @type {string}
     * @memberof PatientAffiliationsApiApiV1PatientaffiliationsGet
     */
    readonly languageCode?: string

    /**
     * 
     * @type {string}
     * @memberof PatientAffiliationsApiApiV1PatientaffiliationsGet
     */
    readonly hospitalId?: string

    /**
     * 
     * @type {string}
     * @memberof PatientAffiliationsApiApiV1PatientaffiliationsGet
     */
    readonly patientId?: string

    /**
     * 
     * @type {string}
     * @memberof PatientAffiliationsApiApiV1PatientaffiliationsGet
     */
    readonly patientName?: string

    /**
     * 
     * @type {string}
     * @memberof PatientAffiliationsApiApiV1PatientaffiliationsGet
     */
    readonly patientPhoneNumber?: string

    /**
     * 
     * @type {boolean}
     * @memberof PatientAffiliationsApiApiV1PatientaffiliationsGet
     */
    readonly showHidden?: boolean

    /**
     * 
     * @type {number}
     * @memberof PatientAffiliationsApiApiV1PatientaffiliationsGet
     */
    readonly page?: number

    /**
     * 
     * @type {number}
     * @memberof PatientAffiliationsApiApiV1PatientaffiliationsGet
     */
    readonly limit?: number

    /**
     * 
     * @type {Date}
     * @memberof PatientAffiliationsApiApiV1PatientaffiliationsGet
     */
    readonly lastRetrieved?: Date
}

/**
 * Request parameters for apiV1PatientaffiliationsPatientAffiliationIdGet operation in PatientAffiliationsApi.
 * @export
 * @interface PatientAffiliationsApiApiV1PatientaffiliationsPatientAffiliationIdGetRequest
 */
export interface PatientAffiliationsApiApiV1PatientaffiliationsPatientAffiliationIdGetRequest {
    /**
     * 
     * @type {string}
     * @memberof PatientAffiliationsApiApiV1PatientaffiliationsPatientAffiliationIdGet
     */
    readonly patientAffiliationId: string

    /**
     * 
     * @type {string}
     * @memberof PatientAffiliationsApiApiV1PatientaffiliationsPatientAffiliationIdGet
     */
    readonly languageCode?: string
}

/**
 * PatientAffiliationsApi - object-oriented interface
 * @export
 * @class PatientAffiliationsApi
 * @extends {BaseAPI}
 */
export class PatientAffiliationsApi extends BaseAPI {
    /**
     * 
     * @summary Get all patientAffiliations
     * @param {PatientAffiliationsApiApiV1PatientaffiliationsGetRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof PatientAffiliationsApi
     */
    public apiV1PatientaffiliationsGet(requestParameters: PatientAffiliationsApiApiV1PatientaffiliationsGetRequest = {}, options?: AxiosRequestConfig) {
        return PatientAffiliationsApiFp(this.configuration).apiV1PatientaffiliationsGet(requestParameters.languageCode, requestParameters.hospitalId, requestParameters.patientId, requestParameters.patientName, requestParameters.patientPhoneNumber, requestParameters.showHidden, requestParameters.page, requestParameters.limit, requestParameters.lastRetrieved, options).then((request) => request(this.axios, this.basePath));
    }

    /**
     * 
     * @summary Get patientAffiliation by id
     * @param {PatientAffiliationsApiApiV1PatientaffiliationsPatientAffiliationIdGetRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof PatientAffiliationsApi
     */
    public apiV1PatientaffiliationsPatientAffiliationIdGet(requestParameters: PatientAffiliationsApiApiV1PatientaffiliationsPatientAffiliationIdGetRequest, options?: AxiosRequestConfig) {
        return PatientAffiliationsApiFp(this.configuration).apiV1PatientaffiliationsPatientAffiliationIdGet(requestParameters.patientAffiliationId, requestParameters.languageCode, options).then((request) => request(this.axios, this.basePath));
    }
}
