/* tslint:disable */
/* eslint-disable */
/**
 * CloudHospital Admin Api
 * CloudHospital application with Swagger, Swashbuckle, and API versioning.
 *
 * The version of the OpenAPI document: 1
 * Contact: developer@icloudhospital.com
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */


import globalAxios, { AxiosPromise, AxiosInstance, AxiosRequestConfig } from 'axios';
import { Configuration } from '../configuration';
// Some imports not used depending on template conditions
// @ts-ignore
import { DUMMY_BASE_URL, assertParamExists, setApiKeyToObject, setBasicAuthToObject, setBearerAuthToObject, setOAuthToObject, setSearchParams, serializeDataIfNeeded, toPathString, createRequestFunction } from '../common';
// @ts-ignore
import { BASE_PATH, COLLECTION_FORMATS, RequestArgs, BaseAPI, RequiredError } from '../base';
// @ts-ignore
import { CreatePrescriptionCommand } from '../models';
// @ts-ignore
import { PrescriptionModel } from '../models';
// @ts-ignore
import { PrescriptionsModel } from '../models';
// @ts-ignore
import { ProblemDetails } from '../models';
// @ts-ignore
import { UpdatePrescriptionCommand } from '../models';
/**
 * PrescriptionsApi - axios parameter creator
 * @export
 */
export const PrescriptionsApiAxiosParamCreator = function (configuration?: Configuration) {
    return {
        /**
         * 
         * @summary Get prescriptions
         * @param {string} [languageCode] 
         * @param {string} [hospitalId] 
         * @param {string} [doctorId] 
         * @param {string} [doctorAffiliationId] 
         * @param {string} [patientId] 
         * @param {string} [patientAffiliationId] 
         * @param {string} [patientPhoneNumber] 
         * @param {string} [patientName] 
         * @param {boolean} [showHidden] 
         * @param {number} [page] 
         * @param {number} [limit] 
         * @param {Date} [lastRetrieved] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1PrescriptionsGet: async (languageCode?: string, hospitalId?: string, doctorId?: string, doctorAffiliationId?: string, patientId?: string, patientAffiliationId?: string, patientPhoneNumber?: string, patientName?: string, showHidden?: boolean, page?: number, limit?: number, lastRetrieved?: Date, options: AxiosRequestConfig = {}): Promise<RequestArgs> => {
            const localVarPath = `/api/v1/prescriptions`;
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }

            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options};
            const localVarHeaderParameter = {} as any;
            const localVarQueryParameter = {} as any;

            // authentication oauth2 required
            // oauth required
            await setOAuthToObject(localVarHeaderParameter, "oauth2", ["cloudhospital_admin_api"], configuration)

            if (languageCode !== undefined) {
                localVarQueryParameter['LanguageCode'] = languageCode;
            }

            if (hospitalId !== undefined) {
                localVarQueryParameter['HospitalId'] = hospitalId;
            }

            if (doctorId !== undefined) {
                localVarQueryParameter['DoctorId'] = doctorId;
            }

            if (doctorAffiliationId !== undefined) {
                localVarQueryParameter['DoctorAffiliationId'] = doctorAffiliationId;
            }

            if (patientId !== undefined) {
                localVarQueryParameter['PatientId'] = patientId;
            }

            if (patientAffiliationId !== undefined) {
                localVarQueryParameter['PatientAffiliationId'] = patientAffiliationId;
            }

            if (patientPhoneNumber !== undefined) {
                localVarQueryParameter['PatientPhoneNumber'] = patientPhoneNumber;
            }

            if (patientName !== undefined) {
                localVarQueryParameter['PatientName'] = patientName;
            }

            if (showHidden !== undefined) {
                localVarQueryParameter['ShowHidden'] = showHidden;
            }

            if (page !== undefined) {
                localVarQueryParameter['page'] = page;
            }

            if (limit !== undefined) {
                localVarQueryParameter['limit'] = limit;
            }

            if (lastRetrieved !== undefined) {
                localVarQueryParameter['lastRetrieved'] = (lastRetrieved as any instanceof Date) ?
                    (lastRetrieved as any).toISOString() :
                    lastRetrieved;
            }


    
            setSearchParams(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers};

            return {
                url: toPathString(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @summary Create prescription
         * @param {CreatePrescriptionCommand} [createPrescriptionCommand] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1PrescriptionsPost: async (createPrescriptionCommand?: CreatePrescriptionCommand, options: AxiosRequestConfig = {}): Promise<RequestArgs> => {
            const localVarPath = `/api/v1/prescriptions`;
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }

            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options};
            const localVarHeaderParameter = {} as any;
            const localVarQueryParameter = {} as any;

            // authentication oauth2 required
            // oauth required
            await setOAuthToObject(localVarHeaderParameter, "oauth2", ["cloudhospital_admin_api"], configuration)


    
            localVarHeaderParameter['Content-Type'] = 'application/json';

            setSearchParams(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers};
            localVarRequestOptions.data = serializeDataIfNeeded(createPrescriptionCommand, localVarRequestOptions, configuration)

            return {
                url: toPathString(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @summary Set IsConfirmed of prescription to true
         * @param {string} prescriptionId 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1PrescriptionsPrescriptionIdConfirmPatch: async (prescriptionId: string, options: AxiosRequestConfig = {}): Promise<RequestArgs> => {
            // verify required parameter 'prescriptionId' is not null or undefined
            assertParamExists('apiV1PrescriptionsPrescriptionIdConfirmPatch', 'prescriptionId', prescriptionId)
            const localVarPath = `/api/v1/prescriptions/{prescriptionId}/confirm`
                .replace(`{${"prescriptionId"}}`, encodeURIComponent(String(prescriptionId)));
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }

            const localVarRequestOptions = { method: 'PATCH', ...baseOptions, ...options};
            const localVarHeaderParameter = {} as any;
            const localVarQueryParameter = {} as any;

            // authentication oauth2 required
            // oauth required
            await setOAuthToObject(localVarHeaderParameter, "oauth2", ["cloudhospital_admin_api"], configuration)


    
            setSearchParams(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers};

            return {
                url: toPathString(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @summary Delete prescription
         * @param {string} prescriptionId 
         * @param {boolean} [isPermanent] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1PrescriptionsPrescriptionIdDelete: async (prescriptionId: string, isPermanent?: boolean, options: AxiosRequestConfig = {}): Promise<RequestArgs> => {
            // verify required parameter 'prescriptionId' is not null or undefined
            assertParamExists('apiV1PrescriptionsPrescriptionIdDelete', 'prescriptionId', prescriptionId)
            const localVarPath = `/api/v1/prescriptions/{prescriptionId}`
                .replace(`{${"prescriptionId"}}`, encodeURIComponent(String(prescriptionId)));
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }

            const localVarRequestOptions = { method: 'DELETE', ...baseOptions, ...options};
            const localVarHeaderParameter = {} as any;
            const localVarQueryParameter = {} as any;

            // authentication oauth2 required
            // oauth required
            await setOAuthToObject(localVarHeaderParameter, "oauth2", ["cloudhospital_admin_api"], configuration)

            if (isPermanent !== undefined) {
                localVarQueryParameter['isPermanent'] = isPermanent;
            }


    
            setSearchParams(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers};

            return {
                url: toPathString(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @summary Get a prescription by id
         * @param {string} prescriptionId 
         * @param {string} [languageCode] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1PrescriptionsPrescriptionIdGet: async (prescriptionId: string, languageCode?: string, options: AxiosRequestConfig = {}): Promise<RequestArgs> => {
            // verify required parameter 'prescriptionId' is not null or undefined
            assertParamExists('apiV1PrescriptionsPrescriptionIdGet', 'prescriptionId', prescriptionId)
            const localVarPath = `/api/v1/prescriptions/{prescriptionId}`
                .replace(`{${"prescriptionId"}}`, encodeURIComponent(String(prescriptionId)));
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }

            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options};
            const localVarHeaderParameter = {} as any;
            const localVarQueryParameter = {} as any;

            // authentication oauth2 required
            // oauth required
            await setOAuthToObject(localVarHeaderParameter, "oauth2", ["cloudhospital_admin_api"], configuration)

            if (languageCode !== undefined) {
                localVarQueryParameter['languageCode'] = languageCode;
            }


    
            setSearchParams(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers};

            return {
                url: toPathString(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @summary Delete prexcription pdf file
         * @param {string} prescriptionId 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1PrescriptionsPrescriptionIdPdfDelete: async (prescriptionId: string, options: AxiosRequestConfig = {}): Promise<RequestArgs> => {
            // verify required parameter 'prescriptionId' is not null or undefined
            assertParamExists('apiV1PrescriptionsPrescriptionIdPdfDelete', 'prescriptionId', prescriptionId)
            const localVarPath = `/api/v1/prescriptions/{prescriptionId}/pdf`
                .replace(`{${"prescriptionId"}}`, encodeURIComponent(String(prescriptionId)));
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }

            const localVarRequestOptions = { method: 'DELETE', ...baseOptions, ...options};
            const localVarHeaderParameter = {} as any;
            const localVarQueryParameter = {} as any;

            // authentication oauth2 required
            // oauth required
            await setOAuthToObject(localVarHeaderParameter, "oauth2", ["cloudhospital_admin_api"], configuration)


    
            setSearchParams(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers};

            return {
                url: toPathString(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @summary Create prescription pdf file
         * @param {string} prescriptionId 
         * @param {string} [languageCode] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1PrescriptionsPrescriptionIdPdfPost: async (prescriptionId: string, languageCode?: string, options: AxiosRequestConfig = {}): Promise<RequestArgs> => {
            // verify required parameter 'prescriptionId' is not null or undefined
            assertParamExists('apiV1PrescriptionsPrescriptionIdPdfPost', 'prescriptionId', prescriptionId)
            const localVarPath = `/api/v1/prescriptions/{prescriptionId}/pdf`
                .replace(`{${"prescriptionId"}}`, encodeURIComponent(String(prescriptionId)));
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }

            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options};
            const localVarHeaderParameter = {} as any;
            const localVarQueryParameter = {} as any;

            // authentication oauth2 required
            // oauth required
            await setOAuthToObject(localVarHeaderParameter, "oauth2", ["cloudhospital_admin_api"], configuration)

            if (languageCode !== undefined) {
                localVarQueryParameter['languageCode'] = languageCode;
            }


    
            setSearchParams(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers};

            return {
                url: toPathString(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @summary Update prescription
         * @param {string} prescriptionId 
         * @param {UpdatePrescriptionCommand} [updatePrescriptionCommand] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1PrescriptionsPrescriptionIdPut: async (prescriptionId: string, updatePrescriptionCommand?: UpdatePrescriptionCommand, options: AxiosRequestConfig = {}): Promise<RequestArgs> => {
            // verify required parameter 'prescriptionId' is not null or undefined
            assertParamExists('apiV1PrescriptionsPrescriptionIdPut', 'prescriptionId', prescriptionId)
            const localVarPath = `/api/v1/prescriptions/{prescriptionId}`
                .replace(`{${"prescriptionId"}}`, encodeURIComponent(String(prescriptionId)));
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }

            const localVarRequestOptions = { method: 'PUT', ...baseOptions, ...options};
            const localVarHeaderParameter = {} as any;
            const localVarQueryParameter = {} as any;

            // authentication oauth2 required
            // oauth required
            await setOAuthToObject(localVarHeaderParameter, "oauth2", ["cloudhospital_admin_api"], configuration)


    
            localVarHeaderParameter['Content-Type'] = 'application/json';

            setSearchParams(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers};
            localVarRequestOptions.data = serializeDataIfNeeded(updatePrescriptionCommand, localVarRequestOptions, configuration)

            return {
                url: toPathString(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @summary Reactivate prescription
         * @param {string} prescriptionId 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1PrescriptionsPrescriptionIdReactivatePut: async (prescriptionId: string, options: AxiosRequestConfig = {}): Promise<RequestArgs> => {
            // verify required parameter 'prescriptionId' is not null or undefined
            assertParamExists('apiV1PrescriptionsPrescriptionIdReactivatePut', 'prescriptionId', prescriptionId)
            const localVarPath = `/api/v1/prescriptions/{prescriptionId}/reactivate`
                .replace(`{${"prescriptionId"}}`, encodeURIComponent(String(prescriptionId)));
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }

            const localVarRequestOptions = { method: 'PUT', ...baseOptions, ...options};
            const localVarHeaderParameter = {} as any;
            const localVarQueryParameter = {} as any;

            // authentication oauth2 required
            // oauth required
            await setOAuthToObject(localVarHeaderParameter, "oauth2", ["cloudhospital_admin_api"], configuration)


    
            setSearchParams(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers};

            return {
                url: toPathString(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @summary Set IsConfirmed of prescription to false  <br>  If pdf file had been generated, pdf file deleted.  
         * @param {string} prescriptionId 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1PrescriptionsPrescriptionIdUnconfirmPatch: async (prescriptionId: string, options: AxiosRequestConfig = {}): Promise<RequestArgs> => {
            // verify required parameter 'prescriptionId' is not null or undefined
            assertParamExists('apiV1PrescriptionsPrescriptionIdUnconfirmPatch', 'prescriptionId', prescriptionId)
            const localVarPath = `/api/v1/prescriptions/{prescriptionId}/unconfirm`
                .replace(`{${"prescriptionId"}}`, encodeURIComponent(String(prescriptionId)));
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }

            const localVarRequestOptions = { method: 'PATCH', ...baseOptions, ...options};
            const localVarHeaderParameter = {} as any;
            const localVarQueryParameter = {} as any;

            // authentication oauth2 required
            // oauth required
            await setOAuthToObject(localVarHeaderParameter, "oauth2", ["cloudhospital_admin_api"], configuration)


    
            setSearchParams(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers};

            return {
                url: toPathString(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
    }
};

/**
 * PrescriptionsApi - functional programming interface
 * @export
 */
export const PrescriptionsApiFp = function(configuration?: Configuration) {
    const localVarAxiosParamCreator = PrescriptionsApiAxiosParamCreator(configuration)
    return {
        /**
         * 
         * @summary Get prescriptions
         * @param {string} [languageCode] 
         * @param {string} [hospitalId] 
         * @param {string} [doctorId] 
         * @param {string} [doctorAffiliationId] 
         * @param {string} [patientId] 
         * @param {string} [patientAffiliationId] 
         * @param {string} [patientPhoneNumber] 
         * @param {string} [patientName] 
         * @param {boolean} [showHidden] 
         * @param {number} [page] 
         * @param {number} [limit] 
         * @param {Date} [lastRetrieved] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async apiV1PrescriptionsGet(languageCode?: string, hospitalId?: string, doctorId?: string, doctorAffiliationId?: string, patientId?: string, patientAffiliationId?: string, patientPhoneNumber?: string, patientName?: string, showHidden?: boolean, page?: number, limit?: number, lastRetrieved?: Date, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<PrescriptionsModel>> {
            const localVarAxiosArgs = await localVarAxiosParamCreator.apiV1PrescriptionsGet(languageCode, hospitalId, doctorId, doctorAffiliationId, patientId, patientAffiliationId, patientPhoneNumber, patientName, showHidden, page, limit, lastRetrieved, options);
            return createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration);
        },
        /**
         * 
         * @summary Create prescription
         * @param {CreatePrescriptionCommand} [createPrescriptionCommand] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async apiV1PrescriptionsPost(createPrescriptionCommand?: CreatePrescriptionCommand, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<PrescriptionModel>> {
            const localVarAxiosArgs = await localVarAxiosParamCreator.apiV1PrescriptionsPost(createPrescriptionCommand, options);
            return createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration);
        },
        /**
         * 
         * @summary Set IsConfirmed of prescription to true
         * @param {string} prescriptionId 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async apiV1PrescriptionsPrescriptionIdConfirmPatch(prescriptionId: string, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<boolean>> {
            const localVarAxiosArgs = await localVarAxiosParamCreator.apiV1PrescriptionsPrescriptionIdConfirmPatch(prescriptionId, options);
            return createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration);
        },
        /**
         * 
         * @summary Delete prescription
         * @param {string} prescriptionId 
         * @param {boolean} [isPermanent] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async apiV1PrescriptionsPrescriptionIdDelete(prescriptionId: string, isPermanent?: boolean, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<boolean>> {
            const localVarAxiosArgs = await localVarAxiosParamCreator.apiV1PrescriptionsPrescriptionIdDelete(prescriptionId, isPermanent, options);
            return createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration);
        },
        /**
         * 
         * @summary Get a prescription by id
         * @param {string} prescriptionId 
         * @param {string} [languageCode] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async apiV1PrescriptionsPrescriptionIdGet(prescriptionId: string, languageCode?: string, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<PrescriptionModel>> {
            const localVarAxiosArgs = await localVarAxiosParamCreator.apiV1PrescriptionsPrescriptionIdGet(prescriptionId, languageCode, options);
            return createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration);
        },
        /**
         * 
         * @summary Delete prexcription pdf file
         * @param {string} prescriptionId 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async apiV1PrescriptionsPrescriptionIdPdfDelete(prescriptionId: string, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<boolean>> {
            const localVarAxiosArgs = await localVarAxiosParamCreator.apiV1PrescriptionsPrescriptionIdPdfDelete(prescriptionId, options);
            return createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration);
        },
        /**
         * 
         * @summary Create prescription pdf file
         * @param {string} prescriptionId 
         * @param {string} [languageCode] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async apiV1PrescriptionsPrescriptionIdPdfPost(prescriptionId: string, languageCode?: string, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<boolean>> {
            const localVarAxiosArgs = await localVarAxiosParamCreator.apiV1PrescriptionsPrescriptionIdPdfPost(prescriptionId, languageCode, options);
            return createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration);
        },
        /**
         * 
         * @summary Update prescription
         * @param {string} prescriptionId 
         * @param {UpdatePrescriptionCommand} [updatePrescriptionCommand] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async apiV1PrescriptionsPrescriptionIdPut(prescriptionId: string, updatePrescriptionCommand?: UpdatePrescriptionCommand, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<PrescriptionModel>> {
            const localVarAxiosArgs = await localVarAxiosParamCreator.apiV1PrescriptionsPrescriptionIdPut(prescriptionId, updatePrescriptionCommand, options);
            return createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration);
        },
        /**
         * 
         * @summary Reactivate prescription
         * @param {string} prescriptionId 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async apiV1PrescriptionsPrescriptionIdReactivatePut(prescriptionId: string, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<boolean>> {
            const localVarAxiosArgs = await localVarAxiosParamCreator.apiV1PrescriptionsPrescriptionIdReactivatePut(prescriptionId, options);
            return createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration);
        },
        /**
         * 
         * @summary Set IsConfirmed of prescription to false  <br>  If pdf file had been generated, pdf file deleted.  
         * @param {string} prescriptionId 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async apiV1PrescriptionsPrescriptionIdUnconfirmPatch(prescriptionId: string, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<boolean>> {
            const localVarAxiosArgs = await localVarAxiosParamCreator.apiV1PrescriptionsPrescriptionIdUnconfirmPatch(prescriptionId, options);
            return createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration);
        },
    }
};

/**
 * PrescriptionsApi - factory interface
 * @export
 */
export const PrescriptionsApiFactory = function (configuration?: Configuration, basePath?: string, axios?: AxiosInstance) {
    const localVarFp = PrescriptionsApiFp(configuration)
    return {
        /**
         * 
         * @summary Get prescriptions
         * @param {string} [languageCode] 
         * @param {string} [hospitalId] 
         * @param {string} [doctorId] 
         * @param {string} [doctorAffiliationId] 
         * @param {string} [patientId] 
         * @param {string} [patientAffiliationId] 
         * @param {string} [patientPhoneNumber] 
         * @param {string} [patientName] 
         * @param {boolean} [showHidden] 
         * @param {number} [page] 
         * @param {number} [limit] 
         * @param {Date} [lastRetrieved] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1PrescriptionsGet(languageCode?: string, hospitalId?: string, doctorId?: string, doctorAffiliationId?: string, patientId?: string, patientAffiliationId?: string, patientPhoneNumber?: string, patientName?: string, showHidden?: boolean, page?: number, limit?: number, lastRetrieved?: Date, options?: any): AxiosPromise<PrescriptionsModel> {
            return localVarFp.apiV1PrescriptionsGet(languageCode, hospitalId, doctorId, doctorAffiliationId, patientId, patientAffiliationId, patientPhoneNumber, patientName, showHidden, page, limit, lastRetrieved, options).then((request) => request(axios, basePath));
        },
        /**
         * 
         * @summary Create prescription
         * @param {CreatePrescriptionCommand} [createPrescriptionCommand] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1PrescriptionsPost(createPrescriptionCommand?: CreatePrescriptionCommand, options?: any): AxiosPromise<PrescriptionModel> {
            return localVarFp.apiV1PrescriptionsPost(createPrescriptionCommand, options).then((request) => request(axios, basePath));
        },
        /**
         * 
         * @summary Set IsConfirmed of prescription to true
         * @param {string} prescriptionId 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1PrescriptionsPrescriptionIdConfirmPatch(prescriptionId: string, options?: any): AxiosPromise<boolean> {
            return localVarFp.apiV1PrescriptionsPrescriptionIdConfirmPatch(prescriptionId, options).then((request) => request(axios, basePath));
        },
        /**
         * 
         * @summary Delete prescription
         * @param {string} prescriptionId 
         * @param {boolean} [isPermanent] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1PrescriptionsPrescriptionIdDelete(prescriptionId: string, isPermanent?: boolean, options?: any): AxiosPromise<boolean> {
            return localVarFp.apiV1PrescriptionsPrescriptionIdDelete(prescriptionId, isPermanent, options).then((request) => request(axios, basePath));
        },
        /**
         * 
         * @summary Get a prescription by id
         * @param {string} prescriptionId 
         * @param {string} [languageCode] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1PrescriptionsPrescriptionIdGet(prescriptionId: string, languageCode?: string, options?: any): AxiosPromise<PrescriptionModel> {
            return localVarFp.apiV1PrescriptionsPrescriptionIdGet(prescriptionId, languageCode, options).then((request) => request(axios, basePath));
        },
        /**
         * 
         * @summary Delete prexcription pdf file
         * @param {string} prescriptionId 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1PrescriptionsPrescriptionIdPdfDelete(prescriptionId: string, options?: any): AxiosPromise<boolean> {
            return localVarFp.apiV1PrescriptionsPrescriptionIdPdfDelete(prescriptionId, options).then((request) => request(axios, basePath));
        },
        /**
         * 
         * @summary Create prescription pdf file
         * @param {string} prescriptionId 
         * @param {string} [languageCode] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1PrescriptionsPrescriptionIdPdfPost(prescriptionId: string, languageCode?: string, options?: any): AxiosPromise<boolean> {
            return localVarFp.apiV1PrescriptionsPrescriptionIdPdfPost(prescriptionId, languageCode, options).then((request) => request(axios, basePath));
        },
        /**
         * 
         * @summary Update prescription
         * @param {string} prescriptionId 
         * @param {UpdatePrescriptionCommand} [updatePrescriptionCommand] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1PrescriptionsPrescriptionIdPut(prescriptionId: string, updatePrescriptionCommand?: UpdatePrescriptionCommand, options?: any): AxiosPromise<PrescriptionModel> {
            return localVarFp.apiV1PrescriptionsPrescriptionIdPut(prescriptionId, updatePrescriptionCommand, options).then((request) => request(axios, basePath));
        },
        /**
         * 
         * @summary Reactivate prescription
         * @param {string} prescriptionId 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1PrescriptionsPrescriptionIdReactivatePut(prescriptionId: string, options?: any): AxiosPromise<boolean> {
            return localVarFp.apiV1PrescriptionsPrescriptionIdReactivatePut(prescriptionId, options).then((request) => request(axios, basePath));
        },
        /**
         * 
         * @summary Set IsConfirmed of prescription to false  <br>  If pdf file had been generated, pdf file deleted.  
         * @param {string} prescriptionId 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1PrescriptionsPrescriptionIdUnconfirmPatch(prescriptionId: string, options?: any): AxiosPromise<boolean> {
            return localVarFp.apiV1PrescriptionsPrescriptionIdUnconfirmPatch(prescriptionId, options).then((request) => request(axios, basePath));
        },
    };
};

/**
 * Request parameters for apiV1PrescriptionsGet operation in PrescriptionsApi.
 * @export
 * @interface PrescriptionsApiApiV1PrescriptionsGetRequest
 */
export interface PrescriptionsApiApiV1PrescriptionsGetRequest {
    /**
     * 
     * @type {string}
     * @memberof PrescriptionsApiApiV1PrescriptionsGet
     */
    readonly languageCode?: string

    /**
     * 
     * @type {string}
     * @memberof PrescriptionsApiApiV1PrescriptionsGet
     */
    readonly hospitalId?: string

    /**
     * 
     * @type {string}
     * @memberof PrescriptionsApiApiV1PrescriptionsGet
     */
    readonly doctorId?: string

    /**
     * 
     * @type {string}
     * @memberof PrescriptionsApiApiV1PrescriptionsGet
     */
    readonly doctorAffiliationId?: string

    /**
     * 
     * @type {string}
     * @memberof PrescriptionsApiApiV1PrescriptionsGet
     */
    readonly patientId?: string

    /**
     * 
     * @type {string}
     * @memberof PrescriptionsApiApiV1PrescriptionsGet
     */
    readonly patientAffiliationId?: string

    /**
     * 
     * @type {string}
     * @memberof PrescriptionsApiApiV1PrescriptionsGet
     */
    readonly patientPhoneNumber?: string

    /**
     * 
     * @type {string}
     * @memberof PrescriptionsApiApiV1PrescriptionsGet
     */
    readonly patientName?: string

    /**
     * 
     * @type {boolean}
     * @memberof PrescriptionsApiApiV1PrescriptionsGet
     */
    readonly showHidden?: boolean

    /**
     * 
     * @type {number}
     * @memberof PrescriptionsApiApiV1PrescriptionsGet
     */
    readonly page?: number

    /**
     * 
     * @type {number}
     * @memberof PrescriptionsApiApiV1PrescriptionsGet
     */
    readonly limit?: number

    /**
     * 
     * @type {Date}
     * @memberof PrescriptionsApiApiV1PrescriptionsGet
     */
    readonly lastRetrieved?: Date
}

/**
 * Request parameters for apiV1PrescriptionsPost operation in PrescriptionsApi.
 * @export
 * @interface PrescriptionsApiApiV1PrescriptionsPostRequest
 */
export interface PrescriptionsApiApiV1PrescriptionsPostRequest {
    /**
     * 
     * @type {CreatePrescriptionCommand}
     * @memberof PrescriptionsApiApiV1PrescriptionsPost
     */
    readonly createPrescriptionCommand?: CreatePrescriptionCommand
}

/**
 * Request parameters for apiV1PrescriptionsPrescriptionIdConfirmPatch operation in PrescriptionsApi.
 * @export
 * @interface PrescriptionsApiApiV1PrescriptionsPrescriptionIdConfirmPatchRequest
 */
export interface PrescriptionsApiApiV1PrescriptionsPrescriptionIdConfirmPatchRequest {
    /**
     * 
     * @type {string}
     * @memberof PrescriptionsApiApiV1PrescriptionsPrescriptionIdConfirmPatch
     */
    readonly prescriptionId: string
}

/**
 * Request parameters for apiV1PrescriptionsPrescriptionIdDelete operation in PrescriptionsApi.
 * @export
 * @interface PrescriptionsApiApiV1PrescriptionsPrescriptionIdDeleteRequest
 */
export interface PrescriptionsApiApiV1PrescriptionsPrescriptionIdDeleteRequest {
    /**
     * 
     * @type {string}
     * @memberof PrescriptionsApiApiV1PrescriptionsPrescriptionIdDelete
     */
    readonly prescriptionId: string

    /**
     * 
     * @type {boolean}
     * @memberof PrescriptionsApiApiV1PrescriptionsPrescriptionIdDelete
     */
    readonly isPermanent?: boolean
}

/**
 * Request parameters for apiV1PrescriptionsPrescriptionIdGet operation in PrescriptionsApi.
 * @export
 * @interface PrescriptionsApiApiV1PrescriptionsPrescriptionIdGetRequest
 */
export interface PrescriptionsApiApiV1PrescriptionsPrescriptionIdGetRequest {
    /**
     * 
     * @type {string}
     * @memberof PrescriptionsApiApiV1PrescriptionsPrescriptionIdGet
     */
    readonly prescriptionId: string

    /**
     * 
     * @type {string}
     * @memberof PrescriptionsApiApiV1PrescriptionsPrescriptionIdGet
     */
    readonly languageCode?: string
}

/**
 * Request parameters for apiV1PrescriptionsPrescriptionIdPdfDelete operation in PrescriptionsApi.
 * @export
 * @interface PrescriptionsApiApiV1PrescriptionsPrescriptionIdPdfDeleteRequest
 */
export interface PrescriptionsApiApiV1PrescriptionsPrescriptionIdPdfDeleteRequest {
    /**
     * 
     * @type {string}
     * @memberof PrescriptionsApiApiV1PrescriptionsPrescriptionIdPdfDelete
     */
    readonly prescriptionId: string
}

/**
 * Request parameters for apiV1PrescriptionsPrescriptionIdPdfPost operation in PrescriptionsApi.
 * @export
 * @interface PrescriptionsApiApiV1PrescriptionsPrescriptionIdPdfPostRequest
 */
export interface PrescriptionsApiApiV1PrescriptionsPrescriptionIdPdfPostRequest {
    /**
     * 
     * @type {string}
     * @memberof PrescriptionsApiApiV1PrescriptionsPrescriptionIdPdfPost
     */
    readonly prescriptionId: string

    /**
     * 
     * @type {string}
     * @memberof PrescriptionsApiApiV1PrescriptionsPrescriptionIdPdfPost
     */
    readonly languageCode?: string
}

/**
 * Request parameters for apiV1PrescriptionsPrescriptionIdPut operation in PrescriptionsApi.
 * @export
 * @interface PrescriptionsApiApiV1PrescriptionsPrescriptionIdPutRequest
 */
export interface PrescriptionsApiApiV1PrescriptionsPrescriptionIdPutRequest {
    /**
     * 
     * @type {string}
     * @memberof PrescriptionsApiApiV1PrescriptionsPrescriptionIdPut
     */
    readonly prescriptionId: string

    /**
     * 
     * @type {UpdatePrescriptionCommand}
     * @memberof PrescriptionsApiApiV1PrescriptionsPrescriptionIdPut
     */
    readonly updatePrescriptionCommand?: UpdatePrescriptionCommand
}

/**
 * Request parameters for apiV1PrescriptionsPrescriptionIdReactivatePut operation in PrescriptionsApi.
 * @export
 * @interface PrescriptionsApiApiV1PrescriptionsPrescriptionIdReactivatePutRequest
 */
export interface PrescriptionsApiApiV1PrescriptionsPrescriptionIdReactivatePutRequest {
    /**
     * 
     * @type {string}
     * @memberof PrescriptionsApiApiV1PrescriptionsPrescriptionIdReactivatePut
     */
    readonly prescriptionId: string
}

/**
 * Request parameters for apiV1PrescriptionsPrescriptionIdUnconfirmPatch operation in PrescriptionsApi.
 * @export
 * @interface PrescriptionsApiApiV1PrescriptionsPrescriptionIdUnconfirmPatchRequest
 */
export interface PrescriptionsApiApiV1PrescriptionsPrescriptionIdUnconfirmPatchRequest {
    /**
     * 
     * @type {string}
     * @memberof PrescriptionsApiApiV1PrescriptionsPrescriptionIdUnconfirmPatch
     */
    readonly prescriptionId: string
}

/**
 * PrescriptionsApi - object-oriented interface
 * @export
 * @class PrescriptionsApi
 * @extends {BaseAPI}
 */
export class PrescriptionsApi extends BaseAPI {
    /**
     * 
     * @summary Get prescriptions
     * @param {PrescriptionsApiApiV1PrescriptionsGetRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof PrescriptionsApi
     */
    public apiV1PrescriptionsGet(requestParameters: PrescriptionsApiApiV1PrescriptionsGetRequest = {}, options?: AxiosRequestConfig) {
        return PrescriptionsApiFp(this.configuration).apiV1PrescriptionsGet(requestParameters.languageCode, requestParameters.hospitalId, requestParameters.doctorId, requestParameters.doctorAffiliationId, requestParameters.patientId, requestParameters.patientAffiliationId, requestParameters.patientPhoneNumber, requestParameters.patientName, requestParameters.showHidden, requestParameters.page, requestParameters.limit, requestParameters.lastRetrieved, options).then((request) => request(this.axios, this.basePath));
    }

    /**
     * 
     * @summary Create prescription
     * @param {PrescriptionsApiApiV1PrescriptionsPostRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof PrescriptionsApi
     */
    public apiV1PrescriptionsPost(requestParameters: PrescriptionsApiApiV1PrescriptionsPostRequest = {}, options?: AxiosRequestConfig) {
        return PrescriptionsApiFp(this.configuration).apiV1PrescriptionsPost(requestParameters.createPrescriptionCommand, options).then((request) => request(this.axios, this.basePath));
    }

    /**
     * 
     * @summary Set IsConfirmed of prescription to true
     * @param {PrescriptionsApiApiV1PrescriptionsPrescriptionIdConfirmPatchRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof PrescriptionsApi
     */
    public apiV1PrescriptionsPrescriptionIdConfirmPatch(requestParameters: PrescriptionsApiApiV1PrescriptionsPrescriptionIdConfirmPatchRequest, options?: AxiosRequestConfig) {
        return PrescriptionsApiFp(this.configuration).apiV1PrescriptionsPrescriptionIdConfirmPatch(requestParameters.prescriptionId, options).then((request) => request(this.axios, this.basePath));
    }

    /**
     * 
     * @summary Delete prescription
     * @param {PrescriptionsApiApiV1PrescriptionsPrescriptionIdDeleteRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof PrescriptionsApi
     */
    public apiV1PrescriptionsPrescriptionIdDelete(requestParameters: PrescriptionsApiApiV1PrescriptionsPrescriptionIdDeleteRequest, options?: AxiosRequestConfig) {
        return PrescriptionsApiFp(this.configuration).apiV1PrescriptionsPrescriptionIdDelete(requestParameters.prescriptionId, requestParameters.isPermanent, options).then((request) => request(this.axios, this.basePath));
    }

    /**
     * 
     * @summary Get a prescription by id
     * @param {PrescriptionsApiApiV1PrescriptionsPrescriptionIdGetRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof PrescriptionsApi
     */
    public apiV1PrescriptionsPrescriptionIdGet(requestParameters: PrescriptionsApiApiV1PrescriptionsPrescriptionIdGetRequest, options?: AxiosRequestConfig) {
        return PrescriptionsApiFp(this.configuration).apiV1PrescriptionsPrescriptionIdGet(requestParameters.prescriptionId, requestParameters.languageCode, options).then((request) => request(this.axios, this.basePath));
    }

    /**
     * 
     * @summary Delete prexcription pdf file
     * @param {PrescriptionsApiApiV1PrescriptionsPrescriptionIdPdfDeleteRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof PrescriptionsApi
     */
    public apiV1PrescriptionsPrescriptionIdPdfDelete(requestParameters: PrescriptionsApiApiV1PrescriptionsPrescriptionIdPdfDeleteRequest, options?: AxiosRequestConfig) {
        return PrescriptionsApiFp(this.configuration).apiV1PrescriptionsPrescriptionIdPdfDelete(requestParameters.prescriptionId, options).then((request) => request(this.axios, this.basePath));
    }

    /**
     * 
     * @summary Create prescription pdf file
     * @param {PrescriptionsApiApiV1PrescriptionsPrescriptionIdPdfPostRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof PrescriptionsApi
     */
    public apiV1PrescriptionsPrescriptionIdPdfPost(requestParameters: PrescriptionsApiApiV1PrescriptionsPrescriptionIdPdfPostRequest, options?: AxiosRequestConfig) {
        return PrescriptionsApiFp(this.configuration).apiV1PrescriptionsPrescriptionIdPdfPost(requestParameters.prescriptionId, requestParameters.languageCode, options).then((request) => request(this.axios, this.basePath));
    }

    /**
     * 
     * @summary Update prescription
     * @param {PrescriptionsApiApiV1PrescriptionsPrescriptionIdPutRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof PrescriptionsApi
     */
    public apiV1PrescriptionsPrescriptionIdPut(requestParameters: PrescriptionsApiApiV1PrescriptionsPrescriptionIdPutRequest, options?: AxiosRequestConfig) {
        return PrescriptionsApiFp(this.configuration).apiV1PrescriptionsPrescriptionIdPut(requestParameters.prescriptionId, requestParameters.updatePrescriptionCommand, options).then((request) => request(this.axios, this.basePath));
    }

    /**
     * 
     * @summary Reactivate prescription
     * @param {PrescriptionsApiApiV1PrescriptionsPrescriptionIdReactivatePutRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof PrescriptionsApi
     */
    public apiV1PrescriptionsPrescriptionIdReactivatePut(requestParameters: PrescriptionsApiApiV1PrescriptionsPrescriptionIdReactivatePutRequest, options?: AxiosRequestConfig) {
        return PrescriptionsApiFp(this.configuration).apiV1PrescriptionsPrescriptionIdReactivatePut(requestParameters.prescriptionId, options).then((request) => request(this.axios, this.basePath));
    }

    /**
     * 
     * @summary Set IsConfirmed of prescription to false  <br>  If pdf file had been generated, pdf file deleted.  
     * @param {PrescriptionsApiApiV1PrescriptionsPrescriptionIdUnconfirmPatchRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof PrescriptionsApi
     */
    public apiV1PrescriptionsPrescriptionIdUnconfirmPatch(requestParameters: PrescriptionsApiApiV1PrescriptionsPrescriptionIdUnconfirmPatchRequest, options?: AxiosRequestConfig) {
        return PrescriptionsApiFp(this.configuration).apiV1PrescriptionsPrescriptionIdUnconfirmPatch(requestParameters.prescriptionId, options).then((request) => request(this.axios, this.basePath));
    }
}
