/* tslint:disable */
/* eslint-disable */
/**
 * CloudHospital Admin Api
 * CloudHospital application with Swagger, Swashbuckle, and API versioning.
 *
 * The version of the OpenAPI document: 1
 * Contact: developer@icloudhospital.com
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */


import globalAxios, { AxiosPromise, AxiosInstance, AxiosRequestConfig } from 'axios';
import { Configuration } from '../configuration';
// Some imports not used depending on template conditions
// @ts-ignore
import { DUMMY_BASE_URL, assertParamExists, setApiKeyToObject, setBasicAuthToObject, setBearerAuthToObject, setOAuthToObject, setSearchParams, serializeDataIfNeeded, toPathString, createRequestFunction } from '../common';
// @ts-ignore
import { BASE_PATH, COLLECTION_FORMATS, RequestArgs, BaseAPI, RequiredError } from '../base';
// @ts-ignore
import { SearchIndexType } from '../models';
/**
 * SearchApi - axios parameter creator
 * @export
 */
export const SearchApiAxiosParamCreator = function (configuration?: Configuration) {
    return {
        /**
         * 
         * @summary Recreate Index
         * @param {Array<SearchIndexType>} selectedIndextypes 
         * @param {boolean} [recreateIndex] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1SearchRecreatePost: async (selectedIndextypes: Array<SearchIndexType>, recreateIndex?: boolean, options: AxiosRequestConfig = {}): Promise<RequestArgs> => {
            // verify required parameter 'selectedIndextypes' is not null or undefined
            assertParamExists('apiV1SearchRecreatePost', 'selectedIndextypes', selectedIndextypes)
            const localVarPath = `/api/v1/search/recreate`;
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }

            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options};
            const localVarHeaderParameter = {} as any;
            const localVarQueryParameter = {} as any;

            // authentication oauth2 required
            // oauth required
            await setOAuthToObject(localVarHeaderParameter, "oauth2", ["cloudhospital_admin_api"], configuration)

            if (recreateIndex !== undefined) {
                localVarQueryParameter['recreateIndex'] = recreateIndex;
            }

            if (selectedIndextypes) {
                localVarQueryParameter['selectedIndextypes'] = selectedIndextypes;
            }


    
            setSearchParams(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers};

            return {
                url: toPathString(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
    }
};

/**
 * SearchApi - functional programming interface
 * @export
 */
export const SearchApiFp = function(configuration?: Configuration) {
    const localVarAxiosParamCreator = SearchApiAxiosParamCreator(configuration)
    return {
        /**
         * 
         * @summary Recreate Index
         * @param {Array<SearchIndexType>} selectedIndextypes 
         * @param {boolean} [recreateIndex] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async apiV1SearchRecreatePost(selectedIndextypes: Array<SearchIndexType>, recreateIndex?: boolean, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<string>> {
            const localVarAxiosArgs = await localVarAxiosParamCreator.apiV1SearchRecreatePost(selectedIndextypes, recreateIndex, options);
            return createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration);
        },
    }
};

/**
 * SearchApi - factory interface
 * @export
 */
export const SearchApiFactory = function (configuration?: Configuration, basePath?: string, axios?: AxiosInstance) {
    const localVarFp = SearchApiFp(configuration)
    return {
        /**
         * 
         * @summary Recreate Index
         * @param {Array<SearchIndexType>} selectedIndextypes 
         * @param {boolean} [recreateIndex] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        apiV1SearchRecreatePost(selectedIndextypes: Array<SearchIndexType>, recreateIndex?: boolean, options?: any): AxiosPromise<string> {
            return localVarFp.apiV1SearchRecreatePost(selectedIndextypes, recreateIndex, options).then((request) => request(axios, basePath));
        },
    };
};

/**
 * Request parameters for apiV1SearchRecreatePost operation in SearchApi.
 * @export
 * @interface SearchApiApiV1SearchRecreatePostRequest
 */
export interface SearchApiApiV1SearchRecreatePostRequest {
    /**
     * 
     * @type {Array<SearchIndexType>}
     * @memberof SearchApiApiV1SearchRecreatePost
     */
    readonly selectedIndextypes: Array<SearchIndexType>

    /**
     * 
     * @type {boolean}
     * @memberof SearchApiApiV1SearchRecreatePost
     */
    readonly recreateIndex?: boolean
}

/**
 * SearchApi - object-oriented interface
 * @export
 * @class SearchApi
 * @extends {BaseAPI}
 */
export class SearchApi extends BaseAPI {
    /**
     * 
     * @summary Recreate Index
     * @param {SearchApiApiV1SearchRecreatePostRequest} requestParameters Request parameters.
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof SearchApi
     */
    public apiV1SearchRecreatePost(requestParameters: SearchApiApiV1SearchRecreatePostRequest, options?: AxiosRequestConfig) {
        return SearchApiFp(this.configuration).apiV1SearchRecreatePost(requestParameters.selectedIndextypes, requestParameters.recreateIndex, options).then((request) => request(this.axios, this.basePath));
    }
}
